angular.module("router", ["ionic"]).config(["$stateProvider", function($stateProvider) {
  $stateProvider.state("tutorial", {
    cache : false,
    url : "/",
    templateUrl : "html/HelpTutorial.html",
    controller : "TutorialCtrl"
  }).state("register", {
    params : {
      phonePre : null
    },
    cache : false,
    url : "/register",
    templateUrl : "html/NewUserRegister.html",
    controller : "RegisterCtrl"
  }).state("registerInfo", {
    cache : false,
    url : "/registerInfo",
    templateUrl : "html/UserRegisterInfo.html",
    controller : "RegisterInfoCtrl"
  }).state("findPassword", {
    cache : false,
    url : "/findPassword",
    templateUrl : "html/PSystemSetup/SystemSetupFindPassword.html",
    controller : "FindPasswordCtrl"
  }).state("resetPassword", {
    cache : false,
    url : "/resetPassword",
    templateUrl : "html/PSystemSetup/ResetPassword.html",
    controller : "ResetPasswordCtrl"
  }).state("signin", {
    cache : false,
    url : "/sign-in",
    templateUrl : "html/LoginWindows.html",
    controller : "SignInCtrl"
  }).state("eventmenu", {
    url : "/event",
    "abstract" : true,
    templateUrl : "html/MainEventMenu.html",
    controller : "MenuCtrl"
  }).state("eventmenu.main", {
    params : {
      firstLogin : null,
      isAutoLogin : null
    },
    url : "/main",
    views : {
      menuContent : {
        templateUrl : "html/MainWindows.html",
        controller : "MainCtrl"
      }
    }
  }).state("eventmenu.storeTab", {
    cache : false,
    url : "/storeTab",
    views : {
      menuContent : {
        templateUrl : "html/PMainPage/MainPageStoreTab.html",
        controller : "StoreTabCtrl"
      }
    }
  }).state("eventmenu.salesTab", {
    cache : false,
    url : "/salesTab",
    views : {
      menuContent : {
        templateUrl : "html/PMainPage/MainPageSalesTab.html",
        controller : "SaleTabCtrl"
      }
    }
  }).state("eventmenu.statisticsTab", {
    cache : false,
    url : "/statisticsTab",
    views : {
      menuContent : {
        templateUrl : "html/PMainPage/MainPageStatisTab.html",
        controller : "StatisticsTabCtrl"
      }
    }
  }).state("eventmenu.mineTab", {
    cache : false,
    url : "/mineTab",
    views : {
      menuContent : {
        templateUrl : "html/PMainPage/MainPageMineTab.html",
        controller : "AccountCenterTabCtrl"
      }
    }
  }).state("eventmenu.myAccount", {
    cache : false,
    url : "/myAccount",
    views : {
      menuContent : {
        templateUrl : "html/PSystemSetup/SystemSetupMyAccount.html",
        controller : "MyAccountCtrl"
      }
    }
  }).state("eventmenu.mainUserDefined", {
    cache : false,
    url : "/mainUserDefined",
    views : {
      menuContent : {
        templateUrl : "html/mainUserDefined.html",
        controller : "MainUserDefinedCtrl"
      }
    }
  }).state("eventmenu.saleList", {
    url : "/saleList",
    views : {
      menuContent : {
        templateUrl : "html/PRetailAndSellBill/RetailAndSellBillList.html",
        controller : "SaleListCtrl"
      }
    }
  }).state("eventmenu.saleEdit", {
    params : {
      billID : null,
      ordersSn : null,
      goodsSn : null,
      goodsId : null,
      timeStamp : null,
      copyOrder : null
    },
    views : {
      menuContent : {
        templateUrl : "html/PRetailAndSellBill/RetailAndSellBillEdit.html",
        controller : "SaleEditCtrl"
      }
    }
  }).state("eventmenu.saleDetail", {
    url : "/saleDetail/:ordersSn/:billID",
    views : {
      menuContent : {
        templateUrl : "html/PRetailAndSellBill/RetailAndSellBillDetail.html",
        controller : "SaleDetailCtrl"
      }
    }
  }).state("eventmenu.saleUploadPicture", {
    url : "/saleUploadPicture/:orderId",
    views : {
      menuContent : {
        templateUrl : "html/PRetailAndSellBill/uploadPicture.html",
        controller : "UploadPictureCtrl"
      }
    }
  }).state("eventmenu.saleReturnList", {
    url : "/saleReturnList",
    views : {
      menuContent : {
        templateUrl : "html/PRetailAndSellBill/RetailAndSellBillList.html",
        controller : "SaleListCtrl"
      }
    }
  }).state("eventmenu.saleReturnEdit", {
    params : {
      billID : null,
      ordersSn : null,
      goodsSn : null,
      timeStamp : null,
      copyOrder : null
    },
    views : {
      menuContent : {
        templateUrl : "html/PRetailAndSellBill/SellReturnBillEdit.html",
        controller : "SaleReturnEditCtrl"
      }
    }
  }).state("eventmenu.saleReturnDetail", {
    url : "/saleReturnDetail/:ordersSn/:billID",
    views : {
      menuContent : {
        templateUrl : "html/PRetailAndSellBill/RetailAndSellBillDetail.html",
        controller : "SaleDetailCtrl"
      }
    }
  }).state("eventmenu.retailList", {
    url : "/retailList",
    views : {
      menuContent : {
        templateUrl : "html/PRetailAndSellBill/RetailBillList.html",
        controller : "RetailListCtrl"
      }
    }
  }).state("eventmenu.retailEdit", {
    params : {
      billID : null,
      goodsSn : null,
      goodsId : null,
      timeStamp : null,
      copyOrder : null
    },
    views : {
      menuContent : {
        templateUrl : "html/PRetailAndSellBill/RetailBillEdit.html",
        controller : "RetailEditCtrl"
      }
    }
  }).state("eventmenu.retailDetail", {
    url : "/retailDetail/:ordersSn/:billID",
    views : {
      menuContent : {
        templateUrl : "html/PRetailAndSellBill/retailDetail.html",
        controller : "RetailDetailCtrl"
      }
    }
  }).state("eventmenu.logisticsOrderList", {
    url : "/logisticsOrderList",
    views : {
      menuContent : {
        templateUrl : "html/PLogisticsManage/logisticsOrderList.html",
        controller : "LogisticsOrderListCtrl"
      }
    }
  }).state("eventmenu.storeList", {
    url : "/storeList",
    views : {
      menuContent : {
        templateUrl : "html/PStorageStockBill/StorageStockBillList.html",
        controller : "StoreListCtrl"
      }
    }
  }).state("eventmenu.storeEdit", {
    url : "/storeEdit/:orderNo/:billID",
    params : {
      timeStamp : null,
      goods : null
    },
    views : {
      menuContent : {
        templateUrl : "html/PStorageStockBill/StorageStockBillEdit.html",
        controller : "StoreEditCtrl"
      }
    }
  }).state("eventmenu.storeDetail", {
    url : "/storeDetail/:orderNo/:billID",
    views : {
      menuContent : {
        templateUrl : "html/PStorageStockBill/StorageStockBillDetail.html",
        controller : "StoreDetailCtrl"
      }
    }
  }).state("eventmenu.stockSearch", {
    url : "/stockSearch",
    views : {
      menuContent : {
        templateUrl : "html/PStorageStockBill/StorageStockBillSearch.html",
        controller : "StockSearchCtrl"
      }
    }
  }).state("eventmenu.stockWarnList", {
    params : {
      saleDepot : null,
      category : null,
      bland : null,
      existsNumber : null,
      minNumber : null,
      maxNumber : null,
      searchKey : null
    },
    url : "/stockWarnList",
    views : {
      menuContent : {
        templateUrl : "html/PStorageStockBill/stockWarnList.html",
        controller : "StockWarnCtrl"
      }
    }
  }).state("eventmenu.stockSearchDetail", {
    params : {
      goods : null
    },
    url : "/stockSearchDetail",
    views : {
      menuContent : {
        templateUrl : "html/PStorageStockBill/stockSearchDetail.html",
        controller : "StockSearchDetailCtrl"
      }
    }
  }).state("eventmenu.storeTransferList", {
    url : "/storeTransferList",
    views : {
      menuContent : {
        templateUrl : "html/PStorageStockBill/storeTransferList.html",
        controller : "StoreTransferListCtrl"
      }
    }
  }).state("eventmenu.storeTransferEdit", {
    url : "/storeTransferEdit/:orderNo",
    params : {
      timeStamp : null,
      copyOrder : null
    },
    views : {
      menuContent : {
        templateUrl : "html/PStorageStockBill/storeTransferEdit.html",
        controller : "StoreTransferEditCtrl"
      }
    }
  }).state("eventmenu.storeTransferDetail", {
    cache : false,
    url : "/storeTransferDetail/:orderNo",
    views : {
      menuContent : {
        templateUrl : "html/PStorageStockBill/storeTransferDetail.html",
        controller : "StoreTransferDetailCtrl"
      }
    }
  }).state("eventmenu.storeHouseList", {
    url : "/storeHouseList",
    views : {
      menuContent : {
        templateUrl : "html/PStorageStockBill/storeHouseList.html",
        controller : "StoreHouseListCtrl"
      }
    }
  }).state("eventmenu.storeHouseEdit", {
    cache : false,
    url : "/storeHouseEdit/:id",
    views : {
      menuContent : {
        templateUrl : "html/PStorageStockBill/storeHouseEdit.html",
        controller : "StoreHouseEditCtrl"
      }
    }
  }).state("eventmenu.purchaseList", {
    url : "/purchaseList",
    views : {
      menuContent : {
        templateUrl : "html/PPurchaseBuyBill/PurchaseBuyBillList.html",
        controller : "PurchaseListCtrl"
      }
    }
  }).state("eventmenu.purchaseEdit", {
    params : {
      billID : null,
      goodsSn : null,
      purchaseSn : null,
      goodsId : null,
      timeStamp : null,
      copyOrder : null
    },
    views : {
      menuContent : {
        templateUrl : "html/PPurchaseBuyBill/PurchaseBuyBillEdit.html",
        controller : "PurchaseEditCtrl"
      }
    }
  }).state("eventmenu.purchaseDetail", {
    url : "/purchaseDetail/:purchaseSn/:billID",
    views : {
      menuContent : {
        templateUrl : "html/PPurchaseBuyBill/PurchaseBuyBillDetail.html",
        controller : "PurchaseDetailCtrl"
      }
    }
  }).state("eventmenu.purchaseReturnList", {
    url : "/purchaseReturnList",
    views : {
      menuContent : {
        templateUrl : "html/PPurchaseBuyBill/PurchaseBuyBillList.html",
        controller : "PurchaseListCtrl"
      }
    }
  }).state("eventmenu.purchaseReturnEdit", {
    params : {
      billID : null,
      goodsSn : null,
      purchaseSn : null,
      timeStamp : null,
      copyOrder : null
    },
    views : {
      menuContent : {
        templateUrl : "html/PPurchaseBuyBill/PurchaseBuyBillEdit.html",
        controller : "PurchaseEditCtrl"
      }
    }
  }).state("eventmenu.purchaseReturnDetail", {
    url : "/purchaseReturnDetail/:purchaseSn/:billID",
    views : {
      menuContent : {
        templateUrl : "html/PPurchaseBuyBill/PurchaseBuyBillDetail.html",
        controller : "PurchaseDetailCtrl"
      }
    }
  }).state("eventmenu.account", {
    cache : false,
    url : "/account",
    views : {
      menuContent : {
        templateUrl : "html/PSystemSetup/SystemSetupMain.html",
        controller : "AccountMainCtrl"
      }
    }
  }).state("eventmenu.accountDetail", {
    cache : false,
    url : "/accountDetail",
    views : {
      menuContent : {
        templateUrl : "html/PSystemSetup/accountDetail.html",
        controller : "AccountDetailCtrl"
      }
    }
  }).state("eventmenu.passwordModify", {
    cache : false,
    url : "/passwordModify",
    views : {
      menuContent : {
        templateUrl : "html/PSystemSetup/passwordModify.html",
        controller : "PasswordModifyCtrl"
      }
    }
  }).state("eventmenu.printSetting", {
    url : "/printSetting",
    views : {
      menuContent : {
        templateUrl : "html/PSystemSetup/SystemSetupPrintSetting.html",
        controller : "PrintSettingCtrl"
      }
    }
  }).state("eventmenu.personSetting", {
    url : "/personSetting",
    views : {
      menuContent : {
        templateUrl : "html/PSystemSetup/personSetting.html",
        controller : "PersonSettingCtrl"
      }
    }
  }).state("eventmenu.resetSystem", {
    cache : false,
    url : "/resetSystem",
    views : {
      menuContent : {
        templateUrl : "html/PSystemSetup/SystemSetupResetSystem.html",
        controller : "ResetSystemCtrl"
      }
    }
  }).state("eventmenu.companyConfig", {
    cache : false,
    url : "/companyConfig/:pageType",
    params : {
      pageType : null
    },
    views : {
      menuContent : {
        templateUrl : "html/PSystemSetup/CompanyConfigForm.html",
        controller : "CompanyConfigCtrl"
      }
    }
  }).state("eventmenu.pubroleList", {
    url : "/pubroleList",
    views : {
      menuContent : {
        templateUrl : "html/PSystemSetup/SystemSetupPubroleList.html",
        controller : "PubroleListCtrl"
      }
    }
  }).state("eventmenu.pubroleEdit", {
    cache : false,
    url : "/pubroleEdit/:id",
    views : {
      menuContent : {
        templateUrl : "html/PSystemSetup/SystemSetupPubroleEdit.html",
        controller : "PubroleEditCtrl"
      }
    }
  }).state("eventmenu.comStoreList", {
    cache : false,
    url : "/comStoreList",
    views : {
      menuContent : {
        templateUrl : "html/PShopBaseInfo/comStoreList.html",
        controller : "ComStoreCtrl"
      }
    }
  }).state("eventmenu.userManList", {
    params : {
      storeId : null
    },
    url : "/userManList",
    views : {
      menuContent : {
        templateUrl : "html/PShopBaseInfo/ShopBaseInfoUserManList.html",
        controller : "UserManListCtrl"
      }
    }
  }).state("eventmenu.userManEdit", {
    cache : false,
    params : {
      userId : null
    },
    url : "/userManEdit",
    views : {
      menuContent : {
        templateUrl : "html/PShopBaseInfo/ShopBaseInfoUserManEdit.html",
        controller : "UserManEditCtrl"
      }
    }
  }).state("eventmenu.bulletinList", {
    url : "/bulletinList",
    views : {
      menuContent : {
        templateUrl : "html/PSystemSetup/SystemSetupBulletinList.html",
        controller : "BulletinListCtrl"
      }
    }
  }).state("eventmenu.bulletinEdit", {
    cache : false,
    params : {
      id : null
    },
    url : "/bulletinEdit",
    views : {
      menuContent : {
        templateUrl : "html/PSystemSetup/SystemSetupBulletinEdit.html",
        controller : "BulletinEditCtrl"
      }
    }
  }).state("eventmenu.printSettingDetail", {
    params : {
      typeId : null
    },
    views : {
      menuContent : {
        templateUrl : "html/PSystemSetup/printSettingDetail.html",
        controller : "PrintSettingDetailCtrl"
      }
    }
  }).state("eventmenu.printSettingDetailForExpress", {
    params : {
      typeId : null
    },
    views : {
      menuContent : {
        templateUrl : "html/PSystemSetup/printSettingDetailForExpress.html",
        controller : "PrintSettingDetailForExpressCtrl"
      }
    }
  }).state("eventmenu.about", {
    cache : false,
    url : "/about",
    views : {
      menuContent : {
        /**
         * @return {?}
         */
        templateUrl : function() {
          return ionic.Platform.isIOS() ? "html/PSystemSetup/SystemSetupAboutIos.html" : "html/PSystemSetup/SystemSetupAbout.html";
        },
        controller : "AboutCtrl"
      }
    }
  }).state("eventmenu.privacy", {
    url : "/privacy",
    views : {
      menuContent : {
        templateUrl : "html/PrivacyPolicy.html"
      }
    }
  }).state("eventmenu.SignIn", {
    url : "/SignIn",
    views : {
      menuContent : {
        templateUrl : "html/tab-signin.html",
        controller : "signinMapCtrl"
      }
    }
  }).state("eventmenu.SignInQuery", {
    url : "/SignInQuery",
    views : {
      menuContent : {
        templateUrl : "html/SignInQuery.html",
        controller : "signinQueryCtrl"
      }
    }
  }).state("eventmenu.SignInCount", {
    url : "/SignInCount",
    views : {
      menuContent : {
        templateUrl : "html/SignInCount.html",
        controller : "signinCountCtrl"
      }
    }
  }).state("eventmenu.VirtualStock", {
    url : "/VirtualStock",
    views : {
      menuContent : {
        templateUrl : "html/PStorageStockBill/VirtualStock.html",
        controller : "virtualStockCtrl"
      }
    }
  }).state("eventmenu.feedback", {
    cache : false,
    url : "/feedback",
    views : {
      menuContent : {
        templateUrl : "html/PSystemSetup/SystemSetupFeedback.html",
        controller : "FeedbackCtrl"
      }
    }
  }).state("eventmenu.feedbackList", {
    cache : false,
    url : "/feedbackList",
    views : {
      menuContent : {
        templateUrl : "html/PSystemSetup/SystemSetupFeedbackList.html",
        controller : "FeedbackListCtrl"
      }
    }
  }).state("eventmenu.goodList", {
    url : "/goodList",
    views : {
      menuContent : {
        templateUrl : "html/PWareBaseInfo/WareBaseInfoList.html",
        controller : "GoodListCtrl"
      }
    }
  }).state("eventmenu.goodEdit", {
    params : {
      id : null,
      barCode : null
    },
    views : {
      menuContent : {
        templateUrl : "html/PWareBaseInfo/WareBaseInfoEdit.html",
        controller : "GoodEditCtrl"
      }
    }
  }).state("eventmenu.clientList", {
    url : "/clientList",
    params : {
      binding : false
    },
    views : {
      menuContent : {
        templateUrl : "html/PClientBaseInfo/ClientBaseInfoList.html",
        controller : "ClientListCtrl"
      }
    }
  }).state("eventmenu.clientDetail", {
    cache : false,
    url : "/clientDetail/:id",
    views : {
      menuContent : {
        templateUrl : "html/PClientBaseInfo/ClientBaseInfoDetail.html",
        controller : "ClientDetailCtrl"
      }
    }
  }).state("eventmenu.clientEdit", {
    cache : false,
    url : "/clientEdit/:id",
    params : {
      name : null
    },
    views : {
      menuContent : {
        templateUrl : "html/PClientBaseInfo/ClientBaseInfoEdit.html",
        controller : "ClientEditCtrl"
      }
    }
  }).state("eventmenu.clientSetting", {
    url : "/clientSetting",
    views : {
      menuContent : {
        templateUrl : "html/PClientBaseInfo/clientSetting.html",
        controller : "ClientSettingCtrl"
      }
    }
  }).state("eventmenu.clientScoreRecord", {
    url : "/clientScoreRecord",
    params : {
      clientId : null
    },
    views : {
      menuContent : {
        templateUrl : "html/PClientBaseInfo/clientScoreRecord.html",
        controller : "ClientScoreRecordCtrl"
      }
    }
  }).state("eventmenu.clientDepositRecord", {
    url : "/clientDepositRecord",
    params : {
      oppositeSideId : null,
      clientName : null,
      clientBanlance : null
    },
    views : {
      menuContent : {
        templateUrl : "html/PClientBaseInfo/clientDepositRecord.html",
        controller : "ClientDepositRecordCtrl"
      }
    }
  }).state("eventmenu.supplierList", {
    url : "/supplierList",
    params : {
      binding : false
    },
    views : {
      menuContent : {
        templateUrl : "html/PSupplierBaseInfo/SupplierBaseInfoList.html",
        controller : "SupplierListCtrl"
      }
    }
  }).state("eventmenu.supplierDetail", {
    cache : false,
    url : "/supplierDetail/:id",
    views : {
      menuContent : {
        templateUrl : "html/PSupplierBaseInfo/supplierDetail.html",
        controller : "SupplierDetailCtrl"
      }
    }
  }).state("eventmenu.supplierEdit", {
    cache : false,
    url : "/supplierEdit/:id",
    params : {
      name : null
    },
    views : {
      menuContent : {
        templateUrl : "html/PSupplierBaseInfo/SupplierBaseInfoEdit.html",
        controller : "SupplierEditCtrl"
      }
    }
  }).state("eventmenu.supplierAcc", {
    url : "/supplierAcc",
    views : {
      menuContent : {
        templateUrl : "html/PSupplierBaseInfo/supplierDebt.html",
        controller : "SupplierDebtCtrl"
      }
    }
  }).state("eventmenu.supplierAccRecord", {
    params : {
      createTimeBegin : null,
      createTimeEnd : null,
      oppositeSideId : null,
      supplierName : null,
      supplierBanlance : null
    },
    views : {
      menuContent : {
        templateUrl : "html/PSupplierBaseInfo/supplierDebtRecord.html",
        controller : "SupplierDebtDetailCtrl"
      }
    }
  }).state("eventmenu.accountFinanceRecord", {
    params : {
      createTimeBegin : null,
      createTimeEnd : null,
      accountId : null,
      businessItem : null,
      accountName : null,
      businessItemName : null
    },
    views : {
      menuContent : {
        templateUrl : "html/PAccountManage/accountFinanceRecord.html",
        controller : "AccountFinanceRecordCtrl"
      }
    }
  }).state("eventmenu.accountFinanceList", {
    url : "/accountFinanceList",
    views : {
      menuContent : {
        templateUrl : "html/PAccountManage/accountFinanceList.html",
        controller : "AccountFinanceListCtrl"
      }
    }
  }).state("eventmenu.financeRecordDetail", {
    params : {
      item : null
    },
    views : {
      menuContent : {
        templateUrl : "html/PAccountManage/financeRecordDetail.html",
        controller : "FinanceRecordDetailCtrl"
      }
    }
  }).state("eventmenu.accountList", {
    url : "/accountList",
    views : {
      menuContent : {
        templateUrl : "html/PAccountManage/AccountManageList.html",
        controller : "AccountListCtrl"
      }
    }
  }).state("eventmenu.accountDetailEdit", {
    cache : false,
    url : "/accountDetailEdit/:id",
    views : {
      menuContent : {
        templateUrl : "html/PAccountManage/accountDetailEdit.html",
        controller : "AccountDetailEditCtrl"
      }
    }
  }).state("eventmenu.accountMain", {
    cache : false,
    url : "/accountMain",
    views : {
      menuContent : {
        templateUrl : "html/PAccountManage/AccountManageMain.html",
        controller : "FinanceMainCtrl"
      }
    }
  }).state("eventmenu.accountEdit", {
    cache : false,
    url : "/accountEdit/:id",
    views : {
      menuContent : {
        templateUrl : "html/PAccountManage/AccountManageEdit.html",
        controller : "AccountEditCtrl"
      }
    }
  }).state("eventmenu.accountItemList", {
    url : "/accountItemList",
    views : {
      menuContent : {
        templateUrl : "html/PAccountManage/accountItemList.html",
        controller : "AccountItemListCtrl"
      }
    }
  }).state("eventmenu.accountItemEdit", {
    cache : false,
    url : "/accountItemEdit/:id",
    views : {
      menuContent : {
        templateUrl : "html/PAccountManage/accountItemEdit.html",
        controller : "AccountItemEditCtrl"
      }
    }
  }).state("eventmenu.accountTransfer", {
    cache : false,
    url : "/accountTransfer",
    params : {
      accounts : null
    },
    views : {
      menuContent : {
        templateUrl : "html/PAccountManage/accountTransfer.html",
        controller : "AccountTransferCtrl"
      }
    }
  }).state("eventmenu.saleVolumeChart", {
    cache : false,
    url : "/saleVolumeChart",
    views : {
      menuContent : {
        templateUrl : "html/PStatisticalChart/saleVolumeChart.html",
        controller : "SaleVolumeChartCtrl"
      }
    }
  }).state("eventmenu.operateDetail", {
    url : "/operateDetail",
    views : {
      menuContent : {
        templateUrl : "html/PStatisticalChart/operateDetail.html",
        controller : "OperateDetailCtrl"
      }
    }
  }).state("eventmenu.statisticalChartProfit", {
    cache : false,
    url : "/statisticalChartProfit",
    views : {
      menuContent : {
        templateUrl : "html/PStatisticalChart/statisticalChartProfit.html",
        controller : "StatisticalChartProfitCtrl"
      }
    }
  }).state("eventmenu.dynamicSaleRateChart", {
    cache : false,
    url : "/dynamicSaleRateChart",
    views : {
      menuContent : {
        templateUrl : "html/PStatisticalChart/dynamicSaleRateChart.html",
        controller : "DynamicSaleRateChartCtrl"
      }
    }
  }).state("eventmenu.turnOverRateChart", {
    cache : false,
    url : "/turnOverRateChart",
    views : {
      menuContent : {
        templateUrl : "html/PStatisticalChart/turnOverRateChart.html",
        controller : "TurnOverRateChartCtrl"
      }
    }
  }).state("eventmenu.help", {
    cache : false,
    url : "/help",
    views : {
      menuContent : {
        templateUrl : "html/PSystemHelp/SystemHelpMain.html"
      }
    }
  }).state("eventmenu.goodScanMain", {
    params : {
      code : null,
      goodsSn : null,
      isFromStore : null
    },
    views : {
      menuContent : {
        templateUrl : "html/PWareBaseInfo/WareBaseInfoScan.html",
        controller : "GoodScanNavCtrl"
      }
    }
  }).state("eventmenu.accountMessageMain", {
    cache : false,
    url : "/accountMessage",
    views : {
      menuContent : {
        templateUrl : "html/PSystemSetup/SystemSetupMessageMain.html",
        controller : "AccountMessageMainCtrl"
      }
    }
  }).state("eventmenu.accountMessage", {
    url : "/accountMessage",
    params : {
      msgTypeId : null,
      msgTypeName : null
    },
    views : {
      menuContent : {
        templateUrl : "html/PSystemSetup/SystemSetupMessage.html",
        controller : "AccountMessageCtrl"
      }
    }
  }).state("eventmenu.tmsMain", {
    cache : false,
    url : "/tmsList",
    views : {
      menuContent : {
        templateUrl : "html/POrderFormInfo/OrderFormInfoTmsList.html",
        controller : "TmsMainCtrl"
      }
    }
  }).state("eventmenu.shopDetail", {
    cache : false,
    url : "/shopDetail",
    views : {
      menuContent : {
        templateUrl : "html/POrderFormInfo/OrderFormInfoMain.html",
        controller : "ShopDetailCtrl"
      }
    }
  }).state("eventmenu.tmsPaymentSet", {
    url : "/tmsPaymentSet",
    views : {
      menuContent : {
        templateUrl : "html/POrderFormInfo/tmsPaymentSet.html",
        controller : "TmsPaymentSetCtrl"
      }
    }
  }).state("eventmenu.tmsShippingSet", {
    url : "/tmsShippingSet",
    views : {
      menuContent : {
        templateUrl : "html/POrderFormInfo/tmsShippingSet.html",
        controller : "TmsShippingSetCtrl"
      }
    }
  }).state("eventmenu.tmsGoodsEdit", {
    url : "/tmsGoodsEdit/:tmsGoodsId",
    views : {
      menuContent : {
        templateUrl : "html/POrderFormInfo/tmsGoodsEdit.html",
        controller : "TmsGoodsEditCtrl"
      }
    }
  }).state("eventmenu.tmsGoodsList", {
    url : "/tmsGoodsList",
    views : {
      menuContent : {
        templateUrl : "html/POrderFormInfo/tmsGoodsList.html",
        controller : "TmsGoodsListCtrl"
      }
    }
  }).state("eventmenu.tmsOrderList", {
    url : "/tmsOrderList",
    views : {
      menuContent : {
        templateUrl : "html/POrderFormInfo/OrderFormInfoList.html",
        controller : "TmsOrderListCtrl"
      }
    }
  }).state("eventmenu.tmsOrderEdit", {
    cache : false,
    url : "/tmsOrderEdit/:ordersSn",
    views : {
      menuContent : {
        templateUrl : "html/POrderFormInfo/OrderFormInfoEdit.html",
        controller : "TmsOrderEditCtrl"
      }
    }
  }).state("eventmenu.tmsTradeList", {
    url : "/tmsTradeList",
    views : {
      menuContent : {
        templateUrl : "html/POrderFormInfo/OrderFormInfoTradeList.html",
        controller : "TmsTradeListCtrl"
      }
    },
    params : {
      isSettled : 0
    }
  }).state("eventmenu.bluetoothPrintList", {
    cache : false,
    url : "/bluetoothPrintList",
    params : {
      printType : null,
      isClientExpress : false,
      printObject : null,
      labelSetting : null,
      labelArray : null,
      printTimes : null
    },
    views : {
      menuContent : {
        templateUrl : "html/PSystemSetup/bluetoothPrintList.html",
        controller : "BluetoothPrintListCtrl"
      }
    }
  }).state("eventmenu.saleReportList", {
    cache : false,
    url : "/report/saleReportList",
    views : {
      menuContent : {
        templateUrl : "html/PStatistReport/PSellStatisReport/SellStatisReportList.html",
        controller : "SaleReportListCtrl"
      }
    }
  }).state("eventmenu.saleReportDetail", {
    cache : false,
    params : {
      client : null
    },
    url : "/report/saleReportDetail",
    views : {
      menuContent : {
        templateUrl : "html/PStatistReport/PSellStatisReport/saleReportDetail.html",
        controller : "SaleReportCtrl"
      }
    }
  }).state("eventmenu.saleReportBySku", {
    cache : false,
    url : "/report/saleReportBySku",
    views : {
      menuContent : {
        templateUrl : "html/PStatistReport/PSellStatisReport/saleReportBySku.html",
        controller : "SaleReportCtrl"
      }
    }
  }).state("eventmenu.saleReportByGoods", {
    cache : false,
    url : "/report/saleReportByGoods",
    views : {
      menuContent : {
        templateUrl : "html/PStatistReport/PSellStatisReport/saleReportByGoods.html",
        controller : "SaleReportCtrl"
      }
    }
  }).state("eventmenu.saleReportByOrder", {
    cache : false,
    url : "/report/saleReportByOrder",
    views : {
      menuContent : {
        templateUrl : "html/PStatistReport/PSellStatisReport/saleReportByOrder.html",
        controller : "SaleReportCtrl"
      }
    }
  }).state("eventmenu.saleReportByClient", {
    cache : false,
    url : "/report/saleReportByClient",
    views : {
      menuContent : {
        templateUrl : "html/PStatistReport/PSellStatisReport/saleReportByClient.html",
        controller : "SaleReportCtrl"
      }
    }
  }).state("eventmenu.saleReportBySaleMan", {
    cache : false,
    url : "/report/saleReportBySaleMan",
    views : {
      menuContent : {
        templateUrl : "html/PStatistReport/PSellStatisReport/saleReportBySaleMan.html",
        controller : "SaleReportCtrl"
      }
    }
  }).state("eventmenu.saleReportBySalerComStore", {
    cache : false,
    url : "/report/saleReportBySalerComStore",
    views : {
      menuContent : {
        templateUrl : "html/PStatistReport/PSellStatisReport/saleReportBySalerComStore.html",
        controller : "SaleReportCtrl"
      }
    }
  }).state("eventmenu.saleReportByStorehouseComStore", {
    cache : false,
    url : "/report/saleReportByStorehouseComStore",
    views : {
      menuContent : {
        templateUrl : "html/PStatistReport/PSellStatisReport/saleReportByStorehouseComStore.html",
        controller : "SaleReportCtrl"
      }
    }
  }).state("eventmenu.purchaseReportList", {
    cache : false,
    url : "/report/purchaseReportList",
    views : {
      menuContent : {
        templateUrl : "html/PStatistReport/PBuyStatisReport/BuyStatisReportList.html",
        controller : "PurchaseReportListCtrl"
      }
    }
  }).state("eventmenu.purchaseReportDetail", {
    cache : false,
    url : "/report/purchaseReportDetail",
    params : {
      supplier : null
    },
    views : {
      menuContent : {
        templateUrl : "html/PStatistReport/PBuyStatisReport/purchaseReportDetail.html",
        controller : "PurchaseReportCtrl"
      }
    }
  }).state("eventmenu.purchaseReportBySku", {
    cache : false,
    url : "/report/purchaseReportBySku",
    views : {
      menuContent : {
        templateUrl : "html/PStatistReport/PBuyStatisReport/purchaseReportBySku.html",
        controller : "PurchaseReportCtrl"
      }
    }
  }).state("eventmenu.purchaseReportByGoods", {
    cache : false,
    url : "/report/purchaseReportByGoods",
    views : {
      menuContent : {
        templateUrl : "html/PStatistReport/PBuyStatisReport/purchaseReportByGoods.html",
        controller : "PurchaseReportCtrl"
      }
    }
  }).state("eventmenu.purchaseReportByOrder", {
    cache : false,
    url : "/report/purchaseReportByOrder",
    views : {
      menuContent : {
        templateUrl : "html/PStatistReport/PBuyStatisReport/purchaseReportByOrder.html",
        controller : "PurchaseReportCtrl"
      }
    }
  }).state("eventmenu.purchaseReportBySupplier", {
    cache : false,
    url : "/report/purchaseReportBySupplier",
    views : {
      menuContent : {
        templateUrl : "html/PStatistReport/PBuyStatisReport/purchaseReportBySupplier.html",
        controller : "PurchaseReportCtrl"
      }
    }
  }).state("eventmenu.purchaseReportByMan", {
    cache : false,
    url : "/report/purchaseReportByMan",
    views : {
      menuContent : {
        templateUrl : "html/PStatistReport/PBuyStatisReport/purchaseReportByMan.html",
        controller : "PurchaseReportCtrl"
      }
    }
  }).state("eventmenu.purchaseVsSaleList", {
    cache : false,
    url : "/report/purchaseVsSaleList",
    views : {
      menuContent : {
        templateUrl : "html/PStatistReport/purchaseVsSaleList.html",
        controller : "PurchaseVsSaleListCtrl"
      }
    }
  }).state("eventmenu.clientDebt", {
    url : "/clientDebt",
    views : {
      menuContent : {
        templateUrl : "html/PClientBaseInfo/ClientBaseInfoDebt.html",
        controller : "ClientDebtCtrl"
      }
    }
  }).state("eventmenu.clientDebtDetail", {
    params : {
      oppositeSideId : null,
      clientName : null,
      clientBanlance : null
    },
    url : "/clientDebtDetail",
    views : {
      menuContent : {
        templateUrl : "html/PClientBaseInfo/clientDebtDetail.html",
        controller : "ClientDebtDetailCtrl"
      }
    }
  }).state("eventmenu.goodStoreQuery", {
    params : {
      goods : null
    },
    url : "/goodStoreQuery",
    views : {
      menuContent : {
        templateUrl : "html/PStorageStockBill/goodStoreQuery.html",
        controller : "GoodStoreQueryCtrl"
      }
    }
  }).state("eventmenu.goodStoreRecord", {
    params : {
      storehouse : null,
      goodsName : null,
      goodsSn : null,
      colorId : null,
      sizeId : null,
      updateTimeBegin : null,
      updateTimeEnd : null
    },
    views : {
      menuContent : {
        templateUrl : "html/PStorageStockBill/goodStoreRecord.html",
        controller : "GoodStoreRecordCtrl"
      }
    }
  }).state("eventmenu.pickFromContact", {
    cache : false,
    params : {
      type : null
    },
    url : "/pickFromContact",
    views : {
      menuContent : {
        templateUrl : "html/PClientBaseInfo/pickFromContact.html",
        controller : "PickFromContactCtrl"
      }
    }
  }).state("eventmenu.deliveryCompanyList", {
    url : "/list",
    views : {
      menuContent : {
        templateUrl : "html/PLogisticsManage/LogisticsManageList.html",
        controller : "DeliveryCompanyCtrl"
      }
    }
  }).state("eventmenu.deliveryCompanyEdit", {
    cache : false,
    params : {
      id : null
    },
    views : {
      menuContent : {
        templateUrl : "html/PLogisticsManage/LogisticsManageEdit.html",
        controller : "DeliveryCompanyEditCtrl"
      }
    }
  }).state("eventmenu.printLogisticsForClient", {
    views : {
      menuContent : {
        templateUrl : "html/PLogisticsManage/printLogisticsForClient.html",
        controller : "PrintLogisticsForClientCtrl"
      }
    }
  }).state("eventmenu.eorderList", {
    views : {
      menuContent : {
        templateUrl : "html/PLogisticsManage/LogisticsManageOrderList.html",
        controller : "EorderListCtrl"
      }
    }
  }).state("eventmenu.paymentList", {
    url : "/paymentList",
    views : {
      menuContent : {
        templateUrl : "html/PServiceManage/ServiceManagePaymentList.html",
        controller : "PaymentListCtrl"
      }
    }
  }).state("eventmenu.myVaService", {
    cache : false,
    url : "/myVaService",
    views : {
      menuContent : {
        templateUrl : "html/PServiceManage/ServiceManageMyVaService.html",
        controller : "MyVaServiceCtrl"
      }
    }
  }).state("eventmenu.payServiceApply", {
    url : "/payServiceApply",
    params : {
      serviceType : null
    },
    views : {
      menuContent : {
        templateUrl : "html/PServiceManage/payServiceApply.html",
        controller : "PayServiceApplyCtrl"
      }
    }
  }).state("eventmenu.voucherList", {
    cache : false,
    url : "/paymentList",
    views : {
      menuContent : {
        templateUrl : "html/PServiceManage/ServiceManageVoucherList.html",
        controller : "VoucherListCtrl"
      }
    }
  }).state("eventmenu.smsSetting", {
    cache : false,
    url : "/smsSetting",
    views : {
      menuContent : {
        templateUrl : "html/PServiceManage/ServiceManageSetting.html",
        controller : "SmsSettingCtrl"
      }
    }
  }).state("eventmenu.smsRecord", {
    url : "/smsRecord",
    views : {
      menuContent : {
        templateUrl : "html/PServiceManage/ServiceManageSmsRecord.html",
        controller : "SmsRecordCtrl"
      }
    }
  }).state("eventmenu.smsTemplate", {
    url : "/smsTemplateList",
    views : {
      menuContent : {
        templateUrl : "html/PServiceManage/ServiceManageTemplate.html",
        controller : "SmsTemplateCtrl"
      }
    }
  }).state("eventmenu.smBatchSending", {
    url : "/smsTemplateList",
    views : {
      menuContent : {
        templateUrl : "html/PServiceManage/smBatchSending.html",
        controller : "SmBatchSendingCtrl"
      }
    }
  }).state("eventmenu.recommend", {
    url : "/recommend",
    views : {
      menuContent : {
        templateUrl : "html/PSystemSetup/SystemSetupRecommend.html",
        controller : "RecommendCtrl"
      }
    }
  }).state("eventmenu.transferReportDetail", {
    cache : false,
    url : "/report/transfer/transferReportDetail",
    views : {
      menuContent : {
        templateUrl : "html/PStatistReport/PMoveStatisReport/transferReportDetail.html",
        controller : "TransferReportCtrl"
      }
    }
  }).state("eventmenu.transferReportByOrder", {
    cache : false,
    url : "/report/transfer/transferReportByOrder",
    views : {
      menuContent : {
        templateUrl : "html/PStatistReport/PMoveStatisReport/transferReportByOrder.html",
        controller : "TransferReportCtrl"
      }
    }
  }).state("eventmenu.transferReportByGoods", {
    cache : false,
    url : "/report/transfer/transferReportByGoods",
    views : {
      menuContent : {
        templateUrl : "html/PStatistReport/PMoveStatisReport/transferReportByGoods.html",
        controller : "TransferReportCtrl"
      }
    }
  }).state("eventmenu.transferReportByStorehouse", {
    cache : false,
    url : "/report/transfer/transferReportByStorehouse",
    views : {
      menuContent : {
        templateUrl : "html/PStatistReport/PMoveStatisReport/transferReportByStorehouse.html",
        controller : "TransferReportCtrl"
      }
    }
  }).state("eventmenu.storeReportDetail", {
    cache : false,
    url : "/report/store/storeReportDetail",
    views : {
      menuContent : {
        templateUrl : "html/PStatistReport/PStockStatisReport/storeReportDetail.html",
        controller : "StoreReportCtrl"
      }
    }
  }).state("eventmenu.storeReportByStoreOrder", {
    cache : false,
    url : "/report/store/storeReportByStoreOrder",
    views : {
      menuContent : {
        templateUrl : "html/PStatistReport/PStockStatisReport/storeReportByStoreOrder.html",
        controller : "StoreReportCtrl"
      }
    }
  }).state("eventmenu.storeReportByGoods", {
    cache : false,
    url : "/report/store/storeReportByGoods",
    views : {
      menuContent : {
        templateUrl : "html/PStatistReport/PStockStatisReport/storeReportByGoods.html",
        controller : "StoreReportCtrl"
      }
    }
  }).state("eventmenu.storeReportByStorehouse", {
    cache : false,
    url : "/report/store/storeReportByStorehouse",
    views : {
      menuContent : {
        templateUrl : "html/PStatistReport/PStockStatisReport/storeReportByStorehouse.html",
        controller : "StoreReportCtrl"
      }
    }
  }).state("eventmenu.printBarCode", {
    url : "/printBarCode",
    params : {
      ordersSn : null
    },
    views : {
      menuContent : {
        templateUrl : "html/PWareBaseInfo/WareBaseInfoPrintBarCode.html",
        controller : "PrintBarCodeCtrl"
      }
    }
  }).state("eventmenu.generateBarCode", {
    url : "/generateBarCode",
    views : {
      menuContent : {
        templateUrl : "html/PWareBaseInfo/generateBarCode.html",
        controller : "GenerateBarCodeCtrl"
      }
    }
  }).state("eventmenu.qrCodeSetting", {
    url : "/qrCodeSetting",
    views : {
      menuContent : {
        templateUrl : "html/PSystemSetup/qrCodeSetting.html",
        controller : "QRCodeSettingCtrl"
      }
    }
  }).state("eventmenu.passengerVolume", {
    url : "/passengerVolume",
    views : {
      menuContent : {
        templateUrl : "html/PPassengerVolume/PassengerVolumeMain.html",
        controller : "PVMainCtrl"
      }
    }
  }).state("eventmenu.pvList", {
    url : "/pvList",
    views : {
      menuContent : {
        templateUrl : "html/PPassengerVolume/PassengerVolumeList.html",
        controller : "PVListCtrl"
      }
    }
  }).state("eventmenu.pvEdit", {
    cache : false,
    url : "/pvEdit",
    params : {
      item : null
    },
    views : {
      menuContent : {
        templateUrl : "html/PPassengerVolume/PassengerVolumeEdit.html",
        controller : "PVEditCtrl"
      }
    }
  }).state("eventmenu.pvRecord", {
    cache : false,
    url : "/pvRecord",
    params : {
      shopName : null,
      imei : null
    },
    views : {
      menuContent : {
        templateUrl : "html/PPassengerVolume/PassengerVolumeRecord.html",
        controller : "PVRecordCtrl"
      }
    }
  }).state("eventmenu.scaner", {
    url : "/scaner",
    views : {
      menuContent : {
        templateUrl : "html/PBluetoothManage/BluetoothManageScaner.html",
        controller : "BluetoothScanerCtrl"
      }
    }
  }).state("eventmenu.vaApply", {
    cache : false,
    url : "/vaApply",
    params : {
      htmlName : null,
      title : null
    },
    views : {
      menuContent : {
        templateUrl : "html/PServiceManage/ServiceManageVaApply.html",
        controller : "VaApplyCtrl"
      }
    }
  }).state("gestureLock", {
    cache : false,
    url : "/gestureLock",
    params : {
      type : null
    },
    templateUrl : "html/UserGestureLock.html",
    controller : "GestureLockCtrl"
  }).state("gestureUnLock", {
    cache : false,
    url : "/gestureUnLock",
    params : {
      type : null
    },
    templateUrl : "html/UserGestureLock.html",
    controller : "GestureLockCtrl"
  }).state("eventmenu.commonIFrame", {
    cache : false,
    url : "/commonIFrame",
    params : {
      title : null,
      currentUrl : null,
      isSharable : null,
      shareImgUrl : null,
      description : null
    },
    views : {
      menuContent : {
        templateUrl : "html/CommonIFrame.html",
        controller : "CommonIFrameCtrl"
      }
    }
  }).state("eventmenu.collection", {
    cache : false,
    url : "/collection",
    views : {
      menuContent : {
        templateUrl : "html/PWithdrawCash/WithdrawCashList.html",
        controller : "CollectionCtrl"
      }
    }
  }).state("eventmenu.cash", {
    cache : false,
    url : "/cash",
    views : {
      menuContent : {
        templateUrl : "html/PWithdrawCash/WithdrawQuickCash.html",
        controller : "CashCtrl"
      }
    }
  }).state("eventmenu.cashHistory", {
    url : "/cashHistory",
    views : {
      menuContent : {
        templateUrl : "html/PWithdrawCash/WithdrawQuickCashHis.html",
        controller : "CashHistoryCtrl"
      }
    }
  }).state("eventmenu.weChatPublic", {
    url : "/weChatPublic",
    views : {
      menuContent : {
        templateUrl : "html/PWithdrawCash/weChatPublic.html",
        controller : "WeChatPublicCtrl"
      }
    }
  }).state("eventmenu.tradeList", {
    cache : false,
    url : "/tradeList",
    views : {
      menuContent : {
        templateUrl : "html/PSystemSetup/SystemSetupTradeList.html",
        controller : "TradeListCtrl"
      }
    }
  }).state("eventmenu.partnerMain", {
    cache : false,
    url : "/partnerMain",
    views : {
      menuContent : {
        templateUrl : "html/PCooperatePartner/CooperatePartnerMain.html",
        controller : "PartnerMainCtrl"
      }
    }
  }).state("eventmenu.partnerClient", {
    cache : false,
    url : "/partnerClient",
    views : {
      menuContent : {
        templateUrl : "html/PCooperatePartner/CooperatePartnerClient.html",
        controller : "PartnerClientCtrl"
      }
    }
  }).state("eventmenu.partnerSupplier", {
    cache : false,
    url : "/partnerSupplier",
    views : {
      menuContent : {
        templateUrl : "html/PCooperatePartner/CooperatePartnerSupplier.html",
        controller : "PartnerSupplierCtrl"
      }
    }
  }).state("eventmenu.bindingPartnerClient", {
    cache : false,
    url : "/bindingPartnerClient",
    views : {
      menuContent : {
        templateUrl : "html/PCooperatePartner/clientBinding.html",
        controller : "BindingPartnerClientCtrl"
      }
    }
  }).state("eventmenu.clientStore", {
    cache : false,
    url : "/clientStore",
    params : {
      clientId : null,
      clientName : null
    },
    views : {
      menuContent : {
        templateUrl : "html/PCooperatePartner/CooperatePartnerClientStore.html",
        controller : "ClientStoreCtrl"
      }
    }
  }).state("eventmenu.clientStoreDetail", {
    cache : false,
    url : "/clientStoreDetail",
    params : {
      clientId : null,
      goodsId : null
    },
    views : {
      menuContent : {
        templateUrl : "html/PCooperatePartner/clientStoreDetail.html",
        controller : "ClientStoreDetailCtrl"
      }
    }
  }).state("eventmenu.partnerSupplierDetail", {
    cache : false,
    url : "/partnerSupplierDetail",
    params : {
      supplierId : null,
      supplierName : null
    },
    views : {
      menuContent : {
        templateUrl : "html/PCooperatePartner/supplierDetail.html",
        controller : "PartnerSupplierDetailCtrl"
      }
    }
  }).state("eventmenu.businessCommunityMain", {
    url : "/businessCommunityMain",
    views : {
      menuContent : {
        templateUrl : "html/PCommunitySharing/businessCommunity.html",
        controller : "BusinessCommunityMainCtrl"
      }
    }
  }).state("eventmenu.informationDetail", {
    url : "/informationDetail",
    params : {
      item : null
    },
    views : {
      menuContent : {
        templateUrl : "html/PCommunitySharing/informationDetail.html",
        controller : "InformationDetailCtrl"
      }
    }
  }).state("eventmenu.memberList", {
    url : "/memberList",
    views : {
      menuContent : {
        templateUrl : "html/POrderFormInfo/memberList.html",
        controller : "MemberListCtrl"
      }
    }
  }).state("eventmenu.memberEdit", {
    url : "/memberEdit",
    params : {
      id : null,
      name : null
    },
    views : {
      menuContent : {
        templateUrl : "html/POrderFormInfo/memberEdit.html",
        controller : "MemberEditCtrl"
      }
    }
  }).state("eventmenu.ecommerce", {
    cache : false,
    url : "/ecommerceList",
    views : {
      menuContent : {
        templateUrl : "html/TaoBaoConnect/ecommerceList.html",
        controller : "EcommerceCtrl"
      }
    }
  }).state("eventmenu.ecDownload", {
    cache : false,
    url : "/downloadOrders",
    views : {
      menuContent : {
        templateUrl : "html/TaoBaoConnect/downloadOrders.html",
        controller : "EcDownloadCtrl"
      }
    }
  }).state("eventmenu.eshopList", {
    cache : false,
    url : "/eshopList",
    views : {
      menuContent : {
        templateUrl : "html/TaoBaoConnect/eshopList.html",
        controller : "EshopListCtrl"
      }
    }
  }).state("eventmenu.eshopInfo", {
    cache : false,
    url : "/eshopEdit/:id",
    views : {
      menuContent : {
        templateUrl : "html/TaoBaoConnect/eshopEdit.html",
        controller : "EshopDetailCtrl"
      }
    }
  }).state("eventmenu.taoBaoOrderList", {
    url : "/orderList",
    views : {
      menuContent : {
        templateUrl : "html/TaoBaoConnect/orderList.html",
        controller : "EshopOrderCtrl"
      }
    }
  }).state("eventmenu.eshopOrderEdit", {
    cache : false,
    params : {
      orderId : null
    },
    url : "/eshopOrderEdit/:id",
    views : {
      menuContent : {
        templateUrl : "html/TaoBaoConnect/orderEdit.html",
        controller : "EshopOrderEditCtrl"
      }
    }
  });
}]);
