angular.module("saleController", ["ionic", "services", "tools"]).controller("SaleEditCtrl", ["$scope", "$ionicModal", "$stateParams", "$q", "$state", "lbSpinnerDialog", "$ionicPopup", "psisServices", "Tools", "$ionicActionSheet", "$ionicPopover", "lbScrollDelegate", "showInstructionBackdrop", "wechatShare", "lruPersistCache", "OrderType", "BluetoothPrintService", "commonDataInterface", "$cordovaDatePicker", "$ionicPlatform", "ServerConfig", "$timeout", "BTScanerService", "VaApplyItem", "BusinessConstant",
"$ionicLoading", SaleEditCtrl]).controller("SaleReturnEditCtrl", ["$scope", "$ionicModal", "$stateParams", "$q", "$state", "lbSpinnerDialog", "$ionicPopup", "psisServices", "Tools", "$ionicActionSheet", "$ionicPopover", "lbScrollDelegate", "showInstructionBackdrop", "wechatShare", "lruPersistCache", "OrderType", "BluetoothPrintService", "commonDataInterface", "$cordovaDatePicker", "$ionicPlatform", "ServerConfig", "$timeout", "BTScanerService", "BusinessConstant", "$ionicLoading", SaleReturnEditCtrl]).controller("SaleGoodModalCtrl",
["$scope", "$state", "$timeout", "$ionicPopover", "lbScrollDelegate", "lruPersistCache", "$ionicPopup", "Tools", "psisServices", "$ionicModal", "ServerConfig", "lbSpinnerDialog", "commonDataInterface", function($scope, $state, dataAndEvents, FB, widget, $templateCache, view, self, $http, $modal, obj, loading, shims) {
  /**
   * @return {undefined}
   */
  function init() {
    if ($state.includes("eventmenu.saleEdit") || $state.includes("eventmenu.saleReturnEdit")) {
      /** @type {string} */
      $scope.goodSelectSource = "sale";
      $scope.selectedGoodsList = $scope.saleOrder.goodsGroup;
    } else {
      if ($state.includes("eventmenu.purchaseEdit") || $state.includes("eventmenu.purchaseReturnEdit")) {
        /** @type {string} */
        $scope.goodSelectSource = "purchase";
        $scope.selectedGoodsList = $scope.purchaseOrder.goodsGroup;
      } else {
        if ($state.includes("eventmenu.retailEdit")) {
          /** @type {string} */
          $scope.goodSelectSource = "retail";
          $scope.selectedGoodsList = $scope.retailOrder.goodsGroup;
        } else {
          if ($state.includes("eventmenu.storeEdit") || $state.includes("eventmenu.storeTransferEdit")) {
            /** @type {string} */
            $scope.goodSelectSource = "store";
            $scope.selectedGoodsList = $scope.storeOrder.goodsGroup;
          }
        }
      }
    }
    var events = self.fnCheckGtoreQty(obj.userConfigData, "configKey", object);
    if (angular.isObject(events)) {
      if (1 == events.configValue) {
        /** @type {boolean} */
        $scope.selectedGood.isMultiSelectColor = true;
      }
    }
  }
  /** @type {string} */
  var object = "SelectGoodsModeForOrder";
  /** @type {string} */
  $scope.search.focused_good = $scope.platformIsPad || $state.includes("eventmenu.storeEdit") ? "centered" : "centered_3";
  /**
   * @return {undefined}
   */
  $scope.goToAddGoods = function() {
    $templateCache.put("needToAddGoodsFlag", true);
    if ($state.includes("eventmenu.storeEdit") || $state.includes("eventmenu.storeTransferEdit")) {
      $scope.goodsAddModal.show();
    } else {
      if ($state.includes("eventmenu.purchaseEdit")) {
        /** @type {boolean} */
        $scope.purchaseOrderContent.status = true;
        $scope.goodsAddModal.show();
      } else {
        $scope.modal.hide();
        $state.go("eventmenu.goodEdit");
      }
    }
  };
  /**
   * @param {Object} images
   * @return {undefined}
   */
  $scope.toggleGoodStore = function(images) {
    $scope.shownGoodStore = $scope.isGoodStoreShown(images) ? null : images;
    widget.resize("selectGoodForOrderMulScroll");
  };
  /**
   * @param {Object} images
   * @return {?}
   */
  $scope.isGoodStoreShown = function(images) {
    return $scope.shownGoodStore === images;
  };
  /**
   * @return {undefined}
   */
  $scope.openGoodImgModal = function() {
    if ($scope.goodImgModal) {
      $scope.goodImgModal.show();
    } else {
      $modal.fromTemplateUrl("html/PRetailAndSellBill/goodImgModal.html", function($location) {
        $scope.goodImgModal = $location;
        $scope.goodImgModal.show();
      }, {
        scope : $scope,
        animation : "slide-in-up"
      });
    }
  };
  /**
   * @param {Element} ignores
   * @param {?} event
   * @return {undefined}
   */
  $scope.showGoodImage = function(ignores, event) {
    if (event) {
      event.stopPropagation();
    }
    if (ignores.imagine) {
      loading.show();
      $http.post("/admin/inner/goods/album/goodsImgs.ac?goodsId=" + ignores.id).success(function(results) {
        $scope.goodImgs = results.rows;
        $scope.openGoodImgModal();
        if (0 == $scope.goodImgs.length) {
          /** @type {Array} */
          $scope.goodImgs = [{
            url : "img/detailpic_no_s.png"
          }];
        }
      }).finally(function() {
        loading.hide();
      });
    }
  };
  if ($scope.saleOrder) {
    FB.fromTemplateUrl("html/PRetailAndSellBill/SellPricePopover.html", {
      scope : $scope
    }).then(function($location) {
      /** @type {number} */
      $scope.pricePopover = $location;
    });
    /**
     * @param {Object} expectedNumberOfNonCommentArgs
     * @return {undefined}
     */
    $scope.saleOrder.openPricePopover = function(expectedNumberOfNonCommentArgs) {
      if (expectedNumberOfNonCommentArgs) {
        expectedNumberOfNonCommentArgs.stopPropagation();
      }
      $scope.pricePopover.show(expectedNumberOfNonCommentArgs);
    };
    /**
     * @return {undefined}
     */
    $scope.saleOrder.hidePricePopover = function() {
      $scope.pricePopover.hide();
    };
  }
  $scope.$on("$destroy", function() {
    if ($scope.saleOrder) {
      $scope.pricePopover.remove();
    }
    if ($scope.goodImgModal) {
      $scope.goodImgModal.remove();
    }
  });
  /**
   * @return {undefined}
   */
  $scope.goodComfirmSearch = function() {
    $scope.searchGoods();
  };
  /**
   * @return {undefined}
   */
  $scope.focusSearchInput = function() {
    /** @type {boolean} */
    $scope.search.focusGoodsInput = true;
    /** @type {string} */
    $scope.search.focused_good = "text-left";
  };
  /**
   * @return {?}
   */
  $scope.getFocusGoodsCss = function() {
    return $scope.search.focused_good = $scope.search.goodKey.length || $scope.search.focusGoodsInput ? "text-left" : $scope.platformIsPad ? "centered" : "centered_3", $scope.search.focused_good;
  };
  /**
   * @return {undefined}
   */
  $scope.clearSearch = function() {
    /** @type {string} */
    $scope.search.goodKey = "";
    $scope.searchGoods();
    /** @type {boolean} */
    $scope.search.focusGoodsInput = true;
  };
  /**
   * @param {string} settings
   * @return {?}
   */
  $scope.parseToInt = function(settings) {
    return settings.number ? parseInt(settings.number) : 0;
  };
  /**
   * @return {undefined}
   */
  $scope.changeColorsSelectMode = function() {
    if (!$scope.selectedGood.isMultiSelectColor) {
      var copies = $scope.selectedGood.seletedColors[0];
      /** @type {Array} */
      $scope.selectedGood.seletedColors = [];
      $scope.selectedGood.seletedColors.push(copies);
    }
    shims.saveOrUpdateUserConfig(object, $scope.selectedGood.isMultiSelectColor ? 1 : 0).then(function(line) {
      var fullMessage = self.fnCheckGtoreQty(obj.userConfigData, "configKey", object);
      if (fullMessage) {
        fullMessage.configValue = line.object.configValue;
      } else {
        obj.userConfigData.push(line.object);
      }
    });
  };
  /**
   * @param {?} newColor
   * @return {undefined}
   */
  $scope.changeColor = function(newColor) {
    $scope.selectedGood.color = newColor;
  };
  /**
   * @param {string} c
   * @return {undefined}
   */
  $scope.selectColor = function(c) {
    var pos = $scope.selectedGood.seletedColors.indexOf(c);
    if (pos > -1) {
      if ($scope.selectedGood.isMultiSelectColor) {
        if ($scope.selectedGood.seletedColors.length > 1) {
          $scope.selectedGood.seletedColors.splice(pos, 1);
        }
      }
    } else {
      if ($scope.selectedGood.isMultiSelectColor) {
        $scope.selectedGood.seletedColors.push(c);
      } else {
        $scope.selectedGood.seletedColors.splice(0, 1);
        $scope.selectedGood.seletedColors.push(c);
      }
    }
  };
  /**
   * @return {undefined}
   */
  $scope.selectAllColors = function() {
    if ($scope.selectedGood.isMultiSelectColor) {
      if ($scope.selectedGood.seletedColors.length == $scope.currentColors.length) {
        /** @type {Array} */
        $scope.selectedGood.seletedColors = [];
        $scope.selectedGood.seletedColors[0] = $scope.currentColors[0];
      } else {
        /** @type {number} */
        var fieldName = 0;
        var cnl = $scope.currentColors.length;
        for (;cnl > fieldName;fieldName++) {
          if ($scope.selectedGood.seletedColors.indexOf($scope.currentColors[fieldName]) < 0) {
            $scope.selectedGood.seletedColors.push($scope.currentColors[fieldName]);
          }
        }
      }
    }
  };
  /**
   * @param {boolean} str
   * @return {?}
   */
  $scope.getGoodsStore = function(str) {
    return $scope.selectedGood.seletedColors.length > 0 && str ? $scope.getGoodStoreNum($scope.selectedGood.seletedColors[0], str) : "..";
  };
  /**
   * @param {number} dataAndEvents
   * @param {?} key
   * @return {undefined}
   */
  $scope.setNumber = function(dataAndEvents, key) {
    var node = "-" == dataAndEvents ? "" : dataAndEvents;
    $scope.selectedGood.good.inputNumber = node;
    var pkgName = $scope.selectedGood.seletedColors[0].name;
    /** @type {number} */
    var i = 1;
    for (;i < $scope.selectedGood.seletedColors.length;i++) {
      pkgName += "、" + $scope.selectedGood.seletedColors[i].name;
    }
    /** @type {string} */
    var x = "颜色：" + pkgName + ($scope.selectedGood.seletedColors.length > 1 ? "\n" : " | ");
    x += key ? "尺码：" + key.name : "尺码：全部";
    if (window.cordova && window.cordova.plugins) {
      self.showPrompt(x, function(results) {
        if (2 == results.buttonIndex) {
          $scope.$apply(function() {
            if (results.input1 >= 0) {
              if ("" === results.input1) {
                return;
              }
              var dataAndEvents = self.getValidNum(results.input1, node);
              if (self.isNull(key)) {
                $scope.addToGoodsGroupBatch($scope.selectedGood.seletedColors, dataAndEvents);
                if ($scope.selectedGood.seletedColors.length > 0) {
                  $scope.selectedGood.good.batchNumArray[$scope.selectedGood.seletedColors[0].id] = dataAndEvents;
                }
              } else {
                $scope.addToGoodsGroup($scope.selectedGood.seletedColors, key, dataAndEvents,false,$scope.selectedGood.selectedUnits);
              }
            }
          });
        }
      }, "请输入商品数量", ["取消", "确认"], node ? node.toString() : 0);
    } else {
      view.show({
        cssClass : "lb-goodEdit-popup",
        template : '<input type="number" class="tc" ng-model="selectedGood.good.inputNumber" autofocus="true" placeholder="数量">',
        title : x,
        scope : $scope,
        buttons : [{
          text : "确认",
          type : "button-assertive",
          /**
           * @return {undefined}
           */
          onTap : function() {
            dataAndEvents = self.getValidNum($scope.selectedGood.good.inputNumber, node);
            if (self.isNull(key)) {
              $scope.addToGoodsGroupBatch($scope.selectedGood.seletedColors, dataAndEvents);
              if ($scope.selectedGood.seletedColors.length > 0) {
                /** @type {number} */
                $scope.selectedGood.good.batchNumArray[$scope.selectedGood.seletedColors[0].id] = dataAndEvents;
              }
            } else {
              $scope.addToGoodsGroup($scope.selectedGood.seletedColors, key, dataAndEvents,false,$scope.selectedGood.selectedUnits);
            }
          }
        }]
      });
    }
  };
  $scope.$on("modal.shown", function() {
    if (($state.includes("eventmenu.saleReturnEdit") || $state.includes("eventmenu.saleEdit")) && (0 == $scope.selectedGoodsList.length && $scope.saleOrder.goodsGroup.length > 0)) {
      $scope.selectedGoodsList = $scope.saleOrder.goodsGroup;
    } else {
      if ($state.includes("eventmenu.retailEdit") && (0 == $scope.selectedGoodsList.length && $scope.retailOrder.goodsGroup.length > 0)) {
        $scope.selectedGoodsList = $scope.retailOrder.goodsGroup;
      } else {
        if (($state.includes("eventmenu.purchaseReturnEdit") || $state.includes("eventmenu.purchaseEdit")) && (0 == $scope.selectedGoodsList.length && $scope.purchaseOrder.goodsGroup.length > 0)) {
          $scope.selectedGoodsList = $scope.purchaseOrder.goodsGroup;
        } else {
          if ($state.includes("eventmenu.storeTransferEdit")) {
            if ($scope.storeOrder.goodsGroup.length > 0) {
              $scope.selectedGoodsList = $scope.storeOrder.goodsGroup;
            }
          }
        }
      }
    }
  });
  init();
}]).controller("SaleGoodModalForPadCtrl", ["$scope", "$ionicSideMenuDelegate", "$state", "$timeout", "$ionicPopover", "lbScrollDelegate", "lruPersistCache", "$ionicPopup", "$ionicScrollDelegate", "Tools", "psisServices", function($scope, deepDataAndEvents, $state, $sanitize, FB, widget, $templateCache, _, dataAndEvents, console, res) {
  /** @type {string} */
  $scope.search.focused_good = "centered_1";
  $scope.goodHandle = deepDataAndEvents.$getByHandle("good-handle");
  /**
   * @return {undefined}
   */
  $scope.goToAddGoods = function() {
    $scope.modal.hide();
    $templateCache.put("needToAddGoodsFlag", true);
    $state.go("eventmenu.goodEdit");
  };
  /**
   * @param {?} event
   * @return {undefined}
   */
  $scope.goodToggleRight = function(event) {
    if (event) {
      event.stopPropagation();
    }
    $scope.goodHandle.toggleRight();
    widget.resize("selectedGoodsTempCtrlScroll");
  };
  /**
   * @param {Object} images
   * @return {undefined}
   */
  $scope.toggleGoodStore = function(images) {
    $scope.shownGoodStore = $scope.isGoodStoreShown(images) ? null : images;
    widget.resize("selectGoodForOrderMulScroll");
  };
  /**
   * @param {Object} images
   * @return {?}
   */
  $scope.isGoodStoreShown = function(images) {
    return $scope.shownGoodStore === images;
  };
  /**
   * @return {undefined}
   */
  $scope.resizeContentArea = function() {
    $sanitize(function() {
      dataAndEvents.$getByHandle("selectGoodForOrderMulScroll").scrollTo(0, 0, true);
      dataAndEvents.$getByHandle("selectGoodSkuInputScroll").scrollTo(0, 0, true);
    });
  };
  /**
   * @param {?} event
   * @return {undefined}
   */
  $scope.inputKeyPress = function(event) {
    if (13 === event.keyCode) {
      $scope.addToSaleGoods();
      console.keyboardHide();
    }
  };
  if ($scope.saleOrder) {
    FB.fromTemplateUrl("html/PRetailAndSellBill/SellPricePopover.html", {
      scope : $scope
    }).then(function($location) {
      /** @type {number} */
      $scope.pricePopover = $location;
    });
    /**
     * @param {Object} expectedNumberOfNonCommentArgs
     * @return {undefined}
     */
    $scope.saleOrder.openPricePopover = function(expectedNumberOfNonCommentArgs) {
      if (expectedNumberOfNonCommentArgs) {
        expectedNumberOfNonCommentArgs.stopPropagation();
      }
      $scope.pricePopover.show(expectedNumberOfNonCommentArgs);
    };
    /**
     * @return {undefined}
     */
    $scope.saleOrder.hidePricePopover = function() {
      $scope.pricePopover.hide();
    };
  }
  $scope.$on("$destroy", function() {
    if ($scope.saleOrder) {
      $scope.pricePopover.remove();
    }
  });
  /**
   * @return {undefined}
   */
  $scope.goodComfirmSearch = function() {
    $scope.searchGoods();
  };
  /**
   * @return {undefined}
   */
  $scope.focusSearchInput = function() {
    /** @type {boolean} */
    $scope.search.focusGoodsInput = true;
  };
  /**
   * @return {undefined}
   */
  $scope.clearSearch = function() {
    /** @type {string} */
    $scope.search.goodKey = "";
    $scope.searchGoods();
    /** @type {boolean} */
    $scope.search.focusGoodsInput = true;
  };
  /**
   * @param {string} settings
   * @return {?}
   */
  $scope.parseToInt = function(settings) {
    return settings.number ? parseInt(settings.number) : 0;
  };
  $scope.$on("modal.shown", function() {
    if ($state.includes("eventmenu.saleReturnEdit")) {
      if (0 == $scope.selectedGoodsList.length) {
        if ($scope.saleOrder.goodsGroup.length > 0) {
          $scope.selectedGoodsList = $scope.saleOrder.goodsGroup;
        }
      }
    }
    /** @type {boolean} */
    $scope.search.focusGoodsInput = true;
  });
  /**
   * @param {string} row
   * @return {undefined}
   */
  $scope.selectOrderGoods = function(row) {
    var data = console.fnCheckGtoreQty($scope.goodList, "goodsSn", row);
    if (data) {
      $scope.selectGood(data);
    } else {
      /** @type {Array} */
      var name = [];
      res.postEncode("/admin/inner/goods/goodsSelectForOrder.ac", {
        page : 1,
        searchKey : row
      }).success(function(_arg) {
        name = _arg.optionList;
        data = console.fnCheckGtoreQty(name, "goodsSn", row);
        $scope.selectGood(data);
      });
    }
    if ($scope.goodHandle.isOpenRight) {
      $scope.goodHandle.toggleRight();
    }
  };
  /**
   * @return {undefined}
   */
  $scope.getBatchInputNum = function() {
    if (window.cordova && window.cordova.plugins) {
      console.showPrompt("批量录入所有属性数量\n提示：【点击】尺码或颜色亦可批量录入", function(res) {
        if (2 == res.buttonIndex) {
          $scope.$apply(function() {
            var path = res.input1 <= 0 ? "" : $scope.fixedInputNumber(res.input1);
            /** @type {number} */
            var i = 0;
            var l = $scope.currentColors.length;
            for (;l > i;i++) {
              /** @type {number} */
              var j = 0;
              var spaces = $scope.currentSizes.length;
              for (;spaces > j;j++) {
                var id = $scope.currentColors[i].id;
                var name = $scope.currentSizes[j].id;
                if (!$scope.selectedGood.good[id]) {
                  /** @type {Array} */
                  $scope.selectedGood.good[id] = [];
                }
                $scope.selectedGood.good[id][name] = path;
              }
            }
          });
        }
      }, "批量录入", ["取消", "确认"], 0);
    } else {
      _.prompt({
        cssClass : "lb-select-goods-popup",
        title : "批量录入所有属性数量",
        template : "提示：【点击】尺码或颜色亦可批量录入",
        inputType : "number",
        cancelText : "取消",
        okText : "录入"
      }).then(function(attempted) {
        if (void 0 != attempted) {
          var path = 0 >= attempted ? "" : $scope.fixedInputNumber(attempted);
          /** @type {number} */
          var i = 0;
          var l = $scope.currentColors.length;
          for (;l > i;i++) {
            /** @type {number} */
            var j = 0;
            var spaces = $scope.currentSizes.length;
            for (;spaces > j;j++) {
              var id = $scope.currentColors[i].id;
              var name = $scope.currentSizes[j].id;
              if (!$scope.selectedGood.good[id]) {
                /** @type {Array} */
                $scope.selectedGood.good[id] = [];
              }
              $scope.selectedGood.good[id][name] = path;
            }
          }
        }
      });
    }
  };
  /**
   * @param {Object} map
   * @return {undefined}
   */
  $scope.getBatchInputNumForSize = function(map) {
    /** @type {string} */
    var x = "批量录入 【" + map.name + "】 的数量";
    if (window.cordova && window.cordova.plugins) {
      console.showPrompt(x, function(res) {
        if (2 == res.buttonIndex) {
          $scope.$apply(function() {
            var markup = res.input1 <= 0 ? "" : $scope.fixedInputNumber(res.input1);
            var id = map.id;
            /** @type {number} */
            var i = 0;
            var l = $scope.currentColors.length;
            for (;l > i;i++) {
              var pid = $scope.currentColors[i].id;
              if (!$scope.selectedGood.good[pid]) {
                /** @type {Array} */
                $scope.selectedGood.good[pid] = [];
              }
              $scope.selectedGood.good[pid][id] = markup;
            }
          });
        }
      }, "批量录入", ["取消", "确认"], 0);
    } else {
      _.prompt({
        cssClass : "lb-select-goods-popup",
        title : x,
        inputType : "number",
        cancelText : "取消",
        okText : "录入"
      }).then(function(attempted) {
        if (void 0 != attempted) {
          var markup = 0 >= attempted ? "" : $scope.fixedInputNumber(attempted);
          var id = map.id;
          /** @type {number} */
          var i = 0;
          var l = $scope.currentColors.length;
          for (;l > i;i++) {
            var pid = $scope.currentColors[i].id;
            if (!$scope.selectedGood.good[pid]) {
              /** @type {Array} */
              $scope.selectedGood.good[pid] = [];
            }
            $scope.selectedGood.good[pid][id] = markup;
          }
        }
      });
    }
  };
  /**
   * @param {Object} map
   * @return {undefined}
   */
  $scope.getBatchInputNumForColor = function(map) {
    /** @type {string} */
    var x = "批量录入 【" + map.name + "】 的数量";
    if (window.cordova && window.cordova.plugins) {
      console.showPrompt(x, function(res) {
        if (2 == res.buttonIndex) {
          $scope.$apply(function() {
            var path = res.input1 <= 0 ? "" : $scope.fixedInputNumber(res.input1);
            var id = map.id;
            /** @type {number} */
            var i = 0;
            var l = $scope.currentSizes.length;
            for (;l > i;i++) {
              var name = $scope.currentSizes[i].id;
              if (!$scope.selectedGood.good[id]) {
                /** @type {Array} */
                $scope.selectedGood.good[id] = [];
              }
              $scope.selectedGood.good[id][name] = path;
            }
          });
        }
      }, "批量录入", ["取消", "确认"], 0);
    } else {
      _.prompt({
        cssClass : "lb-select-goods-popup",
        title : x,
        inputType : "number",
        cancelText : "取消",
        okText : "录入"
      }).then(function(attempted) {
        if (void 0 != attempted) {
          var path = 0 >= attempted ? "" : $scope.fixedInputNumber(attempted);
          var id = map.id;
          /** @type {number} */
          var i = 0;
          var l = $scope.currentSizes.length;
          for (;l > i;i++) {
            var name = $scope.currentSizes[i].id;
            if (!$scope.selectedGood.good[id]) {
              /** @type {Array} */
              $scope.selectedGood.good[id] = [];
            }
            $scope.selectedGood.good[id][name] = path;
          }
        }
      });
    }
  };
  /**
   * @param {?} hash
   * @return {?}
   */
  $scope.totalCountForGood = function(hash) {
    /** @type {number} */
    var d = 0;
    var events = hash.colorIds.split(",");
    var resolveValues = hash.sizeIds.split(",");
    /** @type {number} */
    var i = 0;
    var l = events.length;
    for (;l > i;i++) {
      if (hash[events[i]]) {
        /** @type {number} */
        var unlock = 0;
        var length = resolveValues.length;
        for (;length > unlock;unlock++) {
          var chunk = hash[events[i]][resolveValues[unlock]];
          if (chunk) {
            d += chunk;
          }
        }
      }
    }
    return d;
  };
  if ($state.includes("eventmenu.saleEdit") || $state.includes("eventmenu.saleReturnEdit")) {
    /** @type {string} */
    $scope.goodSelectSource = "sale";
    $scope.selectedGoodsList = $scope.saleOrder.goodsGroup;
  } else {
    if ($state.includes("eventmenu.purchaseEdit") || $state.includes("eventmenu.purchaseReturnEdit")) {
      /** @type {string} */
      $scope.goodSelectSource = "purchase";
      $scope.selectedGoodsList = $scope.purchaseOrder.goodsGroup;
    } else {
      if ($state.includes("eventmenu.retailEdit")) {
        /** @type {string} */
        $scope.goodSelectSource = "retail";
      }
    }
  }
}]).controller("SelectClientCtrl", ["$scope", "$timeout", "psisServices", "Tools", "lbScrollDelegate", "$state", "lbSpinnerDialog", "lruPersistCache", "$ionicPopover", function(self, addClass, t, lang, parent, $state, loading, $templateCache, FB) {
  /** @type {number} */
  var page = 1;
  /** @type {Array} */
  self.clients = [];
  /** @type {string} */
  self.searchKey = "";
  /** @type {string} */
  self.focused = "centered";
  self.clientTypeItem = {
    clientTypeId : ""
  };
  /** @type {number} */
  var showDisable = 0;
  /**
   * @param {?} opt_attributes
   * @return {?}
   */
  var moveTo = function(opt_attributes) {
    return t.postEncode("/admin/inner/client/clientSelectJSON.ac", opt_attributes);
  };
  /**
   * @return {undefined}
   */
  self.getAllClientTypeItems = function() {
    t.httpCacheGet.get(t.httpCacheGet.ac.ALLCLIENTITEMS).success(function(theTitle) {
      self.clientTypeItems = theTitle;
    });
  };
  FB.fromTemplateUrl("clientTypePopover.html", {
    scope : self
  }).then(function(theTitle) {
    /** @type {number} */
    self.clientTypePopover = theTitle;
  });
  /**
   * @param {boolean} expectedNumberOfNonCommentArgs
   * @return {undefined}
   */
  self.openClientTypePopover = function(expectedNumberOfNonCommentArgs) {
    self.getAllClientTypeItems();
    self.clientTypePopover.show(expectedNumberOfNonCommentArgs);
  };
  /**
   * @return {undefined}
   */
  self.hideClientTypePopover = function() {
    self.clientTypePopover.hide();
  };
  self.$on("$destroy", function() {
    self.clientTypePopover.remove();
  });
  /**
   * @return {undefined}
   */
  var loaded = function() {
    /** @type {number} */
    page = 1;
    /** @type {number} */
    showDisable = $state.includes("eventmenu.saleEdit") || $state.includes("eventmenu.saleReturnEdit") ? 1 : 0;
    moveTo({
      page : page,
      searchKey : self.searchKey,
      showDisable : showDisable,
      clientItem : self.clientTypeItem.clientTypeId
    }).success(function(info) {
      self.clients = info.optionList;
      /** @type {boolean} */
      self.loadMoreBtn = info.currentPage < info.totalPage;
      if (self.clients.length > 0) {
        if (self.saleOrder) {
          if (null == self.saleOrder.ordersSn) {
            /* 新单会读取第一个单位，，我们新单为空
            if (!self.saleOrder.saleClient.val) {//如果是新单。单位为空时读入默认单位
              self.saleOrder.saleClient.val = self.clients[0].val;
              self.saleOrder.saleClient.text = self.clients[0].text;
              self.queryClientBanlance(self.saleOrder.saleClient.val);
              self.getClientDiscount(self.saleOrder.saleClient);
              if (1 === self.saleOrder.editType) {
                self.getClientDeliveryInfo(self.saleOrder.saleClient);
              }
            }*/
          }
        }
      }
    }).finally(function() {
      parent.scrollTop("selectClientCtrlScroll");
    });
  };
  /**
   * @return {undefined}
   */
  self.getMore = function() {
    moveTo({
      page : ++page,
      searchKey : self.searchKey,
      showDisable : showDisable,
      clientItem : self.clientTypeItem.clientTypeId
    }).success(function(info) {
      self.clients = self.clients.concat(info.optionList);
      /** @type {boolean} */
      self.loadMoreBtn = info.currentPage < info.totalPage;
      self.$broadcast("scroll.infiniteScrollComplete");
    }).finally(function() {
      parent.resize("selectClientCtrlScroll");
    });
  };
  /**
   * @param {Object} el
   * @return {undefined}
   */
  var init = function(el) {
    if (el) {
      if (el.val) {
        t.post("/admin/inner/client/getClientDiscount.ac", el.val).success(function(dataAndEvents) {
          /** @type {number} */
          self.saleOrder.clientDiscount = dataAndEvents;
          if (self.selectedGood.good.goodsSn) {
            /** @type {number} */
            self.selectedGood.discount = 100;
            if (self.saleOrder.clientDiscount) {
              if (self.saleOrder.clientDiscount.clientDiscount) {
                self.selectedGood.discount = self.saleOrder.clientDiscount.clientDiscount;
              }
            }
          }
          var unlock;
          for (unlock in self.saleOrder.goodsGroup) {
            var fName;
            for (fName in self.saleOrder.goodsGroup[unlock].goods) {
              var meta = self.saleOrder.goodsGroup[unlock].goods[fName];
              /** @type {number} */
              var level = 100;
              if (self.saleOrder.clientDiscount.clientDiscount) {
                level = self.saleOrder.clientDiscount.clientDiscount;
              }
              meta.discount = level;
              meta.truePrice = self.calcDetailTruePrice(meta.price, meta.discount);
            }
          }
          self.setTotalAmount();
        });
      }
    }
  };
  /**
   * @param {Object} el
   * @return {undefined}
   */
  var postLink = function(el) {
    init(el);
    self.queryClientBanlance(el.val);
    self.getClientDeliveryInfo(el);
    self.saleOrder.saleClient.val = el.val;
    self.saleOrder.saleClient.text = el.text;
    self.clientModal.hide();
  };
  /**
   * @param {Object} el
   * @return {undefined}
   */
  var Text = function(el) {
    init(el);
    self.queryClientBanlance(el.val, function() {
      self.judgePayOrCharge();
    });
    self.saleOrder.saleClient.val = el.val;
    self.saleOrder.saleClient.text = el.text;
    if (el.id) {
      self.saleOrder.saleClient.id = el.id;
    }
    self.clientModal.hide();
  };
  /**
   * @param {Object} data
   * @return {undefined}
   */
  var loadData = function(data) {
    self.queryCondition.clientId = data.val;
    self.listQueryClient.text = data.text;
    self.clientModal.hide();
  };
  /**
   * @param {Object} method
   * @return {undefined}
   */
  var open = function(method) {
    /** @type {Object} */
    self.initDebtObject.client = method;
    self.clientModal.hide();
  };
  /**
   * @param {Object} options
   * @return {undefined}
   */
  var run = function(options) {
    self.orderEdit.orderClient.val = options.val;
    self.orderEdit.orderClient.text = options.text;
    self.clientModal.hide();
  };
  /**
   * @param {Object} onComplete
   * @return {undefined}
   */
  var finish = function(onComplete) {
    /** @type {Object} */
    self.searchModel.client = onComplete;
    self.clientModal.hide();
  };
  /**
   * @param {Object} el
   * @return {undefined}
   */
  var callback = function(el) {
    self.record.client.text = el.text;
    self.record.client.id = el.val;
    self.clientModal.hide();
  };
  /**
   * @param {Object} el
   * @return {undefined}
   */
  var attach = function(el) {
    self.clientPrintOjb.client.val = el.val;
    self.clientPrintOjb.client.text = el.text;
    self.getPrintData(self.clientPrintOjb.client.val);
    self.clientModal.hide();
  };
  /**
   * @param {Object} data
   * @return {undefined}
   */
  var done = function(data) {
    self.queryCondition.clientId = data.val;
    self.listQueryClient.text = data.text;
    self.clientModal.hide();
  };
  /**
   * @param {Node} el
   * @return {undefined}
   */
  var hide = function(el) {
    self.currentClientId = el.val;
    self.getClientInfo(self.currentClientId);
    self.clientModal.hide();
  };
  /**
   * @param {Object} data
   * @return {undefined}
   */
  var save = function(data) {
    self.record.client.clientId = data.val;
    self.record.client.clientName = data.text;
    self.clientModal.hide();
  };
  /**
   * @return {undefined}
   */
  self.searchClient = function() {
    loaded();
  };
  var throttledUpdate = ionic.debounce(self.searchClient, 500);
  /**
   * @return {undefined}
   */
  self.searchClientByKeyword = function() {
    throttledUpdate();
  };
  /**
   * @return {undefined}
   */
  self.focusSearchInput = function() {
    document.getElementById("searchClientInput").focus();
  };
  /**
   * @param {Function} orig
   * @return {undefined}
   */
  self.selectClientItem = function(orig) {
    /** @type {Function} */
    self.clientTypeItem = orig;
    self.clientTypeItem.clientTypeId = orig.id;
  };
  /**
   * @return {undefined}
   */
  self.clearSearch = function() {
    /** @type {string} */
    self.searchKey = "";
    /** @type {string} */
    self.focused = "centered";
    self.searchClient();
  };
  /**
   * @return {undefined}
   */
  self.clearClientType = function() {
    self.clientTypeItem = {};
    /** @type {string} */
    self.clientTypeItem.clientTypeId = "";
    self.searchClient();
  };
  /**
   * @param {Node} el
   * @return {undefined}
   */
  self.refreshClientPrice = function(el) {
    if (self.saleOrder.goodsGroup.length > 0) {
      /** @type {Array} */
      var map = [];
      /** @type {number} */
      var objUid = 0;
      var cnl = self.saleOrder.goodsGroup.length;
      for (;cnl > objUid;objUid++) {
        map[objUid] = self.saleOrder.goodsGroup[objUid].goodsSn;
      }
      loading.show(true);
      t.postArrParamEncode("/admin/inner/client/getClientWithPrices.ac", {
        id : el.val,
        goodsSnArr : map
      }).success(function(message) {
        self.goodsPricesList = message.goodsPricesList;
        /** @type {number} */
        var conditionIndex = 0;
        for (;conditionIndex < self.saleOrder.goodsGroup.length;conditionIndex++) {
          var codeSegments = self.saleOrder.goodsGroup[conditionIndex].goods;
          var clientItemPrice = lang.fnCheckGtoreQty(self.goodsPricesList, "goodsSn", self.saleOrder.goodsGroup[conditionIndex].goodsSn);
          /** @type {number} */
          var i = 0;
          for (;i < codeSegments.length;i++) {
            if (1 == self.businessConfigValue.defaultLastPrice) {
              var item = lang.getObjectByObject(self.goodsPricesList, {
                goodsSn : self.saleOrder.goodsGroup[conditionIndex].goodsSn,
                colorId : codeSegments[i].colorId,
                sizeId : codeSegments[i].sizeId
              });
              if (item) {
                codeSegments[i].price = item.clientPrice;
                codeSegments[i].truePrice = item.clientTruePrice;
                codeSegments[i].discount = self.calcDetailDiscount(codeSegments[i].truePrice, codeSegments[i].price);
              } else {
                codeSegments[i].price = clientItemPrice.clientItemPrice ? clientItemPrice.clientItemPrice : clientItemPrice.tradePrice;
                codeSegments[i].truePrice = self.calcDetailTruePrice(codeSegments[i].price, codeSegments[i].discount);
              }
            } else {
              codeSegments[i].price = clientItemPrice.clientItemPrice ? clientItemPrice.clientItemPrice : clientItemPrice.tradePrice;
              codeSegments[i].truePrice = self.calcDetailTruePrice(codeSegments[i].price, codeSegments[i].discount);
            }
          }
        }
        self.setTotalAmount();
      }).finally(function() {
        loading.hide();
      });
    }
  };
  /**
   * @param {Object} onComplete
   * @return {undefined}
   */
  self.selectClient = function(onComplete) {
    if ($state.includes("eventmenu.saleEdit")) {
      postLink(onComplete);
      self.refreshClientPrice(onComplete);
    } else {
      if ($state.includes("eventmenu.saleReturnEdit")) {
        Text(onComplete);
        self.refreshClientPrice(onComplete);
      } else {
        if ($state.includes("eventmenu.saleList") || $state.includes("eventmenu.saleReturnList")) {
          loadData(onComplete);
        } else {
          if ($state.includes("eventmenu.clientDebt")) {
            open(onComplete);
          } else {
            if ($state.includes("eventmenu.tmsOrderEdit")) {
              run(onComplete);
            } else {
              if ($state.includes("eventmenu.financeRecordDetail")) {
                callback(onComplete);
              } else {
                if ($state.includes("eventmenu.printLogisticsForClient")) {
                  attach(onComplete);
                } else {
                  if ($state.includes("eventmenu.logisticsOrderList")) {
                    done(onComplete);
                  } else {
                    if ($state.includes("eventmenu.memberEdit")) {
                      hide(onComplete);
                    } else {
                      if ($state.includes("eventmenu.cash") || $state.includes("eventmenu.cashHistory")) {
                        save(onComplete);
                      } else {
                        if ($state.includes("eventmenu.retailEdit")) {
                          retailSelectClient(onComplete);
                        } else {
                          finish(onComplete);
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  };

  var retailSelectClient = function(el) {
    self.saleOrder.saleClient.val = el.val;
    self.saleOrder.saleClient.text = el.text;
    self.clientModal.hide();
  };

  /**
   * @return {undefined}
   */
  self.selectNoneClient = function() {
    if ($state.includes("eventmenu.cash") || $state.includes("eventmenu.cashHistory")) {
      /** @type {boolean} */
      self.record.client.clientIsNull = true;
      /** @type {string} */
      self.record.client.clientId = "";
      /** @type {string} */
      self.record.client.clientName = "无客户";
    }
    self.clientModal.hide();
  };
  self.$on("modal.hidden", function() {
    lang.keyboardHide();
  });
  /**
   * @return {undefined}
   */
  self.addClient = function() {
    self.clientModal.hide();
    if (self.saleListQueryModal) {
      self.saleListQueryModal.hide();
    }
    $templateCache.put("needToAddClientFlag", true);
    addClass(function() {
      var params = {};
      if (self.searchKey) {
        if ("" != self.searchKey) {
          params = {
            name : self.searchKey
          };
        }
      }
      $state.go("eventmenu.clientEdit", params);
    });
  };
  if ($state.includes("eventmenu.saleEdit") || $state.includes("eventmenu.saleReturnEdit")) {
    /**
     * @param {?} onComplete
     * @return {undefined}
     */
    self.saleOrder.selectClient = function(onComplete) {
      self.selectClient(onComplete);
      /** @type {number} */
      page = 1;
      loaded();
    };
  } else {
    if ($state.includes("eventmenu.printLogisticsForClient")) {
      /**
       * @param {?} onComplete
       * @return {undefined}
       */
      self.clientPrintOjb.selectClient = function(onComplete) {
        self.selectClient(onComplete);
        /** @type {number} */
        page = 1;
        loaded();
      };
    } else {
      if ($state.includes("eventmenu.cash") || $state.includes("eventmenu.cashHistory")) {
        /** @type {boolean} */
        self.isNoneClient = true;
      }
    }
  }
  loaded();
}]).controller("SelectSalerCtrl", ["$scope", "$timeout", "psisServices", "Tools", "lbScrollDelegate", "$state", "lbSpinnerDialog", "lruPersistCache", function(self, dataAndEvents, deepDataAndEvents, ignoreMethodDoesntExist, widget, $state) {
  /** @type {string} */
  self.focused = "centered";
  self.searchObj = {
    searchEmployee : ""
  };
  /**
   * @param {Object} res
   * @return {?}
   */
  self.filterSaler = function(res) {
    return self.searchObj.searchEmployee.length > 0 ? res.text.indexOf(self.searchObj.searchEmployee) > -1 : true;
  };
  /**
   * @return {undefined}
   */
  self.salerResize = function() {
    widget.resize("salerListCtrlScroll");
  };
  /**
   * @return {undefined}
   */
  self.clearSearch = function() {
    /** @type {string} */
    self.searchObj.searchEmployee = "";
    /** @type {string} */
    self.focused = "centered";
  };
  /**
   * @param {?} h
   * @return {undefined}
   */
  var hue = function(h) {
    self.saleOrder.saler = h;
    self.salerModal.hide();
  };
  /**
   * @param {?} o
   * @return {undefined}
   */
  var compile = function(o) {
    self.salerCondition.saler = o;
    self.salerModal.hide();
  };
  /**
   * @param {?} f
   * @return {undefined}
   */
  var slide = function(f) {
    self.retailOrder.saler = f;
    self.salerModal.hide();
  };
  /**
   * @param {?} height
   * @return {undefined}
   */
  var initialize = function(height) {
    self.search.saler = height;
    self.salerModal.hide();
  };
  /**
   * @param {?} handle
   * @return {undefined}
   */
  var setLineHidden = function(handle) {
    self.searchModel.saler = handle;
    self.salerModal.hide();
  };
  /**
   * @param {?} handler
   * @return {undefined}
   */
  var off = function(handler) {
    self.searchModel.handler = handler;
    self.salerModal.hide();
  };
  /**
   * @param {?} h
   * @return {undefined}
   */
  self.selectSaler = function(h) {
    if ($state.includes("eventmenu.saleEdit") || $state.includes("eventmenu.saleReturnEdit")) {
      hue(h);
    } else {
      if ($state.includes("eventmenu.saleList") || ($state.includes("eventmenu.saleReturnList") || $state.includes("eventmenu.logisticsOrderList"))) {
        compile(h);
      } else {
        if ($state.includes("eventmenu.retailEdit")) {
          slide(h);
        } else {
          if ($state.includes("eventmenu.retailList")) {
            initialize(h);
          } else {
            if ($state.includes("eventmenu.saleReportByOrder") || ($state.includes("eventmenu.saleReportBySaleMan") || $state.includes("eventmenu.saleReportDetail"))) {
              if (1 === self.salerFalg) {
                setLineHidden(h);
              } else {
                if (2 === self.salerFalg) {
                  off(h);
                }
              }
            }
          }
        }
      }
    }
  };
}]).controller("SaleListCtrl", ["$scope", "$state", "psisServices", "$ionicModal", "lbScrollDelegate", "Tools", "lruPersistCache", "$cordovaDatePicker", "lbSpinnerDialog", "BTScanerService", "$ionicPopover", "$timeout", "$window", function(self, $state, _, $modal, parent, $, $templateCache, $scope, loading, $document, FB, $sanitize, $window) {
  /** @type {boolean} */
  self.isLoading = true;
  self.queryCondition = {
    page : 1,
    state : 12
  };
  self.salerCondition = {};
  self.listQueryClient = {};
  var character;
  var chr;
  if (self.listQueryClient.isShowPrintCounts = "false" != $window.localStorage.isShowPrintCounts_Sale ? true : false, self.commonConfig) {
    var n = self.commonConfig.orderListDays;
    if (n) {
      character = (new Date).setDate((new Date).getDate() - n);
      /** @type {number} */
      chr = (new Date).getTime();
    }
    var isShowPrintCounts = self.commonConfig.isShowPrintCounts;
    if (0 == isShowPrintCounts) {
      /** @type {boolean} */
      self.listQueryClient.isShowPrintCounts = false;
    }
  }
  self.listQueryClient.createTimeBegin = character ? character : "";
  /** @type {(number|string)} */
  self.listQueryClient.createTimeEnd = chr ? chr : "";
  /** @type {number} */
  self._itemType = 0;
  if ($state.includes("eventmenu.saleList")) {
    /** @type {number} */
    self._itemType = 1;
    self.viewTitle = self.NameConstant.WHOLESALELIST;
    self.isUserAccAvailable = self.GetOperatorEventLimit("807");
  } else {
    if ($state.includes("eventmenu.saleReturnList")) {
      /** @type {number} */
      self._itemType = 2;
      self.viewTitle = self.NameConstant.WHOLESALERETURNLIST;
      self.isUserAccAvailable = self.GetOperatorEventLimit("814");
    }
  }
  /** @type {number} */
  self.queryCondition.itemType = self._itemType;
  /**
   * @return {?}
   */
  var Step = function() {
    /** @type {string} */
    var reversed = "";
    switch(self._itemType) {
      case 1:
        /** @type {string} */
        reversed = "/admin/inner/sale/wholesaleOrdersListJSON.ac";
        break;
      case 2:
        /** @type {string} */
        reversed = "/admin/inner/sale/rejectWholesaleOrdersListJSON.ac";
    }
    return _.postEncode(reversed, self.queryCondition);
  };
  /**
   * @return {undefined}
   */
  self.getList = function() {
    /** @type {number} */
    self.queryCondition.page = 1;
    if (self.listQueryClient.createTimeBegin) {
      self.queryCondition.createTimeBegin = $.transferGMTStringtoBJTime($.getDayBeginStr(self.listQueryClient.createTimeBegin));
    } else {
      delete self.queryCondition.createTimeBegin;
    }
    if (self.listQueryClient.createTimeEnd) {
      self.queryCondition.createTimeEnd = $.transferGMTStringtoBJTime($.getOffsetDayBeginStr(self.listQueryClient.createTimeEnd, 1));
    } else {
      delete self.queryCondition.createTimeEnd;
    }
    if (self.salerCondition.saler && self.salerCondition.saler.val) {
      self.queryCondition.salerId = self.salerCondition.saler.val;
    } else {
      delete self.queryCondition.salerId;
    }
    if (self.listQueryClient.isShowPrintCounts) {
      /** @type {number} */
      self.queryCondition.isShowPrintCounts = 1;
    } else {
      delete self.queryCondition.isShowPrintCounts;
    }
    if (0 == self.queryCondition.state) {
      delete self.queryCondition.state;
    }
    loading.show();
    Step().success(function(data) {
      self.items = data.rows;
      /** @type {boolean} */
      self.loadMoreBtn = data.page < data.total;
    }).finally(function() {
      /** @type {boolean} */
      self.isLoading = false;
      loading.hide();
      parent.scrollTop("saleListCtrlScroll");
    });
  };
  /**
   * @return {undefined}
   */
  self.getMore = function() {
    self.queryCondition.page++;
    Step().success(function(options) {
      self.items = self.items.concat(options.rows);
      /** @type {boolean} */
      self.loadMoreBtn = options.page < options.total;
      self.$broadcast("scroll.infiniteScrollComplete");
    }).finally(function() {
      parent.resize("saleListCtrlScroll");
    });
  };
  /**
   * @return {undefined}
   */
  self.createNewOrder = function() {
    if (1 === self._itemType) {
      if ($templateCache.get("saleOrderImgsCache")) {
        $templateCache.remove("saleOrderImgsCache");
      }
      $state.go("eventmenu.saleEdit", {
        billID : null,
        ordersSn : null,
        timeStamp : $.getTimeStamp()
      });
    } else {
      if (2 === self._itemType) {
        $state.go("eventmenu.saleReturnEdit", {
          billID : null,
          ordersSn : null,
          timeStamp : $.getTimeStamp()
        });
      }
    }
  };
  /**
   * @param {?} dataAndEvents
   * @param {(number|string)} deepDataAndEvents
   * @return {undefined}
   */
  self.goSale = function(dataAndEvents, deepDataAndEvents,billID) {
    var logoutState;
    if (1 === deepDataAndEvents) {
      switch(self._itemType) {
        case 1:
          /** @type {string} */
          logoutState = "eventmenu.saleEdit";
          break;
        case 2:
          /** @type {string} */
          logoutState = "eventmenu.saleReturnEdit";
      }
    } else {
      switch(self._itemType) {
        case 1:
          /** @type {string} */
          logoutState = "eventmenu.saleDetail";
          break;
        case 2:
          /** @type {string} */
          logoutState = "eventmenu.saleReturnDetail";
      }
    }
    $state.go(logoutState, {
      ordersSn : dataAndEvents,
      billID : billID
    });
  };
  /**
   * @param {?} argument
   * @return {?}
   */
  self.getTotalAmount = function(argument) {
    var initial = argument.trueTotalAmount < 0 ? -argument.trueTotalAmount : argument.trueTotalAmount;
    return argument.otherCost && (initial = $.accAdd(initial, argument.otherCost)), argument.wipeZero && (initial = $.accSub(initial, argument.wipeZero)), initial;
  };
  /**
   * @return {undefined}
   */
  self.setCreateTimeBegin = function() {
    $scope.show({
      date : self.listQueryClient.createTimeBegin ? new Date(self.listQueryClient.createTimeBegin) : new Date,
      mode : "date",
      minDate : "",
      maxDate : "",
      doneButtonLabel : "确定",
      cancelButtonLabel : "取消"
    }).then(function(date1) {
      if (!isNaN(date1.getTime())) {
        self.listQueryClient.createTimeBegin = date1.getTime();
      }
    });
  };
  /**
   * @return {undefined}
   */
  self.setCreateTimeEnd = function() {
    $scope.show({
      date : self.listQueryClient.createTimeEnd ? new Date(self.listQueryClient.createTimeEnd) : new Date,
      mode : "date",
      minDate : "",
      maxDate : "",
      doneButtonLabel : "确定",
      cancelButtonLabel : "取消"
    }).then(function(date1) {
      if (!isNaN(date1.getTime())) {
        self.listQueryClient.createTimeEnd = date1.getTime();
      }
    });
  };
  /**
   * @return {undefined}
   */
  self.clearQueryCondition = function() {
    /** @type {null} */
    self.listQueryClient.createTimeBegin = null;
    /** @type {null} */
    self.listQueryClient.createTimeEnd = null;
    /** @type {string} */
    self.listQueryClient.text = "";
    /** @type {boolean} */
    self.listQueryClient.isShowPrintCounts = false;
    delete self.queryCondition.clientId;
    delete self.queryCondition.ordersSn;
    delete self.queryCondition.salerId;
    self.salerCondition = {};
  };
  $modal.fromTemplateUrl("saleListQuery.html", function(theTitle) {
    self.saleListQueryModal = theTitle;
  }, {
    scope : self,
    animation : "slide-in-up"
  });
  $modal.fromTemplateUrl("html/PRetailAndSellBill/SellBillSelectSaler.html", function(theTitle) {
    self.salerModal = theTitle;
  }, {
    scope : self,
    animation : "slide-in-up",
    focusFirstInput : true
  });
  /**
   * @param {boolean} expectedNumberOfNonCommentArgs
   * @return {undefined}
   */
  self.salerModalOpen = function(expectedNumberOfNonCommentArgs) {
    self.salerModal.show(expectedNumberOfNonCommentArgs).then(function() {
      $.keyboardShow();
    });
  };
  $modal.fromTemplateUrl("html/PRetailAndSellBill/selectClient.html", function(theTitle) {
    self.clientModal = theTitle;
  }, {
    scope : self,
    animation : "slide-in-up",
    focusFirstInput : true
  });
  /**
   * @return {undefined}
   */
  self.clientModalOpen = function() {
    self.clientModal.show().then(function() {
      $.keyboardShow();
    });
  };
  FB.fromTemplateUrl("salerPopover.html", {
    scope : self
  }).then(function(theTitle) {
    self.salerPopover = theTitle;
  });
  /**
   * @param {boolean} expectedNumberOfNonCommentArgs
   * @return {undefined}
   */
  self.openSalerPopover = function(expectedNumberOfNonCommentArgs) {
    self.salerPopover.show(expectedNumberOfNonCommentArgs);
  };
  /**
   * @return {undefined}
   */
  self.hideSalerPopover = function() {
    self.salerPopover.hide();
  };
  FB.fromTemplateUrl("orderOperation.html", {
    scope : self
  }).then(function(theTitle) {
    self.orderOperationPopover = theTitle;
  });
  /**
   * @return {undefined}
   */
  self.goEorderList = function() {
    $state.go("eventmenu.eorderList");
  };
  self.$on("$destroy", function() {
    self.saleListQueryModal.remove();
    self.salerModal.remove();
    self.clientModal.remove();
    if (self.salerPopover) {
      self.salerPopover.remove();
    }
    if (self.orderOperationPopover) {
      self.orderOperationPopover.remove();
    }
  });
  self.$on("$ionicView.beforeEnter", function() {
    if ($templateCache.get("saleListRefresh")) {
      if ($templateCache.get("saleListRefresh") === true) {
        self.getList();
        $templateCache.put("saleListRefresh", false);
      }
    }
    $document.getScanerCode(function(fmt) {
      console.log(fmt);
    }, self.bluethoothScaner);
    if (self.platformIsAndroid) {
      $sanitize(function() {
        if (window.plugins) {
          if (window.plugins.bluetoothPrinter) {
            window.plugins.bluetoothPrinter.close(angular.noop, angular.noop);
          }
        }
      }, 2E3);
    }
  });
  self.$on("$ionicView.beforeLeave", function() {
    /** @type {string} */
    $window.localStorage.isShowPrintCounts_Sale = self.listQueryClient.isShowPrintCounts ? "true" : "false";
  });
  self.$on("$ionicView.loaded", function() {
    self.getList();
    _.httpCacheGet.get(_.httpCacheGet.ac.COMPANYUSERBYPARAM).success(function(message) {
      self.allSaler = message.optionList;
    });
  });
}]).controller("SaleDetailCtrl", ["$scope", "$stateParams", "psisServices", "Tools", "$state", "wechatShare", "lbSpinnerDialog", "$ionicPopover", "$ionicPopup", "lruPersistCache", "OrderType", "BluetoothPrintService", "$ionicModal", "commonDataInterface", "$timeout", "ServerConfig", "BTScanerService", "$q", function($scope, item, db, _, $state, contextElem, loading, FB, $window, $templateCache, dataAndEvents, UnitBluetoothPrint, $modal,
model, $sanitize, context, $cookieStore, $q) {
  /**
   * @return {?}
   */
  function init() {
    return 5 == $scope.delivery.deliveryType ? $scope.delivery.deliveryCompany && $scope.delivery.contact ? $scope.delivery.contactNumber ? $scope.clientsInfo.province && $scope.clientsInfo.province.id ? $scope.clientsInfo.city && $scope.clientsInfo.city.id ? $scope.clientsInfo.country && $scope.clientsInfo.country.id ? $scope.clientsInfo.address ? true : (_.toastShow("需要填写详细地址"),
    console.log("需要填写详细地址"), false) : (_.toastShow("需要选择区县"), console.log("需要选择区县"), false) : (_.toastShow("需要选择城市"), console.log("需要选择城市"), false) : (_.toastShow("需要选择省份"), console.log("需要选择省份"), false) : (_.toastShow("需要填写收件人联系电话"),
    console.log("需要填写收件人联系电话"), false) : (_.toastShow("需要填写收件人"), console.log("需要填写收件人"), false) : true;
  }
  /**
   * @return {?}
   */
  function fetch() {
    var imageDfd = $q.defer();
    var request1 = db.httpCacheGet.get(db.httpCacheGet.ac.ALLDELIVERY);
    return $q.all([request1]).then(function(image) {
      imageDfd.resolve(image);
    }, function() {
      imageDfd.reject();
    }), imageDfd.promise;
  }
  /**
   * @return {?}
   */
  function resolve() {
    var imageDfd = $q.defer();
    var request1 = db.httpCacheGet.get(db.httpCacheGet.ac.ALLONLINEDELIVERY);
    return $q.all([request1]).then(function(image) {
      imageDfd.resolve(image);
    }, function() {
      imageDfd.reject();
    }), imageDfd.promise;
  }
  var name = item.ordersSn;
  var billID = item.billID;
  /** @type {number} */
  $scope._itemType = 0;
  if ($state.includes("eventmenu.saleDetail")) {
    /** @type {number} */
    $scope._itemType = 1;
    $scope.viewTitle = $scope.NameConstant.WHOLESALEORDER;
    $scope.isUserAccAvailable = $scope.GetOperatorEventLimit("807");
    $scope.isPrintAvailable = $scope.GetOperatorEventLimit("810");
  } else {
    if ($state.includes("eventmenu.saleReturnDetail")) {
      /** @type {number} */
      $scope._itemType = 2;
      $scope.viewTitle = $scope.NameConstant.WHOLESALERETURNORDER;
      $scope.isUserAccAvailable = $scope.GetOperatorEventLimit("814");
      $scope.isPrintAvailable = $scope.GetOperatorEventLimit("817");
    }
  }
  $scope.destroyAccAvailable = 1 == $scope._itemType && $scope.GetOperatorEventLimit("3858") || 2 == $scope._itemType && $scope.GetOperatorEventLimit("3858");
  $scope.tranToAccAvailable = $scope.GetOperatorEventLimit("3858");
  /**
   * @param {?} orderId
   * @return {undefined}
   */
  $scope.goUploadPicture = function(orderId) {
    $state.go("eventmenu.saleUploadPicture", {
      orderId : orderId
    });
  };
  $modal.fromTemplateUrl("saleImgModal.html", function($location) {
    $scope.saleImgModal = $location;
  }, {
    scope : $scope,
    animation : "slide-in-up"
  });
  /**
   * @return {undefined}
   */
  $scope.openMessagesFrame = function() {
    if ($scope.messagesModal) {
      $scope.messagesModal.show();
    } else {
      $modal.fromTemplateUrl("html/PRetailAndSellBill/RetailAndSellBillMessages.html", function($location) {
        /** @type {number} */
        $scope.messagesModal = $location;
        $scope.messagesModal.show();
      }, {
        scope : $scope,
        animation : "slide-in-up"
      });
    }
  };
  /**
   * @return {undefined}
   */
  $scope.openUserSelectFrame = function() {
    if ($scope.userManSelectModal) {
      $scope.userManSelectModal.show();
    } else {
      $modal.fromTemplateUrl("html/PShopBaseInfo/userManSelectModal.html", function($location) {
        /** @type {number} */
        $scope.userManSelectModal = $location;
        $scope.userManSelectModal.show();
      }, {
        scope : $scope,
        animation : "slide-in-up"
      });
    }
  };
  $scope.checklist = {};
  /** @type {string} */
  $scope.checklist.usersNameString = "";
  /**
   * @return {undefined}
   */
  $scope.ensurePushUsers = function() {
    /** @type {string} */
    $scope.checklist.usersString = "";
    /** @type {string} */
    $scope.checklist.usersNameString = "";
    /** @type {number} */
    var i = 0;
    for (;i < $scope.checklist.selectedUsers.length;i++) {
      $scope.checklist.usersString += $scope.checklist.selectedUsers[i].id + ",";
      $scope.checklist.usersNameString += "@" + $scope.checklist.selectedUsers[i].realName + " ";
    }
    $scope.userManSelectModal.hide();
  };
  $scope.messageObject = {
    content : ""
  };
  /** @type {boolean} */
  var I = false;
  /**
   * @return {?}
   */
  $scope.saveOrUpdatePostil = function() {
    if (1 == I) {
      return false;
    }
    /** @type {boolean} */
    I = true;
    var json = name ? name : $scope.orderDetail.order.ordersSn ? $scope.orderDetail.order.ordersSn : "";
    if (json && $scope.messageObject.content) {
      model.saveOrUpdatePostil($scope.messageObject.content, json, 31).then(function(activity) {
        if (null != activity) {
          /** @type {string} */
          $scope.messageObject.content = "";
          $scope.getMessages();
          var result = {
            path : "eventmenu.saleDetail",
            param : json
          };
          if ($scope.checklist.usersString) {
            if ($scope.checklist.usersString.length > 0) {
                model.sendNoBadgePush(activity.object.content, "你有新的留言，点击查看", $scope.checklist.usersString, JSON.stringify(result));
                $sanitize(function() {
                  /** @type {boolean} */
                  $scope.checklist.needRefresh = true;
                });
            }
          }
          /** @type {boolean} */
          I = false;
        }
      }, function() {
        _.toastShow("服务器获取数据出现异常！");
        /** @type {boolean} */
        I = false;
      });
    } else {
      if ($scope.messageObject.content && $scope.messageObject.content.length > 0) {
        if (json) {
          /** @type {boolean} */
          I = false;
        } else {
          _.toastShow("单据已切换！");
          $scope.messagesModal.hide();
          /** @type {boolean} */
          I = false;
        }
      } else {
        _.toastShow("请输入留言信息！");
        /** @type {boolean} */
        I = false;
      }
    }
  };
  /**
   * @param {?} deepDataAndEvents
   * @return {undefined}
   */
  $scope.deletePostil = function(deepDataAndEvents) {
    model.deletePostil(deepDataAndEvents).then(function(res) {
      if (1 == res.statusCode) {
        _.toastShow("删除留言成功！");
        $scope.getMessages();
      } else {
        _.toastShow(res.content);
      }
    }, function() {
      _.toastShow("服务器获取数据出现异常！");
    });
  };
  /**
   * @param {?} next
   * @return {undefined}
   */
  $scope.getMessages = function(next) {
    var expectedThrown = name ? name : $scope.orderDetail.order.ordersSn ? $scope.orderDetail.order.ordersSn : "";
    db.post("/admin/inner/postil/getPostilList.ac", {
      ordersSn : expectedThrown,
      type : 31
    }).success(function(data) {
      $scope.messagesItems = data.object;
      if (next) {
        $scope.$broadcast("scroll.refreshComplete");
      }
    });
  };
  /**
   * @return {?}
   */
  $scope.getDeliveryText = function() {
    if (null == $scope.delivery) {
      return "";
    }
    /** @type {string} */
    var str = "";
    return 1 == $scope.delivery.deliveryType ? "自提" : 2 == $scope.delivery.deliveryType ? (str = "送指定点", void 0 != $scope.delivery.fixedPoint && (str += "，&nbsp;" + $scope.delivery.fixedPoint), void 0 != $scope.delivery.contact && (str += "，&nbsp;" + $scope.delivery.contact), void 0 != $scope.delivery.contactNumber && (str += "，&nbsp;" + $scope.delivery.contactNumber),
    str) : 3 == $scope.delivery.deliveryType ? (str = "送车&nbsp;", void 0 != $scope.delivery.carNumber && (str += "，&nbsp;" + $scope.delivery.carNumber), void 0 != $scope.delivery.driverName && (str += "，&nbsp;" + $scope.delivery.driverName), void 0 != $scope.delivery.driverPhone && (str += "，&nbsp;" + $scope.delivery.driverPhone), void 0 != $scope.delivery.beginPoint &&
    (str += "，&nbsp;从&nbsp;" + $scope.delivery.beginPoint), void 0 != $scope.delivery.toPoint && (str += "，&nbsp;送到&nbsp;" + $scope.delivery.toPoint + "。"), void 0 != $scope.delivery.contact && (str += "，&nbsp;" + $scope.delivery.contact), void 0 != $scope.delivery.contactNumber && (str += "，&nbsp;" + $scope.delivery.contactNumber), str) : 4 == $scope.delivery.deliveryType ?
    (str = "发物流&nbsp;", void 0 == $scope.delivery.deliveryCompany || (_.isEmpty($scope.delivery.deliveryCompany.name) || (str += "，&nbsp;" + $scope.delivery.deliveryCompany.name)), void 0 == $scope.delivery.deliveryNet || (_.isEmpty($scope.delivery.deliveryNet) || (str += "，&nbsp;" + $scope.delivery.deliveryNet.name)), void 0 == $scope.delivery.deliveryNetPhone || (_.isEmpty($scope.delivery.deliveryNetPhone) ||
    (str += "，&nbsp;" + $scope.delivery.deliveryNetPhone)), void 0 == $scope.delivery.toPoint || (_.isEmpty($scope.delivery.toPoint) || (str += "，&nbsp;送到&nbsp;" + $scope.delivery.toPoint)), void 0 == $scope.delivery.deliverySn || (_.isEmpty($scope.delivery.deliverySn) || (str += "，&nbsp;运单号&nbsp;" + $scope.delivery.deliverySn)), void 0 != $scope.delivery.contact &&
    (str += "，&nbsp;" + $scope.delivery.contact), void 0 != $scope.delivery.contactNumber && (str += "，&nbsp;" + $scope.delivery.contactNumber), str += "。") : 5 == $scope.delivery.deliveryType ? (str = "发电子面单&nbsp;", void 0 == $scope.delivery.deliveryCompany || (_.isEmpty($scope.delivery.deliveryCompany.name) || (str += "，&nbsp;" + $scope.delivery.deliveryCompany.name)),
    void 0 == $scope.delivery.deliverySn || (_.isEmpty($scope.delivery.deliverySn) || (str += "，&nbsp;运单号&nbsp;" + $scope.delivery.deliverySn)), void 0 != $scope.delivery.contact && (str += "，&nbsp;" + $scope.delivery.contact), void 0 != $scope.delivery.contactNumber && (str += "，&nbsp;" + $scope.delivery.contactNumber), $scope.clientsInfo.province && $scope.clientsInfo.province.id >
    0 ? (str += "，&nbsp;" + $scope.clientsInfo.province.areaName, $scope.clientsInfo.city && ($scope.clientsInfo.city.id > 0 && (str += $scope.clientsInfo.city.areaName, $scope.clientsInfo.country && ($scope.clientsInfo.country.id > 0 && (str += $scope.clientsInfo.country.areaName, $scope.clientsInfo.address && (str += $scope.clientsInfo.address, str += ",&nbsp; " + (0 === $scope.delivery.isNotice ||
    $scope.delivery.isNotice ? "通知快递员揽件" : "不通知快递员揽件"))))))) : null != $scope.eorderObj && ($scope.eorderObj && ($scope.eorderObj.recipientProvincesName && (str += "，&nbsp;" + $scope.eorderObj.recipientProvincesName, $scope.eorderObj.recipientCityName && (str += $scope.eorderObj.recipientCityName, $scope.eorderObj.recipientCountyName && (str +=
    $scope.eorderObj.recipientCountyName, $scope.eorderObj.recipientDetailsAddr && (str += $scope.eorderObj.recipientDetailsAddr, str += ",&nbsp; " + (0 == $scope.eorderObj.isNotice ? "通知快递员揽件" : "不通知快递员揽件"))))))), str += "。") : str;
  };
  $modal.fromTemplateUrl("html/PRetailAndSellBill/selectDelivery.html", function($location) {
    /** @type {number} */
    $scope.deliveryModal = $location;
  }, {
    scope : $scope,
    animation : "slide-in-up"
  });
  /**
   * @return {?}
   */
  $scope.getAllAreaData = function() {
    var imageDfd = $q.defer();
    var request1 = db.httpCacheGet.get(db.httpCacheGet.ac.AllArea);
    return $q.all([request1]).then(function(image) {
      imageDfd.resolve(image);
    }, function() {
      imageDfd.reject();
    }), imageDfd.promise;
  };
  /**
   * @return {?}
   */
  $scope.openDeliveryModal = function() {
    return $scope.delivery && (5 == $scope.delivery.deliveryType && ($scope.delivery.deliverySn && $scope.delivery.deliverySn.length > 0)) ? (_.toastShow("已成功订阅电子面单，不可修改物流方式"), false) : 5 != $scope.delivery.deliveryType ? false : ($scope.deliveryModal.show(), void($scope.allAreaItems && $scope.allAreaItems.length > 0 || $scope.getAllAreaData().then(function(packs) {
      $scope.allAreaItems = packs[0].data;
      $scope.provinceItems = _.getObjectList($scope.allAreaItems, "pid", 0);
    })));
  };
  /**
   * @return {undefined}
   */
  $scope.cloeseDeliveryModal = function() {
    if (init()) {
      $scope.deliveryModal.hide();
    }
  };
  $scope.clientsInfo = {};
  /**
   * @return {?}
   */
  $scope.getEorderSn = function() {
    if (!init()) {
      return false;
    }
    if (!($scope.orderDetail.order.ordersSn && $scope.orderDetail.order.ordersSn.length > 0)) {
      return _.toastShow("需要先保存草稿"), false;
    }
    if (5 == $scope.delivery.deliveryType && !($scope.delivery.deliverySn && $scope.delivery.deliverySn.length > 0)) {
      var postData = {
        recipientProvincesId : $scope.clientsInfo.province.id,
        recipientCityId : $scope.clientsInfo.city.id,
        recipientCountyId : $scope.clientsInfo.country.id,
        recipientDetailsAddr : $scope.clientsInfo.address,
        recipientName : $scope.delivery.contact,
        recipientMobile : $scope.delivery.contactNumber,
        isNotice : $scope.delivery.isNotice ? 0 : 1
      };
      db.post("/admin/inner/delivery/orderonline/repeatSubscribe.ac?orderSn=" + $scope.orderDetail.order.ordersSn + "&deliveryCompanyId=" + $scope.delivery.deliveryCompany.id, postData).success(function(res) {
        if (1 == res.statusCode) {
          $scope.delivery.deliverySn = res.object.courierNo;
          _.toastShow("电子面单订阅成功！");
          if ($scope.deliveryModal.isShown()) {
            $scope.deliveryModal.hide();
          }
        } else {
          $window.alert({
            template : "<div class='tc'>" + res.content + "</div>",
            okText : "确定"
          });
        }
      });
    }
  };
  /**
   * @return {undefined}
   */
  $scope.share = function() {
    switch($scope._itemType) {
      case 1:
        contextElem.shareSnUrl(name, dataAndEvents.saleOrder);
        break;
      case 2:
        contextElem.shareSnUrl(name, dataAndEvents.saleReturnOrder);
    }
  };
  /**
   * @return {undefined}
   */
  $scope.destroyOrder = function() {
    /** @type {string} */
    var k = "";
    switch($scope._itemType) {
      case 1:
        /** @type {string} */
        k = "/admin/inner/sale/wholesaleOrderDestroy.ac?ordersSn=";
        break;
      case 2:
        /** @type {string} */
        k = "/admin/inner/sale/rejectWholesaleOrderDestroy.ac?ordersSn=";
    }
    var promise = $window.confirm({
      template : "<div class='tc'>单据撤销将撤销相应的库存、账务，且撤销后不可恢复，是否确认撤销该单据？</div>",
      cancelText : "取消",
      okText : "确认"
    });
    promise.then(function(dataAndEvents) {
      if (dataAndEvents) {
        loading.show();
        db.post(k + name).success(function(res) {
          if (1 === res.statusCode) {
            /** @type {boolean} */
            $scope.isDestroy = true;
            /** @type {number} */
            $scope.orderDetail.order.state = 9;
            _.toastShow("撤销成功！");
          } else {
            _.toastShow(res.content);
          }
        }).finally(function() {
          loading.hide();
          $templateCache.put("saleListRefresh", true);
          $templateCache.put("refreshClientRecord", true);
          $templateCache.put("clientDebtListRefresh", true);
          $templateCache.put("goodsStoredRecordListRefresh", true);
          $templateCache.put("accountFinanceRecordRefresh", true);
          $templateCache.put("logisticsListRefresh", true);
        });
      }
    });
  };
  /**
   * @return {undefined}
   */
  $scope.bluetoothPrint = function() {
    UnitBluetoothPrint.print($scope.mainCompany.comName, name, 1 === $scope._itemType ? UnitBluetoothPrint.orderType.saleOrder : UnitBluetoothPrint.orderType.saleReturnOrder,billID);
  };
  /**
   * @return {undefined}
   */
  $scope.bluetooth = function() {
    switch($scope._itemType) {
      case 1:
        UnitBluetoothPrint.bluetooth(name, UnitBluetoothPrint.orderType.saleOrder,billID);
        break;
      case 2:
        UnitBluetoothPrint.bluetooth(name, UnitBluetoothPrint.orderType.saleReturnOrder,billID);
    }
  };
  /**
   * @return {undefined}
   */
  $scope.bluetoothForExpress = function() {
    UnitBluetoothPrint.bluetooth(name, UnitBluetoothPrint.orderType.logisticsOrder);
  };
  /**
   * @return {undefined}
   */
  $scope.gotoBarCodePrint = function() {
    $state.go("eventmenu.printBarCode", {
      ordersSn : name
    });
  };
  /**
   * @return {undefined}
   */
  $scope.gotoClientDebtDetail = function() {
    $state.go("eventmenu.clientDebtDetail", {
      oppositeSideId : $scope.orderDetail.order.clientId,
      clientName : $scope.orderDetail.order.clientName,
      clientBanlance : $scope.clientBanlance
    });
  };
  FB.fromTemplateUrl("orderOperation.html", {
    scope : $scope
  }).then(function($location) {
    $scope.orderOperationPopover = $location;
  });
  /**
   * @return {?}
   */
  $scope.getTotalAmount = function() {
    var initial = $scope.orderDetail.order.trueTotalAmount < 0 ? -$scope.orderDetail.order.trueTotalAmount : $scope.orderDetail.order.trueTotalAmount;
    return $scope.orderDetail.order.otherCost && (initial = _.accAdd(initial, $scope.orderDetail.order.otherCost)), $scope.orderDetail.order.wipeZero && (initial = _.accSub(initial, $scope.orderDetail.order.wipeZero)), initial;
  };
  /**
   * @return {undefined}
   */
  $scope.openGoodImgModal = function() {
    if ($scope.goodImgModal) {
      $scope.goodImgModal.show();
    } else {
      $modal.fromTemplateUrl("html/PRetailAndSellBill/goodImgModal.html", function($location) {
        $scope.goodImgModal = $location;
        $scope.goodImgModal.show();
      }, {
        scope : $scope,
        animation : "slide-in-up"
      });
    }
  };
  /**
   * @param {?} dataAndEvents
   * @param {?} event
   * @return {undefined}
   */
  $scope.showGoodImage = function(dataAndEvents, event) {
    if (event) {
      event.stopPropagation();
    }
    if (dataAndEvents.goodsId) {
      loading.show();
      db.post("/admin/inner/goods/album/goodsImgs.ac?goodsId=" + dataAndEvents.goodsId).success(function(results) {
        $scope.goodImgs = results.rows;
        if ($scope.goodImgs.length > 0) {
          $scope.openGoodImgModal();
        } else {
          _.toastShow("此商品暂无图片");
        }
      }).finally(function() {
        loading.hide();
      });
    }
  };
  /**
   * @return {undefined}
   */
  $scope.createNewOrder = function() {
    $scope.viewReplace();
    if (1 === $scope._itemType) {
      if ($templateCache.get("saleOrderImgsCache")) {
        $templateCache.remove("saleOrderImgsCache");
      }
      $state.go("eventmenu.saleEdit", {
        ordersSn : null,
        timeStamp : _.getTimeStamp()
      });
    } else {
      if (2 === $scope._itemType) {
        $state.go("eventmenu.saleReturnEdit", {
          ordersSn : null,
          timeStamp : _.getTimeStamp()
        });
      }
    }
  };
  /**
   * @return {?}
   */
  $scope.openQueryTraces = function() {
    /**
     * @return {undefined}
     */
    function fn() {
      var mod = _.fnCheckGtoreQty($scope.deliveryCompanies, "id", $scope.orderDetail.orderDelivery.deliveryId);
      if (mod.kdnCode) {
        if ($scope.logisticsTracesModal) {
          if (!$scope.logisticsTracesModal.isShown()) {
            $scope.logisticsTracesModal.show();
          }
        } else {
          $modal.fromTemplateUrl("html/PRetailAndSellBill/logisticsTracesModalForSale.html", function($location) {
            $scope.logisticsTracesModal = $location;
            $scope.logisticsTracesModal.show();
          }, {
            scope : $scope,
            animation : "slide-in-up"
          });
        }
        db.postEncode("/admin/inner/delivery/orderTracesByJson.ac", {
          expCode : mod.kdnCode,
          expNo : $scope.orderDetail.orderDelivery.deliverySn
        }).success(function(data) {
          $scope.traceObject = data.object;
          $scope.content = data.content;
        }).finally(function() {
          loading.hide();
        });
      } else {
        if ($scope.logisticsCompanySelectModal) {
          if (!$scope.logisticsCompanySelectModal.isShown()) {
            $scope.logisticsCompanySelectModal.show();
          }
        } else {
          $modal.fromTemplateUrl("html/PLogisticsManage/logisticsCompanySelectModal.html", function($location) {
            /** @type {number} */
            $scope.logisticsCompanySelectModal = $location;
            $scope.logisticsCompanySelectModal.show();
          }, {
            scope : $scope,
            animation : "slide-in-up"
          });
        }
        db.httpCacheGet.get(db.httpCacheGet.ac.LogisticsCompany).success(function(dataAndEvents) {
          $scope.logistics = {};
          $scope.logistics.logisticsCompaniese = dataAndEvents;
        }).finally(function() {
          loading.hide();
        });
      }
    }
    return loading.show(true), 0 == $scope.getAppAccResource(3) ? ($scope.getAppAuthority(3), loading.hide(), false) : void($scope.deliveryCompanies ? fn() : fetch().then(function(packs) {
      $scope.deliveryCompanies = packs[0].data;
      fn();
    }, function() {
      loading.hide();
    }));
  };
  /**
   * @param {Element} ignores
   * @return {undefined}
   */
  $scope.selectLogisticsCom = function(ignores) {
    loading.show();
    $scope.logisticsCompanySelectModal.hide();
    db.post("/admin/inner/delivery/deliveryCompanyGet.ac?id=" + $scope.orderDetail.orderDelivery.deliveryId).success(function(data) {
      data.deliveryCompany.logisticsCompanyId = ignores.id;
      db.post("/admin/inner/delivery/saveDeliveryCompany.ac", data).success(function() {
        db.get("/admin/inner/delivery/allDeliveryCompanys.ac").success(function($location) {
          $scope.deliveryCompanies = $location;
          db.httpCacheGet.remove(db.httpCacheGet.ac.ALLDELIVERY);
          $scope.openQueryTraces();
        }).finally(function() {
          loading.hide();
        });
      });
    });
  };
  FB.fromTemplateUrl("copyOperation.html", {
    scope : $scope
  }).then(function($location) {
    $scope.copyOperationPopover = $location;
  });
  /**
   * @param {boolean} expectedNumberOfNonCommentArgs
   * @return {undefined}
   */
  $scope.openCopyOperationPopover = function(expectedNumberOfNonCommentArgs) {
    $scope.copyOperationPopover.show(expectedNumberOfNonCommentArgs);
  };
  /**
   * @param {?} dataAndEvents
   * @return {undefined}
   */
  $scope.copyForOrder = function(dataAndEvents) {
    $scope.viewReplace();
    /** @type {string} */
    var logoutState = "eventmenu.saleEdit";
    switch(dataAndEvents) {
      case 0:
        /** @type {string} */
        logoutState = "eventmenu.saleReturnEdit";
        break;
      case 1:
        /** @type {string} */
        logoutState = "eventmenu.saleEdit";
    }
    $scope.copyOrder = {
      order : $scope.orderDetail.order,
      orderDelivery : $scope.orderDetail.orderDelivery,
      goodsGroup : $scope.goodsGroup
    };
    $state.go(logoutState, {
      ordersSn : null,
      timeStamp : _.getTimeStamp(),
      copyOrder : $scope.copyOrder
    });
  };
  $scope.$on("$destroy", function() {
    $scope.orderOperationPopover.remove();
    $scope.copyOperationPopover.remove();
    if ($scope.messagesModal) {
      $scope.messagesModal.remove();
    }
    if ($scope.userManSelectModal) {
      $scope.userManSelectModal.remove();
    }
    if ($scope.logisticsTracesModal) {
      $scope.logisticsTracesModal.remove();
    }
    if ($scope.logisticsCompanySelectModal) {
      $scope.logisticsCompanySelectModal.remove();
    }
    if ($scope.goodImgModal) {
      $scope.goodImgModal.remove();
    }
    if ($scope.deliveryModal) {
      $scope.deliveryModal.remove();
    }
    if ($scope.saleImgModal) {
      $scope.saleImgModal.remove();
    }
  });
  /**
   * @return {undefined}
   */
  $scope.saleReturnCalcTotalAmount = function() {
    /** @type {number} */
    $scope.saleTotalAmount = 0;
    /** @type {number} */
    $scope.saleTotalQuantity = 0;
    /** @type {number} */
    $scope.returnTotalAmount = 0;
    /** @type {number} */
    $scope.returnTotalQuantity = 0;
    /** @type {number} */
    var count = 0;
    var thumbsCount = $scope.goodsGroup.length;
    for (;thumbsCount > count;count++) {
      /** @type {number} */
      var i = 0;
      var l = $scope.goodsGroup[count].goods.length;
      for (;l > i;i++) {
        var v = $scope.goodsGroup[count].goods[i];
        if (1 == v.type) {
          $scope.saleTotalAmount = _.accAdd($scope.saleTotalAmount, _.accMul(v.truePrice, v.quantity));
          $scope.saleTotalQuantity = _.accAdd($scope.saleTotalQuantity, v.quantity);
        } else {
          $scope.returnTotalAmount = _.accAdd($scope.returnTotalAmount, _.accMul(v.truePrice, v.quantity));
          $scope.returnTotalQuantity = _.accAdd($scope.returnTotalQuantity, v.quantity);
        }
      }
    }
  };
  loading.show();
  $scope.$on("$ionicView.beforeEnter", function() {
    /** @type {string} */
    var k = "";
    switch($scope._itemType) {
      case 1:
        /** @type {string} */
        k = "/admin/inner/sale/wholesaleOrdersGet.ac?ordersSn=";
        break;
      case 2:
        /** @type {string} */
        k = "/admin/inner/sale/rejectWholesaleOrdersGet.ac?ordersSn=";
    }
    db.post(k + name + "&billID=" +billID).success(function(item) {
      $scope.orderDetail = item;
      $scope.delivery = item.orderDelivery;
      /** @type {boolean} */
      $scope.isDestroy = 9 === $scope.orderDetail.order.state;
      /** @type {Array} */
      $scope.goodsGroup = [];
      /** @type {number} */
      var one = 0;
      item.orderGoods.forEach(function(item) {
        /** @type {boolean} */
        var t = false;
        /** @type {number} */
        var count = 0;
        var thumbsCount = $scope.goodsGroup.length;
        for (;thumbsCount > count;count++) {
          var file = $scope.goodsGroup[count].goodsSn;
          if (item.goodsSn == file) {
            /** @type {boolean} */
            t = true;
            $scope.goodsGroup[count].goods.push(_.getPropertyObj(item, ["colorId", "sizeId", "colorName", "sizeName", "quantity", "price", "discount", "unit", "truePrice", "type","standard","waretype","remark"]));
          }
        }
        if (!t) {
          var shape = {};
          /** @type {Array} */
          shape.goods = [];
          shape.goods.push(_.getPropertyObj(item, ["colorId", "sizeId", "colorName", "sizeName", "quantity", "price", "discount", "unit", "truePrice", "type","standard","waretype","remark"]));
          shape.goodName = item.goodName;
          shape.goodsSn = item.goodsSn;
          shape.goodsId = item.goodsId;
          shape.barCode = item.barCode;//条码
          $scope.goodsGroup.push(shape);
        }
        one = _.accAdd(one, item.quantity);
      });
      $scope.totalQuantity = one;
      if (2 == $scope._itemType) {
        $scope.saleReturnCalcTotalAmount();
      }
      db.post("/admin/inner/finance/banlance/banlanceClientGet.ac?clientId=" + item.order.clientId).success(function(dataAndEvents) {
        $scope.clientBanlance = dataAndEvents.banlance ? dataAndEvents.banlance : 0;
      });
      if ($scope.orderDetail.orderDelivery && (5 == $scope.orderDetail.orderDelivery.deliveryType && ($scope.orderDetail.orderDelivery.deliverySn && $scope.orderDetail.orderDelivery.deliverySn.length > 0))) {
        db.post("/admin/inner/delivery/orderonline/getByCourierNo.ac?courierNo=" + $scope.orderDetail.orderDelivery.deliverySn).success(function(res) {
          if (1 == res.statusCode) {
            $scope.eorderObj = res.object ? res.object : {};
          }
        });
      } else {
        if (!!$scope.delivery) {
          if (!(5 != $scope.delivery.deliveryType)) {
            if (!($scope.delivery.deliverySn && $scope.delivery.deliverySn.length > 0)) {
              resolve().then(function(packs) {
                $scope.onlineDeliveryCompanies = packs[0].data;
                $scope.deliveryCompanies = $scope.onlineDeliveryCompanies;
                $scope.delivery.deliveryCompany = _.fnCheckGtoreQty($scope.deliveryCompanies, "id", $scope.delivery.deliveryId) ? _.fnCheckGtoreQty($scope.deliveryCompanies, "id", $scope.delivery.deliveryId) : "";
              });
            }
          }
        }
      }
      if ($scope.orderDetail.order.id) {
        db.postEncode("/admin/inner/sale/images/ordersImgs.ac?orderId=" + $scope.orderDetail.order.id).success(function(results) {
          $scope.saleImgs = results.rows;
        }).finally(function() {
        });
      }
    }).finally(function() {
      loading.hide();
    });
    $scope.getMessages();
    $cookieStore.getScanerCode(function(fmt) {
      console.log(fmt);
    }, $scope.bluethoothScaner);
  });
  $scope.$on("$ionicView.afterEnter", function() {
    if ($templateCache.get("saleImageRefresh")) {
      if (1 == $templateCache.get("saleImageRefresh")) {
        if ($scope.orderDetail.order.id) {
          db.postEncode("/admin/inner/sale/images/ordersImgs.ac?orderId=" + $scope.orderDetail.order.id).success(function(results) {
            $scope.saleImgs = results.rows;
            $templateCache.put("saleImageRefresh", false);
          }).finally(function() {
          });
        } else {
          if ($templateCache.get("saleOrderImgsCache")) {
            $scope.saleImgs = $templateCache.get("saleOrderImgsCache");
            $templateCache.put("saleImageRefresh", false);
          }
        }
      }
    }
  });
}]).controller("UploadPictureCtrl", ["$scope", "$stateParams", "psisServices", "Tools", "$state", "wechatShare", "lbSpinnerDialog", "$ionicPopover", "$ionicPopup", "lruPersistCache", "OrderType", "BluetoothPrintService", "$ionicModal", "commonDataInterface", "$timeout", "ServerConfig", "$cordovaFile", "$q", "$ionicActionSheet", "CameraService", "$ionicSlideBoxDelegate", function($scope, $routeParams, $http, $log, deepDataAndEvents, ignoreMethodDoesntExist, loading, textAlt,
keepData, $templateCache, opt_attributes, matcherFunction, $modal, execResult, opt_keys, positionError, self, oFunctionBody, handler, item, dataAndEvents) {
  $scope.wholesaleDraftOrConfirmAccAvailable = $scope.GetOperatorEventLimit("809") || $scope.GetOperatorEventLimit("807");
  /** @type {Array} */
  $scope.orderPicturesArrys = [];
  $scope.showImgHandle = dataAndEvents.$getByHandle("imgShowDelegate");
  $modal.fromTemplateUrl("saleImgModal.html", function($location) {
    $scope.saleImgModal = $location;
  }, {
    scope : $scope,
    animation : "slide-in-up"
  });
  $scope.$on("$destroy", function() {
    if ($scope.saleImgModal) {
      $scope.saleImgModal.remove();
    }
  });
  /**
   * @return {undefined}
   */
  $scope.showGoodImage = function() {
    $scope.saleImgModal.show();
  };
  /**
   * @param {string} fileName
   * @return {undefined}
   */
  var uploadPhoto = function(fileName) {
    loading.show(true);
    var options = new FileUploadOptions;
    /** @type {string} */
    options.fileKey = "file";
    options.fileName = fileName.substr(fileName.lastIndexOf("/") + 1) + ".jpg";
    /** @type {string} */
    options.mimeType = "image/jpeg";
    /** @type {boolean} */
    options.chunkedMode = false;
    $http.post("/admin/file/img/getOrderUploadUrl.ac?module=orderImages&fileName=" + options.fileName).success(function(req) {
      if (1 == req.statusCode) {
        options.params = {
          policy : req.object.policy,
          OSSAccessKeyId : req.object.accessid,
          success_action_status : "200",
          callback : req.object.callback,
          signature : req.object.signature,
          key : req.object.storeName
        };
        if ($routeParams.orderId) {
          options.params["x:orderid"] = $routeParams.orderId;
        }
        self.uploadFile(req.object.host, fileName, options).then(function(data) {
          loading.hide();
          var res = angular.fromJson(data.response);
          if (1 === res.statusCode) {
            $scope.orderPicturesArrys.push({
              name : res.object.name,
              url : res.object.url,
              imgId : res.object.id,
              id : res.object.orderImagesId
            });
            $templateCache.put("saleOrderImgsCache", $scope.orderPicturesArrys);
            $templateCache.put("saleImageRefresh", true);
            $log.toastShow("图片上传成功！");
          } else {
            $log.toastShow("图片上传失败！");
          }
        }, function(err) {
          loading.hide();
          $log.toastShow(413 === err.http_status ? "不能上传超过2M的图片！" : "图片上传失败！");
        }, function() {
        });
      }
    }).finally(function() {
      item.cleanup().then(function() {
        console.log("CameraService cleanup successfully");
      });
    });
  };
  /**
   * @param {Element} step
   * @return {undefined}
   */
  $scope.delRelImg = function(step) {
    if ($routeParams.orderId) {
      loading.show();
      $http.post("/admin/inner/sale/images/deleteOrdersImage.ac?albumId=" + step.id).success(function(r) {
        if (1 === r.statusCode) {
          $log.removeByKey($scope.orderPicturesArrys, "imgId", step.imgId);
          $templateCache.put("saleImageRefresh", true);
        }
      }).finally(function() {
        loading.hide();
      });
    } else {
      $log.removeByKey($scope.orderPicturesArrys, "imgId", step.imgId);
      $templateCache.put("saleImageRefresh", true);
    }
  };
  /**
   * @return {undefined}
   */
  $scope.showPrintQrcodeAction = function() {
    var scope = {
      buttons : []
    };
    scope.buttons.push({
      text : '<i class="icon ion-camera assertive"></i> 相机'
    });
    scope.buttons.push({
      text : '<i class="icon ion-images assertive"></i> 从相册中选择'
    });
    /**
     * @param {number} index
     * @return {?}
     */
    scope.buttonClicked = function(index) {
      return scope.buttons[index].text.indexOf("相机") > -1 ? item.startCamera($scope.platformIsAndroid ? $scope.sysConfig.allowEditGoodImg : true).then(uploadPhoto) : scope.buttons[index].text.indexOf("从相册中选择") > -1 && item.openCameraRoll($scope.platformIsAndroid ? $scope.sysConfig.allowEditGoodImg : true).then(uploadPhoto), true;
    };
    handler.show(scope);
  };
  $scope.$on("$ionicView.beforeEnter", function() {
    if ($routeParams.orderId) {
      loading.show();
      $http.postEncode("/admin/inner/sale/images/ordersImgs.ac?orderId=" + $routeParams.orderId).success(function(results) {
        $scope.orderPicturesArrys = results.rows;
      }).finally(function() {
        loading.hide();
      });
    } else {
      if ($templateCache.get("saleOrderImgsCache")) {
        $scope.orderPicturesArrys = $templateCache.get("saleOrderImgsCache");
      }
    }
  });
}]).controller("DeliveryCtrl", ["$scope", "$ionicPopover", "$cordovaBarcodeScanner", "Tools", "$timeout", "psisServices", "$q", "ServerConfig", "lruPersistCache", "$ionicPopup", "$ionicModal", "$state", function($scope, FB, Hogan, _, $sanitize, $http, dataAndEvents, deepDataAndEvents, ignoreMethodDoesntExist, $window, $modal) {
  FB.fromTemplateUrl("deliveryTypeSelectPopover.html", {
    scope : $scope
  }).then(function($location) {
    /** @type {number} */
    $scope.deliveryTypeSelectPopover = $location;
  });
  /**
   * @param {boolean} expectedNumberOfNonCommentArgs
   * @return {undefined}
   */
  $scope.openDeliveryTypePopover = function(expectedNumberOfNonCommentArgs) {
    $scope.deliveryTypeSelectPopover.show(expectedNumberOfNonCommentArgs);
  };
  FB.fromTemplateUrl("deliveryCompanySelectPopover.html", {
    scope : $scope
  }).then(function($location) {
    $scope.deliveryCompanySelectPopover = $location;
  });
  FB.fromTemplateUrl("deliveryNetSelectPopover.html", {
    scope : $scope
  }).then(function($location) {
    $scope.deliveryNetSelectPopover = $location;
  });
  FB.fromTemplateUrl("orderOnlineCompanyPopover.html", {
    scope : $scope
  }).then(function($location) {
    $scope.orderOnlineCompanyPopover = $location;
  });
  $modal.fromTemplateUrl("provinceSelect.html", function($location) {
    $scope.provinceSelectModal = $location;
  }, {
    scope : $scope,
    animation : "slide-in-up"
  });
  $modal.fromTemplateUrl("citySelect.html", function($location) {
    $scope.citySelectModal = $location;
  }, {
    scope : $scope,
    animation : "slide-in-up"
  });
  $modal.fromTemplateUrl("countrySelect.html", function($location) {
    $scope.countrySelectModal = $location;
  }, {
    scope : $scope,
    animation : "slide-in-up"
  });
  $scope.$on("$destroy", function() {
    $scope.deliveryTypeSelectPopover.remove();
    $scope.deliveryCompanySelectPopover.remove();
    $scope.deliveryNetSelectPopover.remove();
    $scope.orderOnlineCompanyPopover.remove();
    $scope.provinceSelectModal.remove();
    $scope.citySelectModal.remove();
    $scope.countrySelectModal.remove();
  });
  /**
   * @return {undefined}
   */
  $scope.changeCompany = function() {
    $scope.delivery.deliveryNet = $scope.delivery.deliveryCompany.netPoints[0];
    $scope.delivery.deliveryNetPhone = void 0 != $scope.delivery.deliveryNet ? $scope.delivery.deliveryNet.phone : "";
  };
  /**
   * @return {undefined}
   */
  $scope.scanCode = function() {
    Hogan.scan().then(function(result) {
      if (!result.cancelled) {
        $sanitize(function() {
          $scope.delivery.deliverySn = result.text;
        });
      }
    }, function(err) {
      console.error("Scanning failed: " + err);
      _.toastShow("二维码扫描失败！");
    });
  };
  /** @type {Array} */
  $scope.cityItems = [];
  /** @type {Array} */
  $scope.countryItems = [];
  $scope.$watch("clientsInfo.province", function() {
    if ($scope.clientsInfo) {
      if (_.isEmpty($scope.clientsInfo.province)) {
        /** @type {Array} */
        $scope.cityItems = [];
        /** @type {Array} */
        $scope.countryItems = [];
      } else {
        $scope.cityItems = _.getObjectList($scope.allAreaItems, "pid", $scope.clientsInfo.province.id);
        /** @type {Array} */
        $scope.countryItems = [];
      }
    }
  });
  $scope.$watch("clientsInfo.city", function() {
    if ($scope.clientsInfo) {
      $scope.countryItems = _.isEmpty($scope.clientsInfo.city) ? [] : _.getObjectList($scope.allAreaItems, "pid", $scope.clientsInfo.city.id);
    }
  });
  /**
   * @param {number} deepDataAndEvents
   * @param {number} dataAndEvents
   * @return {undefined}
   */
  $scope.checkAndLoadAddress = function(deepDataAndEvents, dataAndEvents) {
    if (deepDataAndEvents > 0) {
      if (2 != dataAndEvents || "" != $scope.delivery.fixedPoint && void 0 != $scope.delivery.fixedPoint) {
        if (!(3 != dataAndEvents && 4 != dataAndEvents)) {
          if (!("" != $scope.delivery.toPoint && void 0 != $scope.delivery.toPoint)) {
            $scope.loadClientAddress(deepDataAndEvents, "toPoint");
          }
        }
      } else {
        $scope.loadClientAddress(deepDataAndEvents, "fixedPoint");
      }
    }
  };
  /**
   * @param {Object} deepDataAndEvents
   * @param {string} toPoint
   * @return {undefined}
   */
  $scope.loadClientAddress = function(deepDataAndEvents, toPoint) {
    deepDataAndEvents = $scope.saleOrder && ($scope.saleOrder.saleClient && $scope.saleOrder.saleClient.val > 0) ? $scope.saleOrder.saleClient.val : $scope.orderDetail.order.clientId;
    if (deepDataAndEvents > 0) {
      /** @type {string} */
      var str = "";
      $http.post("/admin/inner/client/clientGet.ac?id=" + deepDataAndEvents).success(function(results) {
        if ($scope.client = results.objClient, $scope.client.provinceId && ($scope.clientsInfo.province = _.fnCheckGtoreQty($scope.provinceItems, "id", $scope.client.provinceId), str += $scope.clientsInfo.province && $scope.clientsInfo.province.areaName ? $scope.clientsInfo.province.areaName : "", $scope.client.cityId)) {
          var superclass = _.getObjectList($scope.allAreaItems, "pid", $scope.clientsInfo.province.id);
          if ($scope.clientsInfo.city = _.fnCheckGtoreQty(superclass, "id", $scope.client.cityId), str += $scope.clientsInfo.city && $scope.clientsInfo.city.areaName ? $scope.clientsInfo.city.areaName : "", $scope.client.countyId) {
            var node = _.getObjectList($scope.allAreaItems, "pid", $scope.clientsInfo.city.id);
            $scope.clientsInfo.country = _.fnCheckGtoreQty(node, "id", $scope.client.countyId);
            str += $scope.clientsInfo.country && $scope.clientsInfo.country.areaName ? $scope.clientsInfo.country.areaName : "";
          }
        }
        if ($scope.clientsInfo.address = $scope.client.address ? $scope.client.address : "", str += $scope.client.address ? $scope.client.address : "", $scope.delivery.contact = $scope.delivery.contact ? $scope.delivery.contact : $scope.client.clientName, $scope.delivery.contactNumber = $scope.delivery.contactNumber ? $scope.delivery.contactNumber : $scope.client.cellphone, str) {
          if ("toPoint" == toPoint) {
            $scope.delivery.toPoint = str;
          } else {
            if ("fixedPoint" == toPoint) {
              $scope.delivery.fixedPoint = str;
            }
          }
        } else {
          if ($scope.delivery.toPoint && "toPoint" == toPoint || $scope.delivery.fixedPoint && "fixedPoint" == toPoint) {
            if (window.cordova && window.cordova.plugins) {
              _.showConfirm("客户地址为空，是否清空地址信息？", function(dataAndEvents) {
                if (2 == dataAndEvents) {
                  if ("toPoint" == toPoint) {
                    /** @type {string} */
                    $scope.delivery.toPoint = "";
                  } else {
                    if ("fixedPoint" == toPoint) {
                      /** @type {string} */
                      $scope.delivery.fixedPoint = "";
                    }
                  }
                }
              }, null, ["取消", "清空"]);
            } else {
              var promise = $window.confirm({
                template : "<div class='tc'>客户地址为空，是否清空地址信息？</div>",
                cancelText : "取消",
                okText : "清空"
              });
              promise.then(function(dataAndEvents) {
                if (dataAndEvents) {
                  if ("toPoint" == toPoint) {
                    /** @type {string} */
                    $scope.delivery.toPoint = "";
                  } else {
                    if ("fixedPoint" == toPoint) {
                      /** @type {string} */
                      $scope.delivery.fixedPoint = "";
                    }
                  }
                }
              });
            }
          } else {
            _.toastShow("该客户暂无地址信息");
          }
        }
      });
    }
  };
  /**
   * @return {undefined}
   */
  $scope.changeNetpiont = function() {
    $scope.delivery.deliveryNetPhone = $scope.delivery.deliveryNet.phone;
  };
}]);
