angular.module("supplierController", ["ionic", "services", "tools"]).controller("SupplierListCtrl", ["$scope", "$rootScope", "$timeout", "$state", "psisServices", "lbScrollDelegate", "$ionicPopup", "$ionicPopover", "$ionicModal", "lbSpinnerDialog", "$q", "Tools", "lruPersistCache", "$cordovaDatePicker", "$stateParams", function($scope, dataAndEvents, $sanitize, $state, that, parent, view, FB, $modal, loading, $q, UnitTools,
$templateCache, scope, binder) {
  /**
   * @return {?}
   */
  function process() {
    if (0 == $scope.fixedInputNumber($scope.record.paymentAmount) && 0 == $scope.fixedInputNumber($scope.record.discountAmount)) {
      return view.alert({
        template : "<div class='tc'>本次付款金额和优惠金额不能同时为空或零</div>",
        okText : "确定"
      }), false;
    }
    if ($scope.record.supplierBanlance - $scope.record.paymentAmount > 9.999999999E7 || $scope.record.supplierBanlance - $scope.record.paymentAmount < -9.999999999E7) {
      return view.alert({
        template : "<div class='tc'>输入金额超出限制</div>",
        okText : "确定"
      }), false;
    }
    if ($scope.record.discountAmount > 9.999999999E7 || $scope.record.discountAmount < -9.999999999E7) {
      return view.alert({
        template : "<div class='tc'>输入金额超出限制</div>",
        okText : "确定"
      }), false;
    }
    if ($scope.record.createTime) {
      /** @type {Date} */
      var d = new Date;
      /** @type {Date} */
      var midnight = new Date($scope.record.createTime);
      midnight.setHours(d.getHours(), d.getMinutes(), d.getSeconds(), d.getMilliseconds());
      /** @type {number} */
      $scope.record.createTime = midnight.getTime();
    }
    loading.show();
    that.post("/admin/inner/finance/banlance/record/pay.ac", {
      oppositeSideId : $scope.record.supplier.id,
      realAmount : $scope.payOrCharge ? -$scope.getValidNum($scope.record.paymentAmount) : $scope.getValidNum($scope.record.paymentAmount),
      accountId : $scope.record.account.id,
      discountAmount : $scope.getValidNum($scope.record.discountAmount),
      businessItem : $scope.record.accountItem.id,
      createTime : $scope.record.createTime,
      remark : $scope.record.remark
    }).success(function(res) {
      if (1 == res.statusCode) {
        UnitTools.toastShow("成功付了一笔！");
        $scope.record.supplierBanlance = res.object.banlance;
        $scope.supplierPaymentEditModal.hide();
        /** @type {number} */
        $scope.record.paymentAmount = 0;
        /** @type {number} */
        $scope.record.discountAmount = 0;
        /** @type {string} */
        $scope.record.remark = "";
      } else {
        UnitTools.toastShow(res.content);
      }
    }).finally(function() {
      setup();
      loading.hide();
    });
  }
  /**
   * @return {?}
   */
  function fetch() {
    var imageDfd = $q.defer();
    var request1 = that.httpCacheGet.get(that.httpCacheGet.ac.ALLACCOUNTBYCOMSTORE);
    var getPromise3 = that.httpCacheGet.get(that.httpCacheGet.ac.ALLACCOUNTITEM);
    return $q.all([request1, getPromise3]).then(function(image) {
      imageDfd.resolve(image);
    }, function() {
      imageDfd.reject();
    }), imageDfd.promise;
  }
  /** @type {number} */
  var page = 1;
  /** @type {Array} */
  $scope.items = [];
  /** @type {string} */
  $scope.searchKey = "";
  /** @type {string} */
  $scope.focused = "centered";
  /** @type {boolean} */
  $scope.isLoading = true;
  /** @type {number} */
  $scope.supplierSum = 0;
  $scope.queryCondition = {
    supplierType : ""
  };
  /**
   * @param {?} opt_attributes
   * @return {?}
   */
  var createDom = function(opt_attributes) {
    return that.postEncode("/admin/inner/supplier/supplierListJSON.ac", opt_attributes);
  };
  /**
   * @return {undefined}
   */
  var setup = function() {
    /** @type {number} */
    page = 1;
    createDom({
      page : page,
      supplierName : $scope.searchKey,
      supplierNamePy : $scope.searchKey,
      cellphone : $scope.searchKey,
      supplierType : $scope.queryCondition.supplierType
    }).success(function(data) {
      $scope.items = data.rows;
      $scope.supplierSum = data.records;
      /** @type {boolean} */
      $scope.loadMoreBtn = data.page < data.total;
    }).finally(function() {
      parent.scrollTop("supplierListCtrlScroll");
      /** @type {boolean} */
      $scope.isLoading = false;
    });
  };
  /**
   * @return {undefined}
   */
  $scope.getMore = function() {
    createDom({
      page : ++page,
      supplierName : $scope.searchKey,
      supplierNamePy : $scope.searchKey,
      cellphone : $scope.searchKey
    }).success(function(options) {
      $scope.items = $scope.items.concat(options.rows);
      /** @type {boolean} */
      $scope.loadMoreBtn = options.page < options.total;
    }).finally(function() {
      parent.resize("supplierListCtrlScroll");
    });
  };
  /**
   * @return {undefined}
   */
  $scope.doRefresh = function() {
    /** @type {string} */
    $scope.searchKey = "";
    document.getElementById("searchInput").blur();
    /** @type {string} */
    $scope.focused = "centered";
    /** @type {number} */
    page = 1;
    createDom({
      page : page
    }).success(function(data) {
      $scope.items = data.rows;
      $scope.$broadcast("scroll.refreshComplete");
      /** @type {boolean} */
      $scope.loadMoreBtn = data.page < data.total;
    });
  };
  /**
   * @param {string} term
   * @return {undefined}
   */
  $scope.goSupplierEdit = function(term) {
    $state.go("eventmenu.supplierDetail", {
      id : term
    });
  };
  /**
   * @param {string} thing
   * @param {?} event
   * @return {undefined}
   */
  $scope.callUp = function(thing, event) {
    if (event) {
      event.stopPropagation();
    }
    if (thing) {
      $scope.openLink("tel:" + thing);
    } else {
      0;
    }
  };
  /**
   * @return {undefined}
   */
  $scope.searchSupplier = function() {
    setup();
  };
  var tryIt = ionic.debounce($scope.searchSupplier, 500);
  /**
   * @return {undefined}
   */
  $scope.searchSupplierByKeyword = function() {
    tryIt();
  };
  /**
   * @return {undefined}
   */
  $scope.focus = function() {
    document.getElementById("searchInput").focus();
  };
  /**
   * @return {undefined}
   */
  $scope.clearSearch = function() {
    /** @type {string} */
    $scope.searchKey = "";
    /** @type {string} */
    $scope.focused = "centered";
    $scope.searchSupplier();
  };
  /**
   * @param {string} b
   * @return {undefined}
   */
  $scope.phoneCall = function(b) {
    if (b) {
      /** @type {string} */
      document.location.href = "tel:" + b;
    } else {
      view.alert({
        template : "<div class='tc'>该供应商没有记录电话号码</div>",
        okText : "确定"
      });
    }
  };
  /**
   * @param {string} b
   * @return {undefined}
   */
  $scope.smsSend = function(b) {
    if (b) {
      /** @type {string} */
      document.location.href = "sms:" + b;
    } else {
      view.alert({
        template : "<div class='tc'>该供应商没有记录电话号码</div>",
        okText : "确定"
      });
    }
  };
  FB.fromTemplateUrl("contactOperation.html", {
    scope : $scope
  }).then(function($location) {
    $scope.contactOperationPopover = $location;
  });
  FB.fromTemplateUrl("supplierOperation.html", {
    scope : $scope
  }).then(function($location) {
    $scope.supplierOperationPopover = $location;
  });
  FB.fromTemplateUrl("supplierType.html", {
    scope : $scope
  }).then(function($location) {
    $scope.supplierTypeModal = $location;
  });
  FB.fromTemplateUrl("supplierTypePopover.html", {
    scope : $scope
  }).then(function($location) {
    $scope.supplierTypePopover = $location;
  });

  //打开供应商分类过滤弹框
  $scope.openSupplierTypePopover = function(event) {
    $scope.supplierTypePopover.show(event);
  };
  //关闭供应商分类过滤弹框
  $scope.hideSupplierTypePopover = function() {
    $scope.supplierTypePopover.hide();
  };

  //获取所有供应商分类
  $scope.getAllSupplierTypes = function() {
    that.httpCacheGet.get(that.httpCacheGet.ac.ALLSUPPLIERTYPES).success(function($location) {
      $scope.arrSupplierType = $location;
    });
  };
  //选择过滤供应商分类
  $scope.selectSupplierType = function (newVal) {
      $scope.supplierType = newVal;
      $scope.queryCondition.supplierType = newVal.id;
  };
  //条件过滤
  $scope.doSupplierFilter = function() {
    setup();
  };
  //清除过滤
  $scope.clearSupplierType = function() {
    $scope.supplierType = {};
    $scope.queryCondition.supplierType = "";
    $scope.doSupplierFilter();
  };
  //重新获取供应商分类
  $scope.$on("modal.hidden", function() {
    if ($templateCache.get("refreshSupplierTypeFlag") === true) {
      $scope.getAllSupplierTypes();
      $templateCache.put("refreshSupplierTypeFlag", false);
    }
  });

  /**
   * @param {string} paramType
   * @return {undefined}
   */
  $scope.goToPickContact = function(paramType) {
    $state.go("eventmenu.pickFromContact", {
      type : paramType
    });
  };
  $scope.record = {
    supplier : {},
    supplierBanlance : 0,
    paymentAmount : 0
  };
  /** @type {boolean} */
  $scope.isGetOtherData = false;
  $modal.fromTemplateUrl("html/PSupplierBaseInfo/supplierPaymentEdit.html", function($location) {
    /** @type {number} */
    $scope.supplierPaymentEditModal = $location;
  }, {
    scope : $scope,
    animation : "slide-in-up",
    focusFirstInput : false
  });
  FB.fromTemplateUrl("html/PAccountManage/accountPopover.html", {
    scope : $scope
  }).then(function($location) {
    $scope.accountPopover = $location;
  });
  /**
   * @param {boolean} expectedNumberOfNonCommentArgs
   * @return {undefined}
   */
  $scope.openAccountPopover = function(expectedNumberOfNonCommentArgs) {
    $scope.accountPopover.show(expectedNumberOfNonCommentArgs);
  };
  FB.fromTemplateUrl("html/PAccountManage/accountItemPopover.html", {
    scope : $scope
  }).then(function($location) {
    $scope.accountItemPopover = $location;
  });
  /**
   * @param {boolean} expectedNumberOfNonCommentArgs
   * @return {undefined}
   */
  $scope.openAccountItemPopover = function(expectedNumberOfNonCommentArgs) {
    $scope.accountItemPopover.show(expectedNumberOfNonCommentArgs);
  };
  $scope.$on("$destroy", function() {
    $scope.supplierPaymentEditModal.remove();
    $scope.accountPopover.remove();
    $scope.accountItemPopover.remove();
    $scope.supplierTypePopover.remove();
  });
  /**
   * @return {undefined}
   */
  $scope.setCreateTime = function() {
    scope.show({
      date : new Date($scope.record.createTime),
      mode : "date",
      minDate : "",
      maxDate : "",
      doneButtonLabel : "确定",
      cancelButtonLabel : "取消"
    }).then(function(date1) {
      if (!isNaN(date1.getTime())) {
        $scope.record.createTime = date1.getTime();
      }
    });
  };
  /**
   * @param {?} v
   * @return {?}
   */
  $scope.fixedInputNumber = function(v) {
    /** @type {RegExp} */
    return UnitTools.getValidNum(v);
  };
  /**
   * @param {?} deepDataAndEvents
   * @return {?}
   */
  $scope.getValidNum = function(deepDataAndEvents) {
    return UnitTools.getValidNum(deepDataAndEvents);
  };
  var throttledUpdate = ionic.debounce(process, 500, true);
  /**
   * @return {undefined}
   */
  $scope.confirmPaymentAction = function() {
    throttledUpdate();
  };
  /**
   * @return {undefined}
   */
  $scope.changeCharge = function() {
    /** @type {string} */
    var errorMessage = "确认更改付款/退款";
    /** @type {string} */
    errorMessage = 1 == $scope.payOrCharge ? "切换后填写的金额为【本次付款】" : "切换后填写的金额为【供应商退款】";
    if (window.cordova && window.cordova.plugins) {
      UnitTools.showConfirm(errorMessage, function(dataAndEvents) {
        if (2 == dataAndEvents) {
          $scope.$apply(function() {
            /** @type {number} */
            $scope.payOrCharge = 1 == $scope.payOrCharge ? 0 : 1;
          });
        }
      }, "付款/退款切换", ["取消", "切换"]);
    } else {
      view.show({
        cssClass : "lb-goodEdit-popup",
        template : "<div>" + errorMessage + "</div>",
        title : "付款/退款切换",
        scope : $scope,
        buttons : [{
          text : "确认",
          /**
           * @return {undefined}
           */
          onTap : function() {
            /** @type {number} */
            $scope.payOrCharge = 1 == $scope.payOrCharge ? 0 : 1;
          }
        }, {
          text : "取消",
          type : "button-assertive"
        }]
      });
    }
  };
  /**
   * @param {Node} actualObject
   * @return {undefined}
   */
  $scope.setRechargeAmount = function(actualObject) {
    /** @type {Node} */
    var object = actualObject;
    var x = $scope.record.supplierBanlance ? "欠供应商款 " + $scope.record.supplierBanlance.toFixed(2) : "当前欠供应商 0.00";
    /** @type {string} */
    var fd = $scope.payOrCharge ? "请输入供应商退款金额" : "请输入本次付款金额";
    if (window.cordova && window.cordova.plugins) {
      UnitTools.showPrompt(x, function(res) {
        if (2 == res.buttonIndex) {
          $scope.$apply(function() {
            $scope.record.paymentAmount = res.input1 >= 0 ? $scope.getValidNum(res.input1) : object;
          });
        }
      }, fd, ["取消", "确认"], object ? object.toString() : 0);
    } else {
      view.show({
        cssClass : "lb-goodEdit-popup",
        template : '<input type="number" class="tc" ng-model="record.paymentAmount" autofocus="true" placeholder="0.00">',
        title : x,
        scope : $scope,
        buttons : [{
          text : "确认",
          type : "button-assertive",
          /**
           * @return {undefined}
           */
          onTap : function() {
            $scope.record.paymentAmount = $scope.getValidNum($scope.record.paymentAmount);
          }
        }]
      });
    }
  };
  /**
   * @param {?} actualObject
   * @return {undefined}
   */
  $scope.setDiscountAmount = function(actualObject) {
    var object = actualObject;
    /** @type {string} */
    var x = "请输入本次优惠金额";
    /** @type {string} */
    var fd = "优惠金额";
    if (window.cordova && window.cordova.plugins) {
      UnitTools.showPrompt(x, function(res) {
        if (2 == res.buttonIndex) {
          $scope.$apply(function() {
            $scope.record.discountAmount = res.input1 >= 0 ? $scope.getValidNum(res.input1) : object;
          });
        }
      }, fd, ["取消", "确认"], object ? object.toString() : 0);
    } else {
      view.show({
        cssClass : "lb-goodEdit-popup",
        template : '<input type="number" class="tc" ng-model="record.discountAmount" autofocus="true" placeholder="0.00">',
        title : x,
        scope : $scope,
        buttons : [{
          text : "确认",
          type : "button-assertive",
          /**
           * @return {undefined}
           */
          onTap : function() {
            $scope.record.discountAmount = $scope.getValidNum($scope.record.discountAmount);
          }
        }]
      });
    }
  };
  /**
   * @param {Element} item
   * @return {undefined}
   */
  $scope.supplierPaymentEdit = function(item) {
    loading.show();
    /** @type {number} */
    $scope.record.paymentAmount = 0;
    $scope.supplierPaymentEditModal.show();
    $scope.record.supplier.text = item.supplierName;
    $scope.record.supplier.id = item.id;
    $scope.record.supplierBanlance = item.balance;
    /** @type {number} */
    $scope.record.createTime = (new Date).getTime();
    if (0 == $scope.isGetOtherData) {
      fetch().then(function(packs) {
        $scope.allAccounts = packs[0].data.rows;
        $scope.record.account = $scope.allAccounts[0];
        $scope.allAccountItems = packs[1].data.rows;
        /** @type {number} */
        var i = 0;
        for (;i < $scope.allAccountItems.length;i++) {
          if (0 == $scope.allAccountItems[i].isEnable || (1 == $scope.allAccountItems[i].id || (10 == $scope.allAccountItems[i].id || 5 == $scope.allAccountItems[i].id))) {
            $scope.allAccountItems.splice(i, 1);
            i--;
          }
        }
        $scope.record.accountItem = $scope.allAccountItems[0];
        loading.hide();
      });
      /** @type {boolean} */
      $scope.isGetOtherData = true;
    } else {
      loading.hide();
    }
  };
  $scope.$on("$ionicView.beforeEnter", function() {
    if (1 == $templateCache.get("refreshSupplierList")) {
      setup();
      $templateCache.put("refreshSupplierList", false);
    }
  });
  $scope.$on("$ionicView.loaded", function() {
    $scope.getAllSupplierTypes();
    setup();
    if (binder.binding) {
      $sanitize(function() {
        UnitTools.toastShow("选择供应商，在详细信息页进行绑定帐号和授权", "long");
      }, 800);
    }
  });
}]).controller("SupplierDetailCtrl", ["$scope", "$stateParams", "psisServices", "Tools", "$ionicPopover", "$ionicModal", "$q", "ServerType", "$ionicPopup", "lbSpinnerDialog", "ServerConfig", "lruPersistCache", "lbScrollDelegate", "$cordovaDatePicker", "$state", "BluetoothPrintService", "VaApplyItem", "$http", "BusinessConstant", function(self, session, $, UnitTools, deepDataAndEvents, $modal, $q, dataAndEvents, view, loading, context,
$templateCache, ignoreMethodDoesntExist, $scope, $state, textAlt, keepData, $injector, message) {
  /**
   * @return {undefined}
   */
  function save() {
    loading.show();
    /** @type {string} */
    var __workspace = "sms:" + self.cellphoneObj.cellphone + (self.platformIsIOS ? "&body=" : "?body=");
    /** @type {string} */
    var filepath = "我在用辛巴手机通，手机管店方便好用又免费，推荐你一起使用。";
    $.post("/admin/share/getInviteUrl.ac").success(function(r) {
      if (1 === r.statusCode) {
        $injector.get("https://api.t.sina.com.cn/short_url/shorten.json?source=1603536394&url_long=" + r.backUrl).success(function(newlines) {
          if (newlines && newlines.length > 0) {
            var href = newlines[0].url_short;
            /** @type {string} */
            document.location.href = __workspace + filepath + href;
          } else {
            UnitTools.toastShow("获取短链接出错");
          }
        }).error(function() {
          UnitTools.toastShow("获取短链接出错");
        });
      } else {
        UnitTools.toastShow("获取推荐码链接失败");
      }
      loading.hide();
    }).error(function() {
      UnitTools.toastShow("获取推荐码链接失败");
      loading.hide();
    });
  }
  /**
   * @return {?}
   */
  function fetch() {
    var imageDfd = $q.defer();
    var request1 = $.httpCacheGet.get($.httpCacheGet.ac.AllArea);
    var request2 = $.httpCacheGet.get($.httpCacheGet.ac.ALLSUPPLIERTYPES);//获取供应商分类
    return $q.all([request1,request2]).then(function(image) {
      imageDfd.resolve(image);
    }, function() {
      imageDfd.reject();
    }), imageDfd.promise;
  }
  self.validatePhone = {};
  self.supplierInfo = {
    province : {},
    city : {},
    country : {},
    supplierType : {},
    employee : {}
  };
  var sid = session.id;
  self.initDebtObject = {
    initDebtAmount : "",
    initDebtTime : (new Date).getTime(),
    initDebtRemark : ""
  };
  self.viewTitle = self.NameConstant.SUPPLIEREDIT;
  /** @type {number} */
  self.state = 0;
  self.supplier = {};
  /**
   * @return {undefined}
   */
  self.goSupplierEdit = function() {
    $state.go("eventmenu.supplierEdit", {
      id : self.supplier.id
    });
  };
  /**
   * @return {undefined}
   */
  self.showSupplierAccRecord = function() {
    $state.go("eventmenu.supplierAccRecord", {
      oppositeSideId : sid,
      supplierName : self.supplier.supplierName,
      supplierBanlance : self.supplier.balance
    });
  };
  /**
   * @return {undefined}
   */
  self.goSupplierBuyRecord = function() {
    $state.go("eventmenu.purchaseReportDetail", {
      supplier : {
        id : self.supplier.id,
        text : self.supplier.supplierName,
        discount : self.supplier.discount
      }
    });
  };
  $modal.fromTemplateUrl("html/PSupplierBaseInfo/bindingModal.html", function(theTitle) {
    /** @type {number} */
    self.bindingModal = theTitle;
  }, {
    scope : self,
    animation : "slide-in-up"
  });
  /**
   * @return {undefined}
   */
  self.openBindingModal = function() {
    if (self.cellphoneObj.cellphone = self.cellphoneObj.cellphone ? self.cellphoneObj.cellphone : self.supplierChain.supplierCellphone ? self.supplierChain.supplierCellphone : self.supplier.cellphone, self.cellphoneObj.cellphone && 0 == self.cellphoneObj.cellphone.indexOf(0)) {
      /** @type {number} */
      var i = 0;
      for (;i < self.internationalCodes.length;i++) {
        if (self.internationalCodes[i].val.length > 0 && 0 == self.cellphoneObj.cellphone.indexOf(self.internationalCodes[i].val)) {
          self.cellphoneObj.cellphone = self.cellphoneObj.cellphone.substr(self.internationalCodes[i].val.length, self.cellphoneObj.cellphone.length);
          self.obj.areaCode = self.internationalCodes[i].code;
          break;
        }
      }
    }
    self.refreshValidateCodeImg();
    /** @type {string} */
    self.cellphoneObj.verifyCode = "";
    self.cellphoneObj.typeObject = self.supplierChain && 1 == self.supplierChain.type;
    self.bindingModal.show();
  };
  self.internationalCodes = message.INTERNATIONALCODES;
  self.obj = {};
  self.obj.areaCode = self.internationalCodes[0].code;
  $modal.fromTemplateUrl("html/PSystemSetup/internationalCode.html", function(theTitle) {
    self.internationalCodeModal = theTitle;
  }, {
    scope : self,
    animation : "slide-in-up"
  });
  /**
   * @return {undefined}
   */
  self.openInternationalCodeModal = function() {
    self.internationalCodeModal.show();
  };
  self.$on("$destroy", function() {
    self.internationalCodeModal.remove();
    self.bindingModal.remove();
    self.supplierDebtEditModal.remove();
  });
  /**
   * @return {undefined}
   */
  self.refreshValidateCodeImg = function() {
    self.validateCodeImgUrl = self.getValidateCodeImgUrl();
  };
  /**
   * @return {?}
   */
  self.getSubmitCellphone = function() {
    if ("" == self.validatePhone.pre || void 0 == self.validatePhone.pre) {
      return self.cellphoneObj.cellphone;
    }
    var frag = self.cellphoneObj.cellphone;
    return "0" == frag.substr(0, 1) && (frag = frag.substr(1)), frag = self.validatePhone.pre + frag;
  };
  self.cellphoneObj = {
    typeObject : false
  };
  /**
   * @return {undefined}
   */
  self.authAlert = function() {
    /** @type {string} */
    var errorMessage = self.cellphoneObj.typeObject ? "授权查看库存数据后，供应商可以查看我的商品库存信息" : "取消授权查看库存数据后，供应商将看不到我的商品库存信息";
    if (window.cordova && window.cordova.plugins) {
      UnitTools.showConfirm(errorMessage, function(dataAndEvents) {
        if (1 == dataAndEvents) {
          self.$apply(function() {
            /** @type {boolean} */
            self.cellphoneObj.typeObject = !self.cellphoneObj.typeObject;
          });
        }
      }, "授权提醒", ["取消", "确认"]);
    } else {
      view.show({
        cssClass : "lb-goodEdit-popup",
        template : "<div>" + errorMessage + "</div>",
        title : "提示",
        scope : self,
        buttons : [{
          text : "确认"
        }, {
          text : "取消",
          type : "button-assertive",
          /**
           * @return {undefined}
           */
          onTap : function() {
            /** @type {boolean} */
            self.cellphoneObj.typeObject = !self.cellphoneObj.typeObject;
          }
        }]
      });
    }
  };
  /**
   * @return {?}
   */
  self.saveSupplierChain = function() {
    return UnitTools.isValidCellPhoneNo(self.cellphoneObj.cellphone, self.validatePhone.pre) ? (loading.show(), void $.post("/admin/inner/supplierChain/saveSupplierChain.ac?captcha=" + self.cellphoneObj.verifyCode, {
      supplierId : self.supplier.id,
      supplierCellphone : self.getSubmitCellphone(),
      type : self.cellphoneObj.typeObject ? 1 : 0
    }).success(function(result) {
      if (1 == result.statusCode) {
        UnitTools.toastShow(result.content);
        self.bindingModal.hide();
        self.getSupplierChain();
      } else {
        if ("绑定的手机号错误！" == result.content) {
          /** @type {string} */
          var errorMessage = "供应商尚未注册辛巴手机通，是否立刻推荐其下载使用？";
          if (window.cordova && window.cordova.plugins) {
            UnitTools.showConfirm(errorMessage, function(dataAndEvents) {
              if (2 == dataAndEvents) {
                save();
              } else {
                if (1 == dataAndEvents) {
                  UnitTools.toastShow("绑定失败，该手机号未注册");
                }
              }
            }, "推荐供应商用辛巴", ["取消", "确定"]);
          } else {
            var promise = view.confirm({
              template : "<div class='tc'>" + errorMessage + "</div>",
              cancelText : "取消",
              okText : "确定"
            });
            promise.then(function(dataAndEvents) {
              if (dataAndEvents) {
                save();
              }
            });
          }
        } else {
          UnitTools.toastShow(result.content);
        }
        console.log(result.content);
        self.refreshValidateCodeImg();
        /** @type {string} */
        self.cellphoneObj.verifyCode = "";
      }
    }).finally(function() {
      loading.hide();
    })) : void UnitTools.toastShow("手机号不正确");
  };
  /**
   * @return {undefined}
   */
  self.getSupplierChain = function() {
    /** @type {string} */
    self.bindingStatusContent = "未绑定供应商的辛巴帐号";
    /** @type {string} */
    self.bindingButtonConten = "绑定";
    $.post("/admin/inner/supplierChain/getSupplierChain.ac?supplierId=" + self.supplier.id).success(function(result) {
      if (1 == result.statusCode) {
        if (self.supplierChain = result.object ? result.object : {}, self.supplierChain.id > 0) {
          self.bindingStatusContent = self.supplierChain.companyName;
          self.bindingStatusContent += 1 == self.supplierChain.type ? "[已授权]" : "[未授权]";
          /** @type {string} */
          self.bindingButtonConten = "更改";
          self.cellphoneObj.cellphone = self.supplierChain.supplierCellphone;
          /** @type {boolean} */
          self.cellphoneObj.typeObject = 1 == self.supplierChain.type;
          var path = context.tmsServer.replace(/cid/, self.supplierChain.supplierCid);
          if (dataAndEvents.isEX()) {
            path = path.replace(/www/, "ex");
          } else {
            if (context.currentServer.indexOf("dev") >= 0) {
              path = path.replace(/www/, "dev");
            }
          }
          self.shopAdress = path;
        }
      } else {
        UnitTools.toastShow(result.content);
      }
    });
  };
  /**
   * @return {undefined}
   */
  self.openSupplierShop = function() {
    if (self.shopAdress) {
      self.openLink(self.shopAdress, true);
    }
  };
  /**
   * @return {undefined}
   */
  self.deleteSupplierChain = function() {
    loading.show(true);
    $.post("/admin/inner/supplierChain/deleteSupplierChain.ac?chainId=" + self.supplierChain.id).success(function(result) {
      if (1 == result.statusCode) {
        self.getSupplierChain();
        UnitTools.toastShow("解绑成功");
      } else {
        UnitTools.toastShow(result.content);
      }
    }).finally(function() {
      loading.hide();
    });
  };
  $modal.fromTemplateUrl("html/PSupplierBaseInfo/supplierDebtEdit.html", function(theTitle) {
    self.supplierDebtEditModal = theTitle;
  }, {
    scope : self,
    animation : "slide-in-up"
  });
  /**
   * @return {undefined}
   */
  self.confirmSupplierDebt = function() {
    if (self.GetOperatorEventLimit("3865") || UnitTools.dateFormat(new Date(self.initDebtObject.initDebtTime), "yyyy-MM-dd") == UnitTools.dateFormat(new Date, "yyyy-MM-dd")) {
      self.saveSupplierDebt();
      self.supplierDebtEditModal.hide();
    } else {
      if (window.cordova && window.cordova.plugins) {
        UnitTools.showAlert("您不具备数据补录权限,无法调整今日之前的欠款", function() {
          self.supplierDebtEditModal.hide();
        }, null, "确定");
      } else {
        var promise = view.confirm({
          template : "<div class='tc'>您不具备数据补录权限,无法调整今日之前的欠款</div>",
          cancelText : "取消",
          okText : "确定"
        });
        promise.then(function(dataAndEvents) {
          if (dataAndEvents) {
            self.supplierDebtEditModal.hide();
          }
        });
      }
      $.post("/admin/inner/supplier/supplierGet.ac?id=" + sid).success(function(message) {
        self.supplier = message.objSupplier;
        self.initDebtObject.initDebtAmount = self.supplier.initDebtAmount;
        self.initDebtObject.initDebtTime = self.supplier.initDebtTime ? self.supplier.initDebtTime : (new Date).getTime();
        self.initDebtObject.initDebtRemark = self.supplier.initDebtTime ? self.supplier.initDebtRemark : "";
      });
    }
  };
  /**
   * @return {?}
   */
  self.saveSupplierDebt = function() {
    var attributes = {};
    if (self.initDebtObject.initDebtAmount < -9.999999999E7 || self.initDebtObject.initDebtAmount > 9.999999999E7) {
      return view.alert({
        template : "<div class='tc'>输入金额超出范围</div>",
        okText : "确定"
      }), false;
    }
    if (self.GetOperatorEventLimit("1205") && (self.initDebtObject.initDebtAmount && "" != self.initDebtObject.initDebtAmount || 0 === self.initDebtObject.initDebtAmount)) {
      if (!self.isNum(self.initDebtObject.initDebtAmount) && 0 != self.initDebtObject.initDebtAmount) {
        return UnitTools.toastShow("请输入正确的期初欠款金额"), false;
      }
      self.initDebtObject.initDebtAmount = self.fixedInputNumber(self.initDebtObject.initDebtAmount, true);
      attributes = {
        supplierVO : angular.toJson(self.supplier),
        initDebtAmount : self.initDebtObject.initDebtAmount,
        initDebtTime : UnitTools.dateFormat(new Date(self.initDebtObject.initDebtTime), "yyyy-MM-dd hh:mm:ss.S"),
        initDebtRemark : self.initDebtObject.initDebtRemark
      };
    } else {
      /** @type {string} */
      self.initDebtObject.initDebtAmount = "";
      attributes = {
        supplierVO : angular.toJson(self.supplier)
      };
    }
    if (self.initDebtObject.initDebtTime) {
      /** @type {Date} */
      var d = new Date;
      /** @type {Date} */
      var midnight = new Date(self.initDebtObject.initDebtTime);
      midnight.setHours(d.getHours(), d.getMinutes(), d.getSeconds(), d.getMilliseconds());
      /** @type {number} */
      self.initDebtObject.initDebtTime = midnight.getTime();
    }
    loading.show();
    $.postEncode("/admin/inner/supplier/supplierBaseInfoSave.ac", attributes).success(function(config) {
      if (1 == config.statusCode) {
        UnitTools.union(self.supplier, config.objSupplier);
        self.supplier.balance = null == self.supplier.balance ? 0 : self.supplier.balance;
        /** @type {number} */
        self.state = 1;
        self.viewTitle = self.NameConstant.SUPPLIEREDIT;
        UnitTools.toastShow("编辑成功");
        $templateCache.put("refreshSupplierList", true);
      }
    }).finally(function() {
      loading.hide();
    });
  };
  /**
   * @return {undefined}
   */
  self.setInitDebtTime = function() {
    if (window.cordova) {
      $scope.show({
        date : new Date(self.initDebtObject.initDebtTime),
        mode : "date",
        doneButtonLabel : "确定",
        cancelButtonLabel : "取消",
        minDate : (new Date).setDate((new Date).getDate() - 90),
        maxDate : (new Date).setDate((new Date).getDate())
      }).then(function(date1) {
        if (!isNaN(date1.getTime())) {
          self.initDebtObject.initDebtTime = date1.getTime();
        }
      });
    }
  };
  /**
   * @param {?} qualifier
   * @return {?}
   */
  self.isNum = function(qualifier) {
    /** @type {RegExp} */
    var isSimple = /^-?\d+(\.\d+)?$/;
    return isSimple.test(qualifier);
  };
  /**
   * @param {?} v
   * @param {boolean} dataAndEvents
   * @return {?}
   */
  self.fixedInputNumber = function(v, dataAndEvents) {
    /** @type {RegExp} */
    return UnitTools.getValidNum(v, dataAndEvents);
  };
  self.$on("$ionicView.afterEnter", function() {
    return 1 == $templateCache.get("isDeleteSupplier") ? (self.viewReplace(), $state.go("eventmenu.supplierList"), $templateCache.put("isDeleteSupplier", false), false) : (loading.show(), void fetch().then(function(packs) {
      self.arrSupplierType = packs[1].data;
      /** @type {number} */
      self.supplier.discount = 100;
      if (sid) {
        /** @type {number} */
        self.state = 1;
        $.post("/admin/inner/supplier/supplierGet.ac?id=" + sid).success(function(message) {
          self.supplier = message.objSupplier;
          self.initDebtObject.initDebtAmount = self.supplier.initDebtAmount;
          self.initDebtObject.initDebtTime = self.supplier.initDebtTime ? self.supplier.initDebtTime : (new Date).getTime();
          self.initDebtObject.initDebtRemark = self.supplier.initDebtTime ? self.supplier.initDebtRemark : "";

          //设置供应商分类
          var a = self.arrSupplierType.length;
          for(var b = 0 ; a > b ; b++){
            if (self.supplier.supplierType === self.arrSupplierType[b].id){
              self.supplierInfo.supplierType = self.arrSupplierType[b];
              break;
            }
          }

          /** @type {string} */
          self.debtAmountContent = "欠供应商款";
          /** @type {boolean} */
          self.supplier.statusSetting = 1 == self.supplier.status ? true : false;
          self.getSupplierChain();
          $templateCache.put("refreshSupplierList", true);
        }).finally(function() {
          loading.hide();
        });
      } else {
        /** @type {number} */
        self.supplier.showOrder = 100;
        /** @type {number} */
        self.supplier.discount = 100;
        loading.hide();
      }
    }, function() {
      loading.hide();
    }));
  });
}]).controller("SupplierEditCtrl", ["$scope", "$state", "$stateParams", "psisServices", "Tools", "$ionicPopover", "$ionicModal", "$q", "$ionicPopup", "lbSpinnerDialog", "ServerConfig", "lruPersistCache", "lbScrollDelegate", "$cordovaDatePicker", "$http", function($scope, dataAndEvents, map, $, _, deepDataAndEvents, $modal, $q, $window, loading, ignoreMethodDoesntExist, $templateCache, widget) {
  /**
   * @return {?}
   */
  function fetch() {
    var imageDfd = $q.defer();
    var request1 = $.httpCacheGet.get($.httpCacheGet.ac.AllArea);
    var request2 = $.httpCacheGet.get($.httpCacheGet.ac.ALLSUPPLIERTYPES);//获取所有供应商分类
    var allPerson = $.httpCacheGet.get($.httpCacheGet.ac.ALLOPERATOR);
    return $q.all([request1,request2,allPerson]).then(function(image) {
      imageDfd.resolve(image);
    }, function() {
      imageDfd.reject();
    }), imageDfd.promise;
  }
  var id = map.id;
  /** @type {Array} */
  var key = [];
  if ($scope.viewTitle = id ? $scope.NameConstant.SUPPLIEREDIT : $scope.NameConstant.SUPPLIERADD, $scope.state = id > 0 ? 1 : 0, $scope.supplier = {}, $scope.focusGoodsInput = false, $scope.supplier.statusSetting = true, $scope.supplierInfo = {
    province : {},
    city : {},
    country : {},
    supplierType : {},
    employee : {}
  }, $scope.supplierConfig = {
    moreItem : 0
  }, map.name) {
    var name = map.name;
    /** @type {RegExp} */
    var rparentsprev = /^[0-9+]*$/;
    if (rparentsprev.test(name)) {
      $scope.supplier.cellphone = name;
    } else {
      $scope.supplier.supplierName = name;
    }
  }
  /**
   * @return {undefined}
   */
  $scope.getMoreItem = function() {
    /** @type {number} */
    $scope.supplierConfig.moreItem = 1;
    widget.resize("supplierEditCtrlScroll");
  };
  $modal.fromTemplateUrl("supplierTypeSelect.html", {
    scope : $scope
  }).then(function($location) {
    $scope.supplierTypeSelectModal = $location;
  });

  $modal.fromTemplateUrl("employee.html", function(theTitle) {
    $scope.employeeModal = theTitle;
  }, {
    scope : $scope,
    animation : "slide-in-up"
  });

  $modal.fromTemplateUrl("provinceSelect.html", function($location) {
    $scope.provinceSelectModal = $location;
  }, {
    scope : $scope,
    animation : "slide-in-up"
  });
  $modal.fromTemplateUrl("citySelect.html", function($location) {
    $scope.citySelectModal = $location;
  }, {
    scope : $scope,
    animation : "slide-in-up"
  });
  $modal.fromTemplateUrl("countrySelect.html", function($location) {
    $scope.countrySelectModal = $location;
  }, {
    scope : $scope,
    animation : "slide-in-up"
  });
  $scope.$on("$destroy", function() {
    $scope.provinceSelectModal.remove();
    $scope.citySelectModal.remove();
    $scope.countrySelectModal.remove();
  });
  /**
   * @return {?}
   */
  $scope.discountCheck = function() {
    /** @type {RegExp} */
    var rhtml = /^\d{0,5}\.?[0-9]{0,2}$/;
    return rhtml.test($scope.supplier.discount) && ($scope.supplier.discount >= 1 && $scope.supplier.discount <= 1E4) ? true : void 0;
  };
  /**
   * @return {?}
   */
  var detect = function() {
    /** @type {RegExp} */
    var rhtml = /^[0-9-]*$/;
    return rhtml.test($scope.supplier.phone) || ("" == $scope.supplier.phone || void 0 == $scope.supplier.phone) ? true : void 0;
  };
  /**
   * @return {?}
   */
  var ondata = function() {
    /** @type {RegExp} */
    var rhtml = /^[0-9+]*$/;
    return rhtml.test($scope.supplier.cellphone) || ("" == $scope.supplier.cellphone || void 0 == $scope.supplier.cellphone) ? true : void 0;
  };
  /**
   * @return {?}
   */
  var activate = function() {
    /** @type {RegExp} */
    var rchecked = /^[a-z0-9!#$%&'*+\/=?^_`{|}~.-]+@[a-z0-9]([a-z0-9-]*[a-z0-9])?(\.[a-z0-9]([a-z0-9-]*[a-z0-9])?)*$/i;
    return "" == $scope.supplier.email || (void 0 == $scope.supplier.email || rchecked.test($scope.supplier.email)) ? true : void 0;
  };
  /**
   * @param {?} qualifier
   * @return {?}
   */
  $scope.isNum = function(qualifier) {
    /** @type {RegExp} */
    var isSimple = /^-?\d+(\.\d+)?$/;
    return isSimple.test(qualifier);
  };
  /**
   * @return {?}
   */
  $scope.saveSupplier = function() {
    var tasks;
    if (id) {
      if (tasks = "/admin/inner/supplier/supplierBaseInfoSave.ac", !$scope.GetOperatorEventLimit("2131")) {
        return _.toastShow("权限不足，请联系贵公司负责人授权!"), false;
      }
    } else {
      if (tasks = "/admin/inner/supplier/supplierBaseInfoSave.ac", !$scope.GetOperatorEventLimit("2130")) {
        return _.toastShow("权限不足，请联系贵公司负责人授权!"), false;
      }
    }
    var attributes = {};
    return $scope.supplier.supplierName ? $scope.supplier.discount && $scope.discountCheck() ? $scope.supplier.showOrder ? ondata() ? detect() ? activate() ? $scope.supplier.bankAcountId && 0 == $scope.isNum($scope.supplier.bankAcountId) ? ($window.alert({
      template : "<div class='tc'>银行账号请输入纯数字</div>",
      okText : "确定"
    }), false) : ($scope.supplier.supplierType = $scope.supplierInfo.supplierType.id ? $scope.supplierInfo.supplierType.id : "",$scope.supplier.employee = $scope.supplierInfo.employee.personId ? $scope.supplierInfo.employee.personId : "",$scope.supplier.provinceId = $scope.supplierInfo.province ? $scope.supplierInfo.province.id : "", $scope.supplier.cityId = $scope.supplierInfo.city ? $scope.supplierInfo.city.id : "", $scope.supplier.countyId = $scope.supplierInfo.country ? $scope.supplierInfo.country.id : "", $scope.supplier.status = 1 == $scope.supplier.statusSetting ? 1 : 0, attributes = {
      supplierVO : angular.toJson($scope.supplier)
    }, loading.show(), void $.postEncode(tasks, attributes).success(function(config) {
      if (1 == config.statusCode) {
        /**
         * @return {undefined}
         */
        var init = function() {
          _.union($scope.supplier, config.objSupplier);
          /** @type {number} */
          $scope.state = 1;
          $scope.viewTitle = $scope.NameConstant.SUPPLIEREDIT;
          if ($templateCache.get("needToAddSupplierFlag") === true) {
            $templateCache.put("addSupplierFlag", true);
            $templateCache.put("newSupplierObj", $scope.supplier);
            $scope.goBack();
          } else {
            $scope.goBack();
          }
        };
        $window.alert({
          template : "<div class='tc'>保存供应商成功</div>",
          okText : "确定"
        }).then(init);
        $templateCache.put("refreshSupplierList", true);
      } else {
        $window.alert({
          template : "<div class='tc'>" + config.content + "</div>",
          okText : "确定"
        });
      }
    }).finally(function() {
      loading.hide();
    })) : (_.toastShow("邮箱格式不正确", "short", "center"), console.log("邮箱格式不正确"), false) : (_.toastShow("电话必须是数字或-", "short", "center"), console.log("电话必须是数字或-"), false) : (_.toastShow("手机必须是数字或+", "short", "center"), console.log("手机必须是数字或+"),
    false) : (_.toastShow("请在排序栏输入整数", "short", "center"), console.log("请在排序栏输入整数"), false) : (_.toastShow("折扣必须是1至10000的两位小数", "short", "center"), console.log("折扣必须是1至10000的两位小数"), false) : (_.toastShow("需要填写供应商名称", "short",
    "center"), console.log("需要填写供应商名称"), false);
  };
  /**
   * @return {undefined}
   */
  $scope.deleteSupplier = function() {
    var promise = $window.confirm({
      template : "<div class='tc'>您确认要删除该供应商?</div>",
      cancelText : "取消",
      okText : "确认"
    });
    promise.then(function(dataAndEvents) {
      if (dataAndEvents) {
        loading.show();
        $.post("/admin/inner/supplier/supplierDelete.ac?id=" + $scope.supplier.id).success(function(r) {
          if (1 == r.statusCode) {
            $window.alert({
              template : "<div class='tc'>删除成功</div>",
              okText : "确定"
            }).then(function() {
              $templateCache.put("isDeleteSupplier", true);
              $scope.goBack();
              $templateCache.put("refreshSupplierList", true);
            });
          } else {
            if(r.content) {
              $window.alert({
                template : "<div class='tc'>"+r.content+"</div>",
                okText : "确定"
              });
            } else {
              $window.alert({
                template : "<div class='tc'>删除失败，不能删除已发生业务来往的供应商</div>",
                okText : "确定"
              });
            }

          }
        }).finally(function() {
          loading.hide();
        });
      } else {
        console.log("取消");
      }
    });
  };
  loading.show();
  $scope.$on("$ionicView.afterEnter", function() {
    fetch().then(function(packs) {
      key = packs[0].data;
      $scope.arrSupplierType = packs[1].data;
      $scope.arrEmployee = packs[2].data.object;
      $scope.provinceItems = _.getObjectList(key, "pid", 0);
      /** @type {Array} */
      $scope.cityItems = [];
      /** @type {Array} */
      $scope.countryItems = [];
      /** @type {number} */
      $scope.supplier.discount = 100;
      if (id) {
        /** @type {number} */
        $scope.supplierConfig.moreItem = 1;
        /** @type {number} */
        $scope.state = 1;
        $.post("/admin/inner/supplier/supplierGet.ac?id=" + id).success(function(data) {
          if ($scope.supplier = data.objSupplier, $scope.supplier.statusSetting = 1 == $scope.supplier.status ? true : false, $scope.supplier.provinceId && ($scope.supplierInfo.province = _.fnCheckGtoreQty($scope.provinceItems, "id", $scope.supplier.provinceId), $scope.supplier.cityId)) {
            var camelKey = _.getObjectList(key, "pid", $scope.supplierInfo.province.id);
            if ($scope.supplierInfo.city = _.fnCheckGtoreQty(camelKey, "id", $scope.supplier.cityId), $scope.supplier.countyId) {
              var node = _.getObjectList(key, "pid", $scope.supplierInfo.city.id);
              $scope.supplierInfo.country = _.fnCheckGtoreQty(node, "id", $scope.supplier.countyId);
            }
          }

        //  设置供应商分类
          var a = $scope.arrSupplierType.length;
          for(var b = 0 ; a > b ; b++){
            if ($scope.supplier.supplierType === $scope.arrSupplierType[b].id){
              $scope.supplierInfo.supplierType = $scope.arrSupplierType[b];
              break;
            }
          }

          //设置业务员
          var d = 0;
          var c = $scope.arrEmployee.length;
          for (;c > d;d++) {
            if (data.objSupplier.employee == $scope.arrEmployee[d].personId) {
              $scope.supplierInfo.employee = $scope.arrEmployee[d];
              break;
            }
          }

        }).finally(function() {
          loading.hide();
        });
      } else {
        /** @type {boolean} */
        $scope.focusGoodsInput = true;
        /** @type {number} */
        $scope.supplier.showOrder = 100;
        /** @type {number} */
        $scope.supplier.discount = 100;
        loading.hide();
      }
    }, function() {
      loading.hide();
    }).then(function() {
      $scope.$watch("supplierInfo.province", function() {
        if (_.isEmpty($scope.supplierInfo.province)) {
          /** @type {Array} */
          $scope.cityItems = [];
          /** @type {Array} */
          $scope.countryItems = [];
        } else {
          $scope.cityItems = _.getObjectList(key, "pid", $scope.supplierInfo.province.id);
          /** @type {Array} */
          $scope.countryItems = [];
        }
      });
      $scope.$watch("supplierInfo.city", function() {
        $scope.countryItems = _.isEmpty($scope.supplierInfo.city) ? [] : _.getObjectList(key, "pid", $scope.supplierInfo.city.id);
      });
    });
  });
}]).controller("SupplierDebtCtrl", ["$scope", "$state", "lbSpinnerDialog", "psisServices", "$ionicModal", "$ionicPopover", "lbScrollDelegate", "lruPersistCache", "Tools", "$cordovaDatePicker", function($scope, $state, loading, cl, $modal, FB, parent, $templateCache, UnitTools, scope) {
  /**
   * @param {number} sid
   * @return {undefined}
   */
  function executeQuery(sid) {
    if (sid > 0) {
      cl.post("/admin/inner/supplier/supplierGet.ac?id=" + sid).success(function(dataAndEvents) {
        if (null != dataAndEvents.objSupplier) {
          $scope.initDebtObject.initDebtAmount = dataAndEvents.objSupplier.initDebtAmount;
          $scope.initDebtObject.initDebtTime = dataAndEvents.objSupplier.initDebtTime ? dataAndEvents.objSupplier.initDebtTime : (new Date).getTime();
          $scope.initDebtObject.initDebtRemark = dataAndEvents.objSupplier.initDebtRemark;
        }
      });
    }
  }
  /** @type {Array} */
  $scope.items = [];
  /** @type {string} */
  $scope.focused = "centered";
  /** @type {boolean} */
  $scope.isLoading = true;
  $scope.queryCondition = {
    sord : "desc",
    sidx : "balance",
    supplierName : "",
    balanceFrom : "",
    balanceTo : ""
  };
  /** @type {boolean} */
  $scope.isSupplierDebt = true;
  $scope.initDebtObject = {
    supplier : {},
    initDebtAmount : "",
    initDebtTime : (new Date).getTime(),
    initDebtRemark : ""
  };
  FB.fromTemplateUrl("supplierDebtOperation.html", {
    scope : $scope
  }).then(function($location) {
    $scope.supplierDeptOperationPopover = $location;
  });
  $modal.fromTemplateUrl("html/PSupplierBaseInfo/supplierDebtEdit.html", function($location) {
    $scope.supplierDebtEditModal = $location;
  }, {
    scope : $scope,
    animation : "slide-in-up"
  });
  /**
   * @return {undefined}
   */
  $scope.confirmSupplierDebt = function() {
    $scope.supplierDebtEditModal.hide();
    $scope.updateSupplierDebt();
  };
  $modal.fromTemplateUrl("html/PPurchaseBuyBill/selectSupplier.html", function($location) {
    $scope.supplierModal = $location;
  }, {
    scope : $scope,
    animation : "slide-in-up",
    focusFirstInput : true
  });
  /**
   * @return {undefined}
   */
  $scope.supplierModalOpen = function() {
    $scope.supplierModal.show().then(function() {
      UnitTools.keyboardShow();
    });
  };
  $modal.fromTemplateUrl("supplierFilter.html", function($location) {
    $scope.supplierFilterModal = $location;
  }, {
    scope : $scope,
    animation : "slide-in-up"
  });
  $scope.$on("$destroy", function() {
    $scope.supplierFilterModal.remove();
    $scope.supplierDeptOperationPopover.remove();
    $scope.supplierDebtEditModal.remove();
    $scope.supplierModal.remove();
  });
  $scope.$watch("[initDebtObject.supplier]", function(results) {
    executeQuery(results[0].id);
  }, true);
  /**
   * @return {undefined}
   */
  $scope.setInitDebtTime = function() {
    if (window.cordova) {
      scope.show({
        date : new Date($scope.initDebtObject.initDebtTime),
        mode : "date",
        doneButtonLabel : "确定",
        cancelButtonLabel : "取消",
        minDate : (new Date).setDate((new Date).getDate() - 90),
        maxDate : (new Date).setDate((new Date).getDate())
      }).then(function(date1) {
        if (!isNaN(date1.getTime())) {
          $scope.initDebtObject.initDebtTime = date1.getTime();
        }
      });
    }
  };
  /**
   * @param {?} v
   * @param {boolean} dataAndEvents
   * @return {?}
   */
  $scope.fixedInputNumber = function(v, dataAndEvents) {
    /** @type {RegExp} */
    return UnitTools.getValidNum(v, dataAndEvents);
  };
  /**
   * @param {Element} user
   * @return {undefined}
   */
  $scope.showSupplierAccRecord = function(user) {
    $state.go("eventmenu.supplierAccRecord", {
      oppositeSideId : user.id,
      supplierName : user.supplierName,
      supplierBanlance : user.balance ? user.balance : 0
    });
  };
  /**
   * @return {undefined}
   */
  $scope.goToSupplierMGMT = function() {
    if ($scope.GetOperatorEventLimit("2130")) {
      $state.go("eventmenu.supplierList");
    }
  };
  /**
   * @return {undefined}
   */
  $scope.clearSearch = function() {
    /** @type {string} */
    $scope.queryCondition.supplierName = "";
    /** @type {string} */
    $scope.focused = "centered";
    $scope.getList();
  };
  /**
   * @return {undefined}
   */
  $scope.clearFilter = function() {
    /** @type {string} */
    $scope.queryCondition.balanceFrom = "";
    /** @type {string} */
    $scope.queryCondition.balanceTo = "";
    /** @type {boolean} */
    $scope.queryCondition.showDebtSupplier = false;
  };
  /**
   * @param {?} opt_attributes
   * @return {?}
   */
  var Step = function(opt_attributes) {
    return cl.postEncode("/admin/inner/supplier/supplierListJSON.ac", opt_attributes);
  };
  /**
   * @param {number} recurring
   * @return {undefined}
   */
  $scope.getList = function(recurring) {
    /** @type {number} */
    $scope.queryCondition.page = 1;
    $scope.queryCondition.supplierNamePy = $scope.queryCondition.supplierName;
    $scope.queryCondition.cellphone = $scope.queryCondition.supplierName;
    if (!$scope.queryCondition.balanceFrom) {
      if (!(0 === $scope.queryCondition.balanceFrom)) {
        delete $scope.queryCondition.balanceFrom;
      }
    }
    if (!$scope.queryCondition.balanceTo) {
      if (!(0 === $scope.queryCondition.balanceTo)) {
        delete $scope.queryCondition.balanceTo;
      }
    }
    if (!recurring) {
      loading.show(true);
    }
    Step($scope.queryCondition).success(function(data) {
      $scope.totalBalance = data.totalBalance;
      $scope.items = data.rows;
      if (1 == $scope.items.length) {
        $scope.initDebtObject.supplier = {
          id : $scope.items[0].id,
          text : $scope.items[0].supplierName
        };
      }
      /** @type {boolean} */
      $scope.loadMoreBtn = data.page < data.total;
      $scope.getSupplierSituation();
    }).finally(function() {
      parent.scrollTop("supplierDebtCtrlScroll");
      /** @type {boolean} */
      $scope.isLoading = false;
      loading.hide();
    });
  };
  var HOP = ionic.debounce($scope.getList, 500);
  /**
   * @param {?} walkers
   * @return {undefined}
   */
  $scope.getListByKeyword = function(walkers) {
    HOP(walkers);
  };
  /**
   * @return {undefined}
   */
  $scope.getMore = function() {
    $scope.queryCondition.page++;
    $scope.queryCondition.supplierNamePy = $scope.queryCondition.supplierName;
    $scope.queryCondition.cellphone = $scope.queryCondition.supplierName;
    if (!$scope.queryCondition.balanceFrom) {
      if (!(0 === $scope.queryCondition.balanceFrom)) {
        delete $scope.queryCondition.balanceFrom;
      }
    }
    if (!$scope.queryCondition.balanceTo) {
      if (!(0 === $scope.queryCondition.balanceTo)) {
        delete $scope.queryCondition.balanceTo;
      }
    }
    Step($scope.queryCondition).success(function(options) {
      $scope.items = $scope.items.concat(options.rows);
      /** @type {boolean} */
      $scope.loadMoreBtn = options.page < options.total;
    }).finally(function() {
      parent.resize("supplierDebtCtrlScroll");
    });
  };
  /**
   * @return {undefined}
   */
  $scope.doRefresh = function() {
    /** @type {number} */
    $scope.queryCondition.page = 1;
    Step($scope.queryCondition).success(function(data) {
      $scope.totalBalance = data.totalBalance;
      $scope.items = data.rows;
      $scope.$broadcast("scroll.refreshComplete");
      /** @type {boolean} */
      $scope.loadMoreBtn = data.page < data.total;
    });
    $scope.getSupplierSituation();
  };
  /**
   * @param {?} qualifier
   * @return {?}
   */
  $scope.isNum = function(qualifier) {
    /** @type {RegExp} */
    var isSimple = /^-?\d+(\.\d+)?$/;
    return isSimple.test(qualifier);
  };
  /**
   * @return {?}
   */
  $scope.updateSupplierDebt = function() {
    if (!($scope.initDebtObject.supplier && $scope.initDebtObject.supplier.id > 0)) {
      return UnitTools.toastShow("请选择供应商"), false;
    }
    if (!$scope.isNum($scope.initDebtObject.initDebtAmount)) {
      return UnitTools.toastShow("请输入正确的期初欠款金额"), false;
    }
    if ($scope.initDebtObject.initDebtTime) {
      /** @type {Date} */
      var d = new Date;
      /** @type {Date} */
      var midnight = new Date($scope.initDebtObject.initDebtTime);
      midnight.setHours(d.getHours(), d.getMinutes(), d.getSeconds(), d.getMilliseconds());
      /** @type {number} */
      $scope.initDebtObject.initDebtTime = midnight.getTime();
    }
    cl.postEncode("/admin/inner/finance/banlance/record/updateSupplierDebt.ac", {
      supplierId : $scope.initDebtObject.supplier.id,
      initDebtAmount : angular.toJson($scope.fixedInputNumber($scope.initDebtObject.initDebtAmount)),
      initDebtTime : UnitTools.dateFormat(new Date($scope.initDebtObject.initDebtTime), "yyyy-MM-dd hh:mm:ss.S"),
      initDebtRemark : $scope.initDebtObject.initDebtRemark ? $scope.initDebtObject.initDebtRemark : ""
    }).success(function(result) {
      if (1 == result.statusCode) {
        UnitTools.toastShow("期初欠款修改成功");
        $scope.getList();
      } else {
        UnitTools.toastShow(result.content);
        executeQuery($scope.initDebtObject.supplier.id);
      }
    });
  };
  $scope.$on("$ionicView.afterEnter", function() {
    if (1 == $templateCache.get("supplierDebtListRefresh")) {
      $scope.doRefresh();
      $templateCache.put("supplierDebtListRefresh", false);
    }
  });
  $scope.$on("$ionicView.loaded", function() {
    $scope.getSupplierSituation();
  });
  /**
   * @return {undefined}
   */
  $scope.getSupplierSituation = function() {
    cl.post("/admin/inner/supplier/supplierSituation.ac").success(function($location) {
      $scope.supplierSituation = $location;
    });
  };
  $scope.getList();
}]).controller("SupplierDebtDetailCtrl", ["$scope", "$state", "lbSpinnerDialog", "psisServices", "$ionicModal", "$ionicPopover", "pageDetail", "$stateParams", "Tools", "$q", "lruPersistCache", "$cordovaDatePicker", "$ionicPopup", function($scope, $state, loading, that, $modal, FB, results, model, UnitTools, $q, $templateCache, scope, view) {
  /**
   * @return {?}
   */
  function fetch() {
    var imageDfd = $q.defer();
    var request1 = that.httpCacheGet.get(that.httpCacheGet.ac.ALLACCOUNTBYCOMSTORE);
    var getPromise3 = that.httpCacheGet.get(that.httpCacheGet.ac.ALLACCOUNTITEM);
    return $q.all([request1, getPromise3]).then(function(image) {
      imageDfd.resolve(image);
    }, function() {
      imageDfd.reject();
    }), imageDfd.promise;
  }
  /**
   * @return {?}
   */
  function update() {
    if (0 == $scope.fixedInputNumber($scope.record.paymentAmount) && 0 == $scope.fixedInputNumber($scope.record.discountAmount)) {
      return view.alert({
        template : "<div class='tc'>本次付款金额和优惠金额不能同时为空或零</div>",
        okText : "确定"
      }), false;
    }
    if ($scope.record.supplierBanlance - $scope.record.paymentAmount > 9.999999999E7 || $scope.record.supplierBanlance - $scope.record.paymentAmount < -9.999999999E7) {
      return view.alert({
        template : "<div class='tc'>输入金额超出限制</div>",
        okText : "确定"
      }), false;
    }
    if ($scope.record.discountAmount > 9.999999999E7 || $scope.record.discountAmount < -9.999999999E7) {
      return view.alert({
        template : "<div class='tc'>输入金额超出限制</div>",
        okText : "确定"
      }), false;
    }
    if ($scope.record.createTime) {
      /** @type {Date} */
      var d = new Date;
      /** @type {Date} */
      var midnight = new Date($scope.record.createTime);
      midnight.setHours(d.getHours(), d.getMinutes(), d.getSeconds(), d.getMilliseconds());
      /** @type {number} */
      $scope.record.createTime = midnight.getTime();
    }
    loading.show();
    that.post("/admin/inner/finance/banlance/record/pay.ac", {
      oppositeSideId : $scope.record.supplier.val,
      realAmount : $scope.payOrCharge ? -$scope.getValidNum($scope.record.paymentAmount) : $scope.getValidNum($scope.record.paymentAmount),
      accountId : $scope.record.account.id,
      discountAmount : $scope.getValidNum($scope.record.discountAmount),
      businessItem : $scope.record.accountItem.id,
      createTime : $scope.record.createTime,
      remark : $scope.record.remark
    }).success(function(res) {
      if (1 == res.statusCode) {
        UnitTools.toastShow("成功付了一笔！");
        $scope.record.supplierBanlance = res.object.banlance;
        $templateCache.put("supplierDebtListRefresh", true);
        $scope.supplierPaymentEditModal.hide();
        /** @type {number} */
        $scope.record.paymentAmount = 0;
        /** @type {number} */
        $scope.record.discountAmount = 0;
        /** @type {string} */
        $scope.record.remark = "";
      } else {
        UnitTools.toastShow(res.content);
      }
    }).finally(function() {
      $scope.getList();
      loading.hide();
    });
  }
  $scope.supplierName = model.supplierName;
  /** @type {Date} */
  var expected = new Date;
  var createTimeBegin = (new Date).setMonth(expected.getMonth() - 1);
  $scope.recordCondition = {
    createTimeBegin : createTimeBegin,
    createTimeEnd : expected.getTime(),
    oppositeSideId : model.oppositeSideId,
    showDebtOrders : "",
    sidx : "createTime",
    sord : "desc"
  };
  $scope.record = {
    supplier : {
      text : $scope.supplierName,
      val : model.oppositeSideId
    },
    supplierBanlance : model.supplierBanlance
  };
  $modal.fromTemplateUrl("supplierAccRecordFilter.html", function($location) {
    $scope.supplierAccRecordModal = $location;
  }, {
    scope : $scope,
    animation : "slide-in-up"
  });
  $modal.fromTemplateUrl("html/PSupplierBaseInfo/supplierPaymentEdit.html", function($location) {
    /** @type {number} */
    $scope.supplierPaymentEditModal = $location;
  }, {
    scope : $scope,
    animation : "slide-in-up",
    focusFirstInput : false
  });
  FB.fromTemplateUrl("html/PAccountManage/accountPopover.html", {
    scope : $scope
  }).then(function($location) {
    $scope.accountPopover = $location;
  });
  /**
   * @param {boolean} expectedNumberOfNonCommentArgs
   * @return {undefined}
   */
  $scope.openAccountPopover = function(expectedNumberOfNonCommentArgs) {
    $scope.accountPopover.show(expectedNumberOfNonCommentArgs);
  };
  FB.fromTemplateUrl("html/PAccountManage/accountItemPopover.html", {
    scope : $scope
  }).then(function($location) {
    $scope.accountItemPopover = $location;
  });
  /**
   * @param {boolean} expectedNumberOfNonCommentArgs
   * @return {undefined}
   */
  $scope.openAccountItemPopover = function(expectedNumberOfNonCommentArgs) {
    $scope.accountItemPopover.show(expectedNumberOfNonCommentArgs);
  };
  $scope.$on("$destroy", function() {
    $scope.supplierPaymentEditModal.remove();
    $scope.accountPopover.remove();
    $scope.accountItemPopover.remove();
  });
  /**
   * @param {string} res
   * @return {?}
   */
  $scope.getOrderType = function(res) {
    return results.getOrderType(res);
  };
  /**
   * @param {Element} res
   * @return {?}
   */
  $scope.getOrderTypeCss = function(res) {
    return res ? res.businessSn && res.businessSn.indexOf("FK") > -1 ? "lb-color-box-4" : res.needAmount - res.realAmount == 0 ? "lb-color-box-userDefined" : "lb-color-box-5" : void 0;
  };
  /**
   * @return {undefined}
   */
  $scope.setCreateTime = function() {
    scope.show({
      date : new Date($scope.record.createTime),
      mode : "date",
      minDate : "",
      maxDate : "",
      doneButtonLabel : "确定",
      cancelButtonLabel : "取消"
    }).then(function(date1) {
      if (!isNaN(date1.getTime())) {
        $scope.record.createTime = date1.getTime();
      }
    });
  };
  /**
   * @return {undefined}
   */
  $scope.supplierPayEdit = function() {
    loading.show();
    $scope.supplierPaymentEditModal.show();
    /** @type {number} */
    $scope.record.createTime = (new Date).getTime();
    if ($scope.isGetAcountInfoData) {
      loading.hide();
    } else {
      fetch().then(function(packs) {
        $scope.allAccounts = packs[0].data.rows;
        $scope.record.account = $scope.allAccounts[0];
        $scope.allAccountItems = packs[1].data.rows;
        /** @type {number} */
        var i = 0;
        for (;i < $scope.allAccountItems.length;i++) {
          if (0 == $scope.allAccountItems[i].isEnable || (1 == $scope.allAccountItems[i].id || (10 == $scope.allAccountItems[i].id || 5 == $scope.allAccountItems[i].id))) {
            $scope.allAccountItems.splice(i, 1);
            i--;
          }
        }
        $scope.record.accountItem = $scope.allAccountItems[0];
        loading.hide();
      });
      /** @type {boolean} */
      $scope.isGetAcountInfoData = true;
    }
  };
  /**
   * @param {?} v
   * @return {?}
   */
  $scope.fixedInputNumber = function(v) {
    return UnitTools.getValidNum(v);
  };
  /**
   * @param {?} deepDataAndEvents
   * @return {?}
   */
  $scope.getValidNum = function(deepDataAndEvents) {
    return UnitTools.getValidNum(deepDataAndEvents);
  };
  var throttledUpdate = ionic.debounce(update, 500, true);
  /**
   * @return {undefined}
   */
  $scope.confirmPaymentAction = function() {
    throttledUpdate();
  };
  /**
   * @return {undefined}
   */
  $scope.changeCharge = function() {
    /** @type {string} */
    var errorMessage = "确认更改付款/退款";
    /** @type {string} */
    errorMessage = 1 == $scope.payOrCharge ? "切换后填写的金额为【本次付款】" : "切换后填写的金额为【供应商退款】";
    if (window.cordova && window.cordova.plugins) {
      UnitTools.showConfirm(errorMessage, function(dataAndEvents) {
        if (2 == dataAndEvents) {
          $scope.$apply(function() {
            /** @type {number} */
            $scope.payOrCharge = 1 == $scope.payOrCharge ? 0 : 1;
          });
        }
      }, "付款/退款切换", ["取消", "切换"]);
    } else {
      view.show({
        cssClass : "lb-goodEdit-popup",
        template : "<div>" + errorMessage + "</div>",
        title : "付款/退款切换",
        scope : $scope,
        buttons : [{
          text : "确认",
          /**
           * @return {undefined}
           */
          onTap : function() {
            /** @type {number} */
            $scope.payOrCharge = 1 == $scope.payOrCharge ? 0 : 1;
          }
        }, {
          text : "取消",
          type : "button-assertive"
        }]
      });
    }
  };
  /**
   * @param {Node} actualObject
   * @return {undefined}
   */
  $scope.setRechargeAmount = function(actualObject) {
    /** @type {Node} */
    var object = actualObject;
    /** @type {string} */
    var x = $scope.record.supplierBanlance ? "欠供应商款 " + $scope.record.supplierBanlance.toFixed(2) : "当前欠供应商 0.00";
    /** @type {string} */
    var fd = $scope.payOrCharge ? "请输入供应商退款金额" : "请输入本次付款金额";
    if (window.cordova && window.cordova.plugins) {
      UnitTools.showPrompt(x, function(res) {
        if (2 == res.buttonIndex) {
          $scope.$apply(function() {
            $scope.record.paymentAmount = res.input1 >= 0 ? $scope.getValidNum(res.input1) : object;
          });
        }
      }, fd, ["取消", "确认"], object ? object.toString() : 0);
    } else {
      view.show({
        cssClass : "lb-goodEdit-popup",
        template : '<input type="number" class="tc" ng-model="record.paymentAmount" autofocus="true" placeholder="0.00">',
        title : x,
        scope : $scope,
        buttons : [{
          text : "确认",
          type : "button-assertive",
          /**
           * @return {undefined}
           */
          onTap : function() {
            $scope.record.paymentAmount = $scope.getValidNum($scope.record.paymentAmount);
          }
        }]
      });
    }
  };
  /**
   * @param {?} actualObject
   * @return {undefined}
   */
  $scope.setDiscountAmount = function(actualObject) {
    var object = actualObject;
    /** @type {string} */
    var x = "请输入本次优惠金额";
    /** @type {string} */
    var fd = "优惠金额";
    if (window.cordova && window.cordova.plugins) {
      UnitTools.showPrompt(x, function(res) {
        if (2 == res.buttonIndex) {
          $scope.$apply(function() {
            $scope.record.discountAmount = res.input1 >= 0 ? $scope.getValidNum(res.input1) : object;
          });
        }
      }, fd, ["取消", "确认"], object ? object.toString() : 0);
    } else {
      view.show({
        cssClass : "lb-goodEdit-popup",
        template : '<input type="number" class="tc" ng-model="record.discountAmount" autofocus="true" placeholder="0.00">',
        title : x,
        scope : $scope,
        buttons : [{
          text : "确认",
          type : "button-assertive",
          /**
           * @return {undefined}
           */
          onTap : function() {
            $scope.record.discountAmount = $scope.getValidNum($scope.record.discountAmount);
          }
        }]
      });
    }
  };
  /**
   * @return {undefined}
   */
  $scope.getList = function() {
    loading.show();
    that.post("/admin/inner/finance/banlance/record/supplierRecordListJSON.ac", {
      oppositeSideId : $scope.recordCondition.oppositeSideId,
      businessSn : $scope.recordCondition.businessSn,
      showDebtOrders : $scope.recordCondition.showDebtOrders,
      createTimeBegin : UnitTools.getDayBegin($scope.recordCondition.createTimeBegin),
      createTimeEnd : UnitTools.getOffsetDayBegin($scope.recordCondition.createTimeEnd, 1),
      sidx : "createTime",
      sord : "desc"
    }).success(function(response) {
      $scope.items = response.rows;
      var data = {
        needAmount : 0,
        realAmount : 0
      };
      /** @type {number} */
      var i = 0;
      var l = response.rows.length;
      for (;l > i;i++) {
        var stat = response.rows[i];
        data.needAmount = UnitTools.accAdd(data.needAmount, stat.needAmount);
        data.realAmount = UnitTools.accAdd(data.realAmount, stat.realAmount);
      }
      $scope.getTotal = data;
    }).finally(function() {
      loading.hide();
    });
  };
  /**
   * @param {?} res
   * @return {?}
   */
  $scope.filterItem = function(res) {
    if ($scope.recordCondition.showDebtOrders) {
      if (0 === $scope.orderType) {
        return res && (res.businessSn && res.businessSn.indexOf("FK") < 0) && (res.needAmount - res.realAmount > 0);
      } else {
        if (1 === $scope.orderType) {
          return res && (res.businessSn && res.businessSn.indexOf("FK") > -1);
        } else {
          return false;
        }
      }
    }
    else {
      return true;
    }

    //return $scope.recordCondition.showDebtOrders ? 0 == $scope.orderType ? res && (res.businessSn && res.businessSn.indexOf("FK") < 0) : 1 == $scope.orderType ? res && (res.businessSn && res.businessSn.indexOf("FK") > -1) : false : true;
  };
  /**
   * @param {?} data
   * @return {?}
   */
  $scope.getFinanceRecordDetail = function(data) {
    return data.businessSn.indexOf("FK") >= 0 && 1 == data.businessItem ? false : void(data.businessSn && (data.businessSn.indexOf("FK") >= 0 || (data.businessSn.indexOf("SK") >= 0 || data.businessSn.indexOf("JZ") >= 0)) ? $state.go("eventmenu.financeRecordDetail", {
      item : data
    }) : $scope.gotoDetail(data.businessItem, data.businessSn,data.id));
  };
  /**
   * @param {?} dataAndEvents
   * @return {undefined}
   */
  $scope.setCreateTimeBegin = function(dataAndEvents) {
    scope.show({
      date : new Date($scope.recordCondition.createTimeBegin),
      mode : "date",
      minDate : "",
      maxDate : "",
      doneButtonLabel : "确定",
      cancelButtonLabel : "取消"
    }).then(function(date1) {
      if (!isNaN(date1.getTime())) {
        $scope.recordCondition.createTimeBegin = date1.getTime();
        if (dataAndEvents) {
          $scope.getList();
        }
      }
    });
  };
  /**
   * @param {?} dataAndEvents
   * @return {undefined}
   */
  $scope.setCreateTimeEnd = function(dataAndEvents) {
    scope.show({
      date : new Date($scope.recordCondition.createTimeEnd),
      mode : "date",
      minDate : "",
      maxDate : "",
      doneButtonLabel : "确定",
      cancelButtonLabel : "取消"
    }).then(function(date1) {
      if (!isNaN(date1.getTime())) {
        $scope.recordCondition.createTimeEnd = date1.getTime();
        if (dataAndEvents) {
          $scope.getList();
        }
      }
    });
  };
  /**
   * @return {undefined}
   */
  $scope.clearFilter = function() {
    $scope.recordCondition.createTimeBegin = createTimeBegin;
    /** @type {number} */
    $scope.recordCondition.createTimeEnd = expected.getTime();
    /** @type {string} */
    $scope.recordCondition.businessSn = "";
  };
  $scope.$on("$ionicView.loaded", function() {
    $scope.getList();
  });
  $scope.$on("$ionicView.beforeEnter", function() {
    if (1 == $templateCache.get("refreshSupplierRecord")) {
      $scope.getList();
      that.post("/admin/inner/finance/banlance/banlanceSupplierGet.ac?supplierId=" + model.oppositeSideId).success(function(dataAndEvents) {
        $scope.record.supplierBanlance = dataAndEvents.banlance ? dataAndEvents.banlance : 0;
      });
      $templateCache.put("refreshSupplierRecord", false);
    }
  });
  $scope.gotoDetail = results.gotoDetail;
}]).controller("SupplierTypeCtrl", ["$scope", "psisServices", "$ionicPopup", "Tools", "$ionicPopover", "$ionicModal", "lbSpinnerDialog", "$state","lruPersistCache", function(self, doc, _, dojo, dataAndEvents, $modal, loading, $state,$templateCache) {

  //获取全部供应商分类
  self.getAllSupplierTypes = function() {
    doc.httpCacheGet.get(doc.httpCacheGet.ac.ALLSUPPLIERTYPES).success(function($location) {
      self.arrSupplierType = $location;
    });
  };
  self.getAllSupplierTypes();

  //供应商分类新增/编辑页标题
  self.supplierTypeEditModalTitle = "";

  //供应商分类编辑页面
  $modal.fromTemplateUrl("html/PClientBaseInfo/supplierTypeEdit.html", function(theTitle) {
    self.supplierTypeEditModal = theTitle;
  }, {
    scope : self,
    animation : "slide-in-up"
  });
  self.$on("$destroy", function() {
    self.supplierTypeEditModal.remove();
  });

  //打开编辑页面
  self.openSupplierType = function(dataAndEvents, theTitle, user) {
    if ("insert" === dataAndEvents) {
      self.supplierTypeEditModalTitle = "新增供应商类型";
      self.supplierTypeEdit = {
        isShow : 1,
        showOrder : 100
      };
      self.isEditType = false;
    } else {
      if ("update" === dataAndEvents) {
        self.supplierTypeEditModalTitle = "编辑供应商类型";
        self.supplierTypeEdit = theTitle;
        self.isEditType = true;
      }
    }
    self.supplierTypeIndex = user;
    self.supplierTypeEditModal.show();
  };

  //保存供应商分类
  self.saveSupplierType = function () {
    if (!self.supplierTypeEdit.name) {
      return dojo.toastShow("请填写名称！", "short", "center"), void console.log("请填写名称！");
    }
    var typeEdit = {
      newName : self.supplierTypeEdit.name
    };

    if (self.supplierTypeEdit.id) {
      typeEdit.supplierTypeId = self.supplierTypeEdit.id;
    }

    doc.postEncode("/admin/inner/supplier/typeNameIsUnique.ac", typeEdit).success(function(e) {
      if(e.isValid) {
        doc.post("/admin/inner/supplier/supplierTypeSaveOrUpdate.ac", self.supplierTypeEdit).success(function(event) {
          if (1 == event.statusCode) {
            dojo.toastShow("保存成功！");
            doc.httpCacheGet.remove(doc.httpCacheGet.ac.ALLSUPPLIERTYPES);
            dojo.union(self.supplierTypeEdit, event.object);
            $templateCache.put("refreshSupplierTypeFlag",true);
            self.getAllSupplierTypes();
            self.supplierTypeEditModal.hide();
          } else {
            dojo.toastShow("保存失败！");
          }
        });
      } else {
        dojo.toastShow("客户分类已存在！", "short", "center");
        console.log("客户分类已存在！");
      }
    });
  };

  //删除供应商分类
  self.deleteSupplierType = function (supplierTypeEdit,supplierTypeIndex) {
    var promise = _.confirm({
      template : "<div class='tc'>您确认要删除" + supplierTypeEdit.name + "?</div>",
      cancelText : "取消",
      okText : "确认"
    });
    return promise.then(function(dataAndEvents) {
      if (dataAndEvents) {
        doc.post("/admin/inner/supplier/supplierTypeDelete.ac?id=" + supplierTypeEdit.id).success(function(r) {
          if (1 == r.statusCode) {
            dojo.toastShow("删除成功！");
            doc.httpCacheGet.remove(doc.httpCacheGet.ac.ALLSUPPLIERTYPES);
            $templateCache.put("refreshSupplierTypeFlag",true);
            self.getAllSupplierTypes();
            self.supplierTypeEditModal.hide();
          } else {
            dojo.toastShow("删除失败！");
          }
        });
      }
    }), true;
  };

  self.selectSupplierType = function (mod,act) {
    mod.supplierType = mod.supplierType.id == act.id ? {} : act;
    self.supplierTypeSelectModal.hide();
  };

}]).controller("EmployeeCtrl", ["$scope", "psisServices", "$ionicPopup", "Tools", "$ionicPopover", "$ionicModal", "lbSpinnerDialog", "$state","lruPersistCache", function(self, doc, _, dojo, dataAndEvents, $modal, loading, $state,lruPersistCache) {

  self.selectEmployee = function(mod, act) {
    mod.employee = mod.employee.personId === act.personId ? {} : act;
    self.employeeModal.hide();
  };

  self.getAllClientTypeItems = function() {
    doc.httpCacheGet.get(doc.httpCacheGet.ac.ALLOPERATOR).success(function(theTitle) {
      self.arrEmployee = theTitle;
    });
  };

  var init = function() {
    doc.httpCacheGet.get(doc.httpCacheGet.ac.ALLOPERATOR).success(function(result) {
      self.arrEmployee = result.object;
    });
  };
  init();
}]);
