angular.module("reportController", ["ionic", "services", "tools"]).controller("SaleReportListCtrl", ["$scope", "$state", "Tools", function() {
}]).controller("SaleReportCtrl", ["$scope", "$state", "Tools", "ServerConfig", "psisServices", "lbScrollDelegate", "lbSpinnerDialog", "$ionicModal", "$ionicPopover", "$cordovaDatePicker", "$cordovaBarcodeScanner", "$timeout", "lruPersistCache", "$ionicActionSheet", "$stateParams", function(self, $state, store, dataAndEvents, _, parent, loading, $modal, FB, $scope, Hogan, $sanitize, $templateCache, a,
options) {
  /** @type {boolean} */
  self.isLoading = true;
  var client = options.client;
  self.company = {};
  /** @type {Array} */
  self.company.userStoreItem = [];
  self.company.storeUser = {};
  var message = {
    SALEREPORTDETAIL : ["searchKey", "storehouse", "client", "handler", "storeId", "ordersSn", "categoryId", "blandId", "salerId", "orderStatus"],
    SALEREPORTBYSKU : ["searchKey", "storehouse", "categoryId", "blandId", "orderStatus"],
    SALEREPORTBYGOODS : ["searchKey", "storehouse", "categoryId", "blandId", "orderStatus", "client"],
    SALEREPORTBYORDER : ["storehouse", "client", "handler", "storeId", "ordersSn", "salerId", "orderStatus"],
    SALEREPORTBYCLIENT : ["client", "orderStatus"],
    SALEREPORTBYSALEMAN : ["salerId", "orderStatus"],
    SALEREPORTBYSALERCOMSTORE : ["orderStatus"],
    SALEREPORTBYSTOREHOUSECOMSTORE : ["storeId", "orderStatus"]
  };
  /** @type {Array} */
  var _users = ["/admin/inner/report/sale/saleDetailListJSON.ac", "/admin/inner/report/sale/saleGroupBySkuListJSON.ac", "/admin/inner/report/sale/saleGroupByGoodListJSON.ac", "/admin/inner/report/sale/saleGroupByOrderListJSON.ac", "/admin/inner/report/sale/saleGroupByClientListJSON.ac", "/admin/inner/report/sale/saleGroupBySalerListJSON.ac", "/admin/inner/report/sale/saleGroupByComStoreListJSON.ac", "/admin/inner/report/sale/saleGroupByStorehouseComStoreListJSON.ac"];
  self.searchModel = {
    page : 1,
    state : 0,
    storeHouse : {},
    client : {},
    handler : {},
    storeId : "",
    orderStatusObj : {
      val : "2",
      text : "已出售"
    },
    businessType : {
      val : -1,
      text : "全部"
    }
  };
  /** @type {Array} */
  self.orderStatusArr = [{
    val : "2",
    text : "已出售"
  }, {
    val : "1",
    text : "草稿"
  }
/*  , {
    val : "9",
    text : "撤销"
  }*/
  ];
  self.goodsInfo = {};
  /** @type {Array} */
  self.businessType = [{
    text : "全部",
    val : -1
  }, {
    text : "零售",
    val : 0
  }, {
    text : "销售",
    val : 1
  }, {
    text : "销售退货",
    val : 2
  }];
  /**
   * @return {undefined}
   */
  self.showActionsheet = function() {
    var expectedNumberOfNonCommentArgs = {
      buttons : [{
        text : '<i class="assertive"></i> 销售明细'
      }, {
        text : '<i class="icon ion-grid assertive"></i> 按单品汇总'
      }, {
        text : '<i class="icon ion-grid assertive"></i> 按商品汇总'
      }, {
        text : '<i class="icon ion-grid assertive"></i> 按单据汇总'
      }, {
        text : '<i class="icon ion-grid assertive"></i> 按客户汇总'
      }, {
        text : '<i class="icon ion-grid assertive"></i> 按销售员汇总'
      }, {
        text : '<i class="icon ion-grid assertive"></i> 按销售员所属部门汇总'
      }, {
        text : '<i class="icon ion-grid assertive"></i> 按仓库所属部门汇总'
      }],
      /**
       * @param {?} clicked
       * @return {?}
       */
      buttonClicked : function(clicked) {
        switch(self.viewReplace(), clicked) {
          case 0:
            $state.go("eventmenu.saleReportDetail");
            break;
          case 1:
            $state.go("eventmenu.saleReportBySku");
            break;
          case 2:
            $state.go("eventmenu.saleReportByGoods");
            break;
          case 3:
            $state.go("eventmenu.saleReportByOrder");
            break;
          case 4:
            $state.go("eventmenu.saleReportByClient");
            break;
          case 5:
            $state.go("eventmenu.saleReportBySaleMan");
            break;
          case 6:
            $state.go("eventmenu.saleReportBySalerComStore");
            break;
          case 7:
            $state.go("eventmenu.saleReportByStorehouseComStore");
        }
        return true;
      }
    };
    a.show(expectedNumberOfNonCommentArgs);
  };
  if ($state.includes("eventmenu.saleReportDetail")) {
    self.reportInterfaceUrl = _users[0];
    /** @type {Array} */
    self.curSearchItemArr = message.SALEREPORTDETAIL;
    self.viewTitle = self.NameConstant.SALEREPORTDETAIL;
  } else {
    if ($state.includes("eventmenu.saleReportBySku")) {
      self.reportInterfaceUrl = _users[1];
      /** @type {Array} */
      self.curSearchItemArr = message.SALEREPORTBYSKU;
      self.viewTitle = self.NameConstant.SUMBYSKU;
    } else {
      if ($state.includes("eventmenu.saleReportByGoods")) {
        self.reportInterfaceUrl = _users[2];
        /** @type {Array} */
        self.curSearchItemArr = message.SALEREPORTBYGOODS;
        self.viewTitle = self.NameConstant.SUMBYGOODS;
      } else {
        if ($state.includes("eventmenu.saleReportByOrder")) {
          self.reportInterfaceUrl = _users[3];
          /** @type {Array} */
          self.curSearchItemArr = message.SALEREPORTBYORDER;
          self.viewTitle = self.NameConstant.SUMBYORDER;
        } else {
          if ($state.includes("eventmenu.saleReportByClient")) {
            self.reportInterfaceUrl = _users[4];
            /** @type {Array} */
            self.curSearchItemArr = message.SALEREPORTBYCLIENT;
            self.viewTitle = self.NameConstant.SUMBYCLIENT;
          } else {
            if ($state.includes("eventmenu.saleReportBySaleMan")) {
              self.reportInterfaceUrl = _users[5];
              /** @type {Array} */
              self.curSearchItemArr = message.SALEREPORTBYSALEMAN;
              self.viewTitle = self.NameConstant.SUMBYSALEMAN;
            } else {
              if ($state.includes("eventmenu.saleReportBySalerComStore")) {
                self.reportInterfaceUrl = _users[6];
                /** @type {Array} */
                self.curSearchItemArr = message.SALEREPORTBYSALERCOMSTORE;
                self.viewTitle = self.NameConstant.SUMBYSALERCOMSTORE;
              } else {
                if ($state.includes("eventmenu.saleReportByStorehouseComStore")) {
                  self.reportInterfaceUrl = _users[7];
                  /** @type {Array} */
                  self.curSearchItemArr = message.SALEREPORTBYSTOREHOUSECOMSTORE;
                  self.viewTitle = self.NameConstant.SUMBYSTOREHOUSECOMSTORE;
                }
              }
            }
          }
        }
      }
    }
  }
  /** @type {string} */
  var expires = "";
  /** @type {string} */
  var pre = "";
  /** @type {Array} */
  var data = [];
  /**
   * @param {string} val
   * @return {undefined}
   */
  self.getSort = function(val) {
    var ret = store.fnCheckGtoreQty(data, "key", val);
    if (ret && "asc" == ret.value) {
      /** @type {string} */
      ret.value = "desc";
    } else {
      if (ret && "desc" == ret.value) {
        /** @type {number} */
        var i = 0;
        for (;i < data.length;i++) {
          if (ret.key == data[i].key) {
            data.splice(i, 1);
          }
        }
      } else {
        if (val) {
          if ("" != val) {
            data.push({
              key : val,
              value : "asc"
            });
          }
        }
      }
    }
  };
  /**
   * @param {string} newVal
   * @return {undefined}
   */
  self.getSortList = function(newVal) {
    self.getSort(newVal);
    /** @type {string} */
    expires = "";
    /** @type {string} */
    pre = "";
    /** @type {number} */
    var i = 0;
    for (;i < data.length;i++) {
      if (i != data.length - 1) {
        expires += data[i].key + " " + data[i].value + ", ";
      } else {
        if (i == data.length - 1) {
          expires += data[i].key;
          pre += data[i].value;
        }
      }
    }
    /** @type {string} */
    self.searchModel.sidx = expires;
    /** @type {string} */
    self.searchModel.sord = pre;
    self.getList(0, true);
  };
  /**
   * @return {undefined}
   */
  self.otherSortList = function() {
    if (self.sortQueryModal) {
      self.sortQueryModal.show();
    } else {
      $modal.fromTemplateUrl("sortQuery.html", function(theTitle) {
        self.sortQueryModal = theTitle;
        self.sortQueryModal.show();
      }, {
        scope : self,
        animation : "slide-in-up"
      });
    }
  };
  /**
   * @return {undefined}
   */
  self.clearSort = function() {
    /** @type {Array} */
    data = [];
    self.getSortList();
  };
  /**
   * @param {string} obj
   * @param {?} text
   * @return {?}
   */
  self.filterSort = function(obj, text) {
    var p = store.fnCheckGtoreQty(data, "key", obj);
    return p && p.value == text;
  };
  /**
   * @param {boolean} deepDataAndEvents
   * @return {?}
   */
  var success = function(deepDataAndEvents) {
    if ("today" == self.searchModel.timePeriod) {
      self.searchModel.beginTime = store.getDayBegin((new Date).setDate((new Date).getDate())).getTime();
      self.searchModel.endTime = store.getDayBegin((new Date).setDate((new Date).getDate())).getTime();
      $templateCache.put("saleQueryCondition", JSON.stringify({
        timePeriod : "today"
      }));
    } else {
      if ("yesterday" == self.searchModel.timePeriod) {
        self.searchModel.beginTime = store.getDayBegin((new Date).setDate((new Date).getDate() - 1)).getTime();
        self.searchModel.endTime = store.getDayBegin((new Date).setDate((new Date).getDate() - 1)).getTime();
        $templateCache.put("saleQueryCondition", JSON.stringify({
          timePeriod : "yesterday"
        }));
      } else {
        if ("thisWeek" == self.searchModel.timePeriod) {
          self.searchModel.beginTime = store.getDayBegin((new Date).setDate((new Date).getDate() - 6)).getTime();
          self.searchModel.endTime = store.getDayBegin((new Date).setDate((new Date).getDate())).getTime();
          $templateCache.put("saleQueryCondition", JSON.stringify({
            timePeriod : "thisWeek"
          }));
        } else {
          if ("thisMonth" == self.searchModel.timePeriod) {
            self.searchModel.beginTime = store.getDayBegin((new Date).setDate((new Date).getDate() - 29)).getTime();
            self.searchModel.endTime = store.getDayBegin((new Date).setDate((new Date).getDate())).getTime();
            $templateCache.put("saleQueryCondition", JSON.stringify({
              timePeriod : "thisMonth"
            }));
          } else {
            if ("all" == self.searchModel.timePeriod) {
              /** @type {string} */
              self.searchModel.beginTime = "";
              /** @type {string} */
              self.searchModel.endTime = "";
              $templateCache.put("saleQueryCondition", JSON.stringify({
                timePeriod : "all"
              }));
            }
          }
        }
      }
    }
    var model = {
      storehouseId : self.searchModel.storeHouse ? self.searchModel.storeHouse.val : null,
      searchKey : self.searchModel.searchKey,
      beginTime : store.transferGMTStringtoBJTime(store.getDayBeginStr(self.searchModel.beginTime)),
      endTime : store.transferGMTStringtoBJTime(store.getDayBeginStr(self.searchModel.endTime)),
      clientId : self.searchModel.client ? self.searchModel.client.val : null,
      handlerId : self.searchModel.handler ? self.searchModel.handler.val : null,
      storeId : null != self.company.storeUser && self.company.storeUser.storeId >= 0 ? self.company.storeUser.storeId : null,
      ordersSn : self.searchModel.ordersSn,
      page : self.searchModel.page,
      sidx : self.searchModel.sidx ? self.searchModel.sidx : "",
      sord : self.searchModel.sord ? self.searchModel.sord : "",
      categoryId : self.goodsInfo.category ? store.getCategoryChildIds(self.allCategoryList, self.goodsInfo.category.id) : "",
      blandId : self.searchModel.bland ? self.searchModel.bland.id : null,
      salerId : self.searchModel.saler ? self.searchModel.saler.val : null,
      orderStatus : self.searchModel.orderStatusObj ? self.searchModel.orderStatusObj.val : null,
      businessType : self.searchModel.businessType ? self.searchModel.businessType.val : -1
    };
    return model.storehouseId && store.contains(self.curSearchItemArr, "storehouse") || delete model.storehouseId, model.searchKey && store.contains(self.curSearchItemArr, "searchKey") || delete model.searchKey, model.clientId && store.contains(self.curSearchItemArr, "client") || delete model.clientId, model.handlerId && store.contains(self.curSearchItemArr, "handler") || delete model.handlerId,
    null != model.storeId && (model.storeId >= 0 && store.contains(self.curSearchItemArr, "storeId")) || delete model.storeId, model.ordersSn && store.contains(self.curSearchItemArr, "ordersSn") || delete model.ordersSn, model.categoryId && store.contains(self.curSearchItemArr, "categoryId") || delete model.categoryId, model.blandId && store.contains(self.curSearchItemArr,
    "blandId") || delete model.blandId, model.salerId && store.contains(self.curSearchItemArr, "salerId") || delete model.salerId, model.orderStatus && store.contains(self.curSearchItemArr, "orderStatus") || delete model.orderStatus, !$state.includes("eventmenu.saleReportDetail") && !$state.includes("eventmenu.saleReportByOrder") || (null != self.searchModel.sidx && "" != self.searchModel.sidx ||
    (model.sidx = "businessTime", model.sord = "desc")), deepDataAndEvents || self.getSumData(model), _.postEncode(self.reportInterfaceUrl, model);
  };
  /**
   * @param {number} recurring
   * @param {boolean} deepDataAndEvents
   * @return {undefined}
   */
  self.getList = function(recurring, deepDataAndEvents) {
    /** @type {number} */
    self.searchModel.page = 1;
    if (2 == recurring) {
      self.refreshTimePeriod();
    }
    loading.show(true);
    success(deepDataAndEvents).success(function(data) {
      self.items = data.rows;
      /** @type {boolean} */
      self.loadMoreBtn = data.page < data.total;
    }).finally(function() {
      /** @type {boolean} */
      self.isLoading = false;
      parent.scrollTop("ReportDetailCtrlScroll");
      loading.hide();
    });
  };
  /**
   * @return {undefined}
   */
  self.getMore = function() {
    self.searchModel.page++;
    success().success(function(options) {
      self.items = self.items.concat(options.rows);
      /** @type {boolean} */
      self.loadMoreBtn = options.page < options.total;
      self.$broadcast("scroll.infiniteScrollComplete");
    }).finally(function() {
      /** @type {boolean} */
      self.isLoading = false;
      parent.resize("ReportDetailCtrlScroll");
    });
  };
  /**
   * @return {undefined}
   */
  self.clearQueryCondition = function() {
    /** @type {number} */
    self.searchModel.page = 1;
    /** @type {number} */
    self.searchModel.state = 0;
    self.searchModel.storeHouse = {};
    self.searchModel.client = {};
    self.searchModel.handler = {};
    self.searchModel.saler = {};
    /** @type {null} */
    self.company.storeUser.storeId = null;
    /** @type {null} */
    self.searchModel.searchKey = null;
    /** @type {null} */
    self.searchModel.ordersSn = null;
    /** @type {null} */
    self.goodsInfo.category = null;
    /** @type {null} */
    self.searchModel.bland = null;
    self.searchModel.beginTime = store.getDayBegin((new Date).setDate((new Date).getDate())).getTime();
    self.searchModel.endTime = store.getDayBegin((new Date).setDate((new Date).getDate())).getTime();
  };
  $modal.fromTemplateUrl("saleReportDetailQuery.html", function(theTitle) {
    self.saleReportDetailQueryModal = theTitle;
  }, {
    scope : self,
    animation : "slide-in-up"
  });
  $modal.fromTemplateUrl("html/PRetailAndSellBill/selectClient.html", function(theTitle) {
    self.clientModal = theTitle;
  }, {
    scope : self,
    animation : "slide-in-up",
    focusFirstInput : true
  });
  /**
   * @return {undefined}
   */
  self.clientModalOpen = function() {
    self.clientModal.show().then(function() {
      store.keyboardShow();
    });
  };
  FB.fromTemplateUrl("handlerPopover.html", {
    scope : self
  }).then(function(theTitle) {
    /** @type {number} */
    self.handlerPopover = theTitle;
  });
  /**
   * @param {boolean} expectedNumberOfNonCommentArgs
   * @return {undefined}
   */
  self.openHandlerPopover = function(expectedNumberOfNonCommentArgs) {
    self.handlerPopover.show(expectedNumberOfNonCommentArgs);
  };
  /**
   * @return {undefined}
   */
  self.hideHandlerPopover = function() {
    self.handlerPopover.hide();
  };
  FB.fromTemplateUrl("salerPopover.html", {
    scope : self
  }).then(function(theTitle) {
    self.salerPopover = theTitle;
  });
  /**
   * @param {boolean} expectedNumberOfNonCommentArgs
   * @return {undefined}
   */
  self.openSalerPopover = function(expectedNumberOfNonCommentArgs) {
    self.salerPopover.show(expectedNumberOfNonCommentArgs);
  };
  /**
   * @return {undefined}
   */
  self.hideSalerPopover = function() {
    self.salerPopover.hide();
  };
  $modal.fromTemplateUrl("html/PRetailAndSellBill/SellBillSelectSaler.html", function(theTitle) {
    self.salerModal = theTitle;
  }, {
    scope : self,
    animation : "slide-in-up",
    focusFirstInput : true
  });
  /**
   * @param {Function} theTitle
   * @param {boolean} expectedNumberOfNonCommentArgs
   * @return {undefined}
   */
  self.salerModalOpen = function(theTitle, expectedNumberOfNonCommentArgs) {
    self.salerModal.show(expectedNumberOfNonCommentArgs).then(function() {
      store.keyboardShow();
    });
    /** @type {Function} */
    self.salerFalg = theTitle;
  };
  FB.fromTemplateUrl("storehousePopover.html", {
    scope : self
  }).then(function(theTitle) {
    self.storehousePopover = theTitle;
  });
  /**
   * @param {boolean} expectedNumberOfNonCommentArgs
   * @return {undefined}
   */
  self.openStorehousePopover = function(expectedNumberOfNonCommentArgs) {
    self.storehousePopover.show(expectedNumberOfNonCommentArgs);
  };
  /**
   * @return {undefined}
   */
  self.hideStorehousePopover = function() {
    self.storehousePopover.hide();
  };
  $modal.fromTemplateUrl("goodsCategoryQuery.html", function(theTitle) {
    self.goodsCategoryModal = theTitle;
  }, {
    scope : self,
    animation : "slide-in-up"
  });
  $modal.fromTemplateUrl("goodsBlandQuery.html", function(theTitle) {
    self.goodsBlandModal = theTitle;
  }, {
    scope : self,
    animation : "slide-in-up"
  });
  $modal.fromTemplateUrl("html/PShopBaseInfo/comStoreSelectModal.html", function(theTitle) {
    self.comStoreModal = theTitle;
  }, {
    scope : self,
    animation : "slide-in-up"
  });
  FB.fromTemplateUrl("orderStatus.html", {
    scope : self
  }).then(function(theTitle) {
    /** @type {number} */
    self.orderStatusPopover = theTitle;
  });
  /**
   * @param {boolean} expectedNumberOfNonCommentArgs
   * @return {undefined}
   */
  self.openOrderStatusPopover = function(expectedNumberOfNonCommentArgs) {
    self.orderStatusPopover.show(expectedNumberOfNonCommentArgs);
  };
  /**
   * @return {undefined}
   */
  self.hideOrderStatusPopover = function() {
    self.orderStatusPopover.hide();
  };
  FB.fromTemplateUrl("businessType.html", {
    scope : self
  }).then(function(theTitle) {
    /** @type {number} */
    self.businessTypePopover = theTitle;
  });
  /**
   * @param {boolean} expectedNumberOfNonCommentArgs
   * @return {undefined}
   */
  self.openBusinessTypePopover = function(expectedNumberOfNonCommentArgs) {
    self.businessTypePopover.show(expectedNumberOfNonCommentArgs);
  };
  /**
   * @return {undefined}
   */
  self.hideBusinessTypePopover = function() {
    self.businessTypePopover.hide();
  };
  /**
   * @param {Element} object
   * @return {undefined}
   */
  self.selectComStore = function(object) {
    self.company.storeUser.storeId = self.company.storeUser.storeId === object.id ? "" : object.id;
    self.comStoreModal.hide();
  };
  /**
   * @return {undefined}
   */
  self.openGoodImgModal = function() {
    $modal.fromTemplateUrl("html/PRetailAndSellBill/goodImgModal.html", function(theTitle) {
      self.goodImgModal = theTitle;
      self.goodImgModal.show();
    }, {
      scope : self,
      animation : "slide-in-up"
    });
  };
  /**
   * @param {?} dataAndEvents
   * @param {?} event
   * @return {undefined}
   */
  self.showGoodImage = function(dataAndEvents, event) {
    if (event) {
      event.stopPropagation();
    }
    if (dataAndEvents.goodId) {
      loading.show();
      _.post("/admin/inner/goods/album/goodsImgs.ac?goodsId=" + dataAndEvents.goodId).success(function(result) {
        self.goodImgs = result.rows;
        if (self.goodImgs.length > 0) {
          self.openGoodImgModal();
        } else {
          store.toastShow("此商品暂无图片");
        }
      }).finally(function() {
        loading.hide();
      });
    }
  };
  self.$on("$destroy", function() {
    self.saleReportDetailQueryModal.remove();
    self.clientModal.remove();
    self.storehousePopover.remove();
    self.goodsCategoryModal.remove();
    self.goodsBlandModal.remove();
    if (self.handlerPopover) {
      self.handlerPopover.remove();
    }
    self.comStoreModal.remove();
    if (self.sortQueryModal) {
      self.sortQueryModal.remove();
    }
    if (self.salerPopover) {
      self.salerPopover.remove();
    }
    self.salerModal.remove();
    if (self.orderStatusPopover) {
      self.orderStatusPopover.remove();
    }
    if (self.goodImgModal) {
      self.goodImgModal.remove();
    }
    if (self.businessTypePopover) {
      self.businessTypePopover.remove();
    }
  });
  /**
   * @return {undefined}
   */
  self.setCreateTimeBegin = function() {
    $scope.show({
      date : self.searchModel.beginTime ? new Date(self.searchModel.beginTime) : new Date,
      mode : "date",
      minDate : "",
      maxDate : "",
      doneButtonLabel : "确定",
      cancelButtonLabel : "取消"
    }).then(function(date1) {
      if (!isNaN(date1.getTime())) {
        self.searchModel.beginTime = date1.getTime();
      }
    });
  };
  /**
   * @return {undefined}
   */
  self.setCreateTimeEnd = function() {
    $scope.show({
      date : self.searchModel.endTime ? new Date(self.searchModel.endTime) : new Date,
      mode : "date",
      minDate : "",
      maxDate : "",
      doneButtonLabel : "确定",
      cancelButtonLabel : "取消"
    }).then(function(date1) {
      if (!isNaN(date1.getTime())) {
        self.searchModel.endTime = date1.getTime();
      }
    });
  };
  /**
   * @return {undefined}
   */
  self.refreshTimePeriod = function() {
    /** @type {string} */
    self.searchModel.timePeriod = self.searchModel.beginTime || self.searchModel.endTime ? self.searchModel.beginTime && self.searchModel.endTime ? store.getDayBeginStr(self.searchModel.beginTime) == store.getDayBeginStr((new Date).getTime()) && store.getDayBeginStr(self.searchModel.endTime) == store.getDayBeginStr((new Date).getTime()) ? "today" : store.getDayBeginStr(self.searchModel.beginTime) ==
    store.getOffsetDayBeginStr((new Date).getTime(), -1) && store.getDayBeginStr(self.searchModel.endTime) == store.getOffsetDayBeginStr((new Date).getTime(), -1) ? "yesterday" : store.getDayBeginStr(self.searchModel.beginTime) == store.getOffsetDayBeginStr((new Date).getTime(), -6) && store.getDayBeginStr(self.searchModel.endTime) == store.getDayBeginStr((new Date).getTime()) ? "thisWeek" : store.getDayBeginStr(self.searchModel.beginTime) ==
    store.getOffsetDayBeginStr((new Date).getTime(), -29) && store.getDayBeginStr(self.searchModel.endTime) == store.getDayBeginStr((new Date).getTime()) ? "thisMonth" : "other" : "other" : "all";
  };
  /**
   * @param {?} value
   * @return {undefined}
   */
  self.getSumData = function(value) {
    /** @type {boolean} */
    self.sumDataLoading = true;
    var params = angular.copy(value);
    params.beginTime = store.getOffsetDayBegin(self.searchModel.beginTime,1);
    params.endTime = store.getOffsetDayBegin(self.searchModel.endTime, 1);
    delete params.page;
    delete params.sidx;
    delete params.sord;
    _.post("/admin/inner/report/sale/saleDetailListSum.ac", params).success(function(result) {
      self.sumQuantity = result.sumQuantity;
      self.sumTrueAmount = result.sumTrueAmount.toFixed(2);
      self.sumGrossProfit = result.sumGrossProfit.toFixed(2);
      self.avgGrossProfitRate = result.avgGrossProfitRate.toFixed(2);
    }).finally(function() {
      /** @type {boolean} */
      self.sumDataLoading = false;
    });
  };
  /**
   * @return {undefined}
   */
  self.scanCode = function() {
    Hogan.scan().then(function(result) {
      if (!result.cancelled) {
        $sanitize(function() {
          self.searchModel.searchKey = result.text;
        });
      }
    }, function(err) {
      console.error("Scanning failed: " + err);
      store.toastShow("二维码扫描失败！");
    });
  };
  /**
   * @param {?} event
   * @return {undefined}
   */
  self.resizeContentArea = function(event) {
    if (event) {
      event.stopPropagation();
    }
    parent.resize("ReportDetailCtrlScroll");
  };
  self.$on("$ionicView.loaded", function() {
    if ($templateCache.get("saleQueryCondition") && !store.isEmpty($templateCache.get("saleQueryCondition"))) {
      /** @type {*} */
      var animation = JSON.parse($templateCache.get("saleQueryCondition"));
      self.searchModel.timePeriod = animation.timePeriod;
      self.searchModel.storeHouse = animation.storeHouse;
      self.searchModel.beginTime = animation.beginTime;
      self.searchModel.endTime = animation.endTime;
      $templateCache.put("saleQueryCondition", {});
    } else {
      self.searchModel = {
        timePeriod : "today",
        orderStatusObj : {
          val : "2",
          text : "已出售"
        },
        businessType : {
          val : -1,
          text : "全部"
        }
      };
    }
    self.searchModel.client = client ? client : {};
    self.getList();
    _.httpCacheGet.get(_.httpCacheGet.ac.ALLCOMPANYUSER).success(function(message) {
      self.allHandler = message.optionList;
      self.allSaler = message.optionList;
    });
    _.httpCacheGet.get(_.httpCacheGet.ac.STOREHOUSELIST).success(function(theTitle) {
      self.allDept = theTitle;
    });
    _.httpCacheGet.get(_.httpCacheGet.ac.CATEGORYLIST).success(function(result) {
      self.allCategoryList = result.rows;
      self.categoryTree = store.treeForCategory(0, "", false, result.rows).children;
    });
    _.httpCacheGet.get(_.httpCacheGet.ac.BLANDLIST).success(function(theTitle) {
      self.arrBland = theTitle;
    });
  });
}]).controller("PurchaseReportListCtrl", ["$scope", "$state", "Tools", function() {
}]).controller("PurchaseReportCtrl", ["$scope", "$state", "$stateParams", "Tools", "ServerConfig", "psisServices", "lbScrollDelegate", "lbSpinnerDialog", "$ionicModal", "$ionicPopover", "$cordovaDatePicker", "$cordovaBarcodeScanner", "$timeout", "lruPersistCache", "$ionicActionSheet", function(self, $state, functions, $, dataAndEvents, test, parent, loading, $modal, FB, $scope, Hogan, $sanitize, $templateCache,
a) {
  /** @type {boolean} */
  self.isLoading = true;
  var length = functions.supplier;
  var message = {
    PURCHASEREPORTDETAIL : ["searchKey", "storehouse", "supplier", "handler", "ordersSn", "blandId", "categoryId"],
    PURCHASEREPORTBYSKU : ["searchKey", "blandId", "categoryId"],
    PURCHASEREPORTBYGOODS : ["searchKey", "blandId", "categoryId"],
    PURCHASEREPORTBYORDER : ["storehouse", "supplier", "handler", "ordersSn"],
    PURCHASEREPORTBYSUPPLIER : ["supplier"],
    PURCHASEREPORTBYSALEMAN : ["handler"]
  };
  /** @type {Array} */
  var _users = ["/admin/inner/report/purchase/purchaseDetailListJSON.ac", "/admin/inner/report/purchase/purchaseGroupBySkuListJSON.ac", "/admin/inner/report/purchase/purchaseGroupByGoodListJSON.ac", "/admin/inner/report/purchase/purchaseGroupByOrderListJSON.ac", "/admin/inner/report/purchase/purchaseGroupBySupplierListJSON.ac", "/admin/inner/report/purchase/purchaseGroupByHandlerListJSON.ac"];
  self.searchModel = {
    page : 1,
    state : 0,
    storeHouse : {},
    supplier : {},
    handler : {},
    orderStatusObj : {
      val : "2",
      text : "已进货"
    }
  };
  /** @type {Array} */
  self.orderStatusArr = [{
    val : "2",
    text : "已进货"
  }, {
    val : "1",
    text : "草稿"
  }
/*  , {
    val : "9",
    text : "撤销"
  }*/
  ];
  self.goodsInfo = {};
  if ($state.includes("eventmenu.purchaseReportDetail")) {
    self.reportInterfaceUrl = _users[0];
    /** @type {Array} */
    self.curSearchItemArr = message.PURCHASEREPORTDETAIL;
    self.viewTitle = self.NameConstant.PURCHASEREPORTDETAIL;
  } else {
    if ($state.includes("eventmenu.purchaseReportBySku")) {
      self.reportInterfaceUrl = _users[1];
      /** @type {Array} */
      self.curSearchItemArr = message.PURCHASEREPORTBYSKU;
      self.viewTitle = self.NameConstant.SUMBYSKU;
    } else {
      if ($state.includes("eventmenu.purchaseReportByGoods")) {
        self.reportInterfaceUrl = _users[2];
        /** @type {Array} */
        self.curSearchItemArr = message.PURCHASEREPORTBYGOODS;
        self.viewTitle = self.NameConstant.SUMBYGOODS;
      } else {
        if ($state.includes("eventmenu.purchaseReportByOrder")) {
          self.reportInterfaceUrl = _users[3];
          /** @type {Array} */
          self.curSearchItemArr = message.PURCHASEREPORTBYORDER;
          self.viewTitle = self.NameConstant.SUMBYORDER;
        } else {
          if ($state.includes("eventmenu.purchaseReportBySupplier")) {
            self.reportInterfaceUrl = _users[4];
            /** @type {Array} */
            self.curSearchItemArr = message.PURCHASEREPORTBYSUPPLIER;
            self.viewTitle = self.NameConstant.SUMBYSUPPLIER;
          } else {
            if ($state.includes("eventmenu.purchaseReportByMan")) {
              self.reportInterfaceUrl = _users[5];
              /** @type {Array} */
              self.curSearchItemArr = message.PURCHASEREPORTBYSALEMAN;
              self.viewTitle = self.NameConstant.SUMBYPURCHASEMAN;
            }
          }
        }
      }
    }
  }
  /** @type {string} */
  var expires = "";
  /** @type {string} */
  var pre = "";
  /** @type {Array} */
  var items = [];
  /**
   * @param {string} val
   * @return {undefined}
   */
  self.getSort = function(val) {
    var ret = $.fnCheckGtoreQty(items, "key", val);
    if (ret && "asc" == ret.value) {
      /** @type {string} */
      ret.value = "desc";
    } else {
      if (ret && "desc" == ret.value) {
        /** @type {number} */
        var i = 0;
        for (;i < items.length;i++) {
          if (ret.key == items[i].key) {
            items.splice(i, 1);
          }
        }
      } else {
        if (val) {
          if ("" != val) {
            items.push({
              key : val,
              value : "asc"
            });
          }
        }
      }
    }
  };
  /**
   * @param {string} newVal
   * @return {undefined}
   */
  self.getSortList = function(newVal) {
    self.getSort(newVal);
    /** @type {string} */
    expires = "";
    /** @type {string} */
    pre = "";
    /** @type {number} */
    var i = 0;
    for (;i < items.length;i++) {
      if (i != items.length - 1) {
        expires += items[i].key + " " + items[i].value + ", ";
      } else {
        if (i == items.length - 1) {
          expires += items[i].key;
          pre += items[i].value;
        }
      }
    }
    /** @type {string} */
    self.searchModel.sidx = expires;
    /** @type {string} */
    self.searchModel.sord = pre;
    self.getList(0, true);
  };
  /**
   * @return {undefined}
   */
  self.otherSortList = function() {
    if (self.sortQueryModal) {
      self.sortQueryModal.show();
    } else {
      $modal.fromTemplateUrl("sortQuery.html", function(theTitle) {
        self.sortQueryModal = theTitle;
        self.sortQueryModal.show();
      }, {
        scope : self,
        animation : "slide-in-up"
      });
    }
  };
  /**
   * @return {undefined}
   */
  self.clearSort = function() {
    /** @type {Array} */
    items = [];
    self.getSortList();
  };
  /**
   * @param {string} n
   * @param {?} name
   * @return {?}
   */
  self.filterSort = function(n, name) {
    var e = $.fnCheckGtoreQty(items, "key", n);
    return e && e.value == name;
  };
  /**
   * @param {boolean} deepDataAndEvents
   * @return {?}
   */
  var success = function(deepDataAndEvents) {
    if ("today" == self.searchModel.timePeriod) {
      self.searchModel.beginTime = $.getDayBegin((new Date).setDate((new Date).getDate())).getTime();
      self.searchModel.endTime = $.getDayBegin((new Date).setDate((new Date).getDate())).getTime();
      $templateCache.put("purchaseQueryCondition", JSON.stringify({
        timePeriod : "today"
      }));
    } else {
      if ("yesterday" == self.searchModel.timePeriod) {
        self.searchModel.beginTime = $.getDayBegin((new Date).setDate((new Date).getDate() - 1)).getTime();
        self.searchModel.endTime = $.getDayBegin((new Date).setDate((new Date).getDate() - 1)).getTime();
        $templateCache.put("purchaseQueryCondition", JSON.stringify({
          timePeriod : "yesterday"
        }));
      } else {
        if ("thisWeek" == self.searchModel.timePeriod) {
          self.searchModel.beginTime = $.getDayBegin((new Date).setDate((new Date).getDate() - 6)).getTime();
          self.searchModel.endTime = $.getDayBegin((new Date).setDate((new Date).getDate())).getTime();
          $templateCache.put("purchaseQueryCondition", JSON.stringify({
            timePeriod : "thisWeek"
          }));
        } else {
          if ("thisMonth" == self.searchModel.timePeriod) {
            self.searchModel.beginTime = $.getDayBegin((new Date).setDate((new Date).getDate() - 29)).getTime();
            self.searchModel.endTime = $.getDayBegin((new Date).setDate((new Date).getDate())).getTime();
            $templateCache.put("purchaseQueryCondition", JSON.stringify({
              timePeriod : "thisMonth"
            }));
          } else {
            if ("all" == self.searchModel.timePeriod) {
              /** @type {string} */
              self.searchModel.beginTime = "";
              /** @type {string} */
              self.searchModel.endTime = "";
              $templateCache.put("purchaseQueryCondition", JSON.stringify({
                timePeriod : "all"
              }));
            }
          }
        }
      }
    }
    var result = {
      storehouseId : self.searchModel.storeHouse ? self.searchModel.storeHouse.val : null,
      searchKey : self.searchModel.searchKey,
      beginTime : $.transferGMTStringtoBJTime($.getDayBeginStr(self.searchModel.beginTime)),
      endTime : $.transferGMTStringtoBJTime($.getDayBeginStr(self.searchModel.endTime)),
      supplierId : self.searchModel.supplier ? self.searchModel.supplier.id : null,
      handlerId : self.searchModel.handler ? self.searchModel.handler.val : null,
      ordersSn : self.searchModel.ordersSn,
      page : self.searchModel.page,
      sidx : self.searchModel.sidx ? self.searchModel.sidx : "",
      sord : self.searchModel.sord ? self.searchModel.sord : "",
      blandId : self.searchModel.bland ? self.searchModel.bland.id : null,
      categoryId : self.goodsInfo.category ? $.getCategoryChildIds(self.allCategoryList, self.goodsInfo.category.id) : "",
      orderStatus : self.searchModel.orderStatusObj ? self.searchModel.orderStatusObj.val : null
    };
    return result.storehouseId && $.contains(self.curSearchItemArr, "storehouse") || delete result.storehouseId, result.searchKey && $.contains(self.curSearchItemArr, "searchKey") || delete result.searchKey, result.supplierId && $.contains(self.curSearchItemArr, "supplier") || delete result.supplierId, result.handlerId && $.contains(self.curSearchItemArr, "handler") ||
    delete result.handlerId, result.ordersSn && $.contains(self.curSearchItemArr, "ordersSn") || delete result.ordersSn, result.blandId && $.contains(self.curSearchItemArr, "blandId") || delete result.blandId, result.categoryId && $.contains(self.curSearchItemArr, "categoryId") || delete result.categoryId, !$state.includes("eventmenu.purchaseReportDetail") && !$state.includes("eventmenu.purchaseReportByOrder") ||
    (null != self.searchModel.sidx && "" != self.searchModel.sidx || (result.sidx = "businessTime", result.sord = "desc")), deepDataAndEvents || self.getSumData(result), test.postEncode(self.reportInterfaceUrl, result);
  };
  /**
   * @return {undefined}
   */
  self.showActionsheet = function() {
    var expectedNumberOfNonCommentArgs = {
      buttons : [{
        text : '<i class="assertive"></i> 进货明细'
      }, {
        text : '<i class="icon ion-grid assertive"></i> 按单品汇总'
      }, {
        text : '<i class="icon ion-grid assertive"></i> 按商品汇总'
      }, {
        text : '<i class="icon ion-grid assertive"></i> 按单据汇总'
      }, {
        text : '<i class="icon ion-grid assertive"></i> 按供应商汇总'
      }, {
        text : '<i class="icon ion-grid assertive"></i> 按进货员汇总'
      }],
      /**
       * @param {?} clicked
       * @return {?}
       */
      buttonClicked : function(clicked) {
        switch(self.viewReplace(), clicked) {
          case 0:
            $state.go("eventmenu.purchaseReportDetail");
            break;
          case 1:
            $state.go("eventmenu.purchaseReportBySku");
            break;
          case 2:
            $state.go("eventmenu.purchaseReportByGoods");
            break;
          case 3:
            $state.go("eventmenu.purchaseReportByOrder");
            break;
          case 4:
            $state.go("eventmenu.purchaseReportBySupplier");
            break;
          case 5:
            $state.go("eventmenu.purchaseReportByMan");
        }
        return true;
      }
    };
    a.show(expectedNumberOfNonCommentArgs);
  };
  /**
   * @param {number} recurring
   * @param {boolean} deepDataAndEvents
   * @return {undefined}
   */
  self.getList = function(recurring, deepDataAndEvents) {
    /** @type {number} */
    self.searchModel.page = 1;
    if (2 == recurring) {
      self.refreshTimePeriod();
    }
    loading.show(true);
    success(deepDataAndEvents).success(function(data) {
      self.items = data.rows;
      /** @type {boolean} */
      self.loadMoreBtn = data.page < data.total;
    }).finally(function() {
      /** @type {boolean} */
      self.isLoading = false;
      parent.scrollTop("ReportDetailCtrlScroll");
      loading.hide();
    });
  };
  /**
   * @return {undefined}
   */
  self.getMore = function() {
    self.searchModel.page++;
    success().success(function(options) {
      self.items = self.items.concat(options.rows);
      /** @type {boolean} */
      self.loadMoreBtn = options.page < options.total;
      self.$broadcast("scroll.infiniteScrollComplete");
    }).finally(function() {
      /** @type {boolean} */
      self.isLoading = false;
      parent.resize("ReportDetailCtrlScroll");
    });
  };
  /**
   * @return {undefined}
   */
  self.clearQueryCondition = function() {
    /** @type {number} */
    self.searchModel.page = 1;
    /** @type {number} */
    self.searchModel.state = 0;
    self.searchModel.storeHouse = {};
    self.searchModel.handler = {};
    self.searchModel.supplier = {};
    /** @type {null} */
    self.searchModel.searchKey = null;
    /** @type {null} */
    self.searchModel.ordersSn = null;
    /** @type {null} */
    self.searchModel.bland = null;
    /** @type {null} */
    self.goodsInfo.category = null;
    self.searchModel.beginTime = $.getDayBegin((new Date).setDate((new Date).getDate())).getTime();
    self.searchModel.endTime = $.getDayBegin((new Date).setDate((new Date).getDate())).getTime();
  };
  $modal.fromTemplateUrl("purchaseReportDetailQuery.html", function(theTitle) {
    self.purchaseReportDetailQueryModal = theTitle;
  }, {
    scope : self,
    animation : "slide-in-up"
  });
  $modal.fromTemplateUrl("html/PPurchaseBuyBill/selectSupplier.html", function(theTitle) {
    self.supplierModal = theTitle;
  }, {
    scope : self,
    animation : "slide-in-up",
    focusFirstInput : true
  });
  /**
   * @return {undefined}
   */
  self.supplierModalOpen = function() {
    self.supplierModal.show().then(function() {
      $.keyboardShow();
    });
  };
  FB.fromTemplateUrl("handlerPopover.html", {
    scope : self
  }).then(function(theTitle) {
    /** @type {number} */
    self.handlerPopover = theTitle;
  });
  /**
   * @param {boolean} expectedNumberOfNonCommentArgs
   * @return {undefined}
   */
  self.openHandlerPopover = function(expectedNumberOfNonCommentArgs) {
    self.handlerPopover.show(expectedNumberOfNonCommentArgs);
  };
  /**
   * @return {undefined}
   */
  self.hideHandlerPopover = function() {
    self.handlerPopover.hide();
  };
  FB.fromTemplateUrl("orderStatus.html", {
    scope : self
  }).then(function(theTitle) {
    /** @type {number} */
    self.orderStatusPopover = theTitle;
  });
  /**
   * @param {boolean} expectedNumberOfNonCommentArgs
   * @return {undefined}
   */
  self.openOrderStatusPopover = function(expectedNumberOfNonCommentArgs) {
    self.orderStatusPopover.show(expectedNumberOfNonCommentArgs);
  };
  /**
   * @return {undefined}
   */
  self.hideOrderStatusPopover = function() {
    self.orderStatusPopover.hide();
  };
  FB.fromTemplateUrl("storehousePopover.html", {
    scope : self
  }).then(function(theTitle) {
    self.storehousePopover = theTitle;
  });
  /**
   * @param {boolean} expectedNumberOfNonCommentArgs
   * @return {undefined}
   */
  self.openStorehousePopover = function(expectedNumberOfNonCommentArgs) {
    self.storehousePopover.show(expectedNumberOfNonCommentArgs);
  };
  /**
   * @return {undefined}
   */
  self.hideStorehousePopover = function() {
    self.storehousePopover.hide();
  };
  $modal.fromTemplateUrl("goodsBlandQuery.html", function(theTitle) {
    self.goodsBlandModal = theTitle;
  }, {
    scope : self,
    animation : "slide-in-up"
  });
  $modal.fromTemplateUrl("goodsCategoryQuery.html", function(theTitle) {
    self.goodsCategoryModal = theTitle;
  }, {
    scope : self,
    animation : "slide-in-ip"
  });
  self.$on("$destroy", function() {
    self.purchaseReportDetailQueryModal.remove();
    self.supplierModal.remove();
    self.storehousePopover.remove();
    if (self.handlerPopover) {
      self.handlerPopover.remove();
    }
    if (self.sortQueryModal) {
      self.sortQueryModal.remove();
    }
    self.goodsBlandModal.remove();
    self.goodsCategoryModal.remove();
  });
  /**
   * @return {undefined}
   */
  self.setCreateTimeBegin = function() {
    $scope.show({
      date : self.searchModel.beginTime ? new Date(self.searchModel.beginTime) : new Date,
      mode : "date",
      minDate : "",
      maxDate : "",
      doneButtonLabel : "确定",
      cancelButtonLabel : "取消"
    }).then(function(date1) {
      if (!isNaN(date1.getTime())) {
        self.searchModel.beginTime = date1.getTime();
      }
    });
  };
  /**
   * @return {undefined}
   */
  self.setCreateTimeEnd = function() {
    $scope.show({
      date : self.searchModel.endTime ? new Date(self.searchModel.endTime) : new Date,
      mode : "date",
      minDate : "",
      maxDate : "",
      doneButtonLabel : "确定",
      cancelButtonLabel : "取消"
    }).then(function(date1) {
      if (!isNaN(date1.getTime())) {
        self.searchModel.endTime = date1.getTime();
      }
    });
  };
  /**
   * @return {undefined}
   */
  self.refreshTimePeriod = function() {
    /** @type {string} */
    self.searchModel.timePeriod = self.searchModel.beginTime || self.searchModel.endTime ? self.searchModel.beginTime && self.searchModel.endTime ? $.getDayBeginStr(self.searchModel.beginTime) == $.getDayBeginStr((new Date).getTime()) && $.getDayBeginStr(self.searchModel.endTime) == $.getDayBeginStr((new Date).getTime()) ? "today" : $.getDayBeginStr(self.searchModel.beginTime) ==
    $.getOffsetDayBeginStr((new Date).getTime(), -1) && $.getDayBeginStr(self.searchModel.endTime) == $.getOffsetDayBeginStr((new Date).getTime(), -1) ? "yesterday" : $.getDayBeginStr(self.searchModel.beginTime) == $.getOffsetDayBeginStr((new Date).getTime(), -6) && $.getDayBeginStr(self.searchModel.endTime) == $.getDayBeginStr((new Date).getTime()) ? "thisWeek" : $.getDayBeginStr(self.searchModel.beginTime) ==
    $.getOffsetDayBeginStr((new Date).getTime(), -29) && $.getDayBeginStr(self.searchModel.endTime) == $.getDayBeginStr((new Date).getTime()) ? "thisMonth" : "other" : "other" : "all";
  };
  /**
   * @param {?} object
   * @return {undefined}
   */
  self.getSumData = function(object) {
    /** @type {boolean} */
    self.sumDataLoading = true;
    var data = angular.copy(object);
    //data.beginTime = $.getDayBegin(self.searchModel.beginTime);
    data.beginTime = $.getOffsetDayBegin(self.searchModel.beginTime, 1);
    data.endTime = $.getOffsetDayBegin(self.searchModel.endTime, 1);
    delete data.page;
    delete data.sidx;
    delete data.sord;
    test.post("/admin/inner/report/purchase/purchaseDetailListSum.ac", data).success(function(message) {
      self.sumQuantity = message.sumQuantity;
      self.sumTrueAmount = message.sumTrueAmount;
      self.sumOrdersCount = message.sumOrdersCount;
    }).finally(function() {
      /** @type {boolean} */
      self.sumDataLoading = false;
    });
  };
  /**
   * @return {undefined}
   */
  self.resizeContentArea = function() {
    parent.resize("ReportDetailCtrlScroll");
  };
  /**
   * @return {undefined}
   */
  self.scanCode = function() {
    Hogan.scan().then(function(result) {
      if (!result.cancelled) {
        $sanitize(function() {
          self.searchModel.searchKey = result.text;
        });
      }
    }, function(err) {
      console.error("Scanning failed: " + err);
      $.toastShow("二维码扫描失败！");
    });
  };
  self.$on("$ionicView.loaded", function() {
    if ($templateCache.get("purchaseQueryCondition") && !$.isEmpty($templateCache.get("purchaseQueryCondition"))) {
      /** @type {*} */
      var animation = JSON.parse($templateCache.get("purchaseQueryCondition"));
      self.searchModel.timePeriod = animation.timePeriod;
      self.searchModel.storeHouse = animation.storeHouse;
      self.searchModel.beginTime = animation.beginTime;
      self.searchModel.endTime = animation.endTime;
      $templateCache.put("purchaseQueryCondition", {});
    } else {
      self.searchModel = {
        timePeriod : "today",
        orderStatusObj : {
          val : "2",
          text : "已进货"
        }
      };
    }
    self.searchModel.supplier = length ? length : {};
    self.getList();
    test.httpCacheGet.get(test.httpCacheGet.ac.ALLCOMPANYUSER).success(function(message) {
      self.allHandler = message.optionList;
    });
    test.httpCacheGet.get(test.httpCacheGet.ac.STOREHOUSELIST).success(function(theTitle) {
      self.allDept = theTitle;
    });
    test.httpCacheGet.get(test.httpCacheGet.ac.BLANDLIST).success(function(theTitle) {
      self.arrBland = theTitle;
    });
    test.httpCacheGet.get(test.httpCacheGet.ac.CATEGORYLIST).success(function(data) {
      self.allCategoryList = data.rows;
      self.categoryTree = $.treeForCategory(0, "", false, data.rows).children;
    });
  });
}]).controller("PurchaseVsSaleListCtrl", ["$scope", "$state", "Tools", "lruPersistCache", "ServerConfig", "psisServices", "lbScrollDelegate", "lbSpinnerDialog", "$ionicPopover", "$cordovaDatePicker", "$ionicModal", "$cordovaBarcodeScanner", "$timeout", function($scope, dataAndEvents, UnitTools, $templateCache, deepDataAndEvents, _, parent, loading, FB, scope, $modal) {
  /** @type {boolean} */
  $scope.isLoading = true;
  /** @type {string} */
  $scope.saleList = "";
  $scope.selectedGood = {
    good : {}
  };
  $scope.searchModel = {
    state : 0,
    timePeriod : "today",
    storeHouse : {}
  };
  $scope.total = {
    purchaseQuantity : 0,
    purchaseAmount : 0,
    saleQuantity : 0,
    saleAmount : 0
  };
  /**
   * @param {number} recurring
   * @param {boolean} dataAndEvents
   * @return {?}
   */
  var success = function(recurring, dataAndEvents) {
    if (2 == recurring) {
      $scope.refreshTimePeriod();
    }
    if ("today" == $scope.searchModel.timePeriod) {
      $scope.searchModel.beginTime = UnitTools.getDayBegin((new Date).setDate((new Date).getDate())).getTime();
      $scope.searchModel.endTime = UnitTools.getDayBegin((new Date).setDate((new Date).getDate())).getTime();
      $templateCache.put("VsQueryCondition", JSON.stringify({
        timePeriod : "today"
      }));
    } else {
      if ("yesterday" == $scope.searchModel.timePeriod) {
        $scope.searchModel.beginTime = UnitTools.getDayBegin((new Date).setDate((new Date).getDate() - 1)).getTime();
        $scope.searchModel.endTime = UnitTools.getDayBegin((new Date).setDate((new Date).getDate() - 1)).getTime();
        $templateCache.put("VsQueryCondition", JSON.stringify({
          timePeriod : "yesterday"
        }));
      } else {
        if ("thisWeek" == $scope.searchModel.timePeriod) {
          $scope.searchModel.beginTime = UnitTools.getDayBegin((new Date).setDate((new Date).getDate() - 6)).getTime();
          $scope.searchModel.endTime = UnitTools.getDayBegin((new Date).setDate((new Date).getDate())).getTime();
          $templateCache.put("VsQueryCondition", JSON.stringify({
            timePeriod : "thisWeek"
          }));
        } else {
          if ("thisMonth" == $scope.searchModel.timePeriod) {
            $scope.searchModel.beginTime = UnitTools.getDayBegin((new Date).setDate((new Date).getDate() - 29)).getTime();
            $scope.searchModel.endTime = UnitTools.getDayBegin((new Date).setDate((new Date).getDate())).getTime();
            $templateCache.put("VsQueryCondition", JSON.stringify({
              timePeriod : "thisMonth"
            }));
          } else {
            if ("all" == $scope.searchModel.timePeriod) {
              /** @type {string} */
              $scope.searchModel.beginTime = "";
              /** @type {string} */
              $scope.searchModel.endTime = "";
              $templateCache.put("VsQueryCondition", JSON.stringify({
                timePeriod : "all"
              }));
            }
          }
        }
      }
    }
    var attributes = {
      beginTime : UnitTools.transferGMTStringtoBJTime(UnitTools.getDayBeginStr($scope.searchModel.beginTime)),
      endTime : UnitTools.transferGMTStringtoBJTime(UnitTools.getOffsetDayBeginStr($scope.searchModel.endTime, 1)),
      goodsSn : $scope.selectedGood.good.goodsSn ? $scope.selectedGood.good.goodsSn : $scope.saleList.goodsSn,
      storehouseId : $scope.searchModel.storeHouse && $scope.searchModel.storeHouse.val ? $scope.searchModel.storeHouse.val : "",
      storehouseMerge : $scope.searchModel.storeHouse && $scope.searchModel.storeHouse.val ? false : true,
      page : $scope.searchModel.page
    };
    return dataAndEvents && $scope.getSumData(attributes), _.postEncode("/admin/inner/report/purchaseVsSale/purchaseVsSaleListJSONNew.ac", attributes);
  };
  /**
   * @param {number} recurring
   * @return {undefined}
   */
  $scope.getList = function(recurring) {
    parent.scrollTop("ReportDetailCtrlScroll");
    /** @type {number} */
    $scope.searchModel.page = 1;
    loading.show(true);
    success(recurring, true).success(function(data) {
      $scope.items = data.rows;
      /** @type {boolean} */
      $scope.loadMoreBtn = data.page < data.total;
    }).finally(function() {
      /** @type {boolean} */
      $scope.isLoading = false;
      parent.scrollTop("ReportDetailCtrlScroll");
      loading.hide();
    });
  };
  /**
   * @return {undefined}
   */
  $scope.getMore = function() {
    $scope.searchModel.page++;
    success().success(function(options) {
      $scope.items = $scope.items.concat(options.rows);
      /** @type {boolean} */
      $scope.loadMoreBtn = options.page < options.total;
      $scope.$broadcast("scroll.infiniteScrollComplete");
    }).finally(function() {
      /** @type {boolean} */
      $scope.isLoading = false;
      parent.resize("ReportDetailCtrlScroll");
    });
  };
  /**
   * @param {?} item
   * @return {undefined}
   */
  $scope.getSumData = function(item) {
    /** @type {boolean} */
    $scope.sumDataLoading = true;
    _.postEncode("/admin/inner/report/purchaseVsSale/purchaseVsSaleSummay.ac", item).success(function(elem) {
      $scope.total.purchaseQuantity = elem.object ? elem.object.totalPurchaseQuantity : "0";
      $scope.total.purchaseAmount = elem.object ? elem.object.totalPurchaseAmount : "";
      $scope.total.saleQuantity = elem.object ? elem.object.totalSaleQuantity : "0";
      $scope.total.saleAmount = elem.object ? elem.object.totalSaleAmount : "";
    }).finally(function() {
      /** @type {boolean} */
      $scope.sumDataLoading = false;
    });
  };
  /**
   * @return {undefined}
   */
  $scope.clearQueryCondition = function() {
    $scope.selectedGood.good = $scope.saleList;
    $scope.searchModel.storeHouse = {};
    $scope.searchModel.beginTime = UnitTools.getDayBegin((new Date).setDate((new Date).getDate())).getTime();
    $scope.searchModel.endTime = UnitTools.getDayBegin((new Date).setDate((new Date).getDate())).getTime();
  };
  $modal.fromTemplateUrl("purchaseVsSaleQuery.html", function($location) {
    $scope.purchaseVsSaleModal = $location;
  }, {
    scope : $scope,
    animation : "slide-in-up"
  });
  FB.fromTemplateUrl("storehousePopover.html", {
    scope : $scope
  }).then(function($location) {
    $scope.storehousePopover = $location;
  });
  /**
   * @param {boolean} expectedNumberOfNonCommentArgs
   * @return {undefined}
   */
  $scope.openStorehousePopover = function(expectedNumberOfNonCommentArgs) {
    $scope.storehousePopover.show(expectedNumberOfNonCommentArgs);
  };
  /**
   * @return {undefined}
   */
  $scope.hideStorehousePopover = function() {
    $scope.storehousePopover.hide();
  };
  $scope.$on("$destroy", function() {
    $scope.purchaseVsSaleModal.remove();
    $scope.storehousePopover.remove();
    $scope.modal.remove();
  });
  /**
   * @return {undefined}
   */
  $scope.setCreateTimeBegin = function() {
    scope.show({
      date : $scope.searchModel.beginTime ? new Date($scope.searchModel.beginTime) : new Date,
      mode : "date",
      minDate : "",
      maxDate : "",
      doneButtonLabel : "确定",
      cancelButtonLabel : "取消"
    }).then(function(date1) {
      if (!isNaN(date1.getTime())) {
        $scope.searchModel.beginTime = date1.getTime();
        $scope.searchModel.testTime = date1.getTime();
      }
    });
  };
  /**
   * @return {undefined}
   */
  $scope.setCreateTimeEnd = function() {
    scope.show({
      date : $scope.searchModel.endTime ? new Date($scope.searchModel.endTime) : new Date,
      mode : "date",
      minDate : "",
      maxDate : "",
      doneButtonLabel : "确定",
      cancelButtonLabel : "取消"
    }).then(function(date1) {
      if (!isNaN(date1.getTime())) {
        $scope.searchModel.endTime = date1.getTime();
      }
    });
  };
  /**
   * @return {undefined}
   */
  $scope.refreshTimePeriod = function() {
    /** @type {string} */
    $scope.searchModel.timePeriod = $scope.searchModel.beginTime || $scope.searchModel.endTime ? $scope.searchModel.beginTime && $scope.searchModel.endTime ? UnitTools.getDayBeginStr($scope.searchModel.beginTime) == UnitTools.getDayBeginStr((new Date).getTime()) && UnitTools.getDayBeginStr($scope.searchModel.endTime) == UnitTools.getDayBeginStr((new Date).getTime()) ? "today" : UnitTools.getDayBeginStr($scope.searchModel.beginTime) ==
    UnitTools.getOffsetDayBeginStr((new Date).getTime(), -1) && UnitTools.getDayBeginStr($scope.searchModel.endTime) == UnitTools.getOffsetDayBeginStr((new Date).getTime(), -1) ? "yesterday" : UnitTools.getDayBeginStr($scope.searchModel.beginTime) == UnitTools.getOffsetDayBeginStr((new Date).getTime(), -6) && UnitTools.getDayBeginStr($scope.searchModel.endTime) == UnitTools.getDayBeginStr((new Date).getTime()) ? "thisWeek" : UnitTools.getDayBeginStr($scope.searchModel.beginTime) ==
    UnitTools.getOffsetDayBeginStr((new Date).getTime(), -29) && UnitTools.getDayBeginStr($scope.searchModel.endTime) == UnitTools.getDayBeginStr((new Date).getTime()) ? "thisMonth" : "other" : "other" : "all";
  };
  /**
   * @return {undefined}
   */
  $scope.resizeContentArea = function() {
    parent.resize("ReportDetailCtrlScroll");
  };
  $modal.fromTemplateUrl("html/PStorageStockBill/StorageStockBillSelectGood.html", function($location) {
    $scope.modal = $location;
  }, {
    scope : $scope,
    animation : "slide-in-up",
    focusFirstInput : true
  });
  /**
   * @return {undefined}
   */
  $scope.modalOpen = function() {
    $scope.modal.show().then(function() {
      UnitTools.keyboardShow();
    });
  };
  /**
   * @param {number} recurring
   * @return {?}
   */
  $scope.getVsList = function(recurring) {
    return UnitTools.isInDays($scope.searchModel.beginTime, $scope.searchModel.endTime, 29) ? void $scope.getList(recurring) : (UnitTools.toastShow("查询时间必须为30天内"), false);
  };
  $scope.$on("$ionicView.loaded", function() {
    if ($templateCache.get("VsQueryCondition") && !UnitTools.isEmpty($templateCache.get("VsQueryCondition"))) {
      /** @type {*} */
      var animation = JSON.parse($templateCache.get("VsQueryCondition"));
      $scope.searchModel.timePeriod = animation.timePeriod;
      $scope.searchModel.beginTime = animation.beginTime;
      $scope.searchModel.endTime = animation.endTime;
      $templateCache.put("VsQueryCondition", {});
    } else {
      $scope.searchModel = {
        timePeriod : "today"
      };
    }
    if (!$scope.selectedGood.good.goodsSn) {
      _.postEncode("/admin/inner/goods/goodsSelectForOrder.ac", {}).success(function(dataAndEvents) {
        $scope.saleList = dataAndEvents.optionList[0];
        $scope.selectedGood.good = dataAndEvents.optionList[0];
      });
    }
    $scope.getList();
    _.httpCacheGet.get(_.httpCacheGet.ac.STOREHOUSELIST).success(function($location) {
      $scope.allDept = $location;
    });
  });
}]).controller("StoreReportCtrl", ["$scope", "$state", "Tools", "ServerConfig", "psisServices", "lbScrollDelegate", "lbSpinnerDialog", "$ionicModal", "$ionicPopover", "$cordovaDatePicker", "$cordovaBarcodeScanner", "$timeout", "lruPersistCache", "$ionicActionSheet", function(self, $state, $, dataAndEvents, test, parent, loading, $modal, FB, $scope, Hogan, $sanitize, $templateCache, a) {
  /** @type {boolean} */
  self.isLoading = true;
  self.isUserAccProfitAmount = self.GetOperatorEventLimit("3445");
  var message = {
    STOREREPORTDETAIL : ["searchKey", "storehouse", "orderNo", "categoryId", "blandId", "handler", "profitStatus"],
    STOREREPORTBYSTOREORDER : ["storehouse", "handler", "orderNo", "profitStatus"],
    STOREREPORTBYGOODS : ["searchKey", "blandId", "categoryId", "profitStatus"],
    STOREREPORTBYSTOREHOUSE : ["storehouse", "profitStatus"]
  };
  /** @type {Array} */
  var _users = ["/admin/inner/report/store/storeRecordDetailListJSON.ac", "/admin/inner/report/store/storeRecordGroupByOrderListJSON.ac", "/admin/inner/report/store/storeRecordGroupByGoodListJSON.ac", "/admin/inner/report/store/storeRecordGroupByStorehouseListJSON.ac"];
  self.searchModel = {
    page : 1,
    state : 0,
    storeHouse : {},
    client : {},
    handler : {}
  };
  self.goodsInfo = {};
  /**
   * @return {undefined}
   */
  self.showActionsheet = function() {
    var expectedNumberOfNonCommentArgs = {
      buttons : [{
        text : '<i class="assertive"></i> 盘点明细'
      }, {
        text : '<i class="icon ion-grid assertive"></i> 按盘点单汇总'
      }, {
        text : '<i class="icon ion-grid assertive"></i> 按商品汇总'
      }, {
        text : '<i class="icon ion-grid assertive"></i> 按仓库汇总'
      }],
      /**
       * @param {?} clicked
       * @return {?}
       */
      buttonClicked : function(clicked) {
        switch(self.viewReplace(), clicked) {
          case 0:
            $state.go("eventmenu.storeReportDetail");
            break;
          case 1:
            $state.go("eventmenu.storeReportByStoreOrder");
            break;
          case 2:
            $state.go("eventmenu.storeReportByGoods");
            break;
          case 3:
            $state.go("eventmenu.storeReportByStorehouse");
        }
        return true;
      }
    };
    a.show(expectedNumberOfNonCommentArgs);
  };
  if ($state.includes("eventmenu.storeReportDetail")) {
    self.reportInterfaceUrl = _users[0];
    /** @type {Array} */
    self.curSearchItemArr = message.STOREREPORTDETAIL;
    self.viewTitle = self.NameConstant.STOREREPORTDETAIL;
  } else {
    if ($state.includes("eventmenu.storeReportByStoreOrder")) {
      self.reportInterfaceUrl = _users[1];
      /** @type {Array} */
      self.curSearchItemArr = message.STOREREPORTBYSTOREORDER;
      self.viewTitle = self.NameConstant.SUMBYSTOREORDER;
    } else {
      if ($state.includes("eventmenu.storeReportByGoods")) {
        self.reportInterfaceUrl = _users[2];
        /** @type {Array} */
        self.curSearchItemArr = message.STOREREPORTBYGOODS;
        self.viewTitle = self.NameConstant.SUMBYGOODS;
      } else {
        if ($state.includes("eventmenu.storeReportByStorehouse")) {
          self.reportInterfaceUrl = _users[3];
          /** @type {Array} */
          self.curSearchItemArr = message.STOREREPORTBYSTOREHOUSE;
          self.viewTitle = self.NameConstant.SUMBYSTOREHOUSE;
        }
      }
    }
  }
  /** @type {string} */
  var expires = "";
  /** @type {string} */
  var pre = "";
  /** @type {Array} */
  var data = [];
  /**
   * @param {string} val
   * @return {undefined}
   */
  self.getSort = function(val) {
    var ret = $.fnCheckGtoreQty(data, "key", val);
    if (ret && "asc" == ret.value) {
      /** @type {string} */
      ret.value = "desc";
    } else {
      if (ret && "desc" == ret.value) {
        /** @type {number} */
        var i = 0;
        for (;i < data.length;i++) {
          if (ret.key == data[i].key) {
            data.splice(i, 1);
          }
        }
      } else {
        if (val) {
          if ("" != val) {
            data.push({
              key : val,
              value : "asc"
            });
          }
        }
      }
    }
  };
  /**
   * @param {string} newVal
   * @return {undefined}
   */
  self.getSortList = function(newVal) {
    self.getSort(newVal);
    /** @type {string} */
    expires = "";
    /** @type {string} */
    pre = "";
    /** @type {number} */
    var i = 0;
    for (;i < data.length;i++) {
      if (i != data.length - 1) {
        expires += data[i].key + " " + data[i].value + ", ";
      } else {
        if (i == data.length - 1) {
          expires += data[i].key;
          pre += data[i].value;
        }
      }
    }
    /** @type {string} */
    self.searchModel.sidx = expires;
    /** @type {string} */
    self.searchModel.sord = pre;
    self.getList(0, true);
  };
  /**
   * @return {undefined}
   */
  self.otherSortList = function() {
    if (self.sortQueryModal) {
      self.sortQueryModal.show();
    } else {
      $modal.fromTemplateUrl("sortQuery.html", function(theTitle) {
        self.sortQueryModal = theTitle;
        self.sortQueryModal.show();
      }, {
        scope : self,
        animation : "slide-in-up"
      });
    }
  };
  /**
   * @return {undefined}
   */
  self.clearSort = function() {
    /** @type {Array} */
    data = [];
    self.getSortList();
  };
  /**
   * @param {string} obj
   * @param {?} text
   * @return {?}
   */
  self.filterSort = function(obj, text) {
    var p = $.fnCheckGtoreQty(data, "key", obj);
    return p && p.value == text;
  };
  /**
   * @param {boolean} deepDataAndEvents
   * @return {?}
   */
  var success = function(deepDataAndEvents) {
    if ("today" == self.searchModel.timePeriod) {
      self.searchModel.beginTime = $.getDayBegin((new Date).setDate((new Date).getDate())).getTime();
      self.searchModel.endTime = $.getDayBegin((new Date).setDate((new Date).getDate())).getTime();
      $templateCache.put("storeQueryCondition", JSON.stringify({
        timePeriod : "today"
      }));
    } else {
      if ("yesterday" == self.searchModel.timePeriod) {
        self.searchModel.beginTime = $.getDayBegin((new Date).setDate((new Date).getDate() - 1)).getTime();
        self.searchModel.endTime = $.getDayBegin((new Date).setDate((new Date).getDate() - 1)).getTime();
        $templateCache.put("storeQueryCondition", JSON.stringify({
          timePeriod : "yesterday"
        }));
      } else {
        if ("thisWeek" == self.searchModel.timePeriod) {
          self.searchModel.beginTime = $.getDayBegin((new Date).setDate((new Date).getDate() - 6)).getTime();
          self.searchModel.endTime = $.getDayBegin((new Date).setDate((new Date).getDate())).getTime();
          $templateCache.put("storeQueryCondition", JSON.stringify({
            timePeriod : "thisWeek"
          }));
        } else {
          if ("thisMonth" == self.searchModel.timePeriod) {
            self.searchModel.beginTime = $.getDayBegin((new Date).setDate((new Date).getDate() - 29)).getTime();
            self.searchModel.endTime = $.getDayBegin((new Date).setDate((new Date).getDate())).getTime();
            $templateCache.put("storeQueryCondition", JSON.stringify({
              timePeriod : "thisMonth"
            }));
          } else {
            if ("all" == self.searchModel.timePeriod) {
              /** @type {string} */
              self.searchModel.beginTime = "";
              /** @type {string} */
              self.searchModel.endTime = "";
              $templateCache.put("storeQueryCondition", JSON.stringify({
                timePeriod : "all"
              }));
            }
          }
        }
      }
    }
    var data = {
      storehouseId : self.searchModel.storeHouse ? self.searchModel.storeHouse.val : null,
      searchKey : self.searchModel.searchKey,
      beginTime : $.transferGMTStringtoBJTime($.getDayBeginStr(self.searchModel.beginTime)),
      endTime : $.transferGMTStringtoBJTime($.getOffsetDayBeginStr(self.searchModel.endTime, 1)),
      userId : self.searchModel.handler ? self.searchModel.handler.val : null,
      blandId : self.searchModel.bland ? self.searchModel.bland.id : "",
      orderNo : self.searchModel.orderNo,
      page : self.searchModel.page,
      profitStatus : 0 == self.searchModel.profitStatus ? self.searchModel.profitStatus : self.searchModel.profitStatus ? self.searchModel.profitStatus : "",
      sidx : self.searchModel.sidx ? self.searchModel.sidx : "",
      sord : self.searchModel.sord ? self.searchModel.sord : "",
      categoryId : self.goodsInfo.category ? $.getCategoryChildIds(self.allCategoryList, self.goodsInfo.category.id) : ""
    };
    return data.storehouseId && $.contains(self.curSearchItemArr, "storehouse") || delete data.storehouseId, data.searchKey && $.contains(self.curSearchItemArr, "searchKey") || delete data.searchKey, data.userId && $.contains(self.curSearchItemArr, "handler") || delete data.userId, data.orderNo && $.contains(self.curSearchItemArr, "orderNo") || delete data.orderNo,
    data.categoryId && $.contains(self.curSearchItemArr, "categoryId") || delete data.categoryId, data.blandId && $.contains(self.curSearchItemArr, "blandId") || delete data.blandId, (0 != data.profitStatus && !data.profitStatus || !$.contains(self.curSearchItemArr, "profitStatus")) && delete data.profitStatus, !$state.includes("eventmenu.storeReportDetail") && !$state.includes("eventmenu.storeReportByOrder") ||
    (null != self.searchModel.sidx && "" != self.searchModel.sidx || (data.sidx = "businessTime", data.sord = "desc")), deepDataAndEvents || self.getSumData(data), test.postEncode(self.reportInterfaceUrl, data);
  };
  /**
   * @param {number} recurring
   * @param {boolean} deepDataAndEvents
   * @return {undefined}
   */
  self.getList = function(recurring, deepDataAndEvents) {
    /** @type {number} */
    self.searchModel.page = 1;
    if (2 == recurring) {
      self.refreshTimePeriod();
    }
    loading.show(true);
    success(deepDataAndEvents).success(function(data) {
      self.items = data.rows;
      /** @type {boolean} */
      self.loadMoreBtn = data.page < data.total;
    }).finally(function() {
      /** @type {boolean} */
      self.isLoading = false;
      parent.scrollTop("StoreDetailCtrlScroll");
      loading.hide();
    });
  };
  /**
   * @return {undefined}
   */
  self.getMore = function() {
    self.searchModel.page++;
    success().success(function(options) {
      self.items = self.items.concat(options.rows);
      /** @type {boolean} */
      self.loadMoreBtn = options.page < options.total;
      self.$broadcast("scroll.infiniteScrollComplete");
    }).finally(function() {
      /** @type {boolean} */
      self.isLoading = false;
      parent.resize("StoreDetailCtrlScroll");
    });
  };
  /**
   * @return {undefined}
   */
  self.clearQueryCondition = function() {
    /** @type {string} */
    self.searchModel.orderNo = "";
    /** @type {number} */
    self.searchModel.page = 1;
    /** @type {number} */
    self.searchModel.state = 0;
    self.searchModel.storeHouse = {};
    self.searchModel.client = {};
    self.searchModel.handler = {};
    self.searchModel.bland = {};
    /** @type {null} */
    self.searchModel.searchKey = null;
    /** @type {null} */
    self.searchModel.ordersSn = null;
    /** @type {null} */
    self.searchModel.profitStatus = null;
    /** @type {null} */
    self.goodsInfo.category = null;
    self.searchModel.beginTime = $.getDayBegin((new Date).setDate((new Date).getDate())).getTime();
    self.searchModel.endTime = $.getDayBegin((new Date).setDate((new Date).getDate())).getTime();
  };
  $modal.fromTemplateUrl("storeReportDetailQuery.html", function(theTitle) {
    self.storeReportDetailQueryModal = theTitle;
  }, {
    scope : self,
    animation : "slide-in-up"
  });
  $modal.fromTemplateUrl("html/PRetailAndSellBill/selectClient.html", function(theTitle) {
    self.clientModal = theTitle;
  }, {
    scope : self,
    animation : "slide-in-up",
    focusFirstInput : true
  });
  /**
   * @return {undefined}
   */
  self.clientModalOpen = function() {
    self.clientModal.show().then(function() {
      $.keyboardShow();
    });
  };
  FB.fromTemplateUrl("handlerPopover.html", {
    scope : self
  }).then(function(theTitle) {
    /** @type {number} */
    self.handlerPopover = theTitle;
  });
  /**
   * @param {boolean} expectedNumberOfNonCommentArgs
   * @return {undefined}
   */
  self.openHandlerPopover = function(expectedNumberOfNonCommentArgs) {
    self.handlerPopover.show(expectedNumberOfNonCommentArgs);
  };
  /**
   * @return {undefined}
   */
  self.hideHandlerPopover = function() {
    self.handlerPopover.hide();
  };
  FB.fromTemplateUrl("storehousePopover.html", {
    scope : self
  }).then(function(theTitle) {
    self.storehousePopover = theTitle;
  });
  /**
   * @param {boolean} expectedNumberOfNonCommentArgs
   * @return {undefined}
   */
  self.openStorehousePopover = function(expectedNumberOfNonCommentArgs) {
    self.storehousePopover.show(expectedNumberOfNonCommentArgs);
  };
  /**
   * @return {undefined}
   */
  self.hideStorehousePopover = function() {
    self.storehousePopover.hide();
  };
  $modal.fromTemplateUrl("goodsCategoryQuery.html", function(theTitle) {
    self.goodsCategoryModal = theTitle;
  }, {
    scope : self,
    animation : "slide-in-up"
  });
  $modal.fromTemplateUrl("goodsBlandQuery.html", function(theTitle) {
    self.goodsBlandModal = theTitle;
  }, {
    scope : self,
    animation : "slide-in-up"
  });
  FB.fromTemplateUrl("profitStatus.html", {
    scope : self
  }).then(function(theTitle) {
    /** @type {number} */
    self.profitStatusPopover = theTitle;
  });
  /**
   * @param {boolean} expectedNumberOfNonCommentArgs
   * @return {undefined}
   */
  self.openProfitStatusPopover = function(expectedNumberOfNonCommentArgs) {
    self.profitStatusPopover.show(expectedNumberOfNonCommentArgs);
  };
  /**
   * @return {undefined}
   */
  self.hideProfitStatusPopover = function() {
    self.profitStatusPopover.hide();
  };
  self.$on("$destroy", function() {
    self.storeReportDetailQueryModal.remove();
    self.clientModal.remove();
    self.storehousePopover.remove();
    self.goodsCategoryModal.remove();
    self.goodsBlandModal.remove();
    if (self.profitStatusPopover) {
      self.profitStatusPopover.remove();
    }
    if (self.handlerPopover) {
      self.handlerPopover.remove();
    }
    if (self.sortQueryModal) {
      self.sortQueryModal.remove();
    }
  });
  /**
   * @return {undefined}
   */
  self.setCreateTimeBegin = function() {
    $scope.show({
      date : self.searchModel.beginTime ? new Date(self.searchModel.beginTime) : new Date,
      mode : "date",
      minDate : "",
      maxDate : "",
      doneButtonLabel : "确定",
      cancelButtonLabel : "取消"
    }).then(function(date1) {
      if (!isNaN(date1.getTime())) {
        self.searchModel.beginTime = date1.getTime();
      }
    });
  };
  /**
   * @return {undefined}
   */
  self.setCreateTimeEnd = function() {
    $scope.show({
      date : self.searchModel.endTime ? new Date(self.searchModel.endTime) : new Date,
      mode : "date",
      minDate : "",
      maxDate : "",
      doneButtonLabel : "确定",
      cancelButtonLabel : "取消"
    }).then(function(date1) {
      if (!isNaN(date1.getTime())) {
        self.searchModel.endTime = date1.getTime();
      }
    });
  };
  /**
   * @return {undefined}
   */
  self.refreshTimePeriod = function() {
    /** @type {string} */
    self.searchModel.timePeriod = self.searchModel.beginTime || self.searchModel.endTime ? self.searchModel.beginTime && self.searchModel.endTime ? $.getDayBeginStr(self.searchModel.beginTime) == $.getDayBeginStr((new Date).getTime()) && $.getDayBeginStr(self.searchModel.endTime) == $.getDayBeginStr((new Date).getTime()) ? "today" : $.getDayBeginStr(self.searchModel.beginTime) ==
    $.getOffsetDayBeginStr((new Date).getTime(), -1) && $.getDayBeginStr(self.searchModel.endTime) == $.getOffsetDayBeginStr((new Date).getTime(), -1) ? "yesterday" : $.getDayBeginStr(self.searchModel.beginTime) == $.getOffsetDayBeginStr((new Date).getTime(), -6) && $.getDayBeginStr(self.searchModel.endTime) == $.getDayBeginStr((new Date).getTime()) ? "thisWeek" : $.getDayBeginStr(self.searchModel.beginTime) ==
    $.getOffsetDayBeginStr((new Date).getTime(), -29) && $.getDayBeginStr(self.searchModel.endTime) == $.getDayBeginStr((new Date).getTime()) ? "thisMonth" : "other" : "other" : "all";
  };
  /**
   * @param {?} object
   * @return {undefined}
   */
  self.getSumData = function(object) {
    /** @type {boolean} */
    self.sumDataLoading = true;
    var data = angular.copy(object);
    data.beginTime = $.getDayBegin(self.searchModel.beginTime);
    data.endTime = $.getOffsetDayBegin(self.searchModel.endTime, 1);
    delete data.page;
    delete data.sidx;
    delete data.sord;
    test.post("/admin/inner/report/store/storeRecordDetailListSum.ac", data).success(function(result) {
      self.skuCount = result.skuCount;
      self.goodsCount = result.goodsCount;
      self.storeHouseCount = result.storeHouseCount;
      self.sumprofitNumber = result.sumprofitNumber;
      self.sumProfitAmount = result.sumProfitAmount.toFixed(2);
    }).finally(function() {
      /** @type {boolean} */
      self.sumDataLoading = false;
    });
  };
  /**
   * @return {undefined}
   */
  self.scanCode = function() {
    Hogan.scan().then(function(result) {
      if (!result.cancelled) {
        $sanitize(function() {
          self.searchModel.searchKey = result.text;
        });
      }
    }, function(err) {
      console.error("Scanning failed: " + err);
      $.toastShow("二维码扫描失败！");
    });
  };
  /**
   * @return {undefined}
   */
  self.resizeContentArea = function() {
    parent.resize("StoreDetailCtrlScroll");
  };
  self.$on("$ionicView.loaded", function() {
    if ($templateCache.get("storeQueryCondition") && !$.isEmpty($templateCache.get("storeQueryCondition"))) {
      /** @type {*} */
      var animation = JSON.parse($templateCache.get("storeQueryCondition"));
      self.searchModel.timePeriod = animation.timePeriod;
      self.searchModel.storeHouse = animation.storeHouse;
      self.searchModel.beginTime = animation.beginTime;
      self.searchModel.endTime = animation.endTime;
      $templateCache.put("storeQueryCondition", {});
    } else {
      self.searchModel = {
        timePeriod : "today"
      };
    }
    self.getList();
    test.httpCacheGet.get(test.httpCacheGet.ac.ALLCOMPANYUSER).success(function(message) {
      self.allHandler = message.optionList;
    });
    test.httpCacheGet.get(test.httpCacheGet.ac.STOREHOUSELIST).success(function(theTitle) {
      self.allDept = theTitle;
    });
    test.httpCacheGet.get(test.httpCacheGet.ac.CATEGORYLIST).success(function(data) {
      self.allCategoryList = data.rows;
      self.categoryTree = $.treeForCategory(0, "", false, data.rows).children;
    });
    test.httpCacheGet.get(test.httpCacheGet.ac.BLANDLIST).success(function(theTitle) {
      self.arrBland = theTitle;
    });
  });
}]).controller("TransferReportCtrl", ["$scope", "$state", "Tools", "ServerConfig", "psisServices", "lbScrollDelegate", "lbSpinnerDialog", "$ionicModal", "$ionicPopover", "$cordovaDatePicker", "$cordovaBarcodeScanner", "$timeout", "lruPersistCache", "$ionicActionSheet", function(self, $state, that, dataAndEvents, _, parent, loading, $modal, FB, $scope, Hogan, $sanitize, $templateCache, a) {
  /** @type {boolean} */
  self.isLoading = true;
  var message = {
    TRANSFERREPORTDETAIL : ["searchKey", "outStorehouse", "inStorehouse", "orderNo", "categoryId", "blandId", "handler", "status"],
    TRANSFERREPORTBYORDER : ["outStorehouse", "inStorehouse", "handler", "orderNo", "status", "remark"],
    TRANSFERREPORTBYGOODS : ["searchKey", "blandId", "categoryId", "status"],
    TRANSFERREPORTBYSTOREHOUSE : ["status"]
  };
  /** @type {Array} */
  var _users = ["/admin/inner/report/transfers/transfersRecordDetailListJSON.ac", "/admin/inner/report/transfers/transfersRecordListJSON.ac", "/admin/inner/report/transfers/transfersGoodsListJSON.ac", "/admin/inner/report/transfers/transfersStorehouseListJSON.ac"];
  self.searchModel = {
    page : 1,
    state : 0,
    storeHouse : {},
    client : {},
    handler : {},
    status : 2
  };
  self.goodsInfo = {};
  /**
   * @return {undefined}
   */
  self.showActionsheet = function() {
    var expectedNumberOfNonCommentArgs = {
      buttons : [{
        text : '<i class="assertive"></i> 调拨明细'
      }, {
        text : '<i class="icon ion-grid assertive"></i> 按调拨单汇总'
      }, {
        text : '<i class="icon ion-grid assertive"></i> 按商品汇总'
      }, {
        text : '<i class="icon ion-grid assertive"></i> 按仓库汇总'
      }],
      /**
       * @param {?} clicked
       * @return {?}
       */
      buttonClicked : function(clicked) {
        switch(self.viewReplace(), clicked) {
          case 0:
            $state.go("eventmenu.transferReportDetail");
            break;
          case 1:
            $state.go("eventmenu.transferReportByOrder");
            break;
          case 2:
            $state.go("eventmenu.transferReportByGoods");
            break;
          case 3:
            $state.go("eventmenu.transferReportByStorehouse");
        }
        return true;
      }
    };
    a.show(expectedNumberOfNonCommentArgs);
  };
  if ($state.includes("eventmenu.transferReportDetail")) {
    self.reportInterfaceUrl = _users[0];
    /** @type {Array} */
    self.curSearchItemArr = message.TRANSFERREPORTDETAIL;
    self.viewTitle = self.NameConstant.TRANSFERREPORTDETAIL;
  } else {
    if ($state.includes("eventmenu.transferReportByOrder")) {
      self.reportInterfaceUrl = _users[1];
      /** @type {Array} */
      self.curSearchItemArr = message.TRANSFERREPORTBYORDER;
      self.viewTitle = self.NameConstant.SUMBYTRANSFERORDER;
    } else {
      if ($state.includes("eventmenu.transferReportByGoods")) {
        self.reportInterfaceUrl = _users[2];
        /** @type {Array} */
        self.curSearchItemArr = message.TRANSFERREPORTBYGOODS;
        self.viewTitle = self.NameConstant.SUMBYGOODS;
      } else {
        if ($state.includes("eventmenu.transferReportByStorehouse")) {
          self.reportInterfaceUrl = _users[3];
          /** @type {Array} */
          self.curSearchItemArr = message.TRANSFERREPORTBYSTOREHOUSE;
          self.viewTitle = self.NameConstant.SUMBYSTOREHOUSE;
        }
      }
    }
  }
  /**
   * @param {boolean} dataAndEvents
   * @return {?}
   */
  var success = function(dataAndEvents) {
    if ("today" == self.searchModel.timePeriod) {
      self.searchModel.beginTime = that.getDayBegin((new Date).setDate((new Date).getDate())).getTime();
      self.searchModel.endTime = that.getDayBegin((new Date).setDate((new Date).getDate())).getTime();
      $templateCache.put("transferQueryCondition", JSON.stringify({
        timePeriod : "today"
      }));
    } else {
      if ("yesterday" == self.searchModel.timePeriod) {
        self.searchModel.beginTime = that.getDayBegin((new Date).setDate((new Date).getDate() - 1)).getTime();
        self.searchModel.endTime = that.getDayBegin((new Date).setDate((new Date).getDate() - 1)).getTime();
        $templateCache.put("transferQueryCondition", JSON.stringify({
          timePeriod : "yesterday"
        }));
      } else {
        if ("thisWeek" == self.searchModel.timePeriod) {
          self.searchModel.beginTime = that.getDayBegin((new Date).setDate((new Date).getDate() - 6)).getTime();
          self.searchModel.endTime = that.getDayBegin((new Date).setDate((new Date).getDate())).getTime();
          $templateCache.put("transferQueryCondition", JSON.stringify({
            timePeriod : "thisWeek"
          }));
        } else {
          if ("thisMonth" == self.searchModel.timePeriod) {
            self.searchModel.beginTime = that.getDayBegin((new Date).setDate((new Date).getDate() - 29)).getTime();
            self.searchModel.endTime = that.getDayBegin((new Date).setDate((new Date).getDate())).getTime();
            $templateCache.put("transferQueryCondition", JSON.stringify({
              timePeriod : "thisMonth"
            }));
          } else {
            if ("all" == self.searchModel.timePeriod) {
              /** @type {string} */
              self.searchModel.beginTime = "";
              /** @type {string} */
              self.searchModel.endTime = "";
              $templateCache.put("transferQueryCondition", JSON.stringify({
                timePeriod : "all"
              }));
            }
          }
        }
      }
    }
    var m = {
      outStorehouseId : self.searchModel.outStoreHouse ? self.searchModel.outStoreHouse.val : null,
      inStorehouseId : self.searchModel.inStoreHouse ? self.searchModel.inStoreHouse.val : null,
      searchKey : self.searchModel.searchKey,
      beginTime : that.transferGMTStringtoBJTime(that.getDayBeginStr(self.searchModel.beginTime)),
      endTime : that.transferGMTStringtoBJTime(that.getOffsetDayBeginStr(self.searchModel.endTime, 1)),
      userId : self.searchModel.handler ? self.searchModel.handler.val : null,
      blandId : self.searchModel.bland ? self.searchModel.bland.id : "",
      orderNo : self.searchModel.orderNo,
      remark : self.searchModel.remark,
      page : self.searchModel.page,
      status : self.searchModel.status,
      sidx : self.searchModel.sidx ? self.searchModel.sidx : "",
      sord : self.searchModel.sord ? self.searchModel.sord : "",
      categoryId : self.goodsInfo.category ? that.getCategoryChildIds(self.allCategoryList, self.goodsInfo.category.id) : ""
    };
    return m.outStorehouseId && that.contains(self.curSearchItemArr, "outStorehouse") || delete m.outStorehouseId, m.inStorehouseId && that.contains(self.curSearchItemArr, "inStorehouse") || delete m.inStorehouseId, m.searchKey && that.contains(self.curSearchItemArr, "searchKey") || delete m.searchKey, m.userId && that.contains(self.curSearchItemArr,
    "handler") || delete m.userId, m.orderNo && that.contains(self.curSearchItemArr, "orderNo") || delete m.orderNo, m.remark && that.contains(self.curSearchItemArr, "remark") || delete m.remark, m.categoryId && that.contains(self.curSearchItemArr, "categoryId") || delete m.categoryId, m.blandId && that.contains(self.curSearchItemArr,
    "blandId") || delete m.blandId, m.status && that.contains(self.curSearchItemArr, "status") || delete m.status, !$state.includes("eventmenu.transferReportDetail") && !$state.includes("eventmenu.transferReportByOrder") || (null != self.searchModel.sidx && "" != self.searchModel.sidx || (m.sidx = "businessTime", m.sord = "desc")), dataAndEvents && self.getSumData(m),
    _.postEncode(self.reportInterfaceUrl, m);
  };
  /**
   * @param {number} recurring
   * @return {undefined}
   */
  self.getList = function(recurring) {
    parent.scrollTop("TransferDetailCtrlScroll");
    /** @type {number} */
    self.searchModel.page = 1;
    if (2 == recurring) {
      self.refreshTimePeriod();
    }
    loading.show(true);
    success(true).success(function(data) {
      self.items = data.rows;
      /** @type {boolean} */
      self.loadMoreBtn = data.page < data.total;
    }).finally(function() {
      /** @type {boolean} */
      self.isLoading = false;
      parent.scrollTop("TransferDetailCtrlScroll");
      loading.hide();
    });
  };
  /**
   * @return {undefined}
   */
  self.getMore = function() {
    self.searchModel.page++;
    success().success(function(options) {
      self.items = self.items.concat(options.rows);
      /** @type {boolean} */
      self.loadMoreBtn = options.page < options.total;
      self.$broadcast("scroll.infiniteScrollComplete");
    }).finally(function() {
      /** @type {boolean} */
      self.isLoading = false;
      parent.resize("TransferDetailCtrlScroll");
    });
  };
  /**
   * @return {undefined}
   */
  self.clearQueryCondition = function() {
    /** @type {string} */
    self.searchModel.remark = "";
    /** @type {string} */
    self.searchModel.orderNo = "";
    /** @type {number} */
    self.searchModel.page = 1;
    /** @type {number} */
    self.searchModel.state = 0;
    self.searchModel.outStoreHouse = {};
    self.searchModel.inStoreHouse = {};
    self.searchModel.client = {};
    self.searchModel.handler = {};
    self.searchModel.bland = {};
    /** @type {null} */
    self.searchModel.searchKey = null;
    /** @type {null} */
    self.searchModel.ordersSn = null;
    /** @type {number} */
    self.searchModel.status = 2;
    /** @type {null} */
    self.goodsInfo.category = null;
    self.searchModel.beginTime = that.getDayBegin((new Date).setDate((new Date).getDate())).getTime();
    self.searchModel.endTime = that.getDayBegin((new Date).setDate((new Date).getDate())).getTime();
  };
  $modal.fromTemplateUrl("transferReportDetailQuery.html", function(theTitle) {
    self.transferReportDetailQueryModal = theTitle;
  }, {
    scope : self,
    animation : "slide-in-up"
  });
  $modal.fromTemplateUrl("html/PRetailAndSellBill/selectClient.html", function(theTitle) {
    self.clientModal = theTitle;
  }, {
    scope : self,
    animation : "slide-in-up",
    focusFirstInput : true
  });
  /**
   * @return {undefined}
   */
  self.clientModalOpen = function() {
    self.clientModal.show().then(function() {
      that.keyboardShow();
    });
  };
  FB.fromTemplateUrl("handlerPopover.html", {
    scope : self
  }).then(function(theTitle) {
    /** @type {number} */
    self.handlerPopover = theTitle;
  });
  /**
   * @param {boolean} expectedNumberOfNonCommentArgs
   * @return {undefined}
   */
  self.openHandlerPopover = function(expectedNumberOfNonCommentArgs) {
    self.handlerPopover.show(expectedNumberOfNonCommentArgs);
  };
  /**
   * @return {undefined}
   */
  self.hideHandlerPopover = function() {
    self.handlerPopover.hide();
  };
  FB.fromTemplateUrl("outStorehousePopover.html", {
    scope : self
  }).then(function(theTitle) {
    /** @type {number} */
    self.outStorehousePopover = theTitle;
  });
  /**
   * @param {boolean} expectedNumberOfNonCommentArgs
   * @return {undefined}
   */
  self.openOutStorehousePopover = function(expectedNumberOfNonCommentArgs) {
    self.outStorehousePopover.show(expectedNumberOfNonCommentArgs);
  };
  /**
   * @return {undefined}
   */
  self.hideOutStorehousePopover = function() {
    self.outStorehousePopover.hide();
  };
  FB.fromTemplateUrl("inStorehousePopover.html", {
    scope : self
  }).then(function(theTitle) {
    /** @type {number} */
    self.inStorehousePopover = theTitle;
  });
  /**
   * @param {boolean} expectedNumberOfNonCommentArgs
   * @return {undefined}
   */
  self.openInStorehousePopover = function(expectedNumberOfNonCommentArgs) {
    self.inStorehousePopover.show(expectedNumberOfNonCommentArgs);
  };
  /**
   * @return {undefined}
   */
  self.hideInStorehousePopover = function() {
    self.inStorehousePopover.hide();
  };
  $modal.fromTemplateUrl("goodsCategoryQuery.html", function(theTitle) {
    self.goodsCategoryModal = theTitle;
  }, {
    scope : self,
    animation : "slide-in-up"
  });
  $modal.fromTemplateUrl("goodsBlandQuery.html", function(theTitle) {
    self.goodsBlandModal = theTitle;
  }, {
    scope : self,
    animation : "slide-in-up"
  });
  FB.fromTemplateUrl("status.html", {
    scope : self
  }).then(function(theTitle) {
    /** @type {number} */
    self.statusPopover = theTitle;
  });
  /**
   * @param {boolean} expectedNumberOfNonCommentArgs
   * @return {undefined}
   */
  self.openStatusPopover = function(expectedNumberOfNonCommentArgs) {
    self.statusPopover.show(expectedNumberOfNonCommentArgs);
  };
  /**
   * @return {undefined}
   */
  self.hideStatusPopover = function() {
    self.statusPopover.hide();
  };
  self.$on("$destroy", function() {
    self.transferReportDetailQueryModal.remove();
    self.clientModal.remove();
    if (self.outStorehousePopover) {
      self.outStorehousePopover.remove();
    }
    if (self.inStorehousePopover) {
      self.inStorehousePopover.remove();
    }
    self.goodsCategoryModal.remove();
    self.goodsBlandModal.remove();
    if (self.statusPopover) {
      self.statusPopover.remove();
    }
    if (self.handlerPopover) {
      self.handlerPopover.remove();
    }
    if (self.sortQueryModal) {
      self.sortQueryModal.remove();
    }
  });
  /**
   * @return {undefined}
   */
  self.setCreateTimeBegin = function() {
    $scope.show({
      date : self.searchModel.beginTime ? new Date(self.searchModel.beginTime) : new Date,
      mode : "date",
      minDate : "",
      maxDate : "",
      doneButtonLabel : "确定",
      cancelButtonLabel : "取消"
    }).then(function(date1) {
      if (!isNaN(date1.getTime())) {
        self.searchModel.beginTime = date1.getTime();
      }
    });
  };
  /**
   * @return {undefined}
   */
  self.setCreateTimeEnd = function() {
    $scope.show({
      date : self.searchModel.endTime ? new Date(self.searchModel.endTime) : new Date,
      mode : "date",
      minDate : "",
      maxDate : "",
      doneButtonLabel : "确定",
      cancelButtonLabel : "取消"
    }).then(function(date1) {
      if (!isNaN(date1.getTime())) {
        self.searchModel.endTime = date1.getTime();
      }
    });
  };
  /**
   * @return {undefined}
   */
  self.refreshTimePeriod = function() {
    /** @type {string} */
    self.searchModel.timePeriod = self.searchModel.beginTime || self.searchModel.endTime ? self.searchModel.beginTime && self.searchModel.endTime ? that.getDayBeginStr(self.searchModel.beginTime) == that.getDayBeginStr((new Date).getTime()) && that.getDayBeginStr(self.searchModel.endTime) == that.getDayBeginStr((new Date).getTime()) ? "today" : that.getDayBeginStr(self.searchModel.beginTime) ==
    that.getOffsetDayBeginStr((new Date).getTime(), -1) && that.getDayBeginStr(self.searchModel.endTime) == that.getOffsetDayBeginStr((new Date).getTime(), -1) ? "yesterday" : that.getDayBeginStr(self.searchModel.beginTime) == that.getOffsetDayBeginStr((new Date).getTime(), -6) && that.getDayBeginStr(self.searchModel.endTime) == that.getDayBeginStr((new Date).getTime()) ? "thisWeek" : that.getDayBeginStr(self.searchModel.beginTime) ==
    that.getOffsetDayBeginStr((new Date).getTime(), -29) && that.getDayBeginStr(self.searchModel.endTime) == that.getDayBeginStr((new Date).getTime()) ? "thisMonth" : "other" : "other" : "all";
  };
  /**
   * @param {?} value
   * @return {undefined}
   */
  self.getSumData = function(value) {
    /** @type {boolean} */
    self.sumDataLoading = true;
    var params = angular.copy(value);
    params.beginTime = that.getDayBegin(self.searchModel.beginTime);
    params.endTime = that.getOffsetDayBegin(self.searchModel.endTime, 1);
    delete params.page;
    delete params.sidx;
    delete params.sord;
    _.post("/admin/inner/report/transfers/transfersRecordDetailListSum.ac", params).success(function(message) {
      self.goodsTransferCount = message.goodsTransferCount;
      self.inStoreHouse = message.inStoreHouse;
      self.outStoreHouse = message.outStoreHouse;
      self.transferAllNumber = message.transferAllNumber;
      self.transferCount = message.transferCount;
    }).finally(function() {
      /** @type {boolean} */
      self.sumDataLoading = false;
    });
  };
  /**
   * @return {undefined}
   */
  self.scanCode = function() {
    Hogan.scan().then(function(result) {
      if (!result.cancelled) {
        $sanitize(function() {
          self.searchModel.searchKey = result.text;
        });
      }
    }, function(err) {
      console.error("Scanning failed: " + err);
      that.toastShow("二维码扫描失败！");
    });
  };
  /**
   * @return {undefined}
   */
  self.resizeContentArea = function() {
    parent.resize("TransferDetailCtrlScroll");
  };
  self.$on("$ionicView.loaded", function() {
    if ($templateCache.get("transferQueryCondition") && !that.isEmpty($templateCache.get("transferQueryCondition"))) {
      /** @type {*} */
      var animation = JSON.parse($templateCache.get("transferQueryCondition"));
      self.searchModel.timePeriod = animation.timePeriod;
      self.searchModel.storeHouse = animation.storeHouse;
      self.searchModel.beginTime = animation.beginTime;
      self.searchModel.endTime = animation.endTime;
      /** @type {number} */
      self.searchModel.status = 2;
      $templateCache.put("transferQueryCondition", {});
    } else {
      self.searchModel = {
        timePeriod : "today",
        status : 2
      };
    }
    self.getList();
    _.httpCacheGet.get(_.httpCacheGet.ac.ALLCOMPANYUSER).success(function(message) {
      self.allHandler = message.optionList;
    });
    _.httpCacheGet.get(_.httpCacheGet.ac.STOREHOUSELIST).success(function(theTitle) {
      self.allDept = theTitle;
    });
    _.httpCacheGet.get(_.httpCacheGet.ac.CATEGORYLIST).success(function(response) {
      self.allCategoryList = response.rows;
      self.categoryTree = that.treeForCategory(0, "", false, response.rows).children;
    });
    _.httpCacheGet.get(_.httpCacheGet.ac.BLANDLIST).success(function(theTitle) {
      self.arrBland = theTitle;
    });
  });
}]);
/**
 * @param {Object} $scope
 * @param {?} $modal
 * @param {string} _
 * @param {Object} UnitTools
 * @param {?} FB
 * @param {Object} parent
 * @param {?} model
 * @param {Object} scope
 * @param {Object} $state
 * @param {Object} view
 * @param {?} deepDataAndEvents
 * @param {Object} loading
 * @param {Object} $q
 * @param {?} context
 * @param {?} dataAndEvents
 * @param {?} $sanitize
 * @param {Node} data_user
 * @return {undefined}
 */
function BaseSaleEditCtrl($scope, $modal, _, UnitTools, FB, parent, model, scope, $state, view, deepDataAndEvents, loading, $q, context, dataAndEvents, $sanitize, data_user) {
  /**
   * @return {?}
   */
  function resolve() {
    var imageDfd = $q.defer();
    var request1 = _.httpCacheGet.get(_.httpCacheGet.ac.ALLONLINEDELIVERY);
    return $q.all([request1]).then(function(image) {
      imageDfd.resolve(image);
    }, function() {
      imageDfd.reject();
    }), imageDfd.promise;
  }
  /**
   * @param {(Object|string)} opt_attributes
   * @return {undefined}
   */
  function promote(opt_attributes) {
    /** @type {number} */
    var otherwiseLineIndex = 0;
    var cnl = $scope.saleOrder.goodsGroup.length;
    for (;cnl > otherwiseLineIndex;otherwiseLineIndex++) {
      if (opt_attributes == $scope.saleOrder.goodsGroup[otherwiseLineIndex].goodsSn) {
        $scope.saleOrder.goodsGroup.splice(otherwiseLineIndex, 1);
        break;
      }
    }
    $scope.setTotalAmount();
    $scope.selectedGood.good = {};
  }
  /**
   * @param {?} query
   * @return {?}
   */
  function GetClientGoodsPrice(query) {
    /** @type {Array} */
    var headers = [];
    headers[0] = query.goodsSn;
    var imageDfd = $q.defer();
    $scope.saleOrder.saleClient.val = $scope.saleOrder.saleClient.val ? $scope.saleOrder.saleClient.val : "";
    var request1 = _.postArrParamEncode("/admin/inner/client/getClientWithPrices.ac", {
      id : $scope.saleOrder.saleClient.val,
      goodsSnArr : headers
    });
    var getPromise3 = _.postEncode("/admin/inner/storehouse/getGoodsStoredCountInfo.ac", {
      goodsSn : query.goodsSn,
      storehouseId : $scope.saleOrder.saleDepot.val
    });
    return $q.all([request1, getPromise3]).then(function(image) {
      imageDfd.resolve(image);
    }, function() {
      imageDfd.reject();
    }), imageDfd.promise;
  }
  /** @type {number} */
  $scope.state = 0;
  $scope.saleOrder = {
    goodsGroup : [],
    saleClient : {},
    clientDiscount : {},
    showDelete : false,
    otherAccountItem : {},
    otherCost : "",
    saler : {}
  };
  /** @type {Array} */
  $scope.allAccountItems = [];
  $scope.selectedGood = {};
  /** @type {number} */
  $scope.totalAmount = 0;
  /** @type {number} */
  $scope.totalInvoiceAmount = 0;
  /** @type {number} */
  $scope.totalQuantity = 0;
  /** @type {boolean} */
  $scope.isOpenScroll = true;
  $scope.saleNegativeStore = context.companyConfigData.saleNegativeStore ? context.companyConfigData.saleNegativeStore : 1;
  /** @type {boolean} */
  $scope.customerPointOn = context.companyConfigData.customerPoint == dataAndEvents.CUSTOMERPOINT.ON;
  $scope.userConfigData = context.userConfigData;
  $scope.businessConfig = UnitTools.fnCheckGtoreQty($scope.userConfigData, "configKey", "businessConfig");
  /** @type {*} */
  $scope.businessConfigValue = $scope.businessConfig && $scope.businessConfig.configValue ? JSON.parse($scope.businessConfig.configValue) : {
    zeroPaid : dataAndEvents.ZEROPAID.ON,
    defaultLastPrice : 0
  };
  /**
   * @return {?}
   */
  $scope.isGoodsGroupNull = function() {
    return UnitTools.isEmpty($scope.saleOrder.goodsGroup);
  };
  $modal.fromTemplateUrl("saleImgModal.html", function($location) {
    $scope.saleImgModal = $location;
  }, {
    scope : $scope,
    animation : "slide-in-up"
  });
  /**
   * @return {undefined}
   */
  $scope.openMessagesFrame = function() {
    if ($scope.messagesModal) {
      $scope.messagesModal.show();
    } else {
      $modal.fromTemplateUrl("html/PRetailAndSellBill/RetailAndSellBillMessages.html", function($location) {
        /** @type {number} */
        $scope.messagesModal = $location;
        $scope.messagesModal.show();
      }, {
        scope : $scope,
        animation : "slide-in-up"
      });
    }
  };
  /**
   * @return {undefined}
   */
  $scope.openUserSelectFrame = function() {
    if ($scope.userManSelectModal) {
      $scope.userManSelectModal.show();
    } else {
      $modal.fromTemplateUrl("html/PShopBaseInfo/userManSelectModal.html", function($location) {
        /** @type {number} */
        $scope.userManSelectModal = $location;
        $scope.userManSelectModal.show();
      }, {
        scope : $scope,
        animation : "slide-in-up"
      });
    }
  };
  /**
   * @return {undefined}
   */
  $scope.hideMessagesModal = function() {
    if ($scope.messagesModal.isShown()) {
      $scope.messagesModal.hide();
    }
  };
  $scope.messageObject = {
    content : ""
  };
  /** @type {boolean} */
  $scope.focus = false;
  $scope.checklist = {};
  /** @type {string} */
  $scope.checklist.usersNameString = "";
  /**
   * @return {undefined}
   */
  $scope.ensurePushUsers = function() {
    /** @type {string} */
    $scope.checklist.usersString = "";
    /** @type {string} */
    $scope.checklist.usersNameString = "";
    /** @type {number} */
    var i = 0;
    for (;i < $scope.checklist.selectedUsers.length;i++) {
      $scope.checklist.usersString += $scope.checklist.selectedUsers[i].id + ",";
      $scope.checklist.usersNameString += "@" + $scope.checklist.selectedUsers[i].realName + " ";
    }
    $scope.userManSelectModal.hide();
  };
  /** @type {boolean} */
  var S = false;
  /**
   * @return {?}
   */
  $scope.saveOrUpdatePostil = function() {
    if (1 == S) {
      return false;
    }
    /** @type {boolean} */
    S = true;
    var json = $scope.saleOrder.ordersSn;
    if (json && $scope.messageObject.content) {
      model.saveOrUpdatePostil($scope.messageObject.content, json, 31).then(function(activity) {
        if (null != activity) {
          /** @type {string} */
          $scope.messageObject.content = "";
          $scope.getMessages();
          var generatedColumn = {};
          /** @type {({param: ?, path: string})} */
          generatedColumn = json.indexOf("TH") > -1 ? {
            path : "eventmenu.saleReturnEdit",
            param : json
          } : {
            path : "eventmenu.saleEdit",
            param : json
          };
          if ($scope.checklist.usersString) {
            if ($scope.checklist.usersString.length > 0) {
                model.sendNoBadgePush(activity.object.content, "你有新的留言，点击查看", $scope.checklist.usersString, JSON.stringify(generatedColumn));
                $sanitize(function() {
                  /** @type {boolean} */
                  $scope.checklist.needRefresh = true;
                })
            }
          }
          /** @type {boolean} */
          S = false;
        }
      }, function() {
        UnitTools.toastShow("服务器获取数据出现异常！");
      });
    } else {
      if ($scope.messageObject.content && $scope.messageObject.content.length > 0) {
        if (json) {
          /** @type {boolean} */
          S = false;
        } else {
          UnitTools.toastShow("单据已切换！");
          /** @type {boolean} */
          S = false;
          $scope.messagesModal.hide();
        }
      } else {
        UnitTools.toastShow("请输入留言信息！");
        /** @type {boolean} */
        S = false;
      }
    }
  };
  /**
   * @param {?} deepDataAndEvents
   * @return {undefined}
   */
  $scope.deletePostil = function(deepDataAndEvents) {
    model.deletePostil(deepDataAndEvents).then(function(r) {
      if (1 == r.statusCode) {
        UnitTools.toastShow("删除留言成功！");
        $scope.getMessages();
      } else {
        UnitTools.toastShow(r.content);
      }
    }, function() {
      UnitTools.toastShow("服务器获取数据出现异常！");
    });
  };
  /**
   * @param {?} next
   * @return {undefined}
   */
  $scope.getMessages = function(next) {
    var failureMessage = $scope.saleOrder && $scope.saleOrder.ordersSn ? $scope.saleOrder.ordersSn : "";
    _.post("/admin/inner/postil/getPostilList.ac", {
      ordersSn : failureMessage,
      type : 31
    }).success(function(data) {
      $scope.messagesItems = data.object;
      if (next) {
        $scope.$broadcast("scroll.refreshComplete");
      }
    });
  };
  /**
   * @return {?}
   */
  $scope.getAllAreaData = function() {
    var imageDfd = $q.defer();
    var request1 = _.httpCacheGet.get(_.httpCacheGet.ac.AllArea);
    return $q.all([request1]).then(function(image) {
      imageDfd.resolve(image);
    }, function() {
      imageDfd.reject();
    }), imageDfd.promise;
  };
  /**
   * @param {Object} event
   * @return {undefined}
   */
  $scope.gobackToListAction = function(event) {
    if (console.log("gobackToListAction--in"), event && (event.stopPropagation() && event.preventDefault()), "eventmenu.saleEdit" == $state.current.name || "eventmenu.saleReturnEdit" == $state.current.name) {
      if (0 != $scope.state || $scope.isGoodsGroupNull()) {
        (done || angular.noop)();
        $scope.goBack();
      } else {
        var promise = view.confirm({
          template : "<div class='tc'>确认要退出开单?</div>",
          cancelText : "取消",
          okText : "继续退出"
        });
        promise.then(function(dataAndEvents) {
          if (dataAndEvents) {
            (done || angular.noop)();
            $scope.goBack();
          }
        });
      }
    } else {
      console.log("goBack");
      (done || angular.noop)();
      $scope.goBack();
    }
  };
  var done = deepDataAndEvents.registerBackButtonAction(function() {
    return $scope.gobackToListAction(), false;
  }, 140);
  /**
   * @return {undefined}
   */
  $scope.createNewOrder = function() {
    if (data_user.get("saleOrderImgsCache")) {
      data_user.remove("saleOrderImgsCache");
    }
    $scope.viewReplace();
    $state.go($state.current, {
      ordersSn : null,
      timeStamp : UnitTools.getTimeStamp(),
      copyOrder : null
    }, {
      reload : true
    });
  };
  /** @type {string} */
  var modalOptions = $scope.platformIsPad ? "html/PRetailAndSellBill/selectGoodMulForPadNew.html" : "html/PRetailAndSellBill/selectGoodMul.html";
  $modal.fromTemplateUrl(modalOptions, function($location) {
    $scope.modal = $location;
  }, {
    scope : $scope,
    animation : "slide-in-up"
  });
  $modal.fromTemplateUrl("html/PRetailAndSellBill/selectClient.html", function($location) {
    $scope.clientModal = $location;
  }, {
    scope : $scope,
    animation : "slide-in-up",
    focusFirstInput : true
  });
  /**
   * @return {undefined}
   */
  $scope.clientModalOpen = function() {
    $scope.clientModal.show().then(function() {
      UnitTools.keyboardShow();
    });
  };
  $modal.fromTemplateUrl("html/PRetailAndSellBill/SellBillSelectSaler.html", function($location) {
    $scope.salerModal = $location;
  }, {
    scope : $scope,
    animation : "slide-in-up",
    focusFirstInput : true
  });
  /**
   * @param {boolean} expectedNumberOfNonCommentArgs
   * @return {undefined}
   */
  $scope.salerModalOpen = function(expectedNumberOfNonCommentArgs) {
    $scope.salerModal.show(expectedNumberOfNonCommentArgs).then(function() {
      UnitTools.keyboardShow();
    });
  };
  $modal.fromTemplateUrl("html/PRetailAndSellBill/selectDelivery.html", function($location) {
    /** @type {number} */
    $scope.deliveryModal = $location;
  }, {
    scope : $scope,
    animation : "slide-in-up"
  });
  /**
   * @return {?}
   */
  $scope.openDeliveryModal = function() {
    return 5 == $scope.delivery.deliveryType && ($scope.delivery.deliverySn && $scope.delivery.deliverySn.length > 0) ? (UnitTools.toastShow("已成功订阅电子面单，不可修改物流方式"), false) : ($scope.deliveryModal.show(), $scope.allAreaItems && $scope.allAreaItems.length > 0 || $scope.getAllAreaData().then(function(packs) {
      $scope.allAreaItems = packs[0].data;
      $scope.provinceItems = UnitTools.getObjectList($scope.allAreaItems, "pid", 0);
    }), void($scope.onlineDeliveryCompanies && $scope.onlineDeliveryCompanies.length > 0 || resolve().then(function(packs) {
      $scope.onlineDeliveryCompanies = packs[0].data;
    })));
  };
  /**
   * @return {?}
   */
  $scope.cloeseDeliveryModal = function() {
    if (5 == $scope.delivery.deliveryType) {
      if (!$scope.delivery.deliveryCompany || !$scope.delivery.contact) {
        return UnitTools.toastShow("需要填写收件人"), console.log("需要填写收件人"), false;
      }
      if (!$scope.delivery.contactNumber) {
        return UnitTools.toastShow("需要填写收件人联系电话"), console.log("需要填写收件人联系电话"), false;
      }
      if (!$scope.clientsInfo.province || !$scope.clientsInfo.province.id) {
        return UnitTools.toastShow("需要选择省份"), console.log("需要选择省份"), false;
      }
      if (!$scope.clientsInfo.city || !$scope.clientsInfo.city.id) {
        return UnitTools.toastShow("需要选择城市"), console.log("需要选择城市"), false;
      }
      if (!$scope.clientsInfo.country || !$scope.clientsInfo.country.id) {
        return UnitTools.toastShow("需要选择区县"), console.log("需要选择区县"), false;
      }
      if (!$scope.clientsInfo.address) {
        return UnitTools.toastShow("需要填写详细地址"), console.log("需要填写详细地址"), false;
      }
    }
    $scope.deliveryModal.hide();
  };
  $modal.fromTemplateUrl("html/PRetailAndSellBill/selectedGoodList.html", function($location) {
    $scope.selectedGoodListModal = $location;
  }, {
    scope : $scope,
    animation : "slide-in-up"
  });
  /**
   * @return {undefined}
   */
  $scope.openSelectedGoodModal = function() {
    if (!($scope.selectedGoodModal && $scope.selectedGoodModal.isShown())) {
      $modal.fromTemplateUrl("html/PRetailAndSellBill/selectedGoodForEdit.html", {
        scope : $scope,
        animation : "slide-in-up"
      }).then(function($location) {
        $scope.selectedGoodModal = $location;
        $scope.selectedGoodModal.show();
        $sanitize(function() {
          parent.resize("selectGoodForOrderMulScroll");
        });
      });
    }
  };
  /**
   * @return {undefined}
   */
  $scope.closeSelectedGoodModal = function() {
    $scope.selectedGoodModal.hide();
    $scope.selectedGoodModal.remove();
  };
  FB.fromTemplateUrl("storehousePopover.html", {
    scope : $scope
  }).then(function($location) {
    $scope.storehousePopover = $location;
  });
  /**
   * @param {boolean} expectedNumberOfNonCommentArgs
   * @return {undefined}
   */
  $scope.openStorehousePopover = function(expectedNumberOfNonCommentArgs) {
    $scope.storehousePopover.show(expectedNumberOfNonCommentArgs);
  };
  /**
   * @return {undefined}
   */
  $scope.hideStorehousePopover = function() {
    $scope.storehousePopover.hide();
    /** @type {number} */
    $scope.isShowInvalidStoreMsg = 0;
  };
  FB.fromTemplateUrl("accountPopover.html", {
    scope : $scope
  }).then(function($location) {
    $scope.accountPopover = $location;
  });
  /**
   * @param {boolean} expectedNumberOfNonCommentArgs
   * @return {undefined}
   */
  $scope.openAccountPopover = function(expectedNumberOfNonCommentArgs) {
    $scope.accountPopover.show(expectedNumberOfNonCommentArgs);
  };
  /**
   * @return {undefined}
   */
  $scope.hideAccountPopover = function() {
    $scope.accountPopover.hide();
  };
  FB.fromTemplateUrl("accountItemPopover.html", {
    scope : $scope
  }).then(function($location) {
    $scope.accountItemPopover = $location;
  });
  /**
   * @param {boolean} expectedNumberOfNonCommentArgs
   * @return {undefined}
   */
  $scope.openAccountItemPopover = function(expectedNumberOfNonCommentArgs) {
    $scope.accountItemPopover.show(expectedNumberOfNonCommentArgs);
  };
  /**
   * @param {?} dataAndEvents
   * @return {undefined}
   */
  $scope.hideAccountItemPopover = function(dataAndEvents) {
    $scope.saleOrder.otherAccountItem = dataAndEvents;
    /** @type {boolean} */
    $scope.selectedOtherAccountItem = true;
    $scope.accountItemPopover.hide();
  };
  $modal.fromTemplateUrl("otherCostModal.html", function($location) {
    $scope.otherCostModal = $location;
  }, {
    scope : $scope,
    animation : "slide-in-up",
    backdropClickToClose : false
  });
  /**
   * @return {undefined}
   */
  $scope.openOtherCostModal = function() {
    if ($scope.otherCostModal.show(), null == $scope.saleOrder.otherAccountItem.id && 0 == $scope.state) {
      /** @type {boolean} */
      var o = true
    }
    if (0 == $scope.allAccountItems.length && _.httpCacheGet.get(_.httpCacheGet.ac.ALLACCOUNTITEM).success(function(results) {
      $scope.allAccountItems = results.rows;
      /** @type {number} */
      var i = 0;
      for (;i < $scope.allAccountItems.length;i++) {
        if (o) {
          if ($scope.wholesaleOrdersList.otherAccountItemValue == $scope.allAccountItems[i].id) {
            if (1 == $scope.allAccountItems[i].isEnable) {
              $scope.saleOrder.otherAccountItem = $scope.allAccountItems[i];
            }
          }
        }
        if (0 == $scope.allAccountItems[i].isEnable || (1 == $scope.allAccountItems[i].id || (10 == $scope.allAccountItems[i].id || 5 == $scope.allAccountItems[i].id))) {
          $scope.allAccountItems.splice(i, 1);
          i--;
        }
      }
    }), o && ($scope.allAccountItems.length > 0 && $scope.wholesaleOrdersList.otherAccountItemValue)) {
      /** @type {number} */
      var i = 0;
      var l = $scope.allAccountItems.length;
      for (;l > i;i++) {
        if ($scope.wholesaleOrdersList.otherAccountItemValue == $scope.allAccountItems[i].id) {
          $scope.saleOrder.otherAccountItem = $scope.allAccountItems[i];
          break;
        }
      }
    }
  };
  /**
   * @return {?}
   */
  $scope.openModal = function() {
    return UnitTools.isEmpty($scope.saleOrder.saleDepot) ? window.cordova && window.cordova.plugins ? (UnitTools.showAlert("请选择仓库！", null), false) : (view.alert({
      template : "<div class='tc'>请选择仓库！</div>",
      okText : "确定"
    }), false) : void $scope.modal.show();
  };
  FB.fromTemplateUrl("salerPopover.html", {
    scope : $scope
  }).then(function($location) {
    $scope.salerPopover = $location;
  });
  /**
   * @param {boolean} expectedNumberOfNonCommentArgs
   * @return {undefined}
   */
  $scope.openSalerPopover = function(expectedNumberOfNonCommentArgs) {
    $scope.salerPopover.show(expectedNumberOfNonCommentArgs);
  };
  /**
   * @return {undefined}
   */
  $scope.hideSalerPopover = function() {
    $scope.salerPopover.hide();
  };
  $scope.$on("$destroy", function() {
    $scope.modal.remove();
    $scope.clientModal.remove();
    $scope.salerModal.remove();
    $scope.deliveryModal.remove();
    $scope.storehousePopover.remove();
    $scope.accountPopover.remove();
    if ($scope.selectedGoodModal) {
      $scope.selectedGoodModal.remove();
    }
    $scope.selectedGoodListModal.remove();
    $scope.accountItemPopover.remove();
    $scope.otherCostModal.remove();
    if ($scope.messagesModal) {
      $scope.messagesModal.remove();
    }
    if ($scope.userManSelectModal) {
      $scope.userManSelectModal.remove();
    }
    if ($scope.scanPayModal) {
      $scope.scanPayModal.remove();
    }
    if ($scope.salerPopover) {
      $scope.salerPopover.remove();
    }
    if ($scope.saleImgModal) {
      $scope.saleImgModal.remove();
    }
  });
  /**
   * @return {undefined}
   */
  $scope.setWipeZero = function() {
    var v = $scope.saleOrder.wipeZero;
    /** @type {number} */
    var version = parseFloat(v > 0 ? v : UnitTools.accSub($scope.totalAmount, parseInt($scope.totalAmount)));
    if (window.cordova && window.cordova.plugins) {
      UnitTools.showPrompt("请输入抹零金额", function(res) {
        if (2 == res.buttonIndex) {
          $scope.$apply(function() {
            if (1 == $scope.isNum(res.input1) && res.input1 >= 0) {
              $scope.saleOrder.wipeZero = $scope.fixedInputNumber(res.input1);
              $scope.setTotalAmount();
            } else {
              $scope.saleOrder.wipeZero = v;
              UnitTools.toastShow("抹零金额必须大于等于零");
            }
          });
        }
      }, "抹零", ["取消", "确认"], version.toString());
    } else {
      /** @type {number} */
      $scope.saleOrder.wipeZero = version;
      view.show({
        cssClass : "lb-goodEdit-popup",
        template : '<input type="number" class="tc" ng-model="saleOrder.wipeZero" autofocus="true" placeholder="0.00">',
        title : "请输入抹零金额",
        scope : $scope,
        buttons : [{
          text : "确认",
          type : "button-assertive",
          /**
           * @return {undefined}
           */
          onTap : function() {
            $scope.saleOrder.wipeZero = $scope.fixedInputNumber($scope.saleOrder.wipeZero);
            $scope.setTotalAmount();
          }
        }]
      });
    }
  };
  /**
   * @param {?} dataAndEvents
   * @return {?}
   */
  $scope.setOtherCost = function(dataAndEvents) {
    if (dataAndEvents) {
      /** @type {string} */
      $scope.saleOrder.otherCost = "";
    } else {
      if (!$scope.saleOrder.otherAccountItem.id && $scope.saleOrder.otherCost) {
        return UnitTools.toastShow("请选择账目类型"), false;
      }
    }
    $scope.setTotalAmount();
  };
  /**
   * @param {boolean} str
   * @param {boolean} name
   * @return {undefined}
   */
  $scope.setAlreadyPaid = function(str, name) {
    var dstUri = $scope.saleOrder.alreadyPaid;
    /** @type {string} */
    var index = name ? "实收金额" : "实退金额";
    /** @type {string} */
    var x = (2 == $scope._itemType && $scope.returnTotalAmount >= $scope.saleTotalAmount ? "本单应退金额 " : "本单应收金额 ") + (str ? parseFloat(str).toFixed(2) : 0) + " \n (月结客户填0则记在客户欠款中)";
    if (window.cordova && window.cordova.plugins) {
      UnitTools.showPrompt(x, function(res) {
        if (2 == res.buttonIndex) {
          $scope.$apply(function() {
            $scope.saleOrder.alreadyPaid = 1 == $scope.isNum(res.input1) && res.input1 >= 0 ? $scope.fixedInputNumber(res.input1) : dstUri;
          });
        }
      }, index, ["取消", "确认"], dstUri ? dstUri.toString() : 0);
    } else {
      view.show({
        cssClass : "lb-goodEdit-popup",
        template : '<input type="number" class="tc" ng-model="saleOrder.alreadyPaid" autofocus="true" placeholder="0.00">',
        title : "请输入本单" + index,
        scope : $scope,
        buttons : [{
          text : "确认",
          type : "button-assertive",
          /**
           * @return {undefined}
           */
          onTap : function() {
            $scope.saleOrder.alreadyPaid = $scope.fixedInputNumber($scope.saleOrder.alreadyPaid);
          }
        }]
      });
    }
  };
  /**
   * @param {number} sid
   * @param {Function} fn
   * @return {undefined}
   */
  $scope.queryClientBanlance = function(sid, fn) {
    if (sid) {
      if (sid > 0) {
        _.post("/admin/inner/finance/banlance/banlanceClientGet.ac?clientId=" + sid).success(function(data) {
          $scope.clientBanlance = data.banlance ? data.banlance : 0;
          $scope.clientScore = data && data.score ? data.score : 0;
          if ("function" == typeof fn) {
            fn();
          }
        });
      }
    }
  };
  /**
   * @param {number} key
   * @return {?}
   * 计算购物车商品价格
   */
  $scope.calcTotalAmount = function(key) {
    /** @type {number} */
    var tree = 0; //总金额
    /** @type {number} */
    var unknown = 0;  //总数量
    /** @type {number} */
    var unlock = 0;
    var cnl = $scope.saleOrder.goodsGroup.length;
    for (;cnl > unlock;unlock++) {
      /** @type {number} */
      var j = 0;
      var spaces = $scope.saleOrder.goodsGroup[unlock].goods.length;
      for (;spaces > j;j++) {
        var data = $scope.saleOrder.goodsGroup[unlock].goods[j];
        if (data.price || 0 === data.price) {
          if (data.discount) {
            if (data.quantity) {
              /** @type {number} */
              data.isEnoughStore = 1 === $scope._itemType ? data.quantity <= data.storeNumber ? 1 : 0 : 1;
              if (key) {
                /** @type {number} */
                data.discount = key;
                data.truePrice = $scope.calcDetailTruePrice(data.price, data.discount);
              }
              tree = UnitTools.accAdd(tree, UnitTools.accMul(data.truePrice, data.quantity));//价格X数量
              unknown = UnitTools.accAdd(unknown, data.quantity);
            }
          }
        }
      }
    }
    $scope.totalAmount = tree;
    $scope.totalQuantity = unknown;
    /** @type {number} */
    var node = 0;
    if ($scope.saleOrder.otherAccountItem.id) {
      if ($scope.saleOrder.otherCost) {
        if ($scope.isNum($scope.saleOrder.otherCost)) {
          node = UnitTools.accAdd(node, $scope.saleOrder.otherCost);
        }
      }
    }
    if ($scope.saleOrder.wipeZero) {
      if ($scope.isNum($scope.saleOrder.wipeZero)) {
        node = UnitTools.accSub(node, $scope.saleOrder.wipeZero);
      }
    }
    var result = UnitTools.accAdd(tree, node);
    return $scope.totalInvoiceAmount = result, result;
  };
  /**
   * @return {?}
   */
  $scope.saleReturnCalcTotalAmount = function() {
    var a;
    /** @type {number} */
    var slide = 0;
    /** @type {number} */
    var messages = 0;
    /** @type {number} */
    var foo = 0;
    /** @type {number} */
    var temp = 0;
    /** @type {number} */
    var unlock = 0;
    var cnl = $scope.saleOrder.goodsGroup.length;
    for (;cnl > unlock;unlock++) {
      /** @type {number} */
      var j = 0;
      var spaces = $scope.saleOrder.goodsGroup[unlock].goods.length;
      for (;spaces > j;j++) {
        var data = $scope.saleOrder.goodsGroup[unlock].goods[j];
        if (null === data.quantity || data.quantity < 0) {
          /** @type {string} */
          data.quantity = "";
        }
        if (data.price || 0 === data.price) {
          if (data.discount) {
            if (data.quantity) {
              if (1 == data.type) {
                /** @type {number} */
                data.isEnoughStore = data.quantity <= data.storeNumber ? 1 : 0;
                slide = UnitTools.accAdd(slide, UnitTools.accMul(data.truePrice, data.quantity));
                messages = UnitTools.accAdd(messages, data.quantity);
              } else {
                /** @type {number} */
                data.isEnoughStore = 1;
                foo = UnitTools.accAdd(foo, UnitTools.accMul(data.truePrice, data.quantity));
                temp = UnitTools.accAdd(temp, data.quantity);
              }
            }
          }
        }
      }
    }
    return $scope.saleTotalAmount = slide, $scope.saleTotalQuantity = messages, $scope.returnTotalAmount = foo, $scope.returnTotalQuantity = temp, a = UnitTools.accSub(foo, slide), 0 > a && (a = -a), $scope.saleOrder.wipeZero && ($scope.isNum($scope.saleOrder.wipeZero) && (a = UnitTools.accSub(a, $scope.saleOrder.wipeZero))),
    $scope.totalAmount = a, $scope.totalQuantity = UnitTools.accAdd(messages, temp), Number(a);
  };
  /**
   * @return {undefined}
   */
  $scope.changeCharge = function() {
    /** @type {string} */
    var errorMessage = "确认更改收款/退款";
    /** @type {string} */
    errorMessage = 1 == $scope.payOrCharge ? "切换后填写的金额为【退款金额】" : "切换后填写的金额为【收款金额】";
    if (window.cordova && window.cordova.plugins) {
      UnitTools.showConfirm(errorMessage, function(dataAndEvents) {
        if (2 == dataAndEvents) {
          $scope.$apply(function() {
            /** @type {number} */
            $scope.payOrCharge = 1 == $scope.payOrCharge ? 0 : 1;
          });
        }
      }, "收款/退款切换", ["取消", "切换"]);
    } else {
      view.show({
        cssClass : "lb-goodEdit-popup",
        template : "<div>" + errorMessage + "</div>",
        title : "收款/退款切换",
        scope : $scope,
        buttons : [{
          text : "确认",
          /**
           * @return {undefined}
           */
          onTap : function() {
            /** @type {number} */
            $scope.payOrCharge = 1 == $scope.payOrCharge ? 0 : 1;
          }
        }, {
          text : "取消",
          type : "button-assertive"
        }]
      });
    }
  };
  /**
   * @param {boolean} deepDataAndEvents
   * @return {undefined}
   * 设置总金额
   */
  $scope.setTotalAmount = function(deepDataAndEvents) {
    if (deepDataAndEvents) {
      if ($state.includes("eventmenu.saleReturnEdit")) {
        $scope.saleReturnCalcTotalAmount();
      } else {
        $scope.calcTotalAmount();
      }
    } else {
      /** @type {number} */
      $scope.saleOrder.alreadyPaid = parseFloat($state.includes("eventmenu.saleReturnEdit") ? $scope.saleReturnCalcTotalAmount().toFixed(2) : $scope.calcTotalAmount().toFixed(2));
      if ($scope.businessConfigValue) {
        if ($scope.businessConfigValue.zeroPaid == dataAndEvents.ZEROPAID.ON) {
          /** @type {number} */
          $scope.saleOrder.alreadyPaid = 0;
        }
      }
    }
  };
  /**
   * @param {number} dataAndEvents
   * @return {?}
   */
  $scope.setIntegerNum = function(dataAndEvents) {
    return void 0 === dataAndEvents && (dataAndEvents = 0), dataAndEvents;
  };
  /**
   * @param {?} dataAndEvents
   * @return {undefined}
   */
  $scope.clearSelectedGood = function(dataAndEvents) {
    if (angular.isObject($scope.selectedGood.good)) {
      if ($scope.selectedGood.good.goodsSn == dataAndEvents) {
        $scope.selectedGood.good = {};
      }
    }
  };
  /**
   * @param {string} header
   * @param {string} funcToCall
   * @return {undefined}
   */
  $scope.toggleDetailInput = function(header, funcToCall) {
    /** @type {(null|string)} */
    $scope.shownDetailInput = $scope.isDetailInputShown(header, funcToCall) ? null : header + "-" + funcToCall;
  };
  /**
   * @param {string} value
   * @param {string} funcToCall
   * @return {?}
   */
  $scope.isDetailInputShown = function(value, funcToCall) {
    return $scope.shownDetailInput === value + "-" + funcToCall;
  };
  /**
   * @param {string} opt_attributes
   * @return {undefined}
   */
  $scope.deleteGoods = function(opt_attributes) {
    if (window.cordova && window.cordova.plugins) {
      UnitTools.showConfirm("确认要删除已选择的整个商品?", function(dataAndEvents) {
        if (2 == dataAndEvents) {
          $scope.$apply(function() {
            promote(opt_attributes);
          });
        }
      }, null, ["取消", "删除"]);
    } else {
      var promise = view.confirm({
        template : "<div class='tc'>确认要删除已选择的整个商品?</div>",
        cancelText : "取消",
        okText : "删除"
      });
      promise.then(function(dataAndEvents) {
        if (dataAndEvents) {
          promote(opt_attributes);
        }
      });
    }
  };
  /**
   * @param {(Object|string)} dataAndEvents
   * @param {string} last
   * @return {undefined}
   */
  $scope.deletePurchaseGoods = function(dataAndEvents, last) {
    /** @type {number} */
    var otherwiseLineIndex = 0;
    var cnl = $scope.saleOrder.goodsGroup.length;
    for (;cnl > otherwiseLineIndex;otherwiseLineIndex++) {
      if (dataAndEvents == $scope.saleOrder.goodsGroup[otherwiseLineIndex].goodsSn) {
        var i;
        for (i in $scope.saleOrder.goodsGroup[otherwiseLineIndex].goods) {
          if (i == last) {
            $scope.saleOrder.goodsGroup[otherwiseLineIndex].goods.splice(i, 1);
            break;
          }
        }
        if (0 === $scope.saleOrder.goodsGroup[otherwiseLineIndex].goods.length) {
          $scope.saleOrder.goodsGroup.splice(otherwiseLineIndex, 1);
        }
        break;
      }
    }
    if ($scope.isGoodsGroupNull()) {
      /** @type {boolean} */
      $scope.saleOrder.showDelete = false;
    }
    $scope.setTotalAmount();
    $scope.selectedGood.good = {};
  };
  /**
   * @param {?} event
   * @param {(Object|string)} selector
   * @param {string} err
   * @param {?} dataAndEvents
   * @param {(Object|number|string)} deepDataAndEvents
   * @return {undefined}
   */
  $scope.openSaleBatchModifyModal = function(event, selector, err, dataAndEvents, deepDataAndEvents) {
    if (event) {
      event.stopPropagation();
    }
    $scope.saleOrder.modifyPrice = dataAndEvents;
    /** @type {(Object|number|string)} */
    $scope.saleOrder.modifyDiscount = deepDataAndEvents;
    /** @type {string} */
    var MSG_CLOSURE_CUSTOM_COLOR_BUTTON = err + "(" + selector + ")";
    view.show({
      cssClass : "lb-goodEdit-popup",
      templateUrl : "saleBatchModifyModal.html",
      title : MSG_CLOSURE_CUSTOM_COLOR_BUTTON,
      scope : $scope,
      buttons : [{
        text : "取消"
      }, {
        text : "确认",
        type : "button-assertive",
        /**
         * @return {undefined}
         */
        onTap : function() {
          $scope.saleBatchModify(selector);
        }
      }]
    });
  };
  /**
   * @param {(Object|string)} wait
   * @return {undefined}
   */
  $scope.saleBatchModify = function(wait) {
    /** @type {number} */
    var unlock = 0;
    var cnl = $scope.saleOrder.goodsGroup.length;
    for (;cnl > unlock;unlock++) {
      if (wait == $scope.saleOrder.goodsGroup[unlock].goodsSn) {
        var uri;
        for (uri in $scope.saleOrder.goodsGroup[unlock].goods) {
          var json = $scope.saleOrder.goodsGroup[unlock].goods[uri];
          json.price = $scope.fixedInputNumber($scope.saleOrder.modifyPrice);
          json.discount = $scope.fixedInputNumber($scope.saleOrder.modifyDiscount);
          json.truePrice = $scope.saleModify();
        }
      }
    }
    $scope.setTotalAmount();
  };
  /**
   * @param {?} qualifier
   * @return {?}
   */
  $scope.isNum = function(qualifier) {
    /** @type {RegExp} */
    var isSimple = /^\d+(\.\d+)?$/;
    return isSimple.test(qualifier);
  };
  /**
   * @param {Function} $attr
   * @param {?} event
   * @return {undefined}
   */
  $scope.saleOrder.openPriceEditPopup = function($attr, event) {
    if (event) {
      event.stopPropagation();
    }
    $scope.saleOrder.hidePricePopover();
    /** @type {string} */
    var MSG_CLOSURE_CUSTOM_COLOR_BUTTON = $attr.name + "(" + $attr.goodsSn + ")";
    if (window.cordova && window.cordova.plugins) {
      UnitTools.showPrompt("请输入销售价", function(res) {
        if (2 == res.buttonIndex) {
          $scope.$apply(function() {
            if (1 == $scope.isNum(res.input1)) {
              if (res.input1 >= 0) {
                /** @type {boolean} */
                $scope.selectedGood.good.priceIsChanged = true;
                $attr.tradePrice = $scope.fixedInputNumber(res.input1);
                $scope.changePrice();
              }
            }
          });
        }
      }, "临时改价", ["取消", "确认"], 0);
    } else {
      view.show({
        cssClass : "lb-goodEdit-popup",
        template : '<input type="number" class="tc" ng-model="selectedGood.good.tradePrice" autofocus="true" placeholder="请输入销售价">',
        title : MSG_CLOSURE_CUSTOM_COLOR_BUTTON,
        scope : $scope,
        buttons : [{
          text : "确认",
          type : "button-assertive",
          /**
           * @return {undefined}
           */
          onTap : function() {
            /** @type {boolean} */
            $scope.selectedGood.good.priceIsChanged = true;
            $attr.tradePrice = $scope.fixedInputNumber($attr.tradePrice);
            $scope.changePrice();
          }
        }]
      });
    }
  };
  /**
   * @return {undefined}
   */
  $scope.getWholeOrderDiscount = function() {
    var wholeOrderDiscount = $scope.saleOrder.wholeOrderDiscount;
    if (window.cordova && window.cordova.plugins) {
      UnitTools.showPrompt("请输入折扣（%）", function(res) {
        if (2 == res.buttonIndex) {
          $scope.$apply(function() {
            if (1 == $scope.isNum(res.input1) && res.input1 >= 0) {
              $scope.saleOrder.wholeOrderDiscount = $scope.fixedInputNumber(res.input1);
              $scope.calcTotalAmount($scope.saleOrder.wholeOrderDiscount);
              $scope.setTotalAmount();
            } else {
              $scope.saleOrder.wholeOrderDiscount = wholeOrderDiscount;
            }
          });
        }
      }, "整单折扣", ["取消", "打折"], 0);
    } else {
      view.show({
        cssClass : "lb-goodEdit-popup",
        template : '<input type="number" ng-blur="saleOrder.wholeOrderDiscount=fixedInputNumber(saleOrder.wholeOrderDiscount)" class="tc" ng-model="saleOrder.wholeOrderDiscount" placeholder="" autofocus="true">',
        title : "整单折扣(%)",
        scope : $scope,
        buttons : [{
          text : "取消",
          /**
           * @return {undefined}
           */
          onTap : function() {
            $scope.saleOrder.wholeOrderDiscount = wholeOrderDiscount;
          }
        }, {
          text : "打折",
          type : "button-assertive",
          /**
           * @return {undefined}
           */
          onTap : function() {
            $scope.saleOrder.wholeOrderDiscount = $scope.fixedInputNumber($scope.saleOrder.wholeOrderDiscount);
            if ($scope.saleOrder.wholeOrderDiscount <= 0) {
              $scope.saleOrder.wholeOrderDiscount = wholeOrderDiscount;
            } else {
              $scope.calcTotalAmount($scope.saleOrder.wholeOrderDiscount);
            }
            $scope.setTotalAmount();
          }
        }]
      });
    }
  };
  /**
   * @param {?} deepDataAndEvents
   * @param {boolean} dataAndEvents
   * @return {?}
   */
  $scope.fixedInputNumber = function(deepDataAndEvents, dataAndEvents) {
    return UnitTools.getValidNum(deepDataAndEvents, dataAndEvents);
  };
  /**
   * @return {?}
   */
  $scope.saleModify = function() {
    var attempted = $scope.saleOrder.modifyPrice ? $scope.saleOrder.modifyPrice : 0;
    var desiredValue = $scope.saleOrder.modifyDiscount ? $scope.saleOrder.modifyDiscount : 0;
    return $scope.calcDetailTruePrice($scope.fixedInputNumber(attempted), $scope.fixedInputNumber(desiredValue));
  };
  /**
   * @param {boolean} version
   * @return {?}
   */
  $scope.dealInputNumber = function(version) {
    return version ? parseFloat(version) : 0;
  };
  /**
   * @param {?} el
   * @param {?} attributes
   * @return {?}
   */
  $scope.calcDetailTruePrice = function(el, attributes) {
    return el && attributes ? parseFloat(UnitTools.accDiv(UnitTools.accMul(el, attributes), 100).toFixed(2)) : 0;
  };
  /**
   * @param {number} i
   * @param {number} attributes
   * @return {?}
   */
  $scope.calcDetailDiscount = function(i, attributes) {
    return i && attributes ? parseFloat(UnitTools.accMul(UnitTools.accDiv(i, attributes), 100).toFixed(2)) : 0 == i ? 100 : 0;
  };
  /**
   * @return {undefined}
   */
  $scope.setBusinessTime = function() {
    if (window.cordova) {
      scope.show({
        date : new Date($scope.saleOrder.businessTime),
        mode : "date",
        doneButtonLabel : "确定",
        cancelButtonLabel : "取消",
        minDate : (new Date).setDate((new Date).getDate() - 90),
        maxDate : (new Date).setDate((new Date).getDate())
      }).then(function(date1) {
        if (!isNaN(date1.getTime())) {
          if ($scope.GetOperatorEventLimit("1") || date1.getTime() >= UnitTools._stringToDate((new Date).toLocaleDateString()).getTime()) {
            $scope.saleOrder.businessTime = date1.getTime();
          } else {
            UnitTools.toastShow("没有补录权限，选择的日期必须为今天");
          }
        }
      });
    }
  };
  /**
   * @param {?} field
   * @return {undefined}
   */
  $scope.getClientDiscount = function(field) {
    if (field) {
      if (field.val > 0) {
        _.post("/admin/inner/client/getClientDiscount.ac", field.val).success(function(dataAndEvents) {
          /** @type {number} */
          $scope.saleOrder.clientDiscount = dataAndEvents;
        });
      }
    }
  };
  /** @type {number} */
  var page = 1;
  $scope.selectedGood = {
    good : {},
    goodStore : {},
    seletedColors : [],
    seletedSizes : [],
    quantity : 1
  };
  $scope.search = {
    goodKey : ""
  };
  /**
   * @return {undefined}
   */
  $scope.scanCode = function() {
    cordova.plugins.barcodeScanner.scan(function(event) {
      console.log("We got a barcode\nResult: " + event.text + "\nFormat: " + event.format + "\nCancelled: " + event.cancelled);
      if (!event.cancelled) {
        $scope.$apply(function() {
          $scope.searchGoodsByBarCode(event.text);
        });
      }
    }, function(err) {
      console.error("Scanning failed: " + err);
      UnitTools.toastShow("二维码扫描失败！");
    });
  };
  /**
   * @param {string} value
   * @return {undefined}
   */
  $scope.scanBarCode = function(value) {
    $scope.selectedGood.good = {};
    /** @type {string} */
    $scope.search.focused_good = "text-left";
    /** @type {string} */
    $scope.search.goodKey = value;
    model.getGoodsByBarCode(value).then(function(dataAndEvents) {
      if (dataAndEvents) {
        /** @type {Array} */
        $scope.goodList = [];
        $scope.goodList[0] = dataAndEvents;
        /** @type {boolean} */
        $scope.loadMoreBtn = false;
        $scope.selectGood($scope.goodList[0]);
      } else {
        UnitTools.toastShow("找不到 " + value + " 的商品");
        view.alert({
          template : "<div class='tc'>"+"找不到" + value + "的商品"+"</div>",
          okText : "确定"
        });
      }
    }, function() {
      UnitTools.toastShow("扫码获取商品信息失败");
    });
  };
  /**
   * @param {?} opt_attributes
   * @return {?}
   */
  var createDom = function(opt_attributes) {
    return _.postEncode("/admin/inner/goods/goodsSelectForOrder.ac", opt_attributes);
  };
  /**
   * @param {?} value
   * @return {undefined}
   */
  $scope.searchGoodsById = function(value) {
    if (null != value) {
      model.getGoodsById(value).then(function(dataAndEvents) {
        if (dataAndEvents) {
          /** @type {Array} */
          $scope.goodList = [];
          $scope.goodList[0] = dataAndEvents;
          /** @type {boolean} */
          $scope.loadMoreBtn = false;
          $scope.selectGood($scope.goodList[0]);
          $scope.search.goodKey = $scope.goodList[0].goodsSn;
          $scope.openSelectedGoodModal();
        } else {
          UnitTools.toastShow("找不到相关商品信息");
        }
      }, function() {
        UnitTools.toastShow("获取商品信息失败");
      });
    }
  };
  /**
   * @param {string} value
   * @return {undefined}
   */
  $scope.searchGoodsByGoodsSn = function(value) {
    if (null != value) {
      model.getGoodsByGoodsSn(value).then(function(dataAndEvents) {
        if (dataAndEvents) {
          /** @type {Array} */
          $scope.goodList = [];
          $scope.goodList[0] = dataAndEvents;
          /** @type {boolean} */
          $scope.loadMoreBtn = false;
          $scope.selectGood($scope.goodList[0]);
          $scope.search.goodKey = $scope.goodList[0].goodsSn;
          $scope.openSelectedGoodModal();
        } else {
          UnitTools.toastShow("找不到相关商品信息");
        }
      }, function() {
        UnitTools.toastShow("获取商品信息失败");
      });
    }
  };
  /**
   * @param {string} keepData
   * @return {undefined}
   * 扫码查询商品，自动加入购物车
   */
  $scope.searchGoodsByBarCode = function(keepData) {
    if (keepData) {
      model.getGoodsByBarCode(keepData).then(function(data) {
        if ((data) && (data.id !== "")) {
          if ($scope.selectedGood.good != null && angular.isObject($scope.selectedGood.good) && $scope.selectedGood.good.goodsSn == data.goodsSn) {
            if ($scope.currentColors.length > 0) {
              if (data.skuCount && (1 === data.skuCount && data.skuColorId)) {
                /** @type {Array} */
                $scope.selectedGood.seletedColors = [];
                $scope.selectedGood.seletedColors[0] = UnitTools.fnCheckGtoreQty($scope.currentColors, "id", data.skuColorId);
              } else {
                /** @type {Array} */
                $scope.selectedGood.seletedColors = [];
                $scope.selectedGood.seletedColors[0] = $scope.currentColors[0];
              }
            } else {
              /** @type {Array} */
              $scope.selectedGood.seletedColors = [];
            }
            $scope.selectedGood.size = $scope.currentSizes.length > 0 ? data.skuCount && (1 === data.skuCount && data.skuSizeId) ? UnitTools.fnCheckGtoreQty($scope.currentSizes, "id", data.skuSizeId) : $scope.currentSizes[0] : void 0;
            $scope.addToGoodsGroup($scope.selectedGood.seletedColors, $scope.selectedGood.size, 1, true,$scope.selectedGood.selectedUnits);
          } else {
            /** @type {Array} */
            $scope.goodList = [];
            $scope.goodList[0] = data;
            /** @type {boolean} */
            $scope.loadMoreBtn = false;
            $scope.selectGood(data, true);
            /** @type {string} */
            $scope.search.goodKey = keepData;
          }
          //$scope.openSelectedGoodModal();//这行会扫码成功后还弹出编辑数量框
        } else {
          UnitTools.toastShow("找不到 " + keepData + " 的商品");
          view.alert({
            template : "<div class='tc'>"+"找不到" + keepData + "的商品"+"</div>",
            okText : "确定"
          });
          navigator.notification.beep(1);
        }
      }, function() {
        UnitTools.toastShow("获取商品信息失败");
      });
    }
  };
  /**
   * @param {boolean} dataAndEvents
   * @return {undefined}
   */
  $scope.searchGoods = function(dataAndEvents) {
    /** @type {number} */
    page = 1;
    createDom({
      page : page,
      searchKey : $scope.search.goodKey
    }).success(function(info) {
      $scope.goodList = info.optionList;
      /** @type {boolean} */
      $scope.loadMoreBtn = info.currentPage < info.totalPage;
      if (!dataAndEvents) {
        if ($scope.search.goodKey) {
          if (1 == $scope.goodList.length) {
            if (window.cordova && (window.cordova.plugins && window.cordova.plugins.Keyboard)) {
              cordova.plugins.Keyboard.close();
              window.setTimeout(function() {
                $scope.selectGood($scope.goodList[0]);
              }, 100);
            } else {
              $scope.selectGood($scope.goodList[0]);
            }
            $scope.selectedGoodModal.show();
            /** @type {boolean} */
            $scope.search.focusGoodsInput = false;
            UnitTools.keyboardHide();
          }
        }
      }
    }).finally(function() {
      parent.scrollTop("saleGoodModalCtrlScroll");
    });
  };
  var HOP = ionic.debounce($scope.searchGoods, 500);
  /**
   * @param {?} walkers
   * @return {undefined}
   */
  $scope.searchGoodsByKeyword = function(walkers) {
    HOP(walkers);
  };
  /**
   * @return {undefined}
   */
  $scope.getMore = function() {
    createDom({
      page : ++page,
      searchKey : $scope.search.goodKey
    }).success(function(info) {
      $scope.goodList = $scope.goodList.concat(info.optionList);
      /** @type {boolean} */
      $scope.loadMoreBtn = info.currentPage < info.totalPage;
      $scope.$broadcast("scroll.infiniteScrollComplete");
    }).finally(function() {
      parent.resize("saleGoodModalCtrlScroll");
    });
  };
  /**
   * @param {string} key
   * @return {undefined}
   */
  $scope.selectSize = function(key) {
    var camelKey = $scope.selectedGood.seletedSizes.indexOf(key);
    if (camelKey > -1) {
      $scope.selectedGood.seletedSizes.splice(camelKey, 1);
    } else {
      $scope.selectedGood.seletedSizes.push(key);
    }
  };
  /**
   * @return {undefined}
   */
  $scope.selectAllSizes = function() {
    if ($scope.selectedGood.seletedSizes.length == $scope.currentSizes.length) {
      /** @type {Array} */
      $scope.selectedGood.seletedSizes = [];
    } else {
      var i;
      for (i in $scope.currentSizes) {
        if ($scope.selectedGood.seletedSizes.indexOf($scope.currentSizes[i]) < 0) {
          $scope.selectedGood.seletedSizes.push($scope.currentSizes[i]);
        }
      }
    }
  };
  /**
   * @param {?} _id
   * @return {undefined}
   */
  $scope.selectSizeNumber = function(_id) {
    var unlock = $scope.currentSizes[_id].id;
    var data = $scope.selectedGood.good[$scope.currentColors[0].id] ? $scope.selectedGood.good[$scope.currentColors[0].id][unlock] : "";
    /** @type {number} */
    var i = 0;
    var l = $scope.currentColors.length;
    for (;l > i;i++) {
      var newId = $scope.currentColors[i].id;
      if (!$scope.selectedGood.good[newId]) {
        /** @type {Array} */
        $scope.selectedGood.good[newId] = [];
      }
      $scope.selectedGood.good[newId][unlock] = data;
    }
  };
  /**
   * @param {?} _id
   * @return {undefined}
   */
  $scope.selectColorNumber = function(_id) {
    var id = $scope.currentColors[_id].id;
    var view = $scope.selectedGood.good[id] ? $scope.selectedGood.good[id][$scope.currentSizes[0].id] : "";
    /** @type {number} */
    var i = 0;
    var l = $scope.currentSizes.length;
    for (;l > i;i++) {
      var name = $scope.currentSizes[i].id;
      if (!$scope.selectedGood.good[id]) {
        /** @type {Array} */
        $scope.selectedGood.good[id] = [];
      }
      $scope.selectedGood.good[id][name] = view;
    }
  };
  /**
   * @param {Element} model
   * @param {?} spy
   * @return {?}
   */
  $scope.getGoodStoreNum = function(model, spy) {
    var ex = UnitTools.fnCheckGtoreQty($scope.selectedGood.goodStore, "serialNo", $scope.saleOrder.saleDepot.val + "-" + $scope.selectedGood.good.id + "-" + spy.id + "-" + model.id);
    if ($scope.selectedGood.selectedUnits[0].unitRate){
      var unitRate = $scope.selectedGood.selectedUnits[0].unitRate;
      return ex ? 0 == ex.number ? 0 : Math.floor(ex.number / unitRate).toFixed(1) : 0;
    } else {
      return ex ? 0 == ex.number ? 0 : ex.number : 0;
    }
  };
  /**
   * @param {?} list
   * @return {undefined}
   */
  $scope.getGoodClientPrice = function(list) {
    if (null != list.goodsSn && $scope.saleOrder.saleClient.val) {
      /** @type {Array} */
      var deferred = [];
      deferred[0] = list.goodsSn;
      loading.show(true);
      _.postArrParamEncode("/admin/inner/client/getClientWithPrices.ac", {
        id : $scope.saleOrder.saleClient.val,
        goodsSnArr : deferred
      }).success(function(data) {
        $scope.goodsPricesList = data.goodsPricesList;
        list.thisTradePrice = $scope.goodsPricesList[0].tradePrice;
        if (null != $scope.goodsPricesList[0].clientItemPrice) {
          list.tradePrice = $scope.goodsPricesList[0].clientItemPrice;
          list.clientItemPrice = $scope.goodsPricesList[0].clientItemPrice;
          list.clientItemName = data.objClient.clientItemName;
          console.log("已匹配客户分类价格");
        } else {
          list.tradePrice = $scope.goodsPricesList[0].tradePrice;
          delete list.clientItemPrice;
          delete list.clientItemName;
        }
      }).finally(function() {
        loading.hide();
      });
    }
  };
  /**
   * @return {undefined}
   */
  $scope.changePrice = function() {
    var children = $scope.saleOrder.goodsGroup;
    if (!UnitTools.isEmpty(children)) {
      /** @type {number} */
      var len = 0;
      var e = children.length;
      for (;e > len;len++) {
        var employees = children[len].goods;
        if ($scope.selectedGood.good.goodsSn == children[len].goodsSn) {
          /** @type {number} */
          var i = 0;
          var l = employees.length;
          for (;l > i;i++) {
            employees[i].price = $scope.selectedGood.good.tradePrice;
            /** @type {number} */
            employees[i].truePrice = parseFloat(UnitTools.accDiv(UnitTools.accMul(employees[i].price, employees[i].discount), 100).toFixed(2));
          }
          break;
        }
      }
    }
    $scope.setTotalAmount();
  };
  /**
   * @param {?} source
   * @param {string} obj
   * @param {string} route
   * @return {?}
   */
  $scope.getObjName = function(source, obj, route) {
    var data = UnitTools.fnCheckGtoreQty(source, obj, route);
    return UnitTools.isNull(data) ? "" : data.name;
  };
  /**
   * @param {string} data
   * @return {?}
   */
  $scope.isAddToGoodGroup = function(data) {
    var queue = UnitTools.fnCheckGtoreQty($scope.saleOrder.goodsGroup, "goodsSn", data);
    return queue ? true : false;
  };
  /**
   * @param {string} data
   * @return {?}
   */
  $scope.getGoodsCount = function(data) {
    /** @type {number} */
    var count = 0;
    var queue = UnitTools.fnCheckGtoreQty($scope.saleOrder.goodsGroup, "goodsSn", data);
    if (queue) {
      var employees = queue.goods;
      /** @type {number} */
      var i = 0;
      var l = employees.length;
      for (;l > i;i++) {
        count += employees[i].quantity;
      }
    }
    return count ? count : "";
  };
  /**
   * @param {string} data
   * @return {?}
   */
  $scope.getGoodsSkuCount = function(data) {
    /** @type {number} */
    var m1 = 0;
    /** @type {number} */
    var c = 0;
    var queue = UnitTools.fnCheckGtoreQty($scope.saleOrder.goodsGroup, "goodsSn", data);
    if (queue) {
      var employees = queue.goods;
      m1 = employees.length;
      /** @type {number} */
      var i = 0;
      var l = employees.length;
      for (;l > i;i++) {
        c += employees[i].quantity;
      }
    }
    return m1 ? "数量："+ c : "";
  };
  /**
   * @param {string} data
   * @return {?}
   */
  $scope.getGoodsAmount = function(data) {
    /** @type {number} */
    var cssValue = 0;
    var queue = UnitTools.fnCheckGtoreQty($scope.saleOrder.goodsGroup, "goodsSn", data);
    if (queue) {
      var results = queue.goods;
      /** @type {number} */
      var i = 0;
      var l = results.length;
      for (;l > i;i++) {
        var item = results[i];
        if (item.price || 0 === item.price) {
          if (item.discount) {
            if (item.quantity) {
              cssValue = UnitTools.accAdd(cssValue, UnitTools.accMul(item.truePrice, item.quantity));
            }
          }
        }
      }
    }
    return cssValue;
  };
  /**
   * @param {Element} model
   * @param {?} str
   * @return {?}
   */
  $scope.getStoreWarningCss = function(model, str) {
    if (1 === $scope._itemType && ($scope.selectedGood.good[model.id] && $scope.selectedGood.good[model.id][str.id])) {
      var id = $scope.selectedGood.good[model.id][str.id];
      var key = $scope.getGoodStoreNum(model, str);
      if (0 == key || id > key) {
        return "lb-select-goods-sku-store-warning";
      }
    }
    return "";
  };
  /**
   * 切换单位
   */
  $scope.selectUnit = function(unit) {
    var pos = $scope.selectedGood.selectedUnits.indexOf(unit);
    if (pos <= -1) {
      $scope.selectedGood.selectedUnits.splice(0, 1);
      $scope.selectedGood.selectedUnits.push(unit);
    }
  };

  /**
   * @param {?} results                   selectedGood.seletedColors
   * @param {?} str                       size
   * @param {number} dataAndEvents        1
   * @param {boolean} deepDataAndEvents   true
   * @param {?} units                     selectedGood.selectedUnits
   * @return {?}
   单据选择商品编辑数量界面
   */
  $scope.addToGoodsGroup = function(results, str, dataAndEvents, deepDataAndEvents,units,remark,standard,waretype) {
    if (null != results && (0 != results.length && (null != str && !(deepDataAndEvents && (0 > dataAndEvents && $scope.selectedGood.good.numArray[results[0].id][str.id] <= 0))))) {
      /** @type {number} */
      var prevChunksLen = 0;
      /** @type {number} */
      var idx = 0;
      var olen = $scope.saleOrder.goodsGroup.length;
      for (;olen > idx;idx++) {
        prevChunksLen += $scope.saleOrder.goodsGroup[idx].goods.length;
      }
      var data = $scope.selectedGood.good.goodsSn;

      //使用辅助单位的标志
      var useAidUnitFlag = false;
      if (units[0].unitId !== 0){
        useAidUnitFlag = true;
      }

      //$scope.saleOrder.goodsGroup存放已选择的商品  ----->  根据编号创建一个queue  ----->  属性goods[]  ----->  color+size确认一个good  ----->  price+quantity
      var queue = UnitTools.fnCheckGtoreQty($scope.saleOrder.goodsGroup, "goodsSn", data);
      if (queue) {
        /** @type {number} */
        var r = 0;
        var l = results.length;
        for (;l > r;r++) {
          //根据颜色id,sizeId,unitId
          var g = UnitTools.getObjectByObjectMultUnit(queue.goods, {
            colorId : results[r].id,
            sizeId : str.id,
            unitId : units[0].unitId
          });
          if (!g) {
            prevChunksLen++;
          }
        }
      } else {
        queue = {
          goods : [],
          goodName : $scope.selectedGood.good.name,
          barCode : $scope.selectedGood.good.barCode,//条码
          goodsSn : data,
          goodsNum : 0,
          imagine : $scope.selectedGood.good.imagine
        };
        $scope.saleOrder.goodsGroup.push(queue);
        /** @type {number} */
        $scope.selectedGood.good.goodsNum = 0;
        prevChunksLen++;
      }
      if (prevChunksLen > $scope.limitNum) {
        /** @type {string} */
        var speed = "单据中的单品条数已超出" + $scope.limitNum + "条的限制！";
        return UnitTools.toastShow(speed, "short", "center"), false;
      }
      /** @type {boolean} */
      var v = false;
      if (!(1 != $scope.businessConfigValue.defaultLastPrice)) {
        if (!$scope.selectedGood.good.priceIsChanged) {
          if (!($scope.selectedGood.good.tradePrice != $scope.selectedGood.good.thisTradePrice && $scope.selectedGood.good.tradePrice != $scope.selectedGood.good.clientItemPrice)) {
            /** @type {boolean} */
            v = true;
          }
        }
      }
      /** @type {number} */
      r = 0;
      l = results.length;
      for (;l > r;r++) {
        var a = $scope.selectedGood.good.tradePrice;//选择的商品单价（基本单位的价格）
        /** @type {number} */
        var tradePrice = $scope.selectedGood.good.tradePrice;//批发价
        if (useAidUnitFlag){
          tradePrice = units[0].prepPrice1;//辅助单位中的价格
        }
        var i = parseFloat(UnitTools.accDiv(UnitTools.accMul(tradePrice, $scope.selectedGood.discount), 100).toFixed(2));//真实价格
        var d = $scope.selectedGood.discount;
        if (v) {
          var afters = UnitTools.getObjectByObject($scope.goodsPricesList, {
            colorId : results[r].id,
            sizeId : str.id
          });
          if (afters) {
            if (afters.clientPrice) {
              if (afters.clientTruePrice) {
                a = afters.clientPrice;
                i = afters.clientTruePrice;
                d = $scope.calcDetailDiscount(i, a);
              }
            }
          }
        }

        var SaleItem = {
          colorId : results[r].id,
          sizeId : str.id,
          colorName : results[r].name,
          sizeName : str.name,
          quantity : dataAndEvents,
          price : a,
          discount : d,
          unit : units[0].unitName,
          blandId : $scope.selectedGood.good.blandId,
          truePrice : i,
          storeNumber : $scope.getGoodStoreNum(results[r], str),
          unitId : units[0].unitId,
          standard : standard,
          waretype : waretype,
          remark : remark
        };
        if (useAidUnitFlag){
          SaleItem.price = i;
        }

        if (str.name == "赠送") {//是否为赠送
          SaleItem.price = 0; //如果尺码是增送，单价设置为0
          SaleItem.truePrice = 0; //如果尺码是增送，折后单价设置为0
        }

        /** @type {Array} */
        var objects = queue.goods;
        /** @type {boolean} */
        var I = false;
        /** @type {number} */
        idx = 0;
        /** @type {number} */
        olen = objects.length;
        for (;olen > idx;idx++) {
          var current = objects[idx];
          if (current.colorId == SaleItem.colorId && current.sizeId == SaleItem.sizeId && current.unitId == SaleItem.unitId) {
            if (deepDataAndEvents) {
              if (current.quantity + SaleItem.quantity < 0) {
                return false;
              }
              current.quantity += SaleItem.quantity;  //已存在时选择数量赋值单据数量
              if ($scope.currentUnits.length > 1){
                $scope.selectedGood.good.numArray[results[r].id][str.id][units[0].unitId] = current.quantity;
              }else {
                $scope.selectedGood.good.numArray[results[r].id][str.id] = current.quantity;
              }
            } else {
              current.quantity = SaleItem.quantity;   //选择数量赋值单据数量
              if ($scope.currentUnits.length > 1){
                $scope.selectedGood.good.numArray[results[r].id][str.id][units[0].unitId] = current.quantity;
              } else {
                $scope.selectedGood.good.numArray[results[r].id][str.id] = current.quantity;
              }
            }
            if (0 == current.quantity) {
              queue.goods.splice(idx, 1);
            }
            /** @type {boolean} */
            I = true;
            break;
          }
        }
        if (!I) {
          if (SaleItem.quantity > 0) {
            //更新存储二维/三维数组中数量
            if ($scope.currentUnits.length > 1){
              $scope.selectedGood.good.numArray[results[r].id][str.id][units[0].unitId] = SaleItem.quantity;
            } else {
              $scope.selectedGood.good.numArray[results[r].id][str.id] = SaleItem.quantity;
            }
            queue.goods.push(SaleItem);
          }
        }
      }
      if (0 == queue.goods.length) {
        UnitTools.removeByKey($scope.saleOrder.goodsGroup, "goodsSn", data);
      }
      $scope.setTotalAmount();
    }
  };

  //商品备注
  $scope.addToGoodsRemark = function(remark) {
    if (!remark) {
      return false;
    }

    var children = $scope.saleOrder.goodsGroup;
    if (!UnitTools.isEmpty(children)) {
      var len = 0;
      var e = children.length;
      for (;e > len;len++) {
        var employees = children[len].goods;
        if ($scope.selectedGood.good.goodsSn == children[len].goodsSn) {
          var i = 0;
          var l = employees.length;
          for (;l > i;i++) {
            employees[i].remark = remark;
          }
          break;
        }
      }
    }
  };

  /**
   * @param {Array} nodes
   * @param {number} dataAndEvents
   * @param {boolean} deepDataAndEvents
   * @return {?}
   */
  $scope.addToGoodsGroupBatch = function(nodes, dataAndEvents, deepDataAndEvents) {
    if (null != nodes && (0 != nodes.length && !(deepDataAndEvents && (0 > dataAndEvents && $scope.selectedGood.good.batchNumArray[nodes[0].id] <= 0)))) {
      /** @type {number} */
      var prevChunksLen = 0;
      /** @type {number} */
      var i = 0;
      var l = $scope.saleOrder.goodsGroup.length;
      for (;l > i;i++) {
        prevChunksLen += $scope.saleOrder.goodsGroup[i].goods.length;
      }
      var expectedOutput = $scope.selectedGood.good.goodsSn;
      var route = UnitTools.fnCheckGtoreQty($scope.saleOrder.goodsGroup, "goodsSn", expectedOutput);
      if (route) {
        /** @type {number} */
        var x = 0;
        var len = nodes.length;
        for (;len > x;x++) {
          /** @type {number} */
          i = 0;
          l = $scope.currentSizes.length;
          for (;l > i;i++) {
            var p = UnitTools.getObjectByObject(route.goods, {
              colorId : nodes[x].id,
              sizeId : $scope.currentSizes[i].id
            });
            if (!p) {
              prevChunksLen++;
            }
          }
        }
      } else {
        route = {
          goods : [],
          goodName : $scope.selectedGood.good.name,
          barCode : $scope.selectedGood.good.barCode,//条码
          goodsSn : expectedOutput,
          imagine : $scope.selectedGood.good.imagine
        };
        $scope.saleOrder.goodsGroup.push(route);
        prevChunksLen += $scope.currentSizes.length;
      }
      if (prevChunksLen > $scope.limitNum) {
        /** @type {string} */
        var speed = "单据中的单品条数已超出" + $scope.limitNum + "条的限制！";
        return UnitTools.toastShow(speed, "short", "center"), false;
      }
      /** @type {boolean} */
      var m = false;
      if (!(1 != $scope.businessConfigValue.defaultLastPrice)) {
        if (!$scope.selectedGood.good.priceIsChanged) {
          if (!($scope.selectedGood.good.tradePrice != $scope.selectedGood.good.thisTradePrice && $scope.selectedGood.good.tradePrice != $scope.selectedGood.good.clientItemPrice)) {
            /** @type {boolean} */
            m = true;
          }
        }
      }

      var a = $scope.selectedGood.good.tradePrice;
      /** @type {number} */
      var classNames = parseFloat(UnitTools.accDiv(UnitTools.accMul($scope.selectedGood.good.tradePrice, $scope.selectedGood.discount), 100).toFixed(2));
      var f = $scope.selectedGood.discount;
      /** @type {number} */
      x = 0;
      len = nodes.length;
      for (;len > x;x++) {
        /** @type {number} */
        var idx = 0;
        var cnl = $scope.currentSizes.length;
        for (;cnl > idx;idx++) {
          var str = $scope.currentSizes[idx];
          if (m) {
            var li = UnitTools.getObjectByObject($scope.goodsPricesList, {
              colorId : nodes[x].id,
              sizeId : str.id
            });
            if (li) {
              if (li.clientPrice) {
                if (li.clientTruePrice) {
                  a = li.clientPrice;
                  classNames = li.clientTruePrice;
                  f = $scope.calcDetailDiscount(classNames, a);
                }
              }
            }
          }
          var d = {
            colorId : nodes[x].id,
            sizeId : str.id,
            colorName : nodes[x].name,
            sizeName : str.name,
            quantity : dataAndEvents,
            price : a, //商品价格
            discount : f,
            unit : $scope.selectedGood.good.unit,
            blandId : $scope.selectedGood.good.blandId,
            truePrice : classNames,
            storeNumber : $scope.getGoodStoreNum(nodes[x], str)
          };
          /** @type {Array} */
          var list = route.goods;
          /** @type {boolean} */
          var w = false;
          /** @type {number} */
          i = 0;
          /** @type {number} */
          l = list.length;
          for (;l > i;i++) {
            var data = list[i];
            if (data.colorId == d.colorId && data.sizeId == d.sizeId) {
              if (deepDataAndEvents) {
                if (data.quantity + d.quantity < 0) {
                  return $scope.selectedGood.good.batchNumArray[nodes[x].id] = 0, false;
                }
                data.quantity += d.quantity;
                $scope.selectedGood.good.numArray[nodes[x].id][str.id] = data.quantity;
              } else {
                data.quantity = d.quantity;
                $scope.selectedGood.good.numArray[nodes[x].id][str.id] = data.quantity;
              }
              if (0 == data.quantity) {
                route.goods.splice(i, 1);
              }
              /** @type {boolean} */
              w = true;
              break;
            }
          }
          if (!w) {
            if (d.quantity > 0) {
              $scope.selectedGood.good.numArray[nodes[x].id][str.id] = deepDataAndEvents ? 1 : dataAndEvents;
              route.goods.push(d);
            }
          }
        }
      }
      if (0 == route.goods.length) {
        UnitTools.removeByKey($scope.saleOrder.goodsGroup, "goodsSn", expectedOutput);
      }
      $scope.selectedGood.good.batchNumArray[nodes[0].id] = UnitTools.accAdd($scope.selectedGood.good.batchNumArray[nodes[0].id], dataAndEvents);
      //设置价格
      $scope.setTotalAmount();
    }
  };
  /**
   * @param {Element} def
   * @return {?}
   */
  //切换颜色
  $scope.getColorNumber = function(def) {
    var remove = $scope.selectedGood.good.goodsSn;
    var left = UnitTools.fnCheckGtoreQty($scope.saleOrder.goodsGroup, "goodsSn", remove);
    /** @type {number} */
    var count = 0;
    if (left) {
      var a = left.goods;
      /** @type {number} */
      var i = 0;
      var l = a.length;
      for (;l > i;i++) {
        var data = a[i];
        if (data.colorId == def.id) {
          count += data.quantity;
        }
      }
    }
    return count ? count : "";
  };
  /**
   * @return {?}
   */
  $scope.addToSaleGoods = function() {
    if (0 == $scope.selectedGood.seletedColors.length) {
      return void UnitTools.toastShow("请选择颜色！", "short", "center");
    }
    if (0 == $scope.selectedGood.seletedSizes.length) {
      return void UnitTools.toastShow("请选择尺码！", "short", "center");
    }
    if (!$scope.selectedGood.quantity) {
      return $scope.selectedGood.quantity = "", void UnitTools.toastShow("请输入数量！", "short", "center");
    }
    /** @type {number} */
    var prevChunksLen = 0;
    /** @type {number} */
    var dataName = 0;
    var n = $scope.saleOrder.goodsGroup.length;
    for (;n > dataName;dataName++) {
      prevChunksLen += $scope.saleOrder.goodsGroup[dataName].goods.length;
    }
    var obj = $scope.selectedGood.good.goodsSn;
    var test = UnitTools.fnCheckGtoreQty($scope.saleOrder.goodsGroup, "goodsSn", obj);
    if (test) {
      /** @type {number} */
      var i = 0;
      var ilen = $scope.selectedGood.seletedColors.length;
      for (;ilen > i;i++) {
        /** @type {number} */
        var b = 0;
        var a = $scope.selectedGood.seletedSizes.length;
        for (;a > b;b++) {
          var attributes = {
            colorId : $scope.selectedGood.seletedColors[i].id,
            sizeId : $scope.selectedGood.seletedSizes[b].id
          };
          var buttonElement = UnitTools.getObjectByObject(test.goods, attributes);
          if (!buttonElement) {
            prevChunksLen++;
          }
        }
      }
    } else {
      prevChunksLen += $scope.selectedGood.seletedColors.length * $scope.selectedGood.seletedSizes.length;
    }
    if (prevChunksLen > $scope.limitNum) {
      /** @type {string} */
      var speed = "单据中的单品条数已超出" + $scope.limitNum + "条的限制！";
      return UnitTools.toastShow(speed, "short", "center"), false;
    }
    if (!test) {
      test = {
        goods : [],
        goodName : $scope.selectedGood.good.name,
        barCode : $scope.selectedGood.good.barCode,//条码
        goodsSn : obj,
        imagine : $scope.selectedGood.good.imagine
      };
      $scope.saleOrder.goodsGroup.push(test);
    }
    /** @type {boolean} */
    var m = false;
    if (!(1 != $scope.businessConfigValue.defaultLastPrice)) {
      if (!($scope.selectedGood.good.tradePrice != $scope.selectedGood.good.thisTradePrice && $scope.selectedGood.good.tradePrice != $scope.selectedGood.good.clientItemPrice)) {
        /** @type {boolean} */
        m = true;
      }
    }
    /** @type {number} */
    i = 0;
    ilen = $scope.selectedGood.seletedColors.length;
    for (;ilen > i;i++) {
      /** @type {number} */
      b = 0;
      a = $scope.selectedGood.seletedSizes.length;
      for (;a > b;b++) {
        if (m) {
          var context = UnitTools.getObjectByObject($scope.goodsPricesList, {
            colorId : $scope.selectedGood.seletedColors[i].id,
            sizeId : $scope.selectedGood.seletedSizes[b].id
          });
          if (context && (context.clientPrice && context.clientTruePrice)) {
            var hash = context.clientPrice;
            var classNames = context.clientTruePrice;
            var buf = $scope.calcDetailDiscount(classNames, hash);
          } else {
            /** @type {null} */
            hash = null;
            /** @type {null} */
            classNames = null;
            /** @type {null} */
            buf = null;
          }
        }
        var item = {
          colorId : $scope.selectedGood.seletedColors[i].id,
          sizeId : $scope.selectedGood.seletedSizes[b].id,
          colorName : $scope.selectedGood.seletedColors[i].name,
          sizeName : $scope.selectedGood.seletedSizes[b].name,
          quantity : $scope.selectedGood.quantity,
          price : hash ? hash : $scope.selectedGood.good.tradePrice,
          discount : buf ? buf : $scope.selectedGood.discount,
          unit : $scope.selectedGood.good.unit,
          blandId : $scope.selectedGood.good.blandId,
          truePrice : classNames ? classNames : parseFloat(UnitTools.accDiv(UnitTools.accMul($scope.selectedGood.good.tradePrice, $scope.selectedGood.discount), 100).toFixed(2)),
          storeNumber : $scope.getGoodStoreNum($scope.selectedGood.seletedColors[i], $scope.selectedGood.seletedSizes[b])
        };
        /** @type {Array} */
        var result = test.goods;
        /** @type {boolean} */
        var C = false;
        /** @type {number} */
        dataName = 0;
        /** @type {number} */
        n = result.length;
        for (;n > dataName;dataName++) {
          var data = result[dataName];
          if (data.colorId == item.colorId && data.sizeId == item.sizeId) {
            data.quantity += item.quantity;
            data.price = item.price;
            /** @type {number} */
            data.truePrice = parseFloat(UnitTools.accDiv(UnitTools.accMul(data.price, data.discount), 100).toFixed(2));
            /** @type {boolean} */
            C = true;
            break;
          }
        }
        if (!C) {
          test.goods.push(item);
        }
      }
    }
    if (0 == test.goods.length) {
      UnitTools.removeByKey($scope.saleOrder.goodsGroup, "goodsSn", obj);
    }
    $scope.setTotalAmount();
  };
  /**
   * @param {?} data
   * @param {boolean} dataAndEvents
   * @return {undefined}
   * 销售单据选择商品事件
   */
  $scope.selectGood = function(data, dataAndEvents) {
    //商品对象
    $scope.selectedGood.good = data;
    //清空备注
    $scope.selectedGood.remark = '';
    //辅助单位
    $scope.currentUnits = [];
    //基本单位
    $scope.currentUnits.push({
      id : 0,
      unitName : data.unit ? data.unit : "件",
      unitId : 0,
      priceRetail : data.retailPriceArea,
      prepPrice1 : data.tradePrice
    });
    //追加辅助单位
    if (data.goodsUnitPriceList){
      for (var j = 0; j < data.goodsUnitPriceList.length; j++) {
        $scope.currentUnits.push(data.goodsUnitPriceList[j]);
      }
    }
    //选中的单位
    $scope.selectedGood.selectedUnits = [];
    if ($scope.currentUnits.length > 0){
      $scope.selectedGood.selectedUnits.push($scope.currentUnits[0]);
    }

    $scope.currentColors = UnitTools.idStringToObjectArray2($scope.allColors, data.colorIds, "id", ",","colorGroupId",data.colorGroupId);
    $scope.currentSizes = UnitTools.idStringToObjectArray2($scope.allSizes, data.sizeIds, "id", ",","sizeGroupId",data.sizeGroupId);
    /** @type {number} */
    $scope.selectedGood.discount = 100;
    if ($scope.saleOrder.clientDiscount) {
      if ($scope.saleOrder.clientDiscount.clientDiscount) {
        $scope.selectedGood.discount = $scope.saleOrder.clientDiscount.clientDiscount;
      }
    }

    /** @type {Array} */
    //选中的颜色
    $scope.selectedGood.seletedColors = [];
    /** @type {Array} */
    //二维数组存储数量
    $scope.selectedGood.good.numArray = [];
    /** @type {Array} */
    $scope.selectedGood.good.batchNumArray = [];
    var child = UnitTools.fnCheckGtoreQty($scope.saleOrder.goodsGroup, "goodsSn", data.goodsSn);
    /** @type {number} */
    var i = 0;
    var l = $scope.currentColors.length;
    for (;l > i;i++) {
      /** @type {number} */
      $scope.selectedGood.good.batchNumArray[$scope.currentColors[i].id] = 0;
      /** @type {Array} */
      $scope.selectedGood.good.numArray[$scope.currentColors[i].id] = [];
      /** @type {number} */
      var j = 0;
      var spaces = $scope.currentSizes.length;
      var unitsLength = $scope.currentUnits.length;
      for (;spaces > j;j++) {
        if (child) {
          var node = $scope.currentColors[i].id;
          var from = $scope.currentSizes[j].id;
          if ($scope.currentUnits.length <= 1) { //没有辅助单位
            var p = equal(child.goods, node, from);
            $scope.selectedGood.good.numArray[$scope.currentColors[i].id][$scope.currentSizes[j].id] = p > 0 ? p : 0;
            $scope.selectedGood.remark = equalForRemark(child.goods, node, from);
          } else {
            $scope.selectedGood.good.numArray[$scope.currentColors[i].id][$scope.currentSizes[j].id] = [];
            var m = 0;
            for(; unitsLength > m ; m++){
              var unitId = $scope.currentUnits[m].unitId;
              var q = equalMultUnit(child.goods,node,from,unitId);
              $scope.selectedGood.good.numArray[$scope.currentColors[i].id][$scope.currentSizes[j].id][$scope.currentUnits[m].unitId] = q > 0 ? q : 0;
              if (!$scope.selectedGood.remark) {
                $scope.selectedGood.remark = equalUnitForRemark(child.goods, node, from, unitId);
              }
            }
          }
        } else {
          /** @type {number} */
          if (unitsLength <= 1){
            $scope.selectedGood.good.numArray[$scope.currentColors[i].id][$scope.currentSizes[j].id] = 0;
          }else{
            //如果多单位，二维数组修改为三维数组,以unitId作为下标
            $scope.selectedGood.good.numArray[$scope.currentColors[i].id][$scope.currentSizes[j].id] = [];
            var k = 0;
            for(; unitsLength > k ; k++){
              $scope.selectedGood.good.numArray[$scope.currentColors[i].id][$scope.currentSizes[j].id][$scope.currentUnits[k].unitId] = 0;
            }
          }
        }
      }
    }
    if ($scope.currentColors.length > 0) {
      $scope.selectedGood.seletedColors.push(data.skuCount && (1 === data.skuCount && data.skuColorId) ? UnitTools.fnCheckGtoreQty($scope.currentColors, "id", data.skuColorId) : $scope.currentColors[0]);
    } else {
      /** @type {Array} */
      $scope.selectedGood.seletedColors = [];
    }
    $scope.selectedGood.size = $scope.currentSizes.length > 0 && (data.skuCount && (1 === data.skuCount && data.skuSizeId)) ? UnitTools.fnCheckGtoreQty($scope.currentSizes, "id", data.skuSizeId) : $scope.currentSizes[0];
    loading.show();
    //设置客户价格
    // data.thisTradePrice = $scope.goodsPricesList[0].tradePrice
    // data.tradePrice = $scope.goodsPricesList[0].clientItemPrice
    GetClientGoodsPrice(data).then(function(packs) {
      loading.hide();
      $scope.selectedGood.goodStore = packs[1].data.length > 0 ? packs[1].data : void 0;
      dataAndEvents && $scope.addToGoodsGroup($scope.selectedGood.seletedColors, $scope.selectedGood.size, 1, true,$scope.selectedGood.selectedUnits);
      $scope.hasClientPrice = false;
      $scope.hasClientPriceDif = false;
      $scope.goodsPricesList = packs[0].data.goodsPricesList;
      data.thisTradePrice = $scope.goodsPricesList[0].tradePrice;
      if($scope.goodsPricesList[0].clientItemPrice){
        data.tradePrice = $scope.goodsPricesList[0].clientItemPrice, data.clientItemPrice = $scope.goodsPricesList[0].clientItemPrice, data.clientItemName = packs[0].data.objClient.clientItemName, console.log("已匹配客户分类价格");
      }else{
        data.tradePrice = $scope.goodsPricesList[0].tradePrice;
        delete data.clientItemPrice;
        delete data.clientItemName;
      }
      if ($scope.goodsPricesList &&$scope.goodsPricesList.length > 0) {
        /** @type {number} */
        var i = 0;
        for (;i < $scope.goodsPricesList.length;i++) {
          if (null != $scope.goodsPricesList[i].clientPrice && ($scope.hasClientPrice = true, $scope.goodsPricesList[i].clientPrice != data.thisTradePrice)) {
            /** @type {boolean} */
            $scope.hasClientPriceDif = true;
            break;
          }
        }
      }
      /** @type {boolean} */
      $scope.selectedGood.good.priceIsChanged = false;
    }, function() {
      loading.hide();
      $scope.selectedGood.goodStore = void 0;
      if (data.thisTradePrice || 0 === data.thisTradePrice) {
        data.tradePrice = data.thisTradePrice;
      }
      UnitTools.toastShow("获取商品库存信息和分类价格失败！");
    });
  };
  /**
   * @param {Array} a
   * @param {?} dataAndEvents
   * @param {?} b
   * @return {?}
   */
  var equal = function(a, dataAndEvents, b) {
    /** @type {number} */
    var i = 0;
    var l = a.length;
    for (;l > i;i++) {
      if (a[i].colorId == dataAndEvents && a[i].sizeId == b) {
        return a[i].quantity;
      }
    }
    return 0;
  };

  var equalForRemark = function(a, dataAndEvents, b) {
    /** @type {number} */
    var i = 0;
    var l = a.length;
    for (;l > i;i++) {
      if (a[i].colorId == dataAndEvents && a[i].sizeId == b) {
        return a[i].remark;
      }
    }
    return '';
  };


  var equalMultUnit = function(goods, colorId, sizeId,unitId) {
    /** @type {number} */
    var i = 0;
    var l = goods.length;
    for (;l > i;i++) {
      if (goods[i].colorId == colorId && goods[i].sizeId == sizeId && goods[i].unitId == unitId) {
        return goods[i].quantity;
      }
    }
    return 0;
  };

  var equalUnitForRemark = function(goods, colorId, sizeId,unitId) {
    /** @type {number} */
    var i = 0;
    var l = goods.length;
    for (;l > i;i++) {
      if (goods[i].colorId == colorId && goods[i].sizeId == sizeId && goods[i].unitId == unitId) {
        return goods[i].remark;
      }
    }
    return '';
  };
}
/**
 * @param {Object} self
 * @param {?} $modal
 * @param {?} p
 * @param {Object} $q
 * @param {?} ret
 * @param {Object} close
 * @param {Object} _
 * @param {Object} res
 * @param {Object} cUnitTools
 * @param {Object} handler
 * @param {?} opt_acc
 * @param {?} opt_domHelper
 * @param {Object} v
 * @param {?} dataAndEvents
 * @param {Object} $templateCache
 * @param {?} deepDataAndEvents
 * @param {Object} jsPDFAPI
 * @param {?} borderColor
 * @param {?} opt_backgroundColor
 * @param {?} opt_obj2
 * @param {?} cell
 * @param {?} iterator
 * @param {?} $document
 * @param {?} ignoreMethodDoesntExist
 * @param {?} _page
 * @param {Object} parent
 * @return {undefined}
 */
function SaleEditCtrl(self, $modal, p, $q, ret, close, _, res, cUnitTools, handler, opt_acc, opt_domHelper, v, dataAndEvents, $templateCache, deepDataAndEvents, jsPDFAPI, borderColor, opt_backgroundColor, opt_obj2, cell, iterator, $document, ignoreMethodDoesntExist, _page, parent) {
  /**
   * @return {?}
   */
  function init() {
    return 5 == self.delivery.deliveryType ? self.delivery.deliveryCompany && self.delivery.contact ? self.delivery.contactNumber ? self.clientsInfo.province && self.clientsInfo.province.id ? self.clientsInfo.city && self.clientsInfo.city.id ? self.clientsInfo.country && self.clientsInfo.country.id ? self.clientsInfo.address ? true : (console.log("需要填写详细地址"),
    false) : (console.log("需要选择区县"), false) : (console.log("需要选择城市"), false) : (console.log("需要选择省份"), false) : (console.log("需要填写收件人联系电话"), false) : (console.log("需要填写收件人"), false) : true;
  }
  /**
   * @return {?}
   */
  function fetch() {
    var imageDfd = $q.defer();
    var request1 = res.httpCacheGet.get(res.httpCacheGet.ac.STOREHOUSELISTBYCOMSTORE);
    var getPromise3 = res.httpCacheGet.get(res.httpCacheGet.ac.ALLSIZELIST);
    var c = res.httpCacheGet.get(res.httpCacheGet.ac.ALLCOLORLIST);
    var promise4 = res.httpCacheGet.get(res.httpCacheGet.ac.ALLDELIVERY);
    var projectName = res.httpCacheGet.get(res.httpCacheGet.ac.ALLACCOUNTBYCOMSTORE);
    var projectUrl = res.httpCacheGet.get(res.httpCacheGet.ac.COMPANYUSERBYCOMSTORE);
    return $q.all([request1, getPromise3, c, promise4, projectName, projectUrl]).then(function(image) {
      imageDfd.resolve(image);
    }, function() {
      imageDfd.reject();
    }), imageDfd.promise;
  }
  BaseSaleEditCtrl.call(this, self, $modal, res, cUnitTools, opt_acc, opt_domHelper, borderColor, opt_backgroundColor, ret, _, opt_obj2, close, $q, cell, _page, iterator, $templateCache);
  var id = p.ordersSn;
  var billID = p.billID;
  var pl = p.goodsSn;
  var options = {
    state : 1
  };
  /** @type {number} */
  var L = 0;
  self.saleOrder.ordersSn = id;
  /** @type {number} */
  self.saleOrder.editType = 1;
  /** @type {boolean} */
  self.inComstore = true;
  self.delivery = {
    deliveryType : 1
  };
  self.viewTitle = p.copyOrder ? "复制为销售单" : self.NameConstant.WHOLESALEORDER;
  self.isUserAccAvailable = self.GetOperatorEventLimit("807");
  self.wholesaleDraftAccAvailable = self.GetOperatorEventLimit("809");
  self.wholesaleConfirmAccAvailable = self.GetOperatorEventLimit("807");
  self.wholesaleDraftOrConfirmAccAvailable = self.GetOperatorEventLimit("809") || self.GetOperatorEventLimit("807");
  self.tranToAccAvailable = self.GetOperatorEventLimit("3858");
  /** @type {boolean} */
  self.notModifySalerAvailable = !self.GetOperatorEventLimit("4005");
  $modal.fromTemplateUrl("scanPay.html", function(theTitle) {
    /** @type {number} */
    self.scanPayModal = theTitle;
  }, {
    scope : self,
    animation : "slide-in-up"
  });
  opt_acc.fromTemplateUrl("copyOperation.html", {
    scope : self
  }).then(function(theTitle) {
    self.copyOperationPopover = theTitle;
  });
  /**
   * @param {boolean} expectedNumberOfNonCommentArgs
   * @return {undefined}
   */
  self.openCopyOperationPopover = function(expectedNumberOfNonCommentArgs) {
    self.copyOperationPopover.show(expectedNumberOfNonCommentArgs);
  };
  /**
   * @param {?} dataAndEvents
   * @return {undefined}
   */
  self.copyForOrder = function(dataAndEvents) {
    if (1 === self._itemType) {
      self.viewReplace();
      /** @type {string} */
      var rreturn = "eventmenu.saleEdit";
      switch(dataAndEvents) {
        case 0:
          /** @type {string} */
          rreturn = "eventmenu.saleReturnEdit";
          break;
        case 1:
          /** @type {string} */
          rreturn = "eventmenu.saleEdit";
      }
      var order = {
        accountId : self.saleOrder.saleAccount.id,
        accountName : self.saleOrder.saleAccount.name,
        alreadyPaid : self.saleOrder.alreadyPaid,
        businessTime : self.saleOrder.businessTime,
        clientId : self.saleOrder.saleClient.val,
        clientName : self.saleOrder.saleClient.text,
        depotId : self.saleOrder.saleDepot.id,
        depotName : self.saleOrder.saleDepot.name,
        discount : self.saleOrder.wholeOrderDiscount,
        ordersSn : self.saleOrder.ordersSn,
        otherCost : self.saleOrder.otherCost,
        salerId : self.saleOrder.saler.val,
        salerName : self.saleOrder.saler.text,
        otherAccountItem : self.saleOrder.otherAccountItem ? self.saleOrder.otherAccountItem.id : null,
        otherAccountItemName : self.saleOrder.otherCost,
        wipeZero : self.saleOrder.wipeZero
      };
      self.copyOrder = {
        order : order,
        orderDelivery : self.delivery,
        goodsGroup : self.saleOrder.goodsGroup
      };
      ret.go(rreturn, {
        ordersSn : null,
        timeStamp : cUnitTools.getTimeStamp(),
        copyOrder : self.copyOrder
      });
    }
  };
  /**
   * @param {?} orderId
   * @return {undefined}
   */
  self.goUploadPicture = function(orderId) {
    ret.go("eventmenu.saleUploadPicture", {
      orderId : orderId
    });
  };
  /**
   * @return {?}
   */
  self.getDeliveryText = function() {
    /** @type {string} */
    var str = "";
    return 1 == self.delivery.deliveryType ? "自提" : 2 == self.delivery.deliveryType ? (str = "送指定点", void 0 != self.delivery.fixedPoint && (str += "，&nbsp;" + self.delivery.fixedPoint), void 0 != self.delivery.contact && (str += "，&nbsp;" + self.delivery.contact), void 0 != self.delivery.contactNumber && (str += "，&nbsp;" + self.delivery.contactNumber),
    str) : 3 == self.delivery.deliveryType ? (str = "送车&nbsp;", void 0 != self.delivery.carNumber && (str += "，&nbsp;" + self.delivery.carNumber), void 0 != self.delivery.driverName && (str += "，&nbsp;" + self.delivery.driverName), void 0 != self.delivery.driverPhone && (str += "，&nbsp;" + self.delivery.driverPhone), void 0 != self.delivery.beginPoint &&
    (str += "，&nbsp;从&nbsp;" + self.delivery.beginPoint), void 0 != self.delivery.toPoint && (str += "，&nbsp;送到&nbsp;" + self.delivery.toPoint + "。"), void 0 != self.delivery.contact && (str += "，&nbsp;" + self.delivery.contact), void 0 != self.delivery.contactNumber && (str += "，&nbsp;" + self.delivery.contactNumber), str) : 4 == self.delivery.deliveryType ?
    (str = "发物流&nbsp;", void 0 == self.delivery.deliveryCompany || (cUnitTools.isEmpty(self.delivery.deliveryCompany.name) || (str += "，&nbsp;" + self.delivery.deliveryCompany.name)), void 0 == self.delivery.deliveryNet || (cUnitTools.isEmpty(self.delivery.deliveryNet) || (str += "，&nbsp;" + self.delivery.deliveryNet.name)), void 0 == self.delivery.deliveryNetPhone || (cUnitTools.isEmpty(self.delivery.deliveryNetPhone) ||
    (str += "，&nbsp;" + self.delivery.deliveryNetPhone)), void 0 == self.delivery.toPoint || (cUnitTools.isEmpty(self.delivery.toPoint) || (str += "，&nbsp;送到&nbsp;" + self.delivery.toPoint)), void 0 == self.delivery.deliverySn || (cUnitTools.isEmpty(self.delivery.deliverySn) || (str += "，&nbsp;运单号&nbsp;" + self.delivery.deliverySn)), void 0 != self.delivery.contact &&
    (str += "，&nbsp;" + self.delivery.contact), void 0 != self.delivery.contactNumber && (str += "，&nbsp;" + self.delivery.contactNumber), str += "。") : 5 == self.delivery.deliveryType ? (str = "发电子面单&nbsp;", void 0 == self.delivery.deliveryCompany || (cUnitTools.isEmpty(self.delivery.deliveryCompany.name) || (str += "，&nbsp;" + self.delivery.deliveryCompany.name)),
    void 0 == self.delivery.deliverySn || (cUnitTools.isEmpty(self.delivery.deliverySn) || (str += "，&nbsp;运单号&nbsp;" + self.delivery.deliverySn)), void 0 != self.delivery.contact && (str += "，&nbsp;" + self.delivery.contact), void 0 != self.delivery.contactNumber && (str += "，&nbsp;" + self.delivery.contactNumber), self.clientsInfo.province && self.clientsInfo.province.id >
    0 ? (str += "，&nbsp;" + self.clientsInfo.province.areaName, self.clientsInfo.city && (self.clientsInfo.city.id > 0 && (str += self.clientsInfo.city.areaName, self.clientsInfo.country && (self.clientsInfo.country.id > 0 && (str += self.clientsInfo.country.areaName, self.clientsInfo.address && (str += self.clientsInfo.address, str += ",&nbsp; " + (0 === self.delivery.isNotice ||
    self.delivery.isNotice ? "通知快递员揽件" : "不通知快递员揽件"))))))) : null != self.eorderObj && (self.allAreaItems && (self.allAreaItems.length > 0 && (self.eorderObj.recipientProvincesId && (self.eorderObj.recipientProvincesId > 0 && (self.clientsInfo.province = cUnitTools.fnCheckGtoreQty(self.allAreaItems, "id", self.eorderObj.recipientProvincesId), str +=
    self.clientsInfo.province.areaName)), void 0 != self.eorderObj.recipientCityId && ("" != self.eorderObj.recipientCityId && (self.clientsInfo.city = cUnitTools.fnCheckGtoreQty(self.allAreaItems, "id", self.eorderObj.recipientCityId), str += self.clientsInfo.city.areaName)), void 0 != self.eorderObj.recipientCountyId && ("" != self.eorderObj.recipientCountyId && (self.clientsInfo.country = cUnitTools.fnCheckGtoreQty(self.allAreaItems,
    "id", self.eorderObj.recipientCountyId), str += self.clientsInfo.country.areaName)), void 0 != self.eorderObj.recipientDetailsAddr && ("" != self.eorderObj.recipientDetailsAddr && (self.clientsInfo.address = self.eorderObj.recipientDetailsAddr, str += self.clientsInfo.address))))), str += "。") : str;
  };
  /**
   * @return {?}
   */
  self.openQueryTraces = function() {
    if (0 == self.getAppAccResource(3)) {
      return self.getAppAuthority(3), false;
    }
    var mod = cUnitTools.fnCheckGtoreQty(self.deliveryCompanies, "id", self.delivery.deliveryCompany.id);
    if (mod.kdnCode) {
      if (self.logisticsTracesModal) {
        if (!self.logisticsTracesModal.isShown()) {
          self.logisticsTracesModal.show();
        }
      } else {
        $modal.fromTemplateUrl("html/PRetailAndSellBill/logisticsTracesModalForSale.html", function(theTitle) {
          self.logisticsTracesModal = theTitle;
          self.logisticsTracesModal.show();
        }, {
          scope : self,
          animation : "slide-in-up"
        });
      }
      close.show();
      res.postEncode("/admin/inner/delivery/orderTracesByJson.ac", {
        expCode : mod.kdnCode,
        expNo : self.delivery.deliverySn
      }).success(function(data) {
        self.traceObject = data.object;
        self.content = data.content;
      }).finally(function() {
        close.hide();
      });
    } else {
      if (self.logisticsCompanySelectModal) {
        if (!self.logisticsCompanySelectModal.isShown()) {
          self.logisticsCompanySelectModal.show();
        }
      } else {
        $modal.fromTemplateUrl("html/PLogisticsManage/logisticsCompanySelectModal.html", function(theTitle) {
          /** @type {number} */
          self.logisticsCompanySelectModal = theTitle;
          self.logisticsCompanySelectModal.show();
        }, {
          scope : self,
          animation : "slide-in-up"
        });
      }
      res.httpCacheGet.get(res.httpCacheGet.ac.LogisticsCompany).success(function(dataAndEvents) {
        self.logistics = {};
        self.logistics.logisticsCompaniese = dataAndEvents;
      });
    }
  };
  /**
   * @param {Element} ignores
   * @return {undefined}
   */
  self.selectLogisticsCom = function(ignores) {
    self.logisticsCompanySelectModal.hide();
    res.post("/admin/inner/delivery/deliveryCompanyGet.ac?id=" + self.delivery.deliveryCompany.id).success(function(body) {
      body.deliveryCompany.logisticsCompanyId = ignores.id;
      res.post("/admin/inner/delivery/saveDeliveryCompany.ac", body).success(function() {
        res.get("/admin/inner/delivery/allDeliveryCompanys.ac").success(function(theTitle) {
          self.deliveryCompanies = theTitle;
          res.httpCacheGet.remove(res.httpCacheGet.ac.ALLDELIVERY);
          self.openQueryTraces();
        });
      });
    });
  };
  self.$on("$destroy", function() {
    self.copyOperationPopover.remove();
    if (self.logisticsTracesModal) {
      self.logisticsTracesModal.remove();
    }
    if (self.logisticsCompanySelectModal) {
      self.logisticsCompanySelectModal.remove();
    }
  });
  /**
   * @param {string} success
   * @return {undefined}
   */
  var load = function(success) {
    console.log("queryAliTradeStatus...【" + L + "】 次");
    res.postEncode("/admin/inner/sale/queryAliTradeStatus.ac", {
      tradeSn : success
    }).success(function(res) {
      if (1 == res.statusCode && "TRADE_SUCCESS" == res.content) {
        close.hide();
        console.log("支付成功！");
        cUnitTools.toastShow("支付成功！");
        if (p.goodsId) {
          $templateCache.put("goodListRefresh", true);
        }
        jsPDFAPI.autoPrint(self.mainCompany.comName, res.object.ordersSn, jsPDFAPI.orderType.saleOrder);
        self.viewReplace();
        ret.go("eventmenu.saleDetail", {
          ordersSn : res.object.ordersSn
        });
      } else {
        if (1 == res.statusCode && "WAIT_BUYER_PAY" == res.content) {
          if (12 > L) {
            L++;
            cUnitTools.toastShow("等待用户付款，以系统返回结果为准，请稍候...", "long");
            iterator(function() {
              load(success);
            }, 5E3);
          } else {
            close.hide();
            console.log("二维码超时，请重新扫码付款！");
            cUnitTools.toastShow("二维码超时，请重新扫码付款！");
          }
        } else {
          if (1 == res.statusCode && "TRADE_CLOSED" == res.content) {
            close.hide();
            console.log("交易超时/余额不足.");
            cUnitTools.toastShow("交易超时/余额不足.");
          } else {
            close.hide();
            console.log("服务器获取数据出现异常！");
            cUnitTools.toastShow("服务器获取数据出现异常！");
          }
        }
      }
    });
  };
  /**
   * @param {number} dataAndEvents
   * @return {undefined}
   */
  self.openScanPay = function(dataAndEvents) {
    if (self.saleOrder.alreadyPaid = self.totalInvoiceAmount, self.saleOrder.isAliPay && "none" == self.alipayAccountType || self.saleOrder.isWechatPay && "none" == self.wxpayAccountType) {
      /** @type {string} */
      var accept = "开通支付宝微信收款，扫码极速收款";
      if ("none" == self.alipayAccountType && self.saleOrder.isAliPay ? accept = "开通支付宝收款，扫码极速收款" : "none" == self.wxpayAccountType && (self.saleOrder.isWechatPay && (accept = "开通微信收款，扫码极速收款")), self.saleOrder.isAliPay = false, self.saleOrder.isWechatPay = false, window.cordova && window.cordova.plugins) {
        cUnitTools.showConfirm(accept, function(dataAndEvents) {
          if (1 == dataAndEvents) {
            self.openLinkInIframe(ignoreMethodDoesntExist.getVaItem[4].title, ignoreMethodDoesntExist.getVaItem[4].htmlName);
          }
        }, null, ["开通", "取消"]);
      } else {
        var promise = _.confirm({
          template : "<div class='tc'>" + accept + "</div>",
          cancelText : "取消",
          okText : "开通"
        });
        promise.then(function(dataAndEvents) {
          if (dataAndEvents) {
            self.openLinkInIframe(ignoreMethodDoesntExist.getVaItem[4].title, ignoreMethodDoesntExist.getVaItem[4].htmlName);
          }
        });
      }
    } else {
      if (1 == dataAndEvents) {
        /** @type {boolean} */
        self.saleOrder.isWechatPay = false;
        /** @type {string} */
        self.scanPayTitle = "支付宝";
      } else {
        /** @type {boolean} */
        self.saleOrder.isAliPay = false;
        /** @type {string} */
        self.scanPayTitle = "微信";
      }
    }
  };
  /** @type {Array} */
  var new_val = []; //存销售单商品项
  /** @type {number} */
  var E = 0;
  /**
   * @param {string} type
   * @return {?}
   */
  self.saveOrder = function(type) {
    /**
     * @return {?}
     */
    function each() {
      /** @type {Array} */
      var indents = [];
      /** @type {number} */
      var unlock = 0;
      var cnl = self.saleOrder.goodsGroup.length;
      for (;cnl > unlock;unlock++) {
        var goodsSn = self.saleOrder.goodsGroup[unlock].goodsSn;
        var dataName;
        for (dataName in self.saleOrder.goodsGroup[unlock].goods) {
          var data = self.saleOrder.goodsGroup[unlock].goods[dataName];
          indents.push({
            storehouseId : val,
            goodsSn : goodsSn,
            colorId : data.colorId,
            sizeId : data.sizeId
          });
        }
      }
      return borderColor.getGoodsListStoredCount(indents);
    }
    /**
     * @param {string} x
     * @param {string} y
     * @param {?} data
     * @param {?} m
     * @return {undefined}
     */
    function fnCheckGtoreQty(x, y, data, m) {
      var result = cUnitTools.fnCheckGtoreQty(m, "serialNo", x + "-" + y + "-" + data.colorId + "-" + data.sizeId);
      var json = result ? result.number : 0;
      data.storeNumber = json;
      if (data.quantity <= json) {
        /** @type {number} */
        data.isEnoughStore = 1;
      }
      else if (data.sizeName=="赠送") {
        data.isEnoughStore = 1;       //赠送尺码不检测库存
      }
      else {
        /** @type {number} */
        data.isEnoughStore = 0;
        /** @type {number} */
        self.isShowInvalidStoreMsg = 1;
      }
    }
    if (cUnitTools.isEmpty(self.saleOrder.saleClient) || cUnitTools.isEmpty(self.saleOrder.saleClient.val + "")) {
      return cUnitTools.toastShow("需要选择客户！"), self.clientModalOpen(), false;
    }
    if (cUnitTools.isEmpty(self.saleOrder.saleDepot)) {
      return _.alert({
        template : "<div class='tc'>需要选择仓库</div>",
        okText : "确定"
      }), false;
    }
    if (cUnitTools.isEmpty(self.saleOrder.goodsGroup)) {
      return _.alert({
        template : "<div class='tc'>请选择商品</div>",
        okText : "确定"
      }), false;
    }
    if (!self.saleOrder.saler.val) {
      return _.alert({
        template : "<div class='tc'>请选择销售员</div>",
        okText : "确定"
      }), false;
    }
    if (self.saleOrder.businessTime) {
      /** @type {Date} */
      var d = new Date;
      /** @type {Date} */
      var midnight = new Date(self.saleOrder.businessTime);
      midnight.setHours(d.getHours(), d.getMinutes(), d.getSeconds(), d.getMilliseconds());
      /** @type {number} */
      self.saleOrder.businessTime = midnight.getTime();
    }
    if (new_val = [], self.isShowInvalidStoreMsg = 0, 1 == E) {
      return false;
    }
    /** @type {number} */
    E = 1;
    parent.show({
      template : "检查订单信息..."
    });
    var val = self.saleOrder.saleDepot.val;
    each().then(function(mom) {
      /**
       * @return {?}
       */
      function init() {
        if (E = 0, cUnitTools.union(options, {
          discount : self.saleOrder.wholeOrderDiscount ? self.saleOrder.wholeOrderDiscount : self.saleOrder.clientDiscount.clientDiscount,
          totalAmount : self.calcTotalAmount(),
          itemType : 1,
          clientId : self.saleOrder.saleClient.val,
          depotId : self.saleOrder.saleDepot.val,
          accountId : self.saleOrder.saleAccount.id,
          deliveryDesc : self.getDeliveryText(),
          remark : self.saleOrder.remark,
          alreadyPaid : self.saleOrder.alreadyPaid ? self.saleOrder.alreadyPaid : 0,
          businessTime : self.saleOrder.businessTime,
          otherAccountItem : self.saleOrder.otherAccountItem.id,
          otherCost : self.saleOrder.otherCost,
          wipeZero : self.saleOrder.wipeZero,
          salerId : self.saleOrder.saler.val ? self.saleOrder.saler.val : "",
          salerName : self.saleOrder.saler.text ? self.saleOrder.saler.text : ""
        }), self.totalAmount + options.otherCost < options.wipeZero) {
          return cUnitTools.toastShow("抹零金额不能大于商品金额."), false;
        }
        if (void 0 !== self.delivery.deliveryCompany && (self.delivery.deliveryId = self.delivery.deliveryCompany.id), void 0 !== self.delivery.deliveryNet && (self.delivery.deliveryNetId = self.delivery.deliveryNet.id), new_val && new_val.length <= 0) {
          return cUnitTools.toastShow("点击太频繁，请稍后或者退出再试", "long"), false;
        }
        if (close.show(true), "update" === type || "insert" === type) {
          res.postEncode("/admin/inner/sale/wholesaleOrdersSaveDraft.ac", {
            order : angular.toJson(options),
            goods : angular.toJson(new_val),
            delivery : angular.toJson(self.delivery)
          }).success(function(e) {
            if (1 == e.statusCode) {
              self.uploadImages(e.object.id);
              cUnitTools.toastShow("保存成功！");
              /** @type {Array} */
              new_val = [];
              /** @type {Array} */
              billID = e.object.billID;
              self.saleOrder.goodsForOrder = [];
              if ("insert" === type) {
                if (0 == self.state) {
                  options.optimisticLockVersion = e.object.optimisticLockVersion;
                }
                /** @type {number} */
                self.state = 1;
                self.saleOrder.ordersSn = e.object.ordersSn;
                self.saleOrder.handlerName = e.object.handlerName;
                self.saleOrder.businessTime = e.object.businessTime;
                cUnitTools.union(options, {
                  id : e.object.id,
                  ordersSn : e.object.ordersSn,
                  businessTime : e.object.businessTime,
                  handlerId : e.object.handlerId
                });
                cUnitTools.union(self.delivery, {
                  id : e.orderDelivery.id
                });
              }
              cUnitTools.union(options, {
                optimisticLockVersion : e.object.optimisticLockVersion
              });
              cUnitTools.union(self.delivery, {
                optimisticLockVersion : e.orderDelivery.optimisticLockVersion
              });
              self.getEorderSn();
              $templateCache.put("logisticsListRefresh", true);
            } else {
              cUnitTools.toastShow(e.content);
            }
          }).finally(function() {
            close.hide();
            $templateCache.put("saleListRefresh", true);
          });
        } else {
          if ("confirm" === type) {
            if (options.deliveryDesc = self.getDeliveryText().replace(/&nbsp;/g, ""), self.saleOrder.isAliPay || self.saleOrder.isWechatPay) {
              return self.scanPayTitle = self.saleOrder.isAliPay ? "支付宝" : "微信", self.scanPayModal.show(), close.hide(), false;
            }
            res.postEncode("/admin/inner/sale/approvalConfirmWholesaleOrders.ac", {
              order : angular.toJson(options),
              goods : angular.toJson(new_val),
              delivery : angular.toJson(self.delivery)
            }).success(function(res) {
              if (1 == res.statusCode) {
                self.uploadImages(res.object.id);
                cUnitTools.toastShow("出售成功！");
                /** @type {Array} */
                new_val = [];
                /** @type {Array} */
                self.saleOrder.goodsGroup = [];
                if (0 == self.state) {
                  options.optimisticLockVersion = res.object.optimisticLockVersion;
                }
                if (p.goodsId) {
                  $templateCache.put("goodListRefresh", true);
                }
                $templateCache.put("logisticsListRefresh", true);
                jsPDFAPI.autoPrint(self.mainCompany.comName, res.object.ordersSn, jsPDFAPI.orderType.saleOrder);
                self.viewReplace();
                ret.go("eventmenu.saleDetail", {
                  ordersSn : res.object.ordersSn,
                  billID : res.object.billID,
                });
              } else {
                cUnitTools.toastShow(res.content);
              }
            }).finally(function() {
              close.hide();
              $templateCache.put("saleListRefresh", true);
            });
          }
        }
      }
      /** @type {number} */
      var unlock = 0;
      var cnl = self.saleOrder.goodsGroup.length;
      for (;cnl > unlock;unlock++) {
        var tx = self.saleOrder.goodsGroup[unlock].goodsSn;
        var dataName;
        for (dataName in self.saleOrder.goodsGroup[unlock].goods) {
          var data = self.saleOrder.goodsGroup[unlock].goods[dataName];
          if (null != data.price) {
            if (null != data.discount) {
              if (null != data.truePrice) {
                if (null != data.quantity) {
                  if (0 != data.quantity) {
                    if (1 === self._itemType) {
                      fnCheckGtoreQty(val, tx, data, mom);
                    } else {
                      /** @type {number} */
                      data.isEnoughStore = 1;
                    }
                    new_val.push({
                      goodsSn : tx,
                      colorId : data.colorId,
                      sizeId : data.sizeId,
                      quantity : data.quantity,
                      price : data.price,
                      discount : data.discount,
                      truePrice : data.truePrice,
                      amount : cUnitTools.accMul(data.price, data.quantity),
                      trueAmount : cUnitTools.accMul(data.truePrice, data.quantity),
                      unitId : data.unitId,
                      remark : data.remark
                    });
                  }
                }
              }
            }
          }
        }
      }
      if (parent.hide(), 1 === self.isShowInvalidStoreMsg) {
        if (2 == self.saleNegativeStore && "confirm" === type) {
          /** @type {number} */
          E = 0;
          /** @type {string} */
          var y = "商品库存不足，不允许销售";
          return window.cordova && window.cordova.plugins ? (cUnitTools.showAlert(y, null), false) : (_.alert({
            template : "<div class='tc'>" + y + "</div>",
            okText : "确定"
          }), false);
        }
        if (window.cordova && window.cordova.plugins) {
          cUnitTools.showConfirm("商品库存不足，是否继续?", function(dataAndEvents) {
            if (2 == dataAndEvents) {
              init();
            } else {
              /** @type {number} */
              E = 0;
            }
          }, null, ["取消", "confirm" === type ? "继续出售" : "继续保存"]);
        } else {
          var promise = _.confirm({
            template : "<div class='tc'>商品库存不足，是否继续?</div>",
            cancelText : "取消",
            okText : "confirm" === type ? "继续出售" : "继续保存"
          });
          promise.then(function(dataAndEvents) {
            if (dataAndEvents) {
              init();
            } else {
              /** @type {number} */
              E = 0;
            }
          });
        }
      } else {
        init();
      }
    }, function() {
      parent.hide();
      /** @type {number} */
      E = 0;
    });
  };
  /**
   * @param {?} index
   * @return {undefined}
   */
  self.uploadImages = function(index) {
    if (!self.saleOrder.id) {
      /** @type {string} */
      var result = "";
      if ($templateCache.get("saleOrderImgsCache")) {
        var qs = $templateCache.get("saleOrderImgsCache");
        result = cUnitTools.objectArrayToIdString(qs, "imgId", ",");
        if (index) {
          res.postEncode("/admin/inner/sale/images/uploadOrdersImage.ac?orderId=" + index, {
            imgIds : result
          }).success(function(r) {
            if (1 == r.statusCode) {
              self.saleOrder.id = index;
              $templateCache.put("saleImageRefresh", true);
              $templateCache.remove("saleOrderImgsCache");
            } else {
              cUnitTools.toastShow("上传图片失败！");
            }
          }).error(function() {
            cUnitTools.toastShow("上传图片失败！");
          }).finally(function() {
          });
        }
      }
    }
  };
  self.clientsInfo = {};
  /**
   * @param {?} dataAndEvents
   * @return {?}
   */
  self.getEorderSn = function(dataAndEvents) {
    if (!init()) {
      return false;
    }
    if (self.saleOrder.ordersSn && (self.saleOrder.ordersSn.length > 0 && (5 == self.delivery.deliveryType && !(self.delivery.deliverySn && self.delivery.deliverySn.length > 0)))) {
      var body = {
        recipientProvincesId : self.clientsInfo.province.id,
        recipientCityId : self.clientsInfo.city.id,
        recipientCountyId : self.clientsInfo.country.id,
        recipientDetailsAddr : self.clientsInfo.address,
        recipientName : self.delivery.contact,
        recipientMobile : self.delivery.contactNumber,
        isNotice : self.delivery.isNotice ? 0 : 1
      };
      res.post("/admin/inner/delivery/orderonline/repeatSubscribe.ac?orderSn=" + self.saleOrder.ordersSn + "&deliveryCompanyId=" + self.delivery.deliveryCompany.id, body).success(function(res) {
        if (1 == res.statusCode) {
          self.delivery.deliverySn = res.object.courierNo;
          cUnitTools.toastShow("电子面单订阅成功！");
          if (self.deliveryModal.isShown()) {
            self.deliveryModal.hide();
          }
        } else {
          _.alert({
            template : "<div class='tc'>" + res.content + "</div>",
            okText : "确定"
          });
        }
      }).finally(function() {
        if (dataAndEvents) {
          self.viewReplace();
          ret.go("eventmenu.saleDetail", {
            ordersSn : dataAndEvents
          });
        }
      });
    }
  };
  /**
   * @return {undefined}
   */
  self.openScan = function() {
    if (self.saleOrder.isAliPay || self.saleOrder.isWechatPay) {
      if (window.cordova) {
        if (window.cordova.plugins) {
          cordova.plugins.barcodeScanner.scan(function(data) {
            return data.cancelled ? void close.hide() : void self.scanPay(data.text);
          });
        }
      }
    } else {
      cUnitTools.toastShow("请选择一种支付方式");
    }
  };
  /** @type {boolean} */
  self.lockState = false;
  /**
   * @param {?} keepData
   * @return {?}
   */
  self.scanPay = function(keepData) {
    return self.lockState ? false : (self.lockState = true, L = 0, options.alreadyPaid = self.totalInvoiceAmount, void res.postEncode("/admin/inner/sale/barpayWholesaleOrders.ac", {
      order : angular.toJson(options),
      goods : angular.toJson(new_val),
      delivery : angular.toJson(self.delivery),
      authCode : keepData,
      payType : self.saleOrder.isWechatPay ? "wxpayScanPay" : "alipayBarPay"
    }).success(function(res) {
      if (1 == res.statusCode) {
        cUnitTools.toastShow("出售成功！");
        /** @type {Array} */
        self.saleOrder.goodsGroup = [];
        if (0 == self.state) {
          options.optimisticLockVersion = res.object.optimisticLockVersion;
        }
        if (p.goodsId) {
          $templateCache.put("goodListRefresh", true);
        }
        jsPDFAPI.autoPrint(self.mainCompany.comName, res.object.ordersSn, jsPDFAPI.orderType.saleOrder);
        self.viewReplace();
        if (self.scanPayModal.isShown()) {
          self.scanPayModal.hide();
        }
        ret.go("eventmenu.saleDetail", {
          ordersSn : res.object.ordersSn
        });
        /** @type {boolean} */
        self.lockState = false;
      } else {
        /** @type {number} */
        self.state = 1;
        self.saleOrder.ordersSn = res.object.order.ordersSn;
        self.saleOrder.handlerName = res.object.order.handlerName;
        self.saleOrder.businessTime = res.object.order.businessTime;
        cUnitTools.union(options, {
          id : res.object.order.id,
          ordersSn : res.object.order.ordersSn,
          businessTime : res.object.order.businessTime,
          handlerId : res.object.order.handlerId
        });
        cUnitTools.union(self.delivery, {
          id : res.object.orderDelivery.id
        });
        cUnitTools.union(options, {
          optimisticLockVersion : res.object.order.optimisticLockVersion
        });
        cUnitTools.union(self.delivery, {
          optimisticLockVersion : res.object.orderDelivery.optimisticLockVersion
        });
        if (10003 == res.statusCode) {
          cUnitTools.toastShow(res.content, "long");
          L++;
          close.show(true);
          iterator(function() {
            load(res.object.trade.tradeSn);
          }, 5E3);
        } else {
          _.alert({
            template : "<div class='tc'>" + res.content + "</div>",
            okText : "确定"
          });
        }
        if (self.scanPayModal.isShown()) {
          self.scanPayModal.hide();
        }
        /** @type {boolean} */
        self.lockState = false;
      }
    }).finally(function() {
      close.hide();
      $templateCache.put("saleListRefresh", true);
    }));
  };
  /**
   * @param {number} dataAndEvents
   * @return {undefined}
   */
  self.showActionsheet = function(dataAndEvents) {
    var scope = {
      buttons : []
    };
    if (self.wholesaleDraftAccAvailable) {
      scope.buttons.push({
        text : '<i class="icon ion-ios-compose-outline assertive"></i> 草 稿'
      });
    }
    if (self.wholesaleConfirmAccAvailable) {
      scope.buttons.push({
        text : '<i class="icon ion-ios-paper-outline assertive"></i> 出 售'
      });
    }
    // if (1 == dataAndEvents) {
    //   scope.buttons.push({
    //     text : '<i class="icon ion-share balanced"></i> 微信分享'
    //   });
    // }
    if (1 == dataAndEvents) {
      if (self.GetOperatorEventLimit("810")) {
        scope.buttons.push({
          text : '<i class="icon ion-bluetooth assertive"></i> 蓝牙打印'
        });
      }
    }
/*    if (1 == dataAndEvents) {
      if (self.GetOperatorEventLimit("810")) {
        scope.buttons.push({
          text : '<i class="icon ion-bluetooth assertive"></i> 快递单打印'
        });
      }
    }*/
    /**
     * @param {number} index
     * @return {?}
     */
    scope.buttonClicked = function(index) {
      return scope.buttons[index].text.indexOf("草 稿") > -1 ? self.saveOrder("insert") : scope.buttons[index].text.indexOf("出 售") > -1 ? self.saveOrder("confirm") : scope.buttons[index].text.indexOf("微信分享") > -1 ? dataAndEvents.shareSnUrl(self.saleOrder.ordersSn, deepDataAndEvents.saleOrder) : scope.buttons[index].text.indexOf("蓝牙打印") > -1 ? jsPDFAPI.bluetooth(self.saleOrder.ordersSn,
      jsPDFAPI.orderType.saleOrder,billID) : scope.buttons[index].text.indexOf("快递单打印") > -1 && jsPDFAPI.bluetooth(self.saleOrder.ordersSn, jsPDFAPI.orderType.logisticsOrder,billID), true;
    };
    if (1 == dataAndEvents) {
      if (self.GetOperatorEventLimit("3844")) {
        /** @type {string} */
        scope.destructiveText = '<i class="icon ion-ios-trash-outline assertive"></i> 删 除';
        /**
         * @return {?}
         */
        scope.destructiveButtonClicked = function() {
          /** @type {string} */
          var templateUrl = "<div class='tc'>您确认要删除该销售单？</div>";
          if (1 === self.saleOrder.preOrdersType) {
            /** @type {string} */
            templateUrl = "<div class='tc'>该销售单由【销货宝】订单转化而来，删除该销售单后将撤销原销货宝订单，是否确认删除？</div>";
          }
          var promise = _.confirm({
            template : templateUrl,
            cancelText : "取消",
            okText : "确认"
          });
          return promise.then(function(dataAndEvents) {
            if (dataAndEvents) {
              close.show(true);
              res.post("/admin/inner/sale/orderDelete.ac?ordersSn=" + options.ordersSn + "&billID=" + billID).success(function(r) {
                if (1 == r.statusCode) {
                  _.alert({
                    template : "<div class='tc'>删除成功</div>",
                    okText : "确定"
                  }).then(function() {
                    self.goBack();
                  });
                } else {
                  _.alert({
                    template : "<div class='tc'>" + r.content + "</div>",
                    okText : "确定"
                  });
                }
              }).finally(function() {
                close.hide();
                $templateCache.put("saleListRefresh", true);
              });
            }
          }), true;
        };
      }
    }
    handler.show(scope);
  };
  /**
   * @param {Node} el
   * @return {undefined}
   */
  self.getClientDeliveryInfo = function(el) {
    if (el.val > 0) {
      res.post("/admin/inner/delivery/clientDeliveryGet.ac?clientId=" + el.val).success(function(attributes) {
        if ("" === attributes) {
          self.delivery = {
            deliveryType : 1
          };
          self.delivery.deliveryCompany = self.deliveryCompanies[0];
          if (self.delivery.deliveryCompany) {
            self.delivery.deliveryNet = self.delivery.deliveryCompany.netPoints[0];
            self.delivery.deliveryNetPhone = self.delivery.deliveryNet ? self.delivery.deliveryNet.phone : "";
          } else {
            /** @type {Array} */
            self.delivery.deliveryNet = [];
            /** @type {string} */
            self.delivery.deliveryNetPhone = "";
          }
        } else {
          var originalId = self.delivery.id;
          var optimisticLockVersion = self.delivery.optimisticLockVersion;
          cUnitTools.union(self.delivery, attributes);
          self.delivery.id = originalId;
          self.delivery.optimisticLockVersion = optimisticLockVersion;
        }
        if (4 == self.delivery.deliveryType) {
          self.delivery.deliveryCompany = cUnitTools.fnCheckGtoreQty(self.deliveryCompanies, "id", self.delivery.deliveryId);
          if (self.delivery.deliveryCompany) {
            self.delivery.deliveryNet = cUnitTools.fnCheckGtoreQty(self.delivery.deliveryCompany.netPoints, "id", self.delivery.deliveryNetId);
          }
        }
      });
    }
  };
  close.show();
  self.$watch("[saleOrder.saleClient, saleOrder.saleDepot, saleOrder.saleAccount, saleOrder.otherAccountItem]", function(SelectBasicData, BillHeadData) {
    if (SelectBasicData[0] && (cUnitTools.isEmpty(BillHeadData[0]) || (BillHeadData[0] && (SelectBasicData[0].val != BillHeadData[0].val && BillHeadData[0].val > 0)))) {
      /** @type {null} */
      self.saleOrder.wholeOrderDiscount = null;
      if (!cUnitTools.isEmpty(self.saleOrder.saleClient)) {
        self.saleOrder.saleClient.id = self.saleOrder.saleClient.val;
        borderColor.saveOrUpdateUserConfig("wholesaleOrdersList.client", JSON.stringify(self.saleOrder.saleClient), 3).then(function (event) {
          self.wholesaleOrdersList.client = cUnitTools.fnCheckGtoreQty(cell.userConfigData, "configKey", "wholesaleOrdersList.client");
          if (self.wholesaleOrdersList.client) {
            cUnitTools.union(self.wholesaleOrdersList.client, event.object);
          } else {
            cell.userConfigData.push(event.object);
          }
          /** @type {*} */
          self.wholesaleOrdersList.clientValue = JSON.parse(event.object.configValue);
        }, function () {
          cUnitTools.toastShow("服务器获取数据出现异常！");
        });
      }
    } else {
      if (SelectBasicData[1] && (cUnitTools.isEmpty(BillHeadData[1]) || (BillHeadData[1] && (SelectBasicData[1].val != BillHeadData[1].val && BillHeadData[1].val > 0)))) {
        if (!cUnitTools.isEmpty(self.saleOrder.saleDepot)) {
          borderColor.saveOrUpdateUserConfig("wholesaleOrdersList.depot", JSON.stringify(self.saleOrder.saleDepot), 3).then(function (event) {
            self.wholesaleOrdersList.depot = cUnitTools.fnCheckGtoreQty(cell.userConfigData, "configKey", "wholesaleOrdersList.depot");
            if (self.wholesaleOrdersList.depot) {
              cUnitTools.union(self.wholesaleOrdersList.depot, event.object);
            } else {
              cell.userConfigData.push(event.object);
            }
            /** @type {*} */
            self.wholesaleOrdersList.depotValue = JSON.parse(event.object.configValue);
          }, function () {
            cUnitTools.toastShow("服务器获取数据出现异常！");
          });
        }
      } else {
        if (SelectBasicData[2] && (BillHeadData[2] && (SelectBasicData[2].val != BillHeadData[2].val && BillHeadData[2].val > 0))) {
          borderColor.saveOrUpdateUserConfig("wholesaleOrdersList.accountId", JSON.stringify(self.saleOrder.saleAccount.val), 3).then(function(event) {
            self.wholesaleOrdersList.accountId = cUnitTools.fnCheckGtoreQty(cell.userConfigData, "configKey", "wholesaleOrdersList.accountId");
            if (self.wholesaleOrdersList.accountId) {
              cUnitTools.union(self.wholesaleOrdersList.accountId, event.object);
            } else {
              cell.userConfigData.push(event.object);
            }
            /** @type {*} */
            self.wholesaleOrdersList.accountIdValue = JSON.parse(event.object.configValue);
          }, function() {
            cUnitTools.toastShow("服务器获取数据出现异常！");
          });
        } else {
          if (SelectBasicData[3]) {
            if (BillHeadData[3]) {
              if (SelectBasicData[3].id != BillHeadData[3].id) {
                if (SelectBasicData[3].id > 0) {
                  if (1 == self.selectedOtherAccountItem) {
                    /** @type {boolean} */
                    self.selectedOtherAccountItem = false;
                    borderColor.saveOrUpdateUserConfig("wholesaleOrdersList.otherAccountItem", JSON.stringify(self.saleOrder.otherAccountItem.id), 3).then(function(event) {
                      self.wholesaleOrdersList.otherAccountItem = cUnitTools.fnCheckGtoreQty(cell.userConfigData, "configKey", "wholesaleOrdersList.otherAccountItem");
                      if (self.wholesaleOrdersList.otherAccountItem) {
                        cUnitTools.union(self.wholesaleOrdersList.otherAccountItem, event.object);
                      } else {
                        cell.userConfigData.push(event.object);
                      }
                      /** @type {*} */
                      self.wholesaleOrdersList.otherAccountItemValue = JSON.parse(event.object.configValue);
                    }, function() {
                      cUnitTools.toastShow("服务器获取数据出现异常！");
                    });
                  }
                }
              }
            }
          }
        }
      }
    }
  }, true);
  self.$on("$ionicView.beforeEnter", function() {
    if ($templateCache.get("needToAddClientFlag") === true) {
      $templateCache.put("needToAddClientFlag", false);
      $templateCache.put("addClientFlag", false);
      var params = $templateCache.get("newClientObj");
      if (params && params.id) {
        var onComplete = {
          val : params.id,
          text : params.clientName
        };
        self.saleOrder.selectClient(onComplete);
        $templateCache.put("newClientObj", null);
      }
    } else {
      if ($templateCache.get("needToAddGoodsFlag") === true) {
        $templateCache.put("needToAddGoodsFlag", false);
        /**
         * @return {undefined}
         */
        var put = function() {
          if ($templateCache.get("addGoodsFlag") === true) {
            $templateCache.put("addGoodsFlag", false);
            var filter = $templateCache.get("newGoodsObj");
            if (filter) {
              if (filter.id) {
                self.searchGoodsById(filter.id);
                cUnitTools.toastShow("成功添加 " + filter.name);
                $templateCache.put("newGoodsObj", null);
              }
            }
          }
        };
        $templateCache.put("refreshGoodColorFlag", false);
        $templateCache.put("refreshGoodSizeFlag", false);
        borderColor.getAllColorSize().then(function(packs) {
          if (null != packs) {
            self.allColors = packs[0].data.rows;
            self.allSizes = packs[1].data.rows;
          }
          put();
        }, function() {
          put();
        });
      }
    }
    $document.getScanerCode(function(key) {
      if (key && self.scanPayModal.isShown()) {
        if (self.saleOrder.isAliPay || self.saleOrder.isWechatPay) {
          self.scanPay(key);
        } else {
          cUnitTools.toastShow("请选择一种支付方式");
        }
      } else {
        if (key && self.deliveryModal.isShown()) {
          self.delivery.deliverySn = key;
        } else {
          if (key) {
            self.searchGoodsByBarCode(key);
          }
        }
      }
    }, self.bluethoothScaner);
    if (self.customerPointOn) {
      /**
       * @return {undefined}
       */
      self.getCustomerPointRate = function() {
        res.post("/admin/consumerpoint/rate/queryCustomerPointRate.ac").success(function(res) {
          if (1 == res.statusCode) {
            self.consumePointRate = res.object.consumePointRate ? res.object.consumePointRate : {};
          }
        });
      };
      self.getCustomerPointRate();
    }
    /**
     * @return {?}
     */
    self.getOrderScore = function() {
      if (self.totalInvoiceAmount && (self.consumePointRate && (self.consumePointRate.consumeAmount && self.consumePointRate.pointIncome))) {
        /** @type {number} */
        var value = self.totalInvoiceAmount / self.consumePointRate.consumeAmount * self.consumePointRate.pointIncome;
        return value - value % 1;
      }
      return 0;
    };
  });
  self.$on("$ionicView.loaded", function() {
    /** @type {number} */
    self._itemType = 1;
    if (!id) {
      if (!pl) {
        // v.show(self, "instruction_sale_1.html");
      }
    }
    fetch().then(function(packs) {
      self.totalDept = packs[0].data;
      /** @type {Array} */
      self.allDept = [];
      /** @type {number} */
      var j = 0;
      for (;j < packs[0].data.length;j++) {
        if ("1" == packs[0].data[j].status) {
          self.allDept.push(packs[0].data[j]);
        }
      }
      self.allSizes = packs[1].data.rows;
      self.allColors = packs[2].data.rows;
      self.allAccounts = packs[4].data.rows;
      self.totalSaler = packs[5].data.optionList;
      /** @type {Array} */
      self.allSaler = [];
      /** @type {number} */
      j = 0;
      for (;j < packs[5].data.optionList.length;j++) {
        if ("1" == packs[5].data.optionList[j].status) {
          self.allSaler.push(packs[5].data.optionList[j]);
        }
      }
      if (self.deliveryCompanies = packs[3].data, self.allDeliveryCompanies = packs[3].data, self.delivery.deliveryCompany = self.deliveryCompanies[0], self.delivery.deliveryCompany ? (self.delivery.deliveryNet = self.delivery.deliveryCompany.netPoints[0], self.delivery.deliveryNetPhone = self.delivery.deliveryNet ? self.delivery.deliveryNet.phone : "") : (self.delivery.deliveryNet =
      [], self.delivery.deliveryNetPhone = ""), self.wholesaleOrdersList = {}, self.wholesaleOrdersList.client = cUnitTools.fnCheckGtoreQty(self.userConfigData, "configKey", "wholesaleOrdersList.client"), self.wholesaleOrdersList.client && (self.wholesaleOrdersList.client.configValue && (self.wholesaleOrdersList.clientValue = JSON.parse(self.wholesaleOrdersList.client.configValue))), self.wholesaleOrdersList.depot = cUnitTools.fnCheckGtoreQty(self.userConfigData,
      "configKey", "wholesaleOrdersList.depot"), self.wholesaleOrdersList.depot && (self.wholesaleOrdersList.depot.configValue && (self.wholesaleOrdersList.depotValue = JSON.parse(self.wholesaleOrdersList.depot.configValue))), self.wholesaleOrdersList.accountId = cUnitTools.fnCheckGtoreQty(self.userConfigData, "configKey", "wholesaleOrdersList.accountId"), self.wholesaleOrdersList.accountId && (self.wholesaleOrdersList.accountId.configValue &&
      (self.wholesaleOrdersList.accountIdValue = JSON.parse(self.wholesaleOrdersList.accountId.configValue))), self.wholesaleOrdersList.otherAccountItem = cUnitTools.fnCheckGtoreQty(self.userConfigData, "configKey", "wholesaleOrdersList.otherAccountItem"), self.wholesaleOrdersList.otherAccountItem && (self.wholesaleOrdersList.otherAccountItem.configValue && (self.wholesaleOrdersList.otherAccountItemValue = JSON.parse(self.wholesaleOrdersList.otherAccountItem.configValue))),
      null != p.goodsId ? self.searchGoodsById(p.goodsId) : self.searchGoods(), id) {
        res.post("/admin/inner/sale/wholesaleOrdersGet.ac?ordersSn=" + id + "&billID=" + billID).success(function(event) {
          cUnitTools.union(options, event.order);
          self.state = event.order.state;
          cUnitTools.union(self.delivery, event.orderDelivery);
          if (4 == self.delivery.deliveryType || 5 == self.delivery.deliveryType) {
            self.delivery.deliveryCompany = cUnitTools.fnCheckGtoreQty(self.deliveryCompanies, "id", self.delivery.deliveryId) ? cUnitTools.fnCheckGtoreQty(self.deliveryCompanies, "id", self.delivery.deliveryId) : "";
            self.delivery.deliveryNet = cUnitTools.fnCheckGtoreQty(self.delivery.deliveryCompany.netPoints, "id", self.delivery.deliveryNetId) ? cUnitTools.fnCheckGtoreQty(self.delivery.deliveryCompany.netPoints, "id", self.delivery.deliveryNetId) : "";
          }
          if (5 == self.delivery.deliveryType) {
            if (self.delivery.deliverySn) {
              if (self.delivery.deliverySn.length > 0) {
                res.post("/admin/inner/delivery/orderonline/getByCourierNo.ac?courierNo=" + self.delivery.deliverySn).success(function(res) {
                  if (1 == res.statusCode) {
                    self.eorderObj = res.object ? res.object : {};
                  }
                });
                self.getAllAreaData().then(function(packs) {
                  self.allAreaItems = packs[0].data;
                });
              }
            }
          }
          self.saleOrder.remark = event.order.remark;
          self.saleOrder.ordersSn = event.order.ordersSn;
          self.saleOrder.id = event.order.id;
          self.saleOrder.handlerName = event.order.handlerName;
          self.saleOrder.businessTime = null == event.order.businessTime ? cUnitTools.getTimeStamp() : event.order.businessTime;
          self.saleOrder.alreadyPaid = event.order.alreadyPaid ? event.order.alreadyPaid : 0;
          self.saleOrder.preOrdersType = event.order.preOrdersType;
          self.saleOrder.preOrdersSn = event.order.preOrdersSn;
          self.saleOrder.saleClient.val = event.order.clientId;
          self.saleOrder.saleClient.text = event.order.clientName;
          self.saleOrder.clientDiscount.clientDiscount = event.order.discount;
          self.saleOrder.wholeOrderDiscount = event.order.discount;
          self.saleOrder.otherAccountItem.id = event.order.otherAccountItem;
          self.saleOrder.otherAccountItem.name = event.order.otherAccountItemName;
          self.saleOrder.otherCost = event.order.otherCost;
          self.saleOrder.wipeZero = event.order.wipeZero;
          /** @type {number} */
          var j = 0;
          var spaces = self.totalDept.length;
          for (;spaces > j;j++) {
            if (event.order.depotId == self.totalDept[j].val) {
              self.saleOrder.saleDepot = self.totalDept[j];
              break;
            }
          }
          /** @type {number} */
          j = 0;
          spaces = self.allAccounts.length;
          for (;spaces > j;j++) {
            if (event.order.accountId == self.allAccounts[j].val) {
              self.saleOrder.saleAccount = self.allAccounts[j];
              break;
            }
          }
          /** @type {number} */
          j = 0;
          spaces = self.totalSaler.length;
          for (;spaces > j;j++) {
            if (event.order.salerId == self.totalSaler[j].val) {
              self.saleOrder.saler = self.totalSaler[j];
              break;
            }
          }
          if (null == self.saleOrder.saleDepot) {
            var props = {
              text : event.order.depotName,
              id : event.order.depotId
            };
            self.saleOrder.saleDepot = props;
            /** @type {boolean} */
            self.inComstore = false;
          }
          if (null == self.saleOrder.saleAccount) {
            var obj = {
              name : event.order.accountName,
              id : event.order.accountId
            };
            self.saleOrder.saleAccount = obj;
            /** @type {boolean} */
            self.inComstore = false;
          }
          if (!self.saleOrder.saler.text || !self.saleOrder.saler.val) {
            var data = {
              text : event.order.salerName,
              val : event.order.salerId
            };
            self.saleOrder.saler = data;
            /** @type {boolean} */
            self.inComstore = false;
          }
          self.queryClientBanlance(event.order.clientId);
          event.orderGoods.forEach(function(elem) {
            /** @type {boolean} */
            var t = false;
            /** @type {number} */
            var unlock = 0;
            var cnl = self.saleOrder.goodsGroup.length;
            for (;cnl > unlock;unlock++) {
              var popup = self.saleOrder.goodsGroup[unlock].goodsSn;
              if (elem.goodsSn == popup) {
                /** @type {boolean} */
                t = true;
                self.saleOrder.goodsGroup[unlock].goods.push(cUnitTools.getPropertyObj(elem, ["colorId", "sizeId", "colorName", "sizeName", "quantity", "price", "discount", "unit", "truePrice","unitId","standard","waretype","remark"]));
              }
            }
            if (!t) {
              var impl = {};
              /** @type {Array} */
              impl.goods = [];
              impl.goods.push(cUnitTools.getPropertyObj(elem, ["colorId", "sizeId", "colorName", "sizeName", "quantity", "price", "discount", "unit", "truePrice","standard","waretype","unitId","remark"]));
              impl.goodName = elem.goodName;
              impl.goodsSn = elem.goodsSn;
              impl.barCode = elem.barCode;//条码
              self.saleOrder.goodsGroup.push(impl);
            }
          });
          self.calcTotalAmount();
          self.getClientDiscount(self.saleOrder.saleClient);
          if (!self.inComstore) {
            cUnitTools.toastShow("您只有此单据的查看权限！");
          }
          if (self.saleOrder.id) {
            res.postEncode("/admin/inner/sale/images/ordersImgs.ac?orderId=" + self.saleOrder.id).success(function(result) {
              self.saleImgs = result.rows;
            }).finally(function() {
            });
          }
        }).finally(function() {
          close.hide();
        });
        self.getMessages();
      } else {
        if (p.copyOrder) {
          if (self.copyOrder = p.copyOrder, self.copyOrder.order.salerId && self.copyOrder.order.salerName) {
            self.saleOrder.saler = {
              val : self.copyOrder.order.salerId,
              text : self.copyOrder.order.salerName
            };
          } else {
            /** @type {number} */
            j = 0;
            /** @type {number} */
            var spaces = self.allSaler.length;
            for (;spaces > j;j++) {
              if (self.allSaler[j].val == self.mainUserConfig.userSelfId) {
                self.saleOrder.saler = {
                  text : self.allSaler[j].text,
                  val : self.allSaler[j].val
                };
                break;
              }
            }
          }
          if (self.saleOrder.goodsGroup = self.copyOrder.goodsGroup, cUnitTools.union(self.delivery, self.copyOrder.orderDelivery), 4 == self.delivery.deliveryType && (self.delivery.deliveryCompany = cUnitTools.fnCheckGtoreQty(self.deliveryCompanies, "id", self.delivery.deliveryId) ? cUnitTools.fnCheckGtoreQty(self.deliveryCompanies, "id", self.delivery.deliveryId) : "", self.delivery.deliveryNet = cUnitTools.fnCheckGtoreQty(self.delivery.deliveryCompany.netPoints,
          "id", self.delivery.deliveryNetId) ? cUnitTools.fnCheckGtoreQty(self.delivery.deliveryCompany.netPoints, "id", self.delivery.deliveryNetId) : ""), 5 == self.delivery.deliveryType && (self.delivery.deliveryCompany = cUnitTools.fnCheckGtoreQty(self.deliveryCompanies, "id", self.delivery.deliveryId) ? cUnitTools.fnCheckGtoreQty(self.deliveryCompanies, "id", self.delivery.deliveryId) : "", self.delivery.deliverySn &&
          (self.delivery.deliverySn.length > 0 && (res.post("/admin/inner/delivery/orderonline/getByCourierNo.ac?courierNo=" + self.delivery.deliverySn).success(function(res) {
            if (1 == res.statusCode) {
              self.eorderObj = res.object ? res.object : {};
              delete self.delivery.deliverySn;
            }
          }), self.getAllAreaData().then(function(packs) {
            self.allAreaItems = packs[0].data;
          })))), self.saleOrder.businessTime = (new Date).getTime(), self.saleOrder.otherAccountItem.id = self.copyOrder.order.otherAccountItem, self.saleOrder.otherAccountItem.name = self.copyOrder.order.otherAccountItemName, self.saleOrder.otherCost = self.copyOrder.order.otherCost, self.saleOrder.wipeZero = self.copyOrder.order.wipeZero, self.copyOrder.order.clientId && (self.copyOrder.order.clientName &&
          (self.saleOrder.saleClient = {
            val : self.copyOrder.order.clientId,
            text : self.copyOrder.order.clientName
          })), self.saleOrder.wholeOrderDiscount = self.copyOrder.order.discount, self.saleOrder.clientDiscount = {
            clientDiscount : self.copyOrder.order.discount
          }, self.copyOrder.order.depotId) {
            /** @type {number} */
            j = 0;
            /** @type {number} */
            spaces = self.allDept.length;
            for (;spaces > j;j++) {
              if (self.copyOrder.order.depotId == self.allDept[j].val) {
                self.saleOrder.saleDepot = self.allDept[j];
                break;
              }
            }
          } else {
            if (self.copyOrder.order.inStorehouseId) {
              /** @type {number} */
              j = 0;
              /** @type {number} */
              spaces = self.allDept.length;
              for (;spaces > j;j++) {
                if (self.copyOrder.order.inStorehouseId == self.allDept[j].val) {
                  self.saleOrder.saleDepot = self.allDept[j];
                  break;
                }
              }
            }
          }
          if ("storeTransferEdit" == self.copyOrder.order.orderFrom && (self.saleOrder.saleClient.val && self.saleOrder.saleClient.text ? self.saleOrder.selectClient(self.saleOrder.saleClient) : res.postEncode("/admin/inner/client/clientSelectJSON.ac", {}).success(function(column) {
            if (column.optionList) {
              if (column.optionList.length > 0) {
                self.clients = column.optionList[0].val;
                self.saleOrder.saleClient.val = column.optionList[0].val;
                self.saleOrder.saleClient.text = column.optionList[0].text;
                self.saleOrder.selectClient(self.saleOrder.saleClient);
              }
            }
          })), null == self.saleOrder.saleDepot && (cUnitTools.toastShow("原草稿仓库已停用或没有其权限")), self.copyOrder.order.accountId) {
            /** @type {number} */
            j = 0;
            spaces = self.allAccounts.length;
            for (;spaces > j;j++) {
              if (self.copyOrder.order.accountId == self.allAccounts[j].id) {
                self.saleOrder.saleAccount = self.allAccounts[j];
                break;
              }
            }
          } else {
            self.saleOrder.saleAccount = self.allAccounts[0];
          }
          /** @type {number} */
          var unlock = 0;
          var cnl = self.saleOrder.goodsGroup.length;
          for (;cnl > unlock;unlock++) {
            /** @type {number} */
            j = 0;
            spaces = self.saleOrder.goodsGroup[unlock].goods.length;
            for (;spaces > j;j++) {
              var arr = self.saleOrder.goodsGroup[unlock].goods[j];
              /** @type {number} */
              arr.type = 2;
            }
          }
          self.queryClientBanlance(self.copyOrder.order.clientId);
          self.setTotalAmount(true);
          self.saleOrder.alreadyPaid = cUnitTools.getValidNum(self.copyOrder.order.alreadyPaid);
          if (9 == self.copyOrder.order.state) {
            self.saleOrder.remark = self.copyOrder.order.remark;
            self.saleOrder.businessTime = self.copyOrder.order.businessTime;
          }
          close.hide();
        } else {

          //读取配置里的单位
          if (self.wholesaleOrdersList.clientValue && (self.wholesaleOrdersList.clientValue.val > 0)) {
              self.saleOrder.saleClient = self.wholesaleOrdersList.clientValue;
              self.queryClientBanlance(self.saleOrder.saleClient.id);
          }

          //self.saleOrder.saleDepot = self.allDept[0];    初始读取第一仓库
          if (self.wholesaleOrdersList.depotValue) {
            /** @type {number} */
            j = 0;
            /** @type {number} */
            spaces = self.allDept.length;
            for (;spaces > j;j++) {
              if (self.wholesaleOrdersList.depotValue.val == self.allDept[j].id) {
                self.saleOrder.saleDepot = self.allDept[j];
                break;
              }
            }
          }
          if (self.saleOrder.saleAccount = self.allAccounts[0], self.wholesaleOrdersList.accountIdValue) {
            /** @type {number} */
            j = 0;
            spaces = self.allAccounts.length;
            for (;spaces > j;j++) {
              if (self.wholesaleOrdersList.accountIdValue == self.allAccounts[j].id) {
                self.saleOrder.saleAccount = self.allAccounts[j];
                break;
              }
            }
          }
          /** @type {number} */
          j = 0;
          /** @type {number} */
          spaces = self.allSaler.length;
          for (;spaces > j;j++) {
            if (self.allSaler[j].val == self.mainUserConfig.userSelfId) {
              self.saleOrder.saler = {
                text : self.allSaler[j].text,
                val : self.allSaler[j].val
              };
              break;
            }
          }
          /** @type {number} */
          self.saleOrder.businessTime = (new Date).getTime();
          close.hide();
        }
      }
    }, function() {
      close.hide();
    });
  });
  self.$on("$ionicView.afterEnter", function() {
    if ($templateCache.get("saleImageRefresh")) {
      if (1 == $templateCache.get("saleImageRefresh")) {
        if (self.saleOrder.id) {
          res.postEncode("/admin/inner/sale/images/ordersImgs.ac?orderId=" + self.saleOrder.id).success(function(result) {
            self.saleImgs = result.rows;
            $templateCache.put("saleImageRefresh", false);
          }).finally(function() {
          });
        } else {
          if ($templateCache.get("saleOrderImgsCache")) {
            self.saleImgs = $templateCache.get("saleOrderImgsCache");
            $templateCache.put("saleImageRefresh", false);
          }
        }
      }
    }
  });
}
/**
 * @param {Object} self
 * @param {?} graphics
 * @param {?} input
 * @param {Object} $q
 * @param {?} opt_domHelper
 * @param {Object} close
 * @param {Object} _
 * @param {string} scope
 * @param {Object} $
 * @param {Object} handler
 * @param {?} opt_acc
 * @param {?} post_body
 * @param {Object} v
 * @param {?} dataAndEvents
 * @param {Object} $templateCache
 * @param {?} deepDataAndEvents
 * @param {Object} jsPDFAPI
 * @param {?} borderColor
 * @param {?} opt_backgroundColor
 * @param {?} opt_obj2
 * @param {?} cell
 * @param {?} _depth
 * @param {?} $document
 * @param {?} _page
 * @param {Object} parent
 * @return {undefined}
 */
function SaleReturnEditCtrl(self, graphics, input, $q, opt_domHelper, close, _, scope, $, handler, opt_acc, post_body, v, dataAndEvents, $templateCache, deepDataAndEvents, jsPDFAPI, borderColor, opt_backgroundColor, opt_obj2, cell, _depth, $document, _page, parent) {
  /**
   * @return {?}
   */
  function fetch() {
    var imageDfd = $q.defer();
    var request1 = scope.httpCacheGet.get(scope.httpCacheGet.ac.STOREHOUSELISTBYCOMSTORE);
    var getPromise3 = scope.httpCacheGet.get(scope.httpCacheGet.ac.ALLSIZELIST);
    var c = scope.httpCacheGet.get(scope.httpCacheGet.ac.ALLCOLORLIST);
    var d = scope.httpCacheGet.get(scope.httpCacheGet.ac.ALLACCOUNTBYCOMSTORE);
    var projectName = scope.httpCacheGet.get(scope.httpCacheGet.ac.COMPANYUSERBYCOMSTORE);
    return $q.all([request1, getPromise3, c, d, projectName]).then(function(image) {
      imageDfd.resolve(image);
    }, function() {
      imageDfd.reject();
    }), imageDfd.promise;
  }
  BaseSaleEditCtrl.call(this, self, graphics, scope, $, opt_acc, post_body, borderColor, opt_backgroundColor, opt_domHelper, _, opt_obj2, close, $q, cell, _page, _depth, $templateCache);
  var name = input.ordersSn;
  var billID = input.billID;
  var il = input.goodsSn;
  var value = {
    state : 1
  };
  self.saleOrder.ordersSn = name;
  self.viewTitle = input.copyOrder ? "复制为退货单" : self.NameConstant.WHOLESALERETURNORDER;
  /** @type {boolean} */
  self.inComstore = true;
  /**
   * @param {Event} statement
   * @param {?} event
   * @return {undefined}
   */
  self.changeSaleReturnType = function(statement, event) {
    if (event) {
      event.stopPropagation();
    }
    /** @type {number} */
    statement.type = 1 == statement.type ? 2 : 1;
    self.setTotalAmount();
    self.judgePayOrCharge();
  };
  /**
   * @return {undefined}
   */
  self.judgePayOrCharge = function() {
    /** @type {number} */
    self.payOrCharge = $.accSub(self.returnTotalAmount, self.saleTotalAmount) < 0 ? 1 : 0;
  };
  self.isUserAccAvailable = self.GetOperatorEventLimit("814");
  self.wholesaleRejectDraftAccAvailable = self.GetOperatorEventLimit("816");
  self.wholesaleRejectConfirmAccAvailable = self.GetOperatorEventLimit("815");
  self.wholesaleRejectDraftOrConfirmAccAvailable = self.GetOperatorEventLimit("816") || self.GetOperatorEventLimit("815");
  /** @type {boolean} */
  self.notModifySalerAvailable = !self.GetOperatorEventLimit("4005");
  self.$on("$ionicView.loaded", function() {
    /** @type {number} */
    self._itemType = 2;
    if (!name) {
      if (!il) {
        // v.show(self, "instruction_sale_1.html");
      }
    }
  });
  self.$on("$ionicView.beforeEnter", function() {
    if ($templateCache.get("needToAddClientFlag") === true) {
      $templateCache.put("needToAddClientFlag", false);
      $templateCache.put("addClientFlag", false);
      var params = $templateCache.get("newClientObj");
      if (params && params.id) {
        var onComplete = {
          val : params.id,
          text : params.clientName
        };
        self.saleOrder.selectClient(onComplete);
        $templateCache.put("newClientObj", null);
      }
    } else {
      if ($templateCache.get("needToAddGoodsFlag") === true) {
        $templateCache.put("needToAddGoodsFlag", false);
        /**
         * @return {undefined}
         */
        var put = function() {
          if ($templateCache.get("addGoodsFlag") === true) {
            $templateCache.put("addGoodsFlag", false);
            var filter = $templateCache.get("newGoodsObj");
            if (filter) {
              if (filter.id) {
                self.searchGoodsById(filter.id);
                $.toastShow("成功添加 " + filter.name);
                $templateCache.put("newGoodsObj", null);
              }
            }
          }
        };
        $templateCache.put("refreshGoodColorFlag", false);
        $templateCache.put("refreshGoodSizeFlag", false);
        borderColor.getAllColorSize().then(function(packs) {
          if (null != packs) {
            self.allColors = packs[0].data.rows;
            self.allSizes = packs[1].data.rows;
          }
          put();
        }, function() {
          put();
        });
      }
    }
    $document.getScanerCode(function(key) {
      if (key) {
        self.searchGoodsByBarCode(key);
      }
    }, self.bluethoothScaner);
  });
  /** @type {number} */
  var D = 0;
  /**
   * @param {string} type
   * @return {?}
   */
  self.saveOrder = function(type) {
    /**
     * @return {?}
     */
    function each() {
      return borderColor.getGoodsListStoredCount(indents);
    }
    /**
     * @param {string} name
     * @param {string} value
     * @param {?} event
     * @param {?} format
     * @return {undefined}
     */
    function fn(name, value, event, format) {
      var data = $.fnCheckGtoreQty(format, "serialNo", name + "-" + value + "-" + event.colorId + "-" + event.sizeId);
      var hash = data ? data.number : 0;
      event.storeNumber = hash;
      if (event.quantity <= hash) {
        /** @type {number} */
        event.isEnoughStore = 1;
      } else {
        /** @type {number} */
        event.isEnoughStore = 0;
        /** @type {number} */
        self.isShowInvalidStoreMsg = 1;
      }
    }
    /**
     * @param {?} d
     * @return {?}
     */
    function start(d) {
      /**
       * @return {?}
       */
      function init() {
        return D = 0, $.union(value, {
          discount : self.saleOrder.clientDiscount.clientDiscount,
          totalAmount : self.saleReturnCalcTotalAmount(),
          itemType : 2,
          clientId : self.saleOrder.saleClient.val,
          depotId : self.saleOrder.saleDepot.val,
          accountId : self.saleOrder.saleAccount.id,
          remark : self.saleOrder.remark,
          alreadyPaid : self.saleOrder.alreadyPaid ? 1 == self.payOrCharge ? -self.saleOrder.alreadyPaid : self.saleOrder.alreadyPaid : 0,
          wipeZero : self.saleOrder.wipeZero,
          businessTime : self.saleOrder.businessTime,
          salerId : self.saleOrder.saler.val ? self.saleOrder.saler.val : "",
          salerName : self.saleOrder.saler.text ? self.saleOrder.saler.text : ""
        }), self.totalAmount < 0 ? ($.toastShow("抹零金额不能大于商品金额."), false) : (close.show(true), void("update" === type || "insert" === type ? scope.postEncode("/admin/inner/sale/rejectOrdersSaveDraft.ac", {
          order : angular.toJson(value),
          goods : angular.toJson(new_val)
        }).success(function(e) {
          if (1 == e.statusCode) {
            $.toastShow("保存成功！");
            billID = e.object.billID;
            if ("insert" === type) {
              if (0 == self.state) {
                value.optimisticLockVersion = e.object.optimisticLockVersion;
              }
              /** @type {number} */
              self.state = 1;
              self.saleOrder.ordersSn = e.object.ordersSn;
              self.saleOrder.handlerName = e.object.handlerName;
              self.saleOrder.businessTime = e.object.businessTime;
              $.union(value, {
                id : e.object.id,
                ordersSn : e.object.ordersSn,
                businessTime : e.object.businessTime,
                handlerId : e.object.handlerId
              });
            }
            $.union(value, {
              optimisticLockVersion : e.object.optimisticLockVersion
            });
            $templateCache.put("logisticsListRefresh", true);
          } else {
            $.toastShow(e.content);
          }
        }).finally(function() {
          close.hide();
          $templateCache.put("saleListRefresh", true);
        }) : "confirm" === type && scope.postEncode("/admin/inner/sale/approvalConfirmRejectOrders.ac", {
          order : angular.toJson(value),
          goods : angular.toJson(new_val)
        }).success(function(res) {
          if (1 == res.statusCode) {
            $.toastShow("退货成功！");
            /** @type {Array} */
            self.saleOrder.goodsGroup = [];
            if (0 == self.state) {
              value.optimisticLockVersion = res.object.optimisticLockVersion;
            }
            jsPDFAPI.autoPrint(self.mainCompany.comName, res.object.ordersSn, jsPDFAPI.orderType.saleReturnOrder);
            self.viewReplace();
            opt_domHelper.go("eventmenu.saleReturnDetail", {
              ordersSn : res.object.ordersSn,
              billID : res.object.billID
            });
            $templateCache.put("logisticsListRefresh", true);
          } else {
            $.toastShow(res.content);
          }
        }).finally(function() {
          close.hide();
          $templateCache.put("saleListRefresh", true);
        })));
      }
      /** @type {Array} */
      var new_val = [];
      /** @type {number} */
      var unlock = 0;
      var cnl = self.saleOrder.goodsGroup.length;
      for (;cnl > unlock;unlock++) {
        var udataCur = self.saleOrder.goodsGroup[unlock].goodsSn;
        var dataName;
        for (dataName in self.saleOrder.goodsGroup[unlock].goods) {
          var data = self.saleOrder.goodsGroup[unlock].goods[dataName];
          if (null != data.price) {
            if (null != data.discount) {
              if (null != data.truePrice) {
                if (null != data.quantity) {
                  if (0 != data.quantity) {
                    if (1 == data.type) {
                      fn(self.saleOrder.saleDepot.val, udataCur, data, d);
                    } else {
                      /** @type {number} */
                      data.isEnoughStore = 1;
                    }
                    new_val.push({
                      goodsSn : udataCur,
                      colorId : data.colorId,
                      sizeId : data.sizeId,
                      quantity : data.quantity,
                      price : data.price,
                      discount : data.discount,
                      truePrice : data.truePrice,
                      amount : $.accMul(data.price, data.quantity),
                      trueAmount : $.accMul(data.truePrice, data.quantity),
                      type : data.type ? data.type : 2,
                      unitId : data.unitId,
                      remark : data.remark
                    });
                  }
                }
              }
            }
          }
        }
      }
      if (!self.saleOrder.saler.val) {
        return _.alert({
          template : "<div class='tc'>请选择销售员</div>",
          okText : "确定"
        }), false;
      }
      if (parent.hide(), new_val.length <= 0) {
        return _.alert({
          template : "<div class='tc'>请检查订单信息</div>",
          okText : "确定"
        }), false;
      }
      if (1 === self.isShowInvalidStoreMsg) {
        if (2 == self.saleNegativeStore && "confirm" === type) {
          /** @type {number} */
          D = 0;
          /** @type {string} */
          var y = "商品库存不足，不允许销售";
          return window.cordova && window.cordova.plugins ? ($.showAlert(y, null), false) : (_.alert({
            template : "<div class='tc'>" + y + "</div>",
            okText : "确定"
          }), false);
        }
        var promise = _.confirm({
          template : "<div class='tc'>商品库存不足，是否继续?</div>",
          cancelText : "取消",
          okText : "confirm" === type ? "继续退货" : "继续保存"
        });
        promise.then(function(dataAndEvents) {
          if (dataAndEvents) {
            init();
          } else {
            /** @type {number} */
            D = 0;
          }
        });
      } else {
        init();
      }
    }
    if ($.isEmpty(self.saleOrder.saleClient) || $.isEmpty(self.saleOrder.saleClient.val + "")) {
      return $.toastShow("需要选择客户！"), self.clientModalOpen(), false;
    }
    if ($.isEmpty(self.saleOrder.saleDepot)) {
      return window.cordova && window.cordova.plugins ? ($.showAlert("请选择仓库！", null), false) : (_.alert({
        template : "<div class='tc'>请选择仓库！</div>",
        okText : "确定"
      }), false);
    }
    if ($.isEmpty(self.saleOrder.goodsGroup)) {
      return window.cordova && window.cordova.plugins ? ($.showAlert("请选择商品！", null), false) : (_.alert({
        template : "<div class='tc'>请选择商品！</div>",
        okText : "确定"
      }), false);
    }
    if ($.isEmpty(self.saleOrder.saleAccount)) {
      return window.cordova && window.cordova.plugins ? ($.showAlert("请选择结算账户！", null), false) : (_.alert({
        template : "<div class='tc'>请选择结算账户！</div>",
        okText : "确定"
      }), false);
    }
    if (self.saleOrder.businessTime) {
      /** @type {Date} */
      var d = new Date;
      /** @type {Date} */
      var midnight = new Date(self.saleOrder.businessTime);
      midnight.setHours(d.getHours(), d.getMinutes(), d.getSeconds(), d.getMilliseconds());
      /** @type {number} */
      self.saleOrder.businessTime = midnight.getTime();
    }
    if (self.isShowInvalidStoreMsg = 0, 1 == D) {
      return false;
    }
    /** @type {number} */
    D = 1;
    parent.show({
      template : "检查订单信息..."
    });
    /** @type {Array} */
    var indents = [];
    /** @type {number} */
    var unlock = 0;
    var cnl = self.saleOrder.goodsGroup.length;
    for (;cnl > unlock;unlock++) {
      var goodsSn = self.saleOrder.goodsGroup[unlock].goodsSn;
      var ti;
      for (ti in self.saleOrder.goodsGroup[unlock].goods) {
        var token = self.saleOrder.goodsGroup[unlock].goods[ti];
        if (1 == token.type) {
          indents.push({
            storehouseId : self.saleOrder.saleDepot.val,
            goodsSn : goodsSn,
            colorId : token.colorId,
            sizeId : token.sizeId
          });
        }
      }
    }
    if (0 == indents.length) {
      start();
    } else {
      each().then(function(a) {
        start(a);
      }, function() {
        parent.hide();
        /** @type {number} */
        D = 0;
      });
    }
  };
  /**
   * @param {number} dataAndEvents
   * @return {undefined}
   */
  self.showActionsheet = function(dataAndEvents) {
    var scope = {
      buttons : []
    };
    if (self.wholesaleRejectDraftAccAvailable) {
      scope.buttons.push({
        text : '<i class="icon ion-ios-compose-outline assertive"></i> 草 稿'
      });
    }
    if (self.wholesaleRejectConfirmAccAvailable) {
      scope.buttons.push({
        text : '<i class="icon ion-ios-paper-outline assertive"></i> 退 货'
      });
    }
    // if (1 == dataAndEvents) {
    //   scope.buttons.push({
    //     text : '<i class="icon ion-share balanced"></i> 微信分享'
    //   });
    // }
    if (1 == dataAndEvents) {
      if (self.GetOperatorEventLimit("817")) {
        scope.buttons.push({
          text : '<i class="icon ion-bluetooth assertive"></i> 蓝牙打印'
        });
      }
    }
    /**
     * @param {number} index
     * @return {?}
     */
    scope.buttonClicked = function(index) {
      return scope.buttons[index].text.indexOf("草 稿") > -1 ? self.saveOrder("insert") : scope.buttons[index].text.indexOf("退 货") > -1 ? self.saveOrder("confirm") : scope.buttons[index].text.indexOf("微信分享") > -1 ? dataAndEvents.shareSnUrl(self.saleOrder.ordersSn, deepDataAndEvents.saleReturnOrder) : scope.buttons[index].text.indexOf("蓝牙打印") > -1 && jsPDFAPI.bluetooth(self.saleOrder.ordersSn,
      jsPDFAPI.orderType.saleReturnOrder,billID), true;
    };
    if (1 == dataAndEvents) {
      if (self.GetOperatorEventLimit("3844")) {
        /** @type {string} */
        scope.destructiveText = '<i class="icon ion-ios-trash-outline assertive"></i> 删 除';
        /**
         * @return {?}
         */
        scope.destructiveButtonClicked = function() {
          var promise = _.confirm({
            template : "<div class='tc'>您确认要删除该销售退货单?</div>",
            cancelText : "取消",
            okText : "确认"
          });
          return promise.then(function(dataAndEvents) {
            if (dataAndEvents) {
              close.show(true);
              scope.post("/admin/inner/sale/orderDelete.ac?ordersSn=" + value.ordersSn + "&billID=" +value.billID).success(function(r) {
                if (1 == r.statusCode) {
                  _.alert({
                    template : "<div class='tc'>删除成功</div>",
                    okText : "确定"
                  }).then(function() {
                    self.goBack();
                  });
                } else {
                  _.alert({
                    template : "<div class='tc'>" + r.content + "</div>",
                    okText : "确定"
                  });
                }
              }).finally(function() {
                close.hide();
                $templateCache.put("saleListRefresh", true);
              });
            }
          }), true;
        };
      }
    }
    handler.show(scope);
  };
  close.show();
  self.$watch("[saleOrder.saleClient, saleOrder.saleDepot, saleOrder.saleAccount]", function(a, blobs) {
    if (a[0] && ($.isEmpty(blobs[0]) || (blobs[0] && (a[0].val != blobs[0].val && blobs[0].val > 0)))) {
      /** @type {null} */
      self.saleOrder.wholeOrderDiscount = null;
      if (!$.isEmpty(self.saleOrder.saleClient)) {
        borderColor.saveOrUpdateUserConfig("rejectOrdersList.client", JSON.stringify(self.saleOrder.saleClient), 3).then(function(event) {
          self.rejectOrdersList.client = $.fnCheckGtoreQty(cell.userConfigData, "configKey", "rejectOrdersList.client");
          if (self.rejectOrdersList.client) {
            $.union(self.rejectOrdersList.client, event.object);
          } else {
            cell.userConfigData.push(event.object);
          }
          /** @type {*} */
          self.rejectOrdersList.clientValue = JSON.parse(event.object.configValue);
        }, function() {
          $.toastShow("服务器获取数据出现异常！");
        });
      }
    } else {
      if (a[1] && ($.isEmpty(blobs[1]) || (blos[1] && (a[1].val != blobs[1].val && blobs[1].val > 0)))) {
        if (!$.isEmpty(self.saleOrder.saleDepot)) {
          borderColor.saveOrUpdateUserConfig("rejectOrdersList.depot", JSON.stringify(self.saleOrder.saleDepot), 3).then(function(event) {
            self.rejectOrdersList.depot = $.fnCheckGtoreQty(cell.userConfigData, "configKey", "rejectOrdersList.depot");
            if (self.rejectOrdersList.depot) {
              $.union(self.rejectOrdersList.depot, event.object);
            } else {
              cell.userConfigData.push(event.object);
            }
            /** @type {*} */
            self.rejectOrdersList.depotValue = JSON.parse(event.object.configValue);
          }, function() {
            $.toastShow("服务器获取数据出现异常！");
          });
        }
      } else {
        if (a[2]) {
          if (blobs[2]) {
            if (a[2].val != blobs[2].val) {
              if (blobs[2].val > 0) {
                borderColor.saveOrUpdateUserConfig("rejectOrdersList.accountId", JSON.stringify(self.saleOrder.saleAccount.val), 3).then(function(event) {
                  self.rejectOrdersList.accountId = $.fnCheckGtoreQty(cell.userConfigData, "configKey", "rejectOrdersList.accountId");
                  if (self.rejectOrdersList.accountId) {
                    $.union(self.rejectOrdersList.accountId, event.object);
                  } else {
                    cell.userConfigData.push(event.object);
                  }
                  /** @type {*} */
                  self.rejectOrdersList.accountIdValue = JSON.parse(event.object.configValue);
                }, function() {
                  $.toastShow("服务器获取数据出现异常！");
                });
              }
            }
          }
        }
      }
    }
  }, true);
  self.$on("$ionicView.loaded", function() {
    fetch().then(function(packs) {
      self.totalDept = packs[0].data;
      /** @type {Array} */
      self.allDept = [];
      /** @type {number} */
      var j = 0;
      for (;j < packs[0].data.length;j++) {
        if ("1" == packs[0].data[j].status) {
          self.allDept.push(packs[0].data[j]);
        }
      }
      self.allSizes = packs[1].data.rows;
      self.allColors = packs[2].data.rows;
      self.allAccounts = packs[3].data.rows;
      self.totalSaler = packs[4].data.optionList;
      /** @type {Array} */
      self.allSaler = [];
      /** @type {number} */
      j = 0;
      for (;j < packs[4].data.optionList.length;j++) {
        if ("1" == packs[4].data.optionList[j].status) {
          self.allSaler.push(packs[4].data.optionList[j]);
        }
      }
      if (self.rejectOrdersList = {}, self.rejectOrdersList.client = $.fnCheckGtoreQty(self.userConfigData, "configKey", "rejectOrdersList.client"), self.rejectOrdersList.client && (self.rejectOrdersList.client.configValue && (self.rejectOrdersList.clientValue = JSON.parse(self.rejectOrdersList.client.configValue))), self.rejectOrdersList.depot = $.fnCheckGtoreQty(self.userConfigData, "configKey", "rejectOrdersList.depot"),
      self.rejectOrdersList.depot && (self.rejectOrdersList.depot.configValue && (self.rejectOrdersList.depotValue = JSON.parse(self.rejectOrdersList.depot.configValue))), self.rejectOrdersList.accountId = $.fnCheckGtoreQty(self.userConfigData, "configKey", "rejectOrdersList.accountId"), self.rejectOrdersList.accountId && (self.rejectOrdersList.accountId.configValue && (self.rejectOrdersList.accountIdValue = JSON.parse(self.rejectOrdersList.accountId.configValue))),
      self.searchGoods(), name) {
        scope.post("/admin/inner/sale/rejectWholesaleOrdersGet.ac?ordersSn=" + name + "&billID=" + billID).success(function(event) {
          $.union(value, event.order);
          self.state = event.order.state;
          self.saleOrder.remark = event.order.remark;
          self.saleOrder.ordersSn = event.order.ordersSn;
          self.saleOrder.handlerName = event.order.handlerName;
          self.saleOrder.businessTime = null == event.order.businessTime ? $.getTimeStamp() : event.order.businessTime;
          if (event.order.alreadyPaid < 0) {
            /** @type {number} */
            self.payOrCharge = 1;
          }
          self.saleOrder.alreadyPaid = $.getValidNum(event.order.alreadyPaid);
          self.saleOrder.saleClient.val = event.order.clientId;
          self.saleOrder.saleClient.text = event.order.clientName;
          self.saleOrder.clientDiscount.clientDiscount = event.order.discount;
          self.saleOrder.wipeZero = event.order.wipeZero;
          /** @type {number} */
          var j = 0;
          var spaces = self.totalDept.length;
          for (;spaces > j;j++) {
            if (event.order.depotId == self.totalDept[j].val) {
              self.saleOrder.saleDepot = self.totalDept[j];
              break;
            }
          }
          /** @type {number} */
          j = 0;
          spaces = self.allAccounts.length;
          for (;spaces > j;j++) {
            if (event.order.accountId == self.allAccounts[j].val) {
              self.saleOrder.saleAccount = self.allAccounts[j];
              break;
            }
          }
          /** @type {number} */
          j = 0;
          spaces = self.totalSaler.length;
          for (;spaces > j;j++) {
            if (event.order.salerId == self.totalSaler[j].val) {
              self.saleOrder.saler = self.totalSaler[j];
              break;
            }
          }
          if (null == self.saleOrder.saleDepot) {
            var props = {
              text : event.order.depotName,
              id : event.order.depotId
            };
            self.saleOrder.saleDepot = props;
            /** @type {boolean} */
            self.inComstore = false;
          }
          if (null == self.saleOrder.saleAccount) {
            var obj = {
              name : event.order.accountName,
              id : event.order.accountId
            };
            self.saleOrder.saleAccount = obj;
            /** @type {boolean} */
            self.inComstore = false;
          }
          if (!self.saleOrder.saler.text || !self.saleOrder.saler.val) {
            var data = {
              text : event.order.salerName,
              val : event.order.salerId
            };
            self.saleOrder.saler = data;
            /** @type {boolean} */
            self.inComstore = false;
          }
          self.queryClientBanlance(event.order.clientId);
          event.orderGoods.forEach(function(elem) {
            /** @type {boolean} */
            var t = false;
            /** @type {number} */
            var unlock = 0;
            var cnl = self.saleOrder.goodsGroup.length;
            for (;cnl > unlock;unlock++) {
              var popup = self.saleOrder.goodsGroup[unlock].goodsSn;
              if (elem.goodsSn == popup) {
                /** @type {boolean} */
                t = true;
                self.saleOrder.goodsGroup[unlock].goods.push($.getPropertyObj(elem, ["colorId", "sizeId", "colorName", "sizeName", "quantity", "price", "discount", "unit", "truePrice", "type","standard","waretype","remark"]));
              }
            }
            if (!t) {
              var impl = {};
              /** @type {Array} */
              impl.goods = [];
              impl.goods.push($.getPropertyObj(elem, ["colorId", "sizeId", "colorName", "sizeName", "quantity", "price", "discount", "unit", "truePrice", "type","standard","waretype","remark"]));
              impl.goodName = elem.goodName;
              impl.goodsSn = elem.goodsSn;
              impl.barCode = elem.barCode;//条码
              self.saleOrder.goodsGroup.push(impl);
            }
          });
          self.saleReturnCalcTotalAmount();
          self.getClientDiscount(self.saleOrder.saleClient);
          if (!self.inComstore) {
            $.toastShow("您只有此单据的查看权限！");
          }
        }).finally(function() {
          close.hide();
        });
      } else {
        if (input.copyOrder) {
          if (self.copyOrder = input.copyOrder, self.copyOrder.order.salerId && self.copyOrder.order.salerName) {
            self.saleOrder.saler = {
              val : self.copyOrder.order.salerId,
              text : self.copyOrder.order.salerName
            };
          } else {
            /** @type {number} */
            j = 0;
            /** @type {number} */
            var spaces = self.allSaler.length;
            for (;spaces > j;j++) {
              if (self.allSaler[j].val == self.mainUserConfig.userSelfId) {
                self.saleOrder.saler = {
                  text : self.allSaler[j].text,
                  val : self.allSaler[j].val
                };
                break;
              }
            }
          }
          self.saleOrder.goodsGroup = self.copyOrder.goodsGroup;
          /** @type {number} */
          self.saleOrder.businessTime = (new Date).getTime();
          self.saleOrder.saleClient = {
            val : self.copyOrder.order.clientId,
            text : self.copyOrder.order.clientName
          };
          self.saleOrder.clientDiscount = {
            clientDiscount : self.copyOrder.order.discount
          };
          /** @type {number} */
          j = 0;
          /** @type {number} */
          spaces = self.allDept.length;
          for (;spaces > j;j++) {
            if (self.copyOrder.order.depotId == self.allDept[j].val) {
              self.saleOrder.saleDepot = self.allDept[j];
              break;
            }
          }
          if (null == self.saleOrder.saleDepot) {
            $.toastShow("原草稿仓库已停用或没有其权限");
            //self.saleOrder.saleDepot = self.allDept[0];
          }
          /** @type {number} */
          j = 0;
          spaces = self.allAccounts.length;
          for (;spaces > j;j++) {
            if (self.copyOrder.order.accountId == self.allAccounts[j].id) {
              self.saleOrder.saleAccount = self.allAccounts[j];
              break;
            }
          }
          /** @type {boolean} */
          var s = false;
          if (self.copyOrder.order) {
            if (self.copyOrder.order.ordersSn.indexOf("TH") > 0) {
              /** @type {boolean} */
              s = true;
            }
          }
          /** @type {number} */
          var unlock = 0;
          var cnl = self.saleOrder.goodsGroup.length;
          for (;cnl > unlock;unlock++) {
            /** @type {number} */
            j = 0;
            spaces = self.saleOrder.goodsGroup[unlock].goods.length;
            for (;spaces > j;j++) {
              var arr = self.saleOrder.goodsGroup[unlock].goods[j];
              /** @type {number} */
              arr.type = s && 1 == arr.type ? 1 : 2;
            }
          }
          self.queryClientBanlance(self.copyOrder.order.clientId);
          self.saleOrder.wipeZero = self.copyOrder.order.wipeZero;
          self.setTotalAmount(true);
          self.saleOrder.alreadyPaid = self.copyOrder.order.alreadyPaid;
          if (self.copyOrder.order.alreadyPaid < 0) {
            /** @type {number} */
            self.payOrCharge = 1;
          }
          self.saleOrder.alreadyPaid = $.getValidNum(self.copyOrder.order.alreadyPaid);
          if (9 == self.copyOrder.order.state) {
            self.saleOrder.remark = self.copyOrder.order.remark;
            self.saleOrder.businessTime = self.copyOrder.order.businessTime;
          }
          close.hide();
        } else {
          //读取配置里的单位
          if (self.rejectOrdersList.clientValue && (self.rejectOrdersList.clientValue.val > 0)) {
            self.saleOrder.saleClient = self.rejectOrdersList.clientValue;
            self.queryClientBanlance(self.saleOrder.saleClient.id);
          }

          //self.saleOrder.saleDepot = self.allDept[0],  初始读取第一仓库
          if (self.rejectOrdersList.depotValue) {
            /** @type {number} */
            j = 0;
            /** @type {number} */
            spaces = self.allDept.length;
            for (;spaces > j;j++) {
              if (self.rejectOrdersList.depotValue.val == self.allDept[j].id) {
                self.saleOrder.saleDepot = self.allDept[j];
                break;
              }
            }
          }
          if (self.saleOrder.saleAccount = self.allAccounts[0], self.rejectOrdersList.accountIdValue) {
            /** @type {number} */
            j = 0;
            spaces = self.allAccounts.length;
            for (;spaces > j;j++) {
              if (self.rejectOrdersList.accountIdValue == self.allAccounts[j].id) {
                self.saleOrder.saleAccount = self.allAccounts[j];
                break;
              }
            }
          }
          /** @type {number} */
          j = 0;
          /** @type {number} */
          spaces = self.allSaler.length;
          for (;spaces > j;j++) {
            if (self.allSaler[j].val == self.mainUserConfig.userSelfId) {
              self.saleOrder.saler = {
                text : self.allSaler[j].text,
                val : self.allSaler[j].val
              };
              break;
            }
          }
          /** @type {number} */
          self.saleOrder.businessTime = (new Date).getTime();
          close.hide();
        }
      }
    }, function() {
      close.hide();
    });
  });
}
